# ncurses 5.9 - patch  - Thomas E. Dickey
#
# ------------------------------------------------------------------------------
#
# Ncurses 5.9 is at
# 	ftp.gnu.org:/pub/gnu
#
# Patches for ncurses 5.9 are in the subdirectory
# 	ftp://invisible-island.net/ncurses/5.9
#
# ------------------------------------------------------------------------------
# ftp://invisible-island.net/ncurses/5.9/ncurses-5.9-20141115.patch.gz
# patch by Thomas E. Dickey <dickey@invisible-island.net>
# created  Sun Nov 16 04:08:00 UTC 2014
# ------------------------------------------------------------------------------
# INSTALL                                    |   27 
# MANIFEST                                   |    9 
# NEWS                                       |   12 
# aclocal.m4                                 |  207 +
# c++/Makefile.in                            |    6 
# configure                                  | 4067 ++++++++++++++-------------
# configure.in                               |   30 
# dist.mk                                    |    4 
# form/Makefile.in                           |   11 
# man/curs_color.3x                          |  180 -
# menu/Makefile.in                           |   11 
# ncurses-5.9-20141115/VERSION               |    1 
# ncurses-5.9-20141115/package/ncurses.map   | 1001 ++++++
# ncurses-5.9-20141115/package/ncurses.sym   |  937 ++++++
# ncurses-5.9-20141115/package/ncursest.map  |  972 ++++++
# ncurses-5.9-20141115/package/ncursest.sym  |  955 ++++++
# ncurses-5.9-20141115/package/ncursestw.map | 1091 +++++++
# ncurses-5.9-20141115/package/ncursestw.sym | 1074 +++++++
# ncurses-5.9-20141115/package/ncursesw.map  | 1108 +++++++
# ncurses-5.9-20141115/package/ncursesw.sym  | 1056 +++++++
# ncurses/Makefile.in                        |    6 
# package/debian-mingw/changelog             |    4 
# package/debian-mingw/source/format         |    2 
# package/debian-mingw64/changelog           |    4 
# package/debian-mingw64/source/format       |    2 
# package/debian/changelog                   |    4 
# package/debian/rules                       |    1 
# package/debian/source/format               |    2 
# package/mingw-ncurses.nsi                  |    4 
# package/mingw-ncurses.spec                 |    2 
# package/ncurses.spec                       |    3 
# panel/Makefile.in                          |   11 
# progs/Makefile.in                          |    5 
# test/Makefile.in                           |    6 
# 34 files changed, 10783 insertions(+), 2032 deletions(-)
# ------------------------------------------------------------------------------
Index: INSTALL
Prereq:  1.174 
--- ncurses-5.9-20141101+/INSTALL	2014-09-20 00:51:37.000000000 +0000
+++ ncurses-5.9-20141115/INSTALL	2014-11-16 00:03:32.000000000 +0000
@@ -25,7 +25,7 @@
 -- sale, use or other dealings in this Software without prior written        --
 -- authorization.                                                            --
 -------------------------------------------------------------------------------
--- $Id: INSTALL,v 1.174 2014/09/20 00:51:37 tom Exp $
+-- $Id: INSTALL,v 1.178 2014/11/16 00:03:32 tom Exp $
 ---------------------------------------------------------------------
              How to install Ncurses/Terminfo on your system
 ---------------------------------------------------------------------
@@ -352,6 +352,10 @@
 	Use --disable-libtool-version to use the libtool -version-info feature.
 	This corresponds to the setting used before patch 20100515.
 
+	Starting with patch 20141115, using this option causes the configure
+	script to apply the top-level VERSION file to the ABI version used
+	for libtool.
+
     --disable-leaks
 	For testing, compile-in code that frees memory that normally would not
 	be freed, to simplify analysis of memory-leaks.
@@ -825,6 +829,11 @@
 	For testing, compile and link with Gray Watson's dmalloc library.
 	This also sets the --disable-leaks option.
 
+    --with-export-syms[=XXX]
+	Limit exported symbols using libtool.  The configure script
+	automatically chooses an appropriate ".sym" file, which lists the
+	symbols which are part of the ABI.
+
     --with-fallbacks=XXX
 	Specify a list of fallback terminal descriptions which will be
 	compiled into the ncurses library.  See CONFIGURING FALLBACK ENTRIES.
@@ -920,6 +929,9 @@
 	using the appropriate patch for autoconf from
 		http://invisible-island.net/autoconf/
 
+    --with-libtool-opts=XXX
+	Specify additional libtool options.
+
     --with-manpage-aliases
 	Tell the configure script you wish to create entries in the
 	man-directory for aliases to manpages which list them, e.g., the
@@ -1103,6 +1115,19 @@
 	Configure the trace() function as part of the all models of the ncurses
 	library.  Normally it is part of the debug (libncurses_g) library only.
 
+    --with-versioned-syms[=XXX]
+	The Solaris, GNU and reportedly some other linkers (ld) accept a
+	"--version-script" option which tells the linker to annotate the
+	resulting objects with version identifiers.  The configure script
+	will automatically apply a suitable ".map" file to provide this
+	information for Linux.  Solaris mapfiles differ:
+
+	a) comments are not accepted
+	b) wildcards are not accepted
+	c) each symbol listed in the map file must exist in the library
+
+	Use "objdump -T" on a library to see the annotations.
+
     --with-xterm-kbs=XXX
 	Configure xterm's terminfo entries to use either BS (^H, i.e., ASCII
 	backspace) or DEL (^?, or 127).  XXX can be BS (or bs, 8) or DEL
Index: MANIFEST
--- ncurses-5.9-20141101+/MANIFEST	2014-06-21 16:21:18.000000000 +0000
+++ ncurses-5.9-20141115/MANIFEST	2014-11-15 14:03:59.000000000 +0000
@@ -202,6 +202,7 @@
 ./README.MinGW
 ./README.emx
 ./TO-DO
+./VERSION
 ./aclocal.m4
 ./announce.html.in
 ./c++/Makefile.in
@@ -1006,7 +1007,15 @@
 ./package/debian/watch
 ./package/mingw-ncurses.nsi
 ./package/mingw-ncurses.spec
+./package/ncurses.map
 ./package/ncurses.spec
+./package/ncurses.sym
+./package/ncursest.map
+./package/ncursest.sym
+./package/ncursestw.map
+./package/ncursestw.sym
+./package/ncursesw.map
+./package/ncursesw.sym
 ./panel/Makefile.in
 ./panel/headers
 ./panel/llib-lpanel
Index: NEWS
Prereq:  1.2295 
--- ncurses-5.9-20141101+/NEWS	2014-11-01 13:57:28.000000000 +0000
+++ ncurses-5.9-20141115/NEWS	2014-11-16 00:46:19.000000000 +0000
@@ -25,7 +25,7 @@
 -- sale, use or other dealings in this Software without prior written        --
 -- authorization.                                                            --
 -------------------------------------------------------------------------------
--- $Id: NEWS,v 1.2295 2014/11/01 13:57:28 tom Exp $
+-- $Id: NEWS,v 1.2300 2014/11/16 00:46:19 tom Exp $
 -------------------------------------------------------------------------------
 
 This is a log of changes that ncurses has gone through since Zeyd started
@@ -45,6 +45,16 @@
 Changes through 1.9.9e did not credit all contributions;
 it is not possible to add this information.
 
+20141115
+	+ improve description of limits for color values and color pairs in
+	  curs_color.3x (prompted by patch by Tim van der Molen).
+	+ add VERSION file, using first field in that to record the ABI version
+	  used for configure --with-libtool --disable-libtool-version
+	+ add configure options for applying the ".map" and ".sym" files to
+	  the ncurses, form, menu and panel libraries.
+	+ add ".map" and ".sym" files to show exported symbols, e.g., for
+	  symbol-versioning.
+
 20141101
 	+ improve strict compiler-warnings by adding a cast in TRACE_RETURN
 	  and making a new TRACE_RETURN1 macro for cases where the cast does
Index: VERSION
--- /dev/null	2014-11-15 22:24:06.925233108 +0000
+++ ncurses-5.9-20141115/VERSION	2014-11-15 23:54:27.000000000 +0000
@@ -0,0 +1 @@
+5:0:9	5.9	20141115
Index: aclocal.m4
Prereq:  1.710 
--- ncurses-5.9-20141101+/aclocal.m4	2014-09-21 00:18:08.000000000 +0000
+++ ncurses-5.9-20141115/aclocal.m4	2014-11-16 00:08:34.000000000 +0000
@@ -28,7 +28,7 @@
 dnl
 dnl Author: Thomas E. Dickey 1995-on
 dnl
-dnl $Id: aclocal.m4,v 1.710 2014/09/21 00:18:08 tom Exp $
+dnl $Id: aclocal.m4,v 1.718 2014/11/16 00:08:34 tom Exp $
 dnl Macros used in NCURSES auto-configuration script.
 dnl
 dnl These macros are maintained separately from NCURSES.  The copyright on
@@ -1276,7 +1276,7 @@
 fi
 ])dnl
 dnl ---------------------------------------------------------------------------
-dnl CF_DISABLE_LIBTOOL_VERSION version: 1 updated: 2010/05/15 15:45:59
+dnl CF_DISABLE_LIBTOOL_VERSION version: 2 updated: 2014/11/15 19:05:29
 dnl --------------------------
 dnl Check if we should use the libtool 1.5 feature "-version-number" instead of
 dnl the older "-version-info" feature.  The newer feature allows us to use
@@ -1295,8 +1295,25 @@
 	LIBTOOL_VERSION="-version-number"
 else
 	LIBTOOL_VERSION="-version-info"
+	case "x$VERSION" in #(vi
+	x) #(vi
+		AC_MSG_WARN(VERSION was not set)
+		;;
+	x*.*.*)
+		ABI_VERSION="$VERSION"
+		CF_VERBOSE(ABI_VERSION: $ABI_VERSION)
+		;;
+	x*:*:*)
+		ABI_VERSION=`echo "$VERSION" | sed -e 's/:/./g'`
+		CF_VERBOSE(ABI_VERSION: $ABI_VERSION)
+		;;
+	*)
+		AC_MSG_WARN(unexpected VERSION value: $VERSION)
+		;;
+	esac
 fi
 
+AC_SUBST(ABI_VERSION)
 AC_SUBST(LIBTOOL_VERSION)
 ])dnl
 dnl ---------------------------------------------------------------------------
@@ -6525,6 +6542,94 @@
 CF_MSG_LOG([$1])
 ])dnl
 dnl ---------------------------------------------------------------------------
+dnl CF_VERSION_INFO version: 6 updated: 2013/06/16 10:25:53
+dnl ---------------
+dnl Define several useful symbols derived from the VERSION file.  A separate
+dnl file is preferred to embedding the version numbers in various scripts.
+dnl (automake is a textbook-example of why the latter is a bad idea, but there
+dnl are others).
+dnl
+dnl The file contents are:
+dnl	libtool-version	release-version	patch-version
+dnl or
+dnl	release-version
+dnl where
+dnl	libtool-version (see ?) consists of 3 integers separated by '.'
+dnl	release-version consists of a major version and minor version
+dnl		separated by '.', optionally followed by a patch-version
+dnl		separated by '-'.  The minor version need not be an
+dnl		integer (but it is preferred).
+dnl	patch-version is an integer in the form yyyymmdd, so ifdef's and
+dnl		scripts can easily compare versions.
+dnl
+dnl If libtool is used, the first form is required, since CF_WITH_LIBTOOL
+dnl simply extracts the first field using 'cut -f1'.
+dnl
+dnl Optional parameters:
+dnl $1 = internal name for package
+dnl $2 = external name for package
+AC_DEFUN([CF_VERSION_INFO],
+[
+if test -f $srcdir/VERSION ; then
+	AC_MSG_CHECKING(for package version)
+
+	# if there are not enough fields, cut returns the last one...
+	cf_field1=`sed -e '2,$d' $srcdir/VERSION|cut -f1`
+	cf_field2=`sed -e '2,$d' $srcdir/VERSION|cut -f2`
+	cf_field3=`sed -e '2,$d' $srcdir/VERSION|cut -f3`
+
+	# this is how CF_BUNDLED_INTL uses $VERSION:
+	VERSION="$cf_field1"
+
+	VERSION_MAJOR=`echo "$cf_field2" | sed -e 's/\..*//'`
+	test -z "$VERSION_MAJOR" && AC_MSG_ERROR(missing major-version)
+
+	VERSION_MINOR=`echo "$cf_field2" | sed -e 's/^[[^.]]*\.//' -e 's/-.*//'`
+	test -z "$VERSION_MINOR" && AC_MSG_ERROR(missing minor-version)
+
+	AC_MSG_RESULT(${VERSION_MAJOR}.${VERSION_MINOR})
+
+	AC_MSG_CHECKING(for package patch date)
+	VERSION_PATCH=`echo "$cf_field3" | sed -e 's/^[[^-]]*-//'`
+	case .$VERSION_PATCH in
+	.)
+		AC_MSG_ERROR(missing patch-date $VERSION_PATCH)
+		;;
+	.[[0-9]][[0-9]][[0-9]][[0-9]][[0-9]][[0-9]][[0-9]][[0-9]])
+		;;
+	*)
+		AC_MSG_ERROR(illegal patch-date $VERSION_PATCH)
+		;;
+	esac
+	AC_MSG_RESULT($VERSION_PATCH)
+else
+	AC_MSG_ERROR(did not find $srcdir/VERSION)
+fi
+
+# show the actual data that we have for versions:
+CF_VERBOSE(ABI VERSION $VERSION)
+CF_VERBOSE(VERSION_MAJOR $VERSION_MAJOR)
+CF_VERBOSE(VERSION_MINOR $VERSION_MINOR)
+CF_VERBOSE(VERSION_PATCH $VERSION_PATCH)
+
+AC_SUBST(VERSION)
+AC_SUBST(VERSION_MAJOR)
+AC_SUBST(VERSION_MINOR)
+AC_SUBST(VERSION_PATCH)
+
+dnl if a package name is given, define its corresponding version info.  We
+dnl need the package name to ensure that the defined symbols are unique.
+ifelse($1,,,[
+	cf_PACKAGE=$1
+	PACKAGE=ifelse($2,,$1,$2)
+	AC_DEFINE_UNQUOTED(PACKAGE, "$PACKAGE",[Define to the package-name])
+	AC_SUBST(PACKAGE)
+	CF_UPPER(cf_PACKAGE,$cf_PACKAGE)
+	AC_DEFINE_UNQUOTED(${cf_PACKAGE}_VERSION,"${VERSION_MAJOR}.${VERSION_MINOR}")
+	AC_DEFINE_UNQUOTED(${cf_PACKAGE}_PATCHDATE,${VERSION_PATCH})
+])
+])dnl
+dnl ---------------------------------------------------------------------------
 dnl CF_WCHAR_TYPE version: 4 updated: 2012/10/06 16:39:58
 dnl -------------
 dnl Check if type wide-character type $1 is declared, and if so, which header
@@ -6720,6 +6825,32 @@
 fi
 ])dnl
 dnl ---------------------------------------------------------------------------
+dnl CF_WITH_EXPORT_SYMS version: 2 updated: 2014/11/15 19:05:29
+dnl -------------------
+dnl Use this with libtool to specify the list of symbols that may be exported.
+dnl The input file contains one symbol per line; comments work with "#".
+dnl
+dnl $1 = basename of the ".sym" file (default $PACKAGE)
+AC_DEFUN([CF_WITH_EXPORT_SYMS],
+[
+AC_MSG_CHECKING(if exported-symbols file should be used)
+AC_ARG_WITH(export-syms,
+	[  --with-export-syms=XXX  limit exported symbols using libtool],
+	[with_export_syms=$withval],
+	[with_export_syms=no])
+if test "x$with_export_syms" = xyes
+then
+	with_export_syms='${top_srcdir}/package/ifelse($1,,${PACKAGE},[$1]).sym'
+	AC_SUBST(PACKAGE)
+fi
+AC_MSG_RESULT($with_export_syms)
+if test "x$with_export_syms" != xno
+then
+	EXPORT_SYMS="$EXPORT_SYMS -export-symbols $with_export_syms"
+	AC_SUBST(EXPORT_SYMS)
+fi
+])dnl
+dnl ---------------------------------------------------------------------------
 dnl CF_WITH_GPM version: 8 updated: 2012/10/06 17:56:13
 dnl -----------
 dnl
@@ -6753,7 +6884,7 @@
 fi
 ])
 dnl ---------------------------------------------------------------------------
-dnl CF_WITH_LIBTOOL version: 30 updated: 2013/09/07 13:54:05
+dnl CF_WITH_LIBTOOL version: 31 updated: 2014/11/15 19:05:29
 dnl ---------------
 dnl Provide a configure option to incorporate libtool.  Define several useful
 dnl symbols for the makefile rules.
@@ -6836,7 +6967,7 @@
 		AC_MSG_ERROR(Cannot find libtool)
 	fi
 ])dnl
-	LIB_CREATE='${LIBTOOL} --mode=link ${CC} -rpath ${DESTDIR}${libdir} ${LIBTOOL_VERSION} `cut -f1 ${srcdir}/VERSION` ${LIBTOOL_OPTS} ${LT_UNDEF} $(LIBS) -o'
+	LIB_CREATE='${LIBTOOL} --mode=link ${CC} -rpath ${DESTDIR}${libdir} ${LIBTOOL_VERSION} `cut -f1 ${top_srcdir}/VERSION` ${LIBTOOL_OPTS} ${LT_UNDEF} $(LIBS) -o'
 	LIB_OBJECT='${OBJECTS:.o=.lo}'
 	LIB_SUFFIX=.la
 	LIB_CLEAN='${LIBTOOL} --mode=clean'
@@ -6891,6 +7022,32 @@
 
 ])dnl
 dnl ---------------------------------------------------------------------------
+dnl CF_WITH_LIBTOOL_OPTS version: 3 updated: 2014/11/02 16:11:49
+dnl --------------------
+dnl Allow user to pass additional libtool options into the library creation
+dnl and link steps.  The main use for this is to do something like
+dnl	./configure --with-libtool-opts=-static
+dnl to get the same behavior as automake-flavored
+dnl	./configure --enable-static
+AC_DEFUN([CF_WITH_LIBTOOL_OPTS],[
+AC_MSG_CHECKING(for additional libtool options)
+AC_ARG_WITH(libtool-opts,
+	[  --with-libtool-opts=XXX specify additional libtool options],
+	[with_libtool_opts=$withval],
+	[with_libtool_opts=no])
+AC_MSG_RESULT($with_libtool_opts)
+
+case .$with_libtool_opts in
+.yes|.no|.)
+	;;
+*)
+	LIBTOOL_OPTS="$LIBTOOL_OPTS $with_libtool_opts"
+	;;
+esac
+
+AC_SUBST(LIBTOOL_OPTS)
+])dnl
+dnl ---------------------------------------------------------------------------
 dnl CF_WITH_LIB_PREFIX version: 1 updated: 2012/01/21 19:28:10
 dnl ------------------
 dnl Allow the library-prefix to be overridden.  OS/2 EMX originally had no
@@ -7158,6 +7315,48 @@
 	[USE_VALGRIND])
 ])dnl
 dnl ---------------------------------------------------------------------------
+dnl CF_WITH_VERSIONED_SYMS version: 2 updated: 2014/11/15 19:05:29
+dnl ----------------------
+dnl Use this when building shared library with ELF, to markup symbols with the
+dnl version identifier from the given input file.  Generally that identifier is
+dnl the same as the SONAME at which the symbol was first introduced.
+dnl
+dnl $1 = basename of the ".sym" file (default $PACKAGE)
+AC_DEFUN([CF_WITH_VERSIONED_SYMS],
+[
+AC_MSG_CHECKING(if versioned-symbols file should be used)
+AC_ARG_WITH(versioned-syms,
+	[  --with-versioned-syms=X markup versioned symbols using ld],
+	[with_versioned_syms=$withval],
+	[with_versioned_syms=no])
+if test "x$with_versioned_syms" = xyes
+then
+	with_versioned_syms='${top_srcdir}/package/ifelse($1,,${PACKAGE},[$1]).map'
+	AC_SUBST(PACKAGE)
+fi
+AC_MSG_RESULT($with_versioned_syms)
+
+if test "x$with_versioned_syms" != xno
+then
+	AC_SUBST(VERSIONED_SYMS)
+	case "x$MK_SHARED_LIB" in
+	*-Wl,*) #(vi
+		VERSIONED_SYMS="-Wl,--version-script,$with_versioned_syms"
+		MK_SHARED_LIB=`echo "$MK_SHARED_LIB" | sed -e "s%-Wl,%\\[$]{VERSIONED_SYMS} -Wl,%"`
+		CF_VERBOSE(MK_SHARED_LIB:  $MK_SHARED_LIB)
+		;;
+	*-dy*) #(vi
+		VERSIONED_SYMS="-Wl,-M,$with_versioned_syms"
+		MK_SHARED_LIB=`echo "$MK_SHARED_LIB" | sed -e "s%-dy%\\[$]{VERSIONED_SYMS} -dy%"`
+		CF_VERBOSE(MK_SHARED_LIB:  $MK_SHARED_LIB)
+		;;
+	*)
+		AC_MSG_WARN(this system does not support versioned-symbols)
+		;;
+	esac
+fi
+])dnl
+dnl ---------------------------------------------------------------------------
 dnl CF_XOPEN_SOURCE version: 48 updated: 2014/09/01 12:29:14
 dnl ---------------
 dnl Try to get _XOPEN_SOURCE defined properly that we can use POSIX functions,
Index: c++/Makefile.in
Prereq:  1.107 
--- ncurses-5.9-20141101+/c++/Makefile.in	2014-07-26 22:51:31.000000000 +0000
+++ ncurses-5.9-20141115/c++/Makefile.in	2014-11-15 00:46:17.000000000 +0000
@@ -1,4 +1,4 @@
-# $Id: Makefile.in,v 1.107 2014/07/26 22:51:31 tom Exp $
+# $Id: Makefile.in,v 1.108 2014/11/15 00:46:17 tom Exp $
 ##############################################################################
 # Copyright (c) 1998-2013,2014 Free Software Foundation, Inc.                #
 #                                                                            #
@@ -44,6 +44,7 @@
 
 MODEL		= ../@DFT_OBJ_SUBDIR@
 DESTDIR		= @DESTDIR@
+top_srcdir	= @top_srcdir@
 srcdir		= @srcdir@
 prefix		= @prefix@
 exec_prefix	= @exec_prefix@
@@ -54,7 +55,10 @@
 
 INCLUDEDIR	= $(DESTDIR)$(includedir)$(includesubdir)
 
+PACKAGE		= @PACKAGE@
+
 LIBTOOL		= @LIBTOOL_CXX@
+LIBTOOL_OPTS	= @LIBTOOL_OPTS@
 LIBTOOL_CLEAN	= @LIB_CLEAN@
 LIBTOOL_COMPILE	= @LIB_COMPILE@
 LIBTOOL_LINK	= @LIB_LINK@
Index: configure
--- ncurses-5.9-20141101+/configure	2014-10-25 00:22:06.000000000 +0000
+++ ncurses-5.9-20141115/configure	2014-11-15 23:46:14.000000000 +0000
@@ -1,5 +1,5 @@
 #! /bin/sh
-# From configure.in Revision: 1.587 .
+# From configure.in Revision: 1.590 .
 # Guess values for system-dependent variables and create Makefiles.
 # Generated by Autoconf 2.52.20121002.
 #
@@ -740,6 +740,9 @@
   --enable-rpath          use rpath option when generating shared libraries
   --disable-relink        relink shared libraries during install
   --with-shlib-version=X  Specify rel or abi version for shared libs
+  --with-libtool-opts=XXX specify additional libtool options
+  --with-export-syms=XXX  limit exported symbols using libtool
+  --with-versioned-syms=X markup versioned symbols using ld
   --disable-lib-suffixes  disable library suffixes
   --disable-rpath-hack    don't add rpath options for additional libraries
 Fine-Tuning Your Configuration:
@@ -1025,7 +1028,7 @@
 fi
 for ac_site_file in $CONFIG_SITE; do
   if test -r "$ac_site_file"; then
-    { echo "$as_me:1028: loading site script $ac_site_file" >&5
+    { echo "$as_me:1031: loading site script $ac_site_file" >&5
 echo "$as_me: loading site script $ac_site_file" >&6;}
     cat "$ac_site_file" >&5
     . "$ac_site_file"
@@ -1036,7 +1039,7 @@
   # Some versions of bash will fail to source /dev/null (special
   # files actually), so we avoid doing that.
   if test -f "$cache_file"; then
-    { echo "$as_me:1039: loading cache $cache_file" >&5
+    { echo "$as_me:1042: loading cache $cache_file" >&5
 echo "$as_me: loading cache $cache_file" >&6;}
     case $cache_file in
       [\\/]* | ?:[\\/]* ) . $cache_file;;
@@ -1044,7 +1047,7 @@
     esac
   fi
 else
-  { echo "$as_me:1047: creating cache $cache_file" >&5
+  { echo "$as_me:1050: creating cache $cache_file" >&5
 echo "$as_me: creating cache $cache_file" >&6;}
   >$cache_file
 fi
@@ -1060,21 +1063,21 @@
   eval ac_new_val="\$ac_env_${ac_var}_value"
   case $ac_old_set,$ac_new_set in
     set,)
-      { echo "$as_me:1063: error: \`$ac_var' was set to \`$ac_old_val' in the previous run" >&5
+      { echo "$as_me:1066: error: \`$ac_var' was set to \`$ac_old_val' in the previous run" >&5
 echo "$as_me: error: \`$ac_var' was set to \`$ac_old_val' in the previous run" >&2;}
       ac_cache_corrupted=: ;;
     ,set)
-      { echo "$as_me:1067: error: \`$ac_var' was not set in the previous run" >&5
+      { echo "$as_me:1070: error: \`$ac_var' was not set in the previous run" >&5
 echo "$as_me: error: \`$ac_var' was not set in the previous run" >&2;}
       ac_cache_corrupted=: ;;
     ,);;
     *)
       if test "x$ac_old_val" != "x$ac_new_val"; then
-        { echo "$as_me:1073: error: \`$ac_var' has changed since the previous run:" >&5
+        { echo "$as_me:1076: error: \`$ac_var' has changed since the previous run:" >&5
 echo "$as_me: error: \`$ac_var' has changed since the previous run:" >&2;}
-        { echo "$as_me:1075:   former value:  $ac_old_val" >&5
+        { echo "$as_me:1078:   former value:  $ac_old_val" >&5
 echo "$as_me:   former value:  $ac_old_val" >&2;}
-        { echo "$as_me:1077:   current value: $ac_new_val" >&5
+        { echo "$as_me:1080:   current value: $ac_new_val" >&5
 echo "$as_me:   current value: $ac_new_val" >&2;}
         ac_cache_corrupted=:
       fi;;
@@ -1093,9 +1096,9 @@
   fi
 done
 if $ac_cache_corrupted; then
-  { echo "$as_me:1096: error: changes in the environment can compromise the build" >&5
+  { echo "$as_me:1099: error: changes in the environment can compromise the build" >&5
 echo "$as_me: error: changes in the environment can compromise the build" >&2;}
-  { { echo "$as_me:1098: error: run \`make distclean' and/or \`rm $cache_file' and start over" >&5
+  { { echo "$as_me:1101: error: run \`make distclean' and/or \`rm $cache_file' and start over" >&5
 echo "$as_me: error: run \`make distclean' and/or \`rm $cache_file' and start over" >&2;}
    { (exit 1); exit 1; }; }
 fi
@@ -1116,10 +1119,10 @@
 echo "#! $SHELL" >conftest.sh
 echo  "exit 0"   >>conftest.sh
 chmod +x conftest.sh
-if { (echo "$as_me:1119: PATH=\".;.\"; conftest.sh") >&5
+if { (echo "$as_me:1122: PATH=\".;.\"; conftest.sh") >&5
   (PATH=".;."; conftest.sh) 2>&5
   ac_status=$?
-  echo "$as_me:1122: \$? = $ac_status" >&5
+  echo "$as_me:1125: \$? = $ac_status" >&5
   (exit $ac_status); }; then
   ac_path_separator=';'
 else
@@ -1132,7 +1135,7 @@
 
 top_builddir=`pwd`
 
-echo "$as_me:1135: checking for egrep" >&5
+echo "$as_me:1138: checking for egrep" >&5
 echo $ECHO_N "checking for egrep... $ECHO_C" >&6
 if test "${ac_cv_prog_egrep+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -1142,11 +1145,11 @@
     else ac_cv_prog_egrep='egrep'
     fi
 fi
-echo "$as_me:1145: result: $ac_cv_prog_egrep" >&5
+echo "$as_me:1148: result: $ac_cv_prog_egrep" >&5
 echo "${ECHO_T}$ac_cv_prog_egrep" >&6
  EGREP=$ac_cv_prog_egrep
 
-test -z "$EGREP" && { { echo "$as_me:1149: error: No egrep program found" >&5
+test -z "$EGREP" && { { echo "$as_me:1152: error: No egrep program found" >&5
 echo "$as_me: error: No egrep program found" >&2;}
    { (exit 1); exit 1; }; }
 
@@ -1156,15 +1159,99 @@
 cf_cv_abi_version=${NCURSES_MAJOR}
 cf_cv_rel_version=${NCURSES_MAJOR}.${NCURSES_MINOR}
 cf_cv_timestamp=`date`
-echo "$as_me:1159: result: Configuring NCURSES $cf_cv_rel_version ABI $cf_cv_abi_version ($cf_cv_timestamp)" >&5
+echo "$as_me:1162: result: Configuring NCURSES $cf_cv_rel_version ABI $cf_cv_abi_version ($cf_cv_timestamp)" >&5
 echo "${ECHO_T}Configuring NCURSES $cf_cv_rel_version ABI $cf_cv_abi_version ($cf_cv_timestamp)" >&6
 
+if test -f $srcdir/VERSION ; then
+	echo "$as_me:1166: checking for package version" >&5
+echo $ECHO_N "checking for package version... $ECHO_C" >&6
+
+	# if there are not enough fields, cut returns the last one...
+	cf_field1=`sed -e '2,$d' $srcdir/VERSION|cut -f1`
+	cf_field2=`sed -e '2,$d' $srcdir/VERSION|cut -f2`
+	cf_field3=`sed -e '2,$d' $srcdir/VERSION|cut -f3`
+
+	# this is how CF_BUNDLED_INTL uses $VERSION:
+	VERSION="$cf_field1"
+
+	VERSION_MAJOR=`echo "$cf_field2" | sed -e 's/\..*//'`
+	test -z "$VERSION_MAJOR" && { { echo "$as_me:1178: error: missing major-version" >&5
+echo "$as_me: error: missing major-version" >&2;}
+   { (exit 1); exit 1; }; }
+
+	VERSION_MINOR=`echo "$cf_field2" | sed -e 's/^[^.]*\.//' -e 's/-.*//'`
+	test -z "$VERSION_MINOR" && { { echo "$as_me:1183: error: missing minor-version" >&5
+echo "$as_me: error: missing minor-version" >&2;}
+   { (exit 1); exit 1; }; }
+
+	echo "$as_me:1187: result: ${VERSION_MAJOR}.${VERSION_MINOR}" >&5
+echo "${ECHO_T}${VERSION_MAJOR}.${VERSION_MINOR}" >&6
+
+	echo "$as_me:1190: checking for package patch date" >&5
+echo $ECHO_N "checking for package patch date... $ECHO_C" >&6
+	VERSION_PATCH=`echo "$cf_field3" | sed -e 's/^[^-]*-//'`
+	case .$VERSION_PATCH in
+	.)
+		{ { echo "$as_me:1195: error: missing patch-date $VERSION_PATCH" >&5
+echo "$as_me: error: missing patch-date $VERSION_PATCH" >&2;}
+   { (exit 1); exit 1; }; }
+		;;
+	.[0-9][0-9][0-9][0-9][0-9][0-9][0-9][0-9])
+		;;
+	*)
+		{ { echo "$as_me:1202: error: illegal patch-date $VERSION_PATCH" >&5
+echo "$as_me: error: illegal patch-date $VERSION_PATCH" >&2;}
+   { (exit 1); exit 1; }; }
+		;;
+	esac
+	echo "$as_me:1207: result: $VERSION_PATCH" >&5
+echo "${ECHO_T}$VERSION_PATCH" >&6
+else
+	{ { echo "$as_me:1210: error: did not find $srcdir/VERSION" >&5
+echo "$as_me: error: did not find $srcdir/VERSION" >&2;}
+   { (exit 1); exit 1; }; }
+fi
+
+# show the actual data that we have for versions:
+test -n "$verbose" && echo "	ABI VERSION $VERSION" 1>&6
+
+echo "${as_me:-configure}:1218: testing ABI VERSION $VERSION ..." 1>&5
+
+test -n "$verbose" && echo "	VERSION_MAJOR $VERSION_MAJOR" 1>&6
+
+echo "${as_me:-configure}:1222: testing VERSION_MAJOR $VERSION_MAJOR ..." 1>&5
+
+test -n "$verbose" && echo "	VERSION_MINOR $VERSION_MINOR" 1>&6
+
+echo "${as_me:-configure}:1226: testing VERSION_MINOR $VERSION_MINOR ..." 1>&5
+
+test -n "$verbose" && echo "	VERSION_PATCH $VERSION_PATCH" 1>&6
+
+echo "${as_me:-configure}:1230: testing VERSION_PATCH $VERSION_PATCH ..." 1>&5
+
+	cf_PACKAGE=NCURSES
+	PACKAGE=ncurses
+
+cat >>confdefs.h <<EOF
+#define PACKAGE "$PACKAGE"
+EOF
+
+cf_PACKAGE=`echo "$cf_PACKAGE" | sed y%abcdefghijklmnopqrstuvwxyz./-%ABCDEFGHIJKLMNOPQRSTUVWXYZ___%`
+
+	cat >>confdefs.h <<EOF
+#define ${cf_PACKAGE}_VERSION "${VERSION_MAJOR}.${VERSION_MINOR}"
+EOF
+
+	cat >>confdefs.h <<EOF
+#define ${cf_PACKAGE}_PATCHDATE ${VERSION_PATCH}
+EOF
+
 test -z "$cf_cv_rel_version" && cf_cv_rel_version=0.0
 
 # Check whether --with-rel-version or --without-rel-version was given.
 if test "${with_rel_version+set}" = set; then
   withval="$with_rel_version"
-  { echo "$as_me:1167: WARNING: overriding release version $cf_cv_rel_version to $withval" >&5
+  { echo "$as_me:1254: WARNING: overriding release version $cf_cv_rel_version to $withval" >&5
 echo "$as_me: WARNING: overriding release version $cf_cv_rel_version to $withval" >&2;}
  cf_cv_rel_version=$withval
 fi;
@@ -1177,13 +1264,13 @@
   [0-9]*) #(vi
  	;;
   *)
-	{ { echo "$as_me:1180: error: Release major-version is not a number: $NCURSES_MAJOR" >&5
+	{ { echo "$as_me:1267: error: Release major-version is not a number: $NCURSES_MAJOR" >&5
 echo "$as_me: error: Release major-version is not a number: $NCURSES_MAJOR" >&2;}
    { (exit 1); exit 1; }; }
  	;;
   esac
 else
-  { { echo "$as_me:1186: error: Release major-version value is empty" >&5
+  { { echo "$as_me:1273: error: Release major-version value is empty" >&5
 echo "$as_me: error: Release major-version value is empty" >&2;}
    { (exit 1); exit 1; }; }
 fi
@@ -1193,13 +1280,13 @@
   [0-9]*) #(vi
  	;;
   *)
-	{ { echo "$as_me:1196: error: Release minor-version is not a number: $NCURSES_MINOR" >&5
+	{ { echo "$as_me:1283: error: Release minor-version is not a number: $NCURSES_MINOR" >&5
 echo "$as_me: error: Release minor-version is not a number: $NCURSES_MINOR" >&2;}
    { (exit 1); exit 1; }; }
  	;;
   esac
 else
-  { { echo "$as_me:1202: error: Release minor-version value is empty" >&5
+  { { echo "$as_me:1289: error: Release minor-version value is empty" >&5
 echo "$as_me: error: Release minor-version value is empty" >&2;}
    { (exit 1); exit 1; }; }
 fi
@@ -1209,7 +1296,7 @@
 # Check whether --with-abi-version or --without-abi-version was given.
 if test "${with_abi_version+set}" = set; then
   withval="$with_abi_version"
-  { echo "$as_me:1212: WARNING: overriding ABI version $cf_cv_abi_version to $withval" >&5
+  { echo "$as_me:1299: WARNING: overriding ABI version $cf_cv_abi_version to $withval" >&5
 echo "$as_me: WARNING: overriding ABI version $cf_cv_abi_version to $withval" >&2;}
  cf_cv_abi_version=$withval
 fi;
@@ -1219,13 +1306,13 @@
   [0-9]*) #(vi
  	;;
   *)
-	{ { echo "$as_me:1222: error: ABI version is not a number: $cf_cv_abi_version" >&5
+	{ { echo "$as_me:1309: error: ABI version is not a number: $cf_cv_abi_version" >&5
 echo "$as_me: error: ABI version is not a number: $cf_cv_abi_version" >&2;}
    { (exit 1); exit 1; }; }
  	;;
   esac
 else
-  { { echo "$as_me:1228: error: ABI version value is empty" >&5
+  { { echo "$as_me:1315: error: ABI version value is empty" >&5
 echo "$as_me: error: ABI version value is empty" >&2;}
    { (exit 1); exit 1; }; }
 fi
@@ -1247,7 +1334,7 @@
   fi
 done
 if test -z "$ac_aux_dir"; then
-  { { echo "$as_me:1250: error: cannot find install-sh or install.sh in $srcdir $srcdir/.. $srcdir/../.." >&5
+  { { echo "$as_me:1337: error: cannot find install-sh or install.sh in $srcdir $srcdir/.. $srcdir/../.." >&5
 echo "$as_me: error: cannot find install-sh or install.sh in $srcdir $srcdir/.. $srcdir/../.." >&2;}
    { (exit 1); exit 1; }; }
 fi
@@ -1257,11 +1344,11 @@
 
 # Make sure we can run config.sub.
 $ac_config_sub sun4 >/dev/null 2>&1 ||
-  { { echo "$as_me:1260: error: cannot run $ac_config_sub" >&5
+  { { echo "$as_me:1347: error: cannot run $ac_config_sub" >&5
 echo "$as_me: error: cannot run $ac_config_sub" >&2;}
    { (exit 1); exit 1; }; }
 
-echo "$as_me:1264: checking build system type" >&5
+echo "$as_me:1351: checking build system type" >&5
 echo $ECHO_N "checking build system type... $ECHO_C" >&6
 if test "${ac_cv_build+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -1270,23 +1357,23 @@
 test -z "$ac_cv_build_alias" &&
   ac_cv_build_alias=`$ac_config_guess`
 test -z "$ac_cv_build_alias" &&
-  { { echo "$as_me:1273: error: cannot guess build type; you must specify one" >&5
+  { { echo "$as_me:1360: error: cannot guess build type; you must specify one" >&5
 echo "$as_me: error: cannot guess build type; you must specify one" >&2;}
    { (exit 1); exit 1; }; }
 ac_cv_build=`$ac_config_sub $ac_cv_build_alias` ||
-  { { echo "$as_me:1277: error: $ac_config_sub $ac_cv_build_alias failed." >&5
+  { { echo "$as_me:1364: error: $ac_config_sub $ac_cv_build_alias failed." >&5
 echo "$as_me: error: $ac_config_sub $ac_cv_build_alias failed." >&2;}
    { (exit 1); exit 1; }; }
 
 fi
-echo "$as_me:1282: result: $ac_cv_build" >&5
+echo "$as_me:1369: result: $ac_cv_build" >&5
 echo "${ECHO_T}$ac_cv_build" >&6
 build=$ac_cv_build
 build_cpu=`echo $ac_cv_build | sed 's/^\([^-]*\)-\([^-]*\)-\(.*\)$/\1/'`
 build_vendor=`echo $ac_cv_build | sed 's/^\([^-]*\)-\([^-]*\)-\(.*\)$/\2/'`
 build_os=`echo $ac_cv_build | sed 's/^\([^-]*\)-\([^-]*\)-\(.*\)$/\3/'`
 
-echo "$as_me:1289: checking host system type" >&5
+echo "$as_me:1376: checking host system type" >&5
 echo $ECHO_N "checking host system type... $ECHO_C" >&6
 if test "${ac_cv_host+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -1295,12 +1382,12 @@
 test -z "$ac_cv_host_alias" &&
   ac_cv_host_alias=$ac_cv_build_alias
 ac_cv_host=`$ac_config_sub $ac_cv_host_alias` ||
-  { { echo "$as_me:1298: error: $ac_config_sub $ac_cv_host_alias failed" >&5
+  { { echo "$as_me:1385: error: $ac_config_sub $ac_cv_host_alias failed" >&5
 echo "$as_me: error: $ac_config_sub $ac_cv_host_alias failed" >&2;}
    { (exit 1); exit 1; }; }
 
 fi
-echo "$as_me:1303: result: $ac_cv_host" >&5
+echo "$as_me:1390: result: $ac_cv_host" >&5
 echo "${ECHO_T}$ac_cv_host" >&6
 host=$ac_cv_host
 host_cpu=`echo $ac_cv_host | sed 's/^\([^-]*\)-\([^-]*\)-\(.*\)$/\1/'`
@@ -1308,7 +1395,7 @@
 host_os=`echo $ac_cv_host | sed 's/^\([^-]*\)-\([^-]*\)-\(.*\)$/\3/'`
 
 if test -f $srcdir/config.guess || test -f $ac_aux_dir/config.guess ; then
-	echo "$as_me:1311: checking target system type" >&5
+	echo "$as_me:1398: checking target system type" >&5
 echo $ECHO_N "checking target system type... $ECHO_C" >&6
 if test "${ac_cv_target+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -1317,12 +1404,12 @@
 test "x$ac_cv_target_alias" = "x" &&
   ac_cv_target_alias=$ac_cv_host_alias
 ac_cv_target=`$ac_config_sub $ac_cv_target_alias` ||
-  { { echo "$as_me:1320: error: $ac_config_sub $ac_cv_target_alias failed" >&5
+  { { echo "$as_me:1407: error: $ac_config_sub $ac_cv_target_alias failed" >&5
 echo "$as_me: error: $ac_config_sub $ac_cv_target_alias failed" >&2;}
    { (exit 1); exit 1; }; }
 
 fi
-echo "$as_me:1325: result: $ac_cv_target" >&5
+echo "$as_me:1412: result: $ac_cv_target" >&5
 echo "${ECHO_T}$ac_cv_target" >&6
 target=$ac_cv_target
 target_cpu=`echo $ac_cv_target | sed 's/^\([^-]*\)-\([^-]*\)-\(.*\)$/\1/'`
@@ -1354,13 +1441,13 @@
 fi
 
 test -z "$system_name" && system_name="$cf_cv_system_name"
-test -n "$cf_cv_system_name" && echo "$as_me:1357: result: Configuring for $cf_cv_system_name" >&5
+test -n "$cf_cv_system_name" && echo "$as_me:1444: result: Configuring for $cf_cv_system_name" >&5
 echo "${ECHO_T}Configuring for $cf_cv_system_name" >&6
 
 if test ".$system_name" != ".$cf_cv_system_name" ; then
-	echo "$as_me:1361: result: Cached system name ($system_name) does not agree with actual ($cf_cv_system_name)" >&5
+	echo "$as_me:1448: result: Cached system name ($system_name) does not agree with actual ($cf_cv_system_name)" >&5
 echo "${ECHO_T}Cached system name ($system_name) does not agree with actual ($cf_cv_system_name)" >&6
-	{ { echo "$as_me:1363: error: \"Please remove config.cache and try again.\"" >&5
+	{ { echo "$as_me:1450: error: \"Please remove config.cache and try again.\"" >&5
 echo "$as_me: error: \"Please remove config.cache and try again.\"" >&2;}
    { (exit 1); exit 1; }; }
 fi
@@ -1368,7 +1455,7 @@
 # Check whether --with-system-type or --without-system-type was given.
 if test "${with_system_type+set}" = set; then
   withval="$with_system_type"
-  { echo "$as_me:1371: WARNING: overriding system type to $withval" >&5
+  { echo "$as_me:1458: WARNING: overriding system type to $withval" >&5
 echo "$as_me: WARNING: overriding system type to $withval" >&2;}
 	cf_cv_system_name=$withval
 	host_os=$withval
@@ -1380,7 +1467,7 @@
 
 ###	Default install-location
 
-echo "$as_me:1383: checking for prefix" >&5
+echo "$as_me:1470: checking for prefix" >&5
 echo $ECHO_N "checking for prefix... $ECHO_C" >&6
 if test "x$prefix" = "xNONE" ; then
 	case "$cf_cv_system_name" in
@@ -1392,11 +1479,11 @@
 		;;
 	esac
 fi
-echo "$as_me:1395: result: $prefix" >&5
+echo "$as_me:1482: result: $prefix" >&5
 echo "${ECHO_T}$prefix" >&6
 
 if test "x$prefix" = "xNONE" ; then
-echo "$as_me:1399: checking for default include-directory" >&5
+echo "$as_me:1486: checking for default include-directory" >&5
 echo $ECHO_N "checking for default include-directory... $ECHO_C" >&6
 test -n "$verbose" && echo 1>&6
 for cf_symbol in \
@@ -1419,7 +1506,7 @@
 	fi
 	test -n "$verbose"  && echo "	tested $cf_dir" 1>&6
 done
-echo "$as_me:1422: result: $includedir" >&5
+echo "$as_me:1509: result: $includedir" >&5
 echo "${ECHO_T}$includedir" >&6
 fi
 
@@ -1450,7 +1537,7 @@
   do
     # Extract the first word of "$ac_tool_prefix$ac_prog", so it can be a program name with args.
 set dummy $ac_tool_prefix$ac_prog; ac_word=$2
-echo "$as_me:1453: checking for $ac_word" >&5
+echo "$as_me:1540: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_prog_CC+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -1465,7 +1552,7 @@
   test -z "$ac_dir" && ac_dir=.
   $as_executable_p "$ac_dir/$ac_word" || continue
 ac_cv_prog_CC="$ac_tool_prefix$ac_prog"
-echo "$as_me:1468: found $ac_dir/$ac_word" >&5
+echo "$as_me:1555: found $ac_dir/$ac_word" >&5
 break
 done
 
@@ -1473,10 +1560,10 @@
 fi
 CC=$ac_cv_prog_CC
 if test -n "$CC"; then
-  echo "$as_me:1476: result: $CC" >&5
+  echo "$as_me:1563: result: $CC" >&5
 echo "${ECHO_T}$CC" >&6
 else
-  echo "$as_me:1479: result: no" >&5
+  echo "$as_me:1566: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -1489,7 +1576,7 @@
 do
   # Extract the first word of "$ac_prog", so it can be a program name with args.
 set dummy $ac_prog; ac_word=$2
-echo "$as_me:1492: checking for $ac_word" >&5
+echo "$as_me:1579: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_prog_ac_ct_CC+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -1504,7 +1591,7 @@
   test -z "$ac_dir" && ac_dir=.
   $as_executable_p "$ac_dir/$ac_word" || continue
 ac_cv_prog_ac_ct_CC="$ac_prog"
-echo "$as_me:1507: found $ac_dir/$ac_word" >&5
+echo "$as_me:1594: found $ac_dir/$ac_word" >&5
 break
 done
 
@@ -1512,10 +1599,10 @@
 fi
 ac_ct_CC=$ac_cv_prog_ac_ct_CC
 if test -n "$ac_ct_CC"; then
-  echo "$as_me:1515: result: $ac_ct_CC" >&5
+  echo "$as_me:1602: result: $ac_ct_CC" >&5
 echo "${ECHO_T}$ac_ct_CC" >&6
 else
-  echo "$as_me:1518: result: no" >&5
+  echo "$as_me:1605: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -1525,32 +1612,32 @@
   CC=$ac_ct_CC
 fi
 
-test -z "$CC" && { { echo "$as_me:1528: error: no acceptable cc found in \$PATH" >&5
+test -z "$CC" && { { echo "$as_me:1615: error: no acceptable cc found in \$PATH" >&5
 echo "$as_me: error: no acceptable cc found in \$PATH" >&2;}
    { (exit 1); exit 1; }; }
 
 # Provide some information about the compiler.
-echo "$as_me:1533:" \
+echo "$as_me:1620:" \
      "checking for C compiler version" >&5
 ac_compiler=`set X $ac_compile; echo $2`
-{ (eval echo "$as_me:1536: \"$ac_compiler --version </dev/null >&5\"") >&5
+{ (eval echo "$as_me:1623: \"$ac_compiler --version </dev/null >&5\"") >&5
   (eval $ac_compiler --version </dev/null >&5) 2>&5
   ac_status=$?
-  echo "$as_me:1539: \$? = $ac_status" >&5
+  echo "$as_me:1626: \$? = $ac_status" >&5
   (exit $ac_status); }
-{ (eval echo "$as_me:1541: \"$ac_compiler -v </dev/null >&5\"") >&5
+{ (eval echo "$as_me:1628: \"$ac_compiler -v </dev/null >&5\"") >&5
   (eval $ac_compiler -v </dev/null >&5) 2>&5
   ac_status=$?
-  echo "$as_me:1544: \$? = $ac_status" >&5
+  echo "$as_me:1631: \$? = $ac_status" >&5
   (exit $ac_status); }
-{ (eval echo "$as_me:1546: \"$ac_compiler -V </dev/null >&5\"") >&5
+{ (eval echo "$as_me:1633: \"$ac_compiler -V </dev/null >&5\"") >&5
   (eval $ac_compiler -V </dev/null >&5) 2>&5
   ac_status=$?
-  echo "$as_me:1549: \$? = $ac_status" >&5
+  echo "$as_me:1636: \$? = $ac_status" >&5
   (exit $ac_status); }
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 1553 "configure"
+#line 1640 "configure"
 #include "confdefs.h"
 
 int
@@ -1566,13 +1653,13 @@
 # Try to create an executable without -o first, disregard a.out.
 # It will help us diagnose broken compilers, and finding out an intuition
 # of exeext.
-echo "$as_me:1569: checking for C compiler default output" >&5
+echo "$as_me:1656: checking for C compiler default output" >&5
 echo $ECHO_N "checking for C compiler default output... $ECHO_C" >&6
 ac_link_default=`echo "$ac_link" | sed 's/ -o *conftest[^ ]*//'`
-if { (eval echo "$as_me:1572: \"$ac_link_default\"") >&5
+if { (eval echo "$as_me:1659: \"$ac_link_default\"") >&5
   (eval $ac_link_default) 2>&5
   ac_status=$?
-  echo "$as_me:1575: \$? = $ac_status" >&5
+  echo "$as_me:1662: \$? = $ac_status" >&5
   (exit $ac_status); }; then
   # Find the output, starting from the most likely.  This scheme is
 # not robust to junk in `.', hence go to wildcards (a.*) only as a last
@@ -1595,34 +1682,34 @@
 else
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
-{ { echo "$as_me:1598: error: C compiler cannot create executables" >&5
+{ { echo "$as_me:1685: error: C compiler cannot create executables" >&5
 echo "$as_me: error: C compiler cannot create executables" >&2;}
    { (exit 77); exit 77; }; }
 fi
 
 ac_exeext=$ac_cv_exeext
-echo "$as_me:1604: result: $ac_file" >&5
+echo "$as_me:1691: result: $ac_file" >&5
 echo "${ECHO_T}$ac_file" >&6
 
 # Check the compiler produces executables we can run.  If not, either
 # the compiler is broken, or we cross compile.
-echo "$as_me:1609: checking whether the C compiler works" >&5
+echo "$as_me:1696: checking whether the C compiler works" >&5
 echo $ECHO_N "checking whether the C compiler works... $ECHO_C" >&6
 # FIXME: These cross compiler hacks should be removed for Autoconf 3.0
 # If not cross compiling, check that we can run a simple program.
 if test "$cross_compiling" != yes; then
   if { ac_try='./$ac_file'
-  { (eval echo "$as_me:1615: \"$ac_try\"") >&5
+  { (eval echo "$as_me:1702: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:1618: \$? = $ac_status" >&5
+  echo "$as_me:1705: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
     cross_compiling=no
   else
     if test "$cross_compiling" = maybe; then
 	cross_compiling=yes
     else
-	{ { echo "$as_me:1625: error: cannot run C compiled programs.
+	{ { echo "$as_me:1712: error: cannot run C compiled programs.
 If you meant to cross compile, use \`--host'." >&5
 echo "$as_me: error: cannot run C compiled programs.
 If you meant to cross compile, use \`--host'." >&2;}
@@ -1630,24 +1717,24 @@
     fi
   fi
 fi
-echo "$as_me:1633: result: yes" >&5
+echo "$as_me:1720: result: yes" >&5
 echo "${ECHO_T}yes" >&6
 
 rm -f a.out a.exe conftest$ac_cv_exeext
 ac_clean_files=$ac_clean_files_save
 # Check the compiler produces executables we can run.  If not, either
 # the compiler is broken, or we cross compile.
-echo "$as_me:1640: checking whether we are cross compiling" >&5
+echo "$as_me:1727: checking whether we are cross compiling" >&5
 echo $ECHO_N "checking whether we are cross compiling... $ECHO_C" >&6
-echo "$as_me:1642: result: $cross_compiling" >&5
+echo "$as_me:1729: result: $cross_compiling" >&5
 echo "${ECHO_T}$cross_compiling" >&6
 
-echo "$as_me:1645: checking for executable suffix" >&5
+echo "$as_me:1732: checking for executable suffix" >&5
 echo $ECHO_N "checking for executable suffix... $ECHO_C" >&6
-if { (eval echo "$as_me:1647: \"$ac_link\"") >&5
+if { (eval echo "$as_me:1734: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:1650: \$? = $ac_status" >&5
+  echo "$as_me:1737: \$? = $ac_status" >&5
   (exit $ac_status); }; then
   # If both `conftest.exe' and `conftest' are `present' (well, observable)
 # catch `conftest.exe'.  For instance with Cygwin, `ls conftest' will
@@ -1663,25 +1750,25 @@
   esac
 done
 else
-  { { echo "$as_me:1666: error: cannot compute EXEEXT: cannot compile and link" >&5
+  { { echo "$as_me:1753: error: cannot compute EXEEXT: cannot compile and link" >&5
 echo "$as_me: error: cannot compute EXEEXT: cannot compile and link" >&2;}
    { (exit 1); exit 1; }; }
 fi
 
 rm -f conftest$ac_cv_exeext
-echo "$as_me:1672: result: $ac_cv_exeext" >&5
+echo "$as_me:1759: result: $ac_cv_exeext" >&5
 echo "${ECHO_T}$ac_cv_exeext" >&6
 
 rm -f conftest.$ac_ext
 EXEEXT=$ac_cv_exeext
 ac_exeext=$EXEEXT
-echo "$as_me:1678: checking for object suffix" >&5
+echo "$as_me:1765: checking for object suffix" >&5
 echo $ECHO_N "checking for object suffix... $ECHO_C" >&6
 if test "${ac_cv_objext+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 1684 "configure"
+#line 1771 "configure"
 #include "confdefs.h"
 
 int
@@ -1693,10 +1780,10 @@
 }
 _ACEOF
 rm -f conftest.o conftest.obj
-if { (eval echo "$as_me:1696: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:1783: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:1699: \$? = $ac_status" >&5
+  echo "$as_me:1786: \$? = $ac_status" >&5
   (exit $ac_status); }; then
   for ac_file in `(ls conftest.o conftest.obj; ls conftest.*) 2>/dev/null`; do
   case $ac_file in
@@ -1708,24 +1795,24 @@
 else
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
-{ { echo "$as_me:1711: error: cannot compute OBJEXT: cannot compile" >&5
+{ { echo "$as_me:1798: error: cannot compute OBJEXT: cannot compile" >&5
 echo "$as_me: error: cannot compute OBJEXT: cannot compile" >&2;}
    { (exit 1); exit 1; }; }
 fi
 
 rm -f conftest.$ac_cv_objext conftest.$ac_ext
 fi
-echo "$as_me:1718: result: $ac_cv_objext" >&5
+echo "$as_me:1805: result: $ac_cv_objext" >&5
 echo "${ECHO_T}$ac_cv_objext" >&6
 OBJEXT=$ac_cv_objext
 ac_objext=$OBJEXT
-echo "$as_me:1722: checking whether we are using the GNU C compiler" >&5
+echo "$as_me:1809: checking whether we are using the GNU C compiler" >&5
 echo $ECHO_N "checking whether we are using the GNU C compiler... $ECHO_C" >&6
 if test "${ac_cv_c_compiler_gnu+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 1728 "configure"
+#line 1815 "configure"
 #include "confdefs.h"
 
 int
@@ -1740,16 +1827,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:1743: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:1830: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:1746: \$? = $ac_status" >&5
+  echo "$as_me:1833: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:1749: \"$ac_try\"") >&5
+  { (eval echo "$as_me:1836: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:1752: \$? = $ac_status" >&5
+  echo "$as_me:1839: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_compiler_gnu=yes
 else
@@ -1761,19 +1848,19 @@
 ac_cv_c_compiler_gnu=$ac_compiler_gnu
 
 fi
-echo "$as_me:1764: result: $ac_cv_c_compiler_gnu" >&5
+echo "$as_me:1851: result: $ac_cv_c_compiler_gnu" >&5
 echo "${ECHO_T}$ac_cv_c_compiler_gnu" >&6
 GCC=`test $ac_compiler_gnu = yes && echo yes`
 ac_test_CFLAGS=${CFLAGS+set}
 ac_save_CFLAGS=$CFLAGS
 CFLAGS="-g"
-echo "$as_me:1770: checking whether $CC accepts -g" >&5
+echo "$as_me:1857: checking whether $CC accepts -g" >&5
 echo $ECHO_N "checking whether $CC accepts -g... $ECHO_C" >&6
 if test "${ac_cv_prog_cc_g+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 1776 "configure"
+#line 1863 "configure"
 #include "confdefs.h"
 
 int
@@ -1785,16 +1872,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:1788: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:1875: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:1791: \$? = $ac_status" >&5
+  echo "$as_me:1878: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:1794: \"$ac_try\"") >&5
+  { (eval echo "$as_me:1881: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:1797: \$? = $ac_status" >&5
+  echo "$as_me:1884: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_prog_cc_g=yes
 else
@@ -1804,7 +1891,7 @@
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 fi
-echo "$as_me:1807: result: $ac_cv_prog_cc_g" >&5
+echo "$as_me:1894: result: $ac_cv_prog_cc_g" >&5
 echo "${ECHO_T}$ac_cv_prog_cc_g" >&6
 if test "$ac_test_CFLAGS" = set; then
   CFLAGS=$ac_save_CFLAGS
@@ -1831,16 +1918,16 @@
 #endif
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:1834: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:1921: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:1837: \$? = $ac_status" >&5
+  echo "$as_me:1924: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:1840: \"$ac_try\"") >&5
+  { (eval echo "$as_me:1927: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:1843: \$? = $ac_status" >&5
+  echo "$as_me:1930: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   for ac_declaration in \
    ''\
@@ -1852,7 +1939,7 @@
    'void exit (int);'
 do
   cat >conftest.$ac_ext <<_ACEOF
-#line 1855 "configure"
+#line 1942 "configure"
 #include "confdefs.h"
 #include <stdlib.h>
 $ac_declaration
@@ -1865,16 +1952,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:1868: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:1955: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:1871: \$? = $ac_status" >&5
+  echo "$as_me:1958: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:1874: \"$ac_try\"") >&5
+  { (eval echo "$as_me:1961: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:1877: \$? = $ac_status" >&5
+  echo "$as_me:1964: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   :
 else
@@ -1884,7 +1971,7 @@
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
   cat >conftest.$ac_ext <<_ACEOF
-#line 1887 "configure"
+#line 1974 "configure"
 #include "confdefs.h"
 $ac_declaration
 int
@@ -1896,16 +1983,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:1899: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:1986: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:1902: \$? = $ac_status" >&5
+  echo "$as_me:1989: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:1905: \"$ac_try\"") >&5
+  { (eval echo "$as_me:1992: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:1908: \$? = $ac_status" >&5
+  echo "$as_me:1995: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   break
 else
@@ -1935,15 +2022,15 @@
 
 GCC_VERSION=none
 if test "$GCC" = yes ; then
-	echo "$as_me:1938: checking version of $CC" >&5
+	echo "$as_me:2025: checking version of $CC" >&5
 echo $ECHO_N "checking version of $CC... $ECHO_C" >&6
 	GCC_VERSION="`${CC} --version 2>/dev/null | sed -e '2,$d' -e 's/^.*(GCC[^)]*) //' -e 's/^.*(Debian[^)]*) //' -e 's/^[^0-9.]*//' -e 's/[^0-9.].*//'`"
 	test -z "$GCC_VERSION" && GCC_VERSION=unknown
-	echo "$as_me:1942: result: $GCC_VERSION" >&5
+	echo "$as_me:2029: result: $GCC_VERSION" >&5
 echo "${ECHO_T}$GCC_VERSION" >&6
 fi
 
-echo "$as_me:1946: checking for $CC option to accept ANSI C" >&5
+echo "$as_me:2033: checking for $CC option to accept ANSI C" >&5
 echo $ECHO_N "checking for $CC option to accept ANSI C... $ECHO_C" >&6
 if test "${ac_cv_prog_cc_stdc+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -1951,7 +2038,7 @@
   ac_cv_prog_cc_stdc=no
 ac_save_CC=$CC
 cat >conftest.$ac_ext <<_ACEOF
-#line 1954 "configure"
+#line 2041 "configure"
 #include "confdefs.h"
 #include <stdarg.h>
 #include <stdio.h>
@@ -2000,16 +2087,16 @@
 do
   CC="$ac_save_CC $ac_arg"
   rm -f conftest.$ac_objext
-if { (eval echo "$as_me:2003: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:2090: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:2006: \$? = $ac_status" >&5
+  echo "$as_me:2093: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:2009: \"$ac_try\"") >&5
+  { (eval echo "$as_me:2096: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:2012: \$? = $ac_status" >&5
+  echo "$as_me:2099: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_prog_cc_stdc=$ac_arg
 break
@@ -2026,10 +2113,10 @@
 
 case "x$ac_cv_prog_cc_stdc" in
   x|xno)
-    echo "$as_me:2029: result: none needed" >&5
+    echo "$as_me:2116: result: none needed" >&5
 echo "${ECHO_T}none needed" >&6 ;;
   *)
-    echo "$as_me:2032: result: $ac_cv_prog_cc_stdc" >&5
+    echo "$as_me:2119: result: $ac_cv_prog_cc_stdc" >&5
 echo "${ECHO_T}$ac_cv_prog_cc_stdc" >&6
     CC="$CC $ac_cv_prog_cc_stdc" ;;
 esac
@@ -2037,13 +2124,13 @@
 # This should have been defined by AC_PROG_CC
 : ${CC:=cc}
 
-echo "$as_me:2040: checking \$CC variable" >&5
+echo "$as_me:2127: checking \$CC variable" >&5
 echo $ECHO_N "checking \$CC variable... $ECHO_C" >&6
 case "$CC" in #(vi
 *[\ \	]-[IUD]*)
-	echo "$as_me:2044: result: broken" >&5
+	echo "$as_me:2131: result: broken" >&5
 echo "${ECHO_T}broken" >&6
-	{ echo "$as_me:2046: WARNING: your environment misuses the CC variable to hold CFLAGS/CPPFLAGS options" >&5
+	{ echo "$as_me:2133: WARNING: your environment misuses the CC variable to hold CFLAGS/CPPFLAGS options" >&5
 echo "$as_me: WARNING: your environment misuses the CC variable to hold CFLAGS/CPPFLAGS options" >&2;}
 	# humor him...
 	cf_flags=`echo "$CC" | sed -e 's/^[^ 	]*[ 	]//'`
@@ -2129,7 +2216,7 @@
 
 	;;
 *)
-	echo "$as_me:2132: result: ok" >&5
+	echo "$as_me:2219: result: ok" >&5
 echo "${ECHO_T}ok" >&6
 	;;
 esac
@@ -2140,7 +2227,7 @@
 ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
 ac_compiler_gnu=$ac_cv_c_compiler_gnu
 ac_main_return=return
-echo "$as_me:2143: checking how to run the C preprocessor" >&5
+echo "$as_me:2230: checking how to run the C preprocessor" >&5
 echo $ECHO_N "checking how to run the C preprocessor... $ECHO_C" >&6
 # On Suns, sometimes $CPP names a directory.
 if test -n "$CPP" && test -d "$CPP"; then
@@ -2161,18 +2248,18 @@
   # On the NeXT, cc -E runs the code through the compiler's parser,
   # not just through cpp. "Syntax error" is here to catch this case.
   cat >conftest.$ac_ext <<_ACEOF
-#line 2164 "configure"
+#line 2251 "configure"
 #include "confdefs.h"
 #include <assert.h>
                      Syntax error
 _ACEOF
-if { (eval echo "$as_me:2169: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:2256: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:2175: \$? = $ac_status" >&5
+  echo "$as_me:2262: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_c_preproc_warn_flag
@@ -2195,17 +2282,17 @@
   # OK, works on sane cases.  Now check whether non-existent headers
   # can be detected and how.
   cat >conftest.$ac_ext <<_ACEOF
-#line 2198 "configure"
+#line 2285 "configure"
 #include "confdefs.h"
 #include <ac_nonexistent.h>
 _ACEOF
-if { (eval echo "$as_me:2202: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:2289: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:2208: \$? = $ac_status" >&5
+  echo "$as_me:2295: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_c_preproc_warn_flag
@@ -2242,7 +2329,7 @@
 else
   ac_cv_prog_CPP=$CPP
 fi
-echo "$as_me:2245: result: $CPP" >&5
+echo "$as_me:2332: result: $CPP" >&5
 echo "${ECHO_T}$CPP" >&6
 ac_preproc_ok=false
 for ac_c_preproc_warn_flag in '' yes
@@ -2252,18 +2339,18 @@
   # On the NeXT, cc -E runs the code through the compiler's parser,
   # not just through cpp. "Syntax error" is here to catch this case.
   cat >conftest.$ac_ext <<_ACEOF
-#line 2255 "configure"
+#line 2342 "configure"
 #include "confdefs.h"
 #include <assert.h>
                      Syntax error
 _ACEOF
-if { (eval echo "$as_me:2260: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:2347: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:2266: \$? = $ac_status" >&5
+  echo "$as_me:2353: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_c_preproc_warn_flag
@@ -2286,17 +2373,17 @@
   # OK, works on sane cases.  Now check whether non-existent headers
   # can be detected and how.
   cat >conftest.$ac_ext <<_ACEOF
-#line 2289 "configure"
+#line 2376 "configure"
 #include "confdefs.h"
 #include <ac_nonexistent.h>
 _ACEOF
-if { (eval echo "$as_me:2293: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:2380: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:2299: \$? = $ac_status" >&5
+  echo "$as_me:2386: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_c_preproc_warn_flag
@@ -2324,7 +2411,7 @@
 if $ac_preproc_ok; then
   :
 else
-  { { echo "$as_me:2327: error: C preprocessor \"$CPP\" fails sanity check" >&5
+  { { echo "$as_me:2414: error: C preprocessor \"$CPP\" fails sanity check" >&5
 echo "$as_me: error: C preprocessor \"$CPP\" fails sanity check" >&2;}
    { (exit 1); exit 1; }; }
 fi
@@ -2337,14 +2424,14 @@
 ac_main_return=return
 
 if test $ac_cv_c_compiler_gnu = yes; then
-    echo "$as_me:2340: checking whether $CC needs -traditional" >&5
+    echo "$as_me:2427: checking whether $CC needs -traditional" >&5
 echo $ECHO_N "checking whether $CC needs -traditional... $ECHO_C" >&6
 if test "${ac_cv_prog_gcc_traditional+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
     ac_pattern="Autoconf.*'x'"
   cat >conftest.$ac_ext <<_ACEOF
-#line 2347 "configure"
+#line 2434 "configure"
 #include "confdefs.h"
 #include <sgtty.h>
 int Autoconf = TIOCGETP;
@@ -2359,7 +2446,7 @@
 
   if test $ac_cv_prog_gcc_traditional = no; then
     cat >conftest.$ac_ext <<_ACEOF
-#line 2362 "configure"
+#line 2449 "configure"
 #include "confdefs.h"
 #include <termio.h>
 int Autoconf = TCGETA;
@@ -2372,14 +2459,14 @@
 
   fi
 fi
-echo "$as_me:2375: result: $ac_cv_prog_gcc_traditional" >&5
+echo "$as_me:2462: result: $ac_cv_prog_gcc_traditional" >&5
 echo "${ECHO_T}$ac_cv_prog_gcc_traditional" >&6
   if test $ac_cv_prog_gcc_traditional = yes; then
     CC="$CC -traditional"
   fi
 fi
 
-echo "$as_me:2382: checking whether $CC understands -c and -o together" >&5
+echo "$as_me:2469: checking whether $CC understands -c and -o together" >&5
 echo $ECHO_N "checking whether $CC understands -c and -o together... $ECHO_C" >&6
 if test "${cf_cv_prog_CC_c_o+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -2395,15 +2482,15 @@
 # We do the test twice because some compilers refuse to overwrite an
 # existing .o file with -o, though they will create one.
 ac_try='$CC -c conftest.$ac_ext -o conftest2.$ac_objext >&5'
-if { (eval echo "$as_me:2398: \"$ac_try\"") >&5
+if { (eval echo "$as_me:2485: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:2401: \$? = $ac_status" >&5
+  echo "$as_me:2488: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-  test -f conftest2.$ac_objext && { (eval echo "$as_me:2403: \"$ac_try\"") >&5
+  test -f conftest2.$ac_objext && { (eval echo "$as_me:2490: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:2406: \$? = $ac_status" >&5
+  echo "$as_me:2493: \$? = $ac_status" >&5
   (exit $ac_status); };
 then
   eval cf_cv_prog_CC_c_o=yes
@@ -2414,10 +2501,10 @@
 
 fi
 if test $cf_cv_prog_CC_c_o = yes; then
-  echo "$as_me:2417: result: yes" >&5
+  echo "$as_me:2504: result: yes" >&5
 echo "${ECHO_T}yes" >&6
 else
-  echo "$as_me:2420: result: no" >&5
+  echo "$as_me:2507: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -2431,7 +2518,7 @@
 *) LDPATH=$PATH:/sbin:/usr/sbin
   # Extract the first word of "ldconfig", so it can be a program name with args.
 set dummy ldconfig; ac_word=$2
-echo "$as_me:2434: checking for $ac_word" >&5
+echo "$as_me:2521: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_path_LDCONFIG+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -2448,7 +2535,7 @@
   test -z "$ac_dir" && ac_dir=.
   if $as_executable_p "$ac_dir/$ac_word"; then
    ac_cv_path_LDCONFIG="$ac_dir/$ac_word"
-   echo "$as_me:2451: found $ac_dir/$ac_word" >&5
+   echo "$as_me:2538: found $ac_dir/$ac_word" >&5
    break
 fi
 done
@@ -2459,10 +2546,10 @@
 LDCONFIG=$ac_cv_path_LDCONFIG
 
 if test -n "$LDCONFIG"; then
-  echo "$as_me:2462: result: $LDCONFIG" >&5
+  echo "$as_me:2549: result: $LDCONFIG" >&5
 echo "${ECHO_T}$LDCONFIG" >&6
 else
-  echo "$as_me:2465: result: no" >&5
+  echo "$as_me:2552: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -2470,7 +2557,7 @@
 esac
 fi
 
-echo "$as_me:2473: checking if you want to ensure bool is consistent with C++" >&5
+echo "$as_me:2560: checking if you want to ensure bool is consistent with C++" >&5
 echo $ECHO_N "checking if you want to ensure bool is consistent with C++... $ECHO_C" >&6
 
 # Check whether --with-cxx or --without-cxx was given.
@@ -2480,7 +2567,7 @@
 else
   cf_with_cxx=yes
 fi;
-echo "$as_me:2483: result: $cf_with_cxx" >&5
+echo "$as_me:2570: result: $cf_with_cxx" >&5
 echo "${ECHO_T}$cf_with_cxx" >&6
 if test "X$cf_with_cxx" = Xno ; then
 	CXX=""
@@ -2498,7 +2585,7 @@
   do
     # Extract the first word of "$ac_tool_prefix$ac_prog", so it can be a program name with args.
 set dummy $ac_tool_prefix$ac_prog; ac_word=$2
-echo "$as_me:2501: checking for $ac_word" >&5
+echo "$as_me:2588: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_prog_CXX+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -2513,7 +2600,7 @@
   test -z "$ac_dir" && ac_dir=.
   $as_executable_p "$ac_dir/$ac_word" || continue
 ac_cv_prog_CXX="$ac_tool_prefix$ac_prog"
-echo "$as_me:2516: found $ac_dir/$ac_word" >&5
+echo "$as_me:2603: found $ac_dir/$ac_word" >&5
 break
 done
 
@@ -2521,10 +2608,10 @@
 fi
 CXX=$ac_cv_prog_CXX
 if test -n "$CXX"; then
-  echo "$as_me:2524: result: $CXX" >&5
+  echo "$as_me:2611: result: $CXX" >&5
 echo "${ECHO_T}$CXX" >&6
 else
-  echo "$as_me:2527: result: no" >&5
+  echo "$as_me:2614: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -2537,7 +2624,7 @@
 do
   # Extract the first word of "$ac_prog", so it can be a program name with args.
 set dummy $ac_prog; ac_word=$2
-echo "$as_me:2540: checking for $ac_word" >&5
+echo "$as_me:2627: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_prog_ac_ct_CXX+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -2552,7 +2639,7 @@
   test -z "$ac_dir" && ac_dir=.
   $as_executable_p "$ac_dir/$ac_word" || continue
 ac_cv_prog_ac_ct_CXX="$ac_prog"
-echo "$as_me:2555: found $ac_dir/$ac_word" >&5
+echo "$as_me:2642: found $ac_dir/$ac_word" >&5
 break
 done
 
@@ -2560,10 +2647,10 @@
 fi
 ac_ct_CXX=$ac_cv_prog_ac_ct_CXX
 if test -n "$ac_ct_CXX"; then
-  echo "$as_me:2563: result: $ac_ct_CXX" >&5
+  echo "$as_me:2650: result: $ac_ct_CXX" >&5
 echo "${ECHO_T}$ac_ct_CXX" >&6
 else
-  echo "$as_me:2566: result: no" >&5
+  echo "$as_me:2653: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -2575,32 +2662,32 @@
 fi
 
 # Provide some information about the compiler.
-echo "$as_me:2578:" \
+echo "$as_me:2665:" \
      "checking for C++ compiler version" >&5
 ac_compiler=`set X $ac_compile; echo $2`
-{ (eval echo "$as_me:2581: \"$ac_compiler --version </dev/null >&5\"") >&5
+{ (eval echo "$as_me:2668: \"$ac_compiler --version </dev/null >&5\"") >&5
   (eval $ac_compiler --version </dev/null >&5) 2>&5
   ac_status=$?
-  echo "$as_me:2584: \$? = $ac_status" >&5
+  echo "$as_me:2671: \$? = $ac_status" >&5
   (exit $ac_status); }
-{ (eval echo "$as_me:2586: \"$ac_compiler -v </dev/null >&5\"") >&5
+{ (eval echo "$as_me:2673: \"$ac_compiler -v </dev/null >&5\"") >&5
   (eval $ac_compiler -v </dev/null >&5) 2>&5
   ac_status=$?
-  echo "$as_me:2589: \$? = $ac_status" >&5
+  echo "$as_me:2676: \$? = $ac_status" >&5
   (exit $ac_status); }
-{ (eval echo "$as_me:2591: \"$ac_compiler -V </dev/null >&5\"") >&5
+{ (eval echo "$as_me:2678: \"$ac_compiler -V </dev/null >&5\"") >&5
   (eval $ac_compiler -V </dev/null >&5) 2>&5
   ac_status=$?
-  echo "$as_me:2594: \$? = $ac_status" >&5
+  echo "$as_me:2681: \$? = $ac_status" >&5
   (exit $ac_status); }
 
-echo "$as_me:2597: checking whether we are using the GNU C++ compiler" >&5
+echo "$as_me:2684: checking whether we are using the GNU C++ compiler" >&5
 echo $ECHO_N "checking whether we are using the GNU C++ compiler... $ECHO_C" >&6
 if test "${ac_cv_cxx_compiler_gnu+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 2603 "configure"
+#line 2690 "configure"
 #include "confdefs.h"
 
 int
@@ -2615,16 +2702,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:2618: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:2705: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:2621: \$? = $ac_status" >&5
+  echo "$as_me:2708: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:2624: \"$ac_try\"") >&5
+  { (eval echo "$as_me:2711: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:2627: \$? = $ac_status" >&5
+  echo "$as_me:2714: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_compiler_gnu=yes
 else
@@ -2636,19 +2723,19 @@
 ac_cv_cxx_compiler_gnu=$ac_compiler_gnu
 
 fi
-echo "$as_me:2639: result: $ac_cv_cxx_compiler_gnu" >&5
+echo "$as_me:2726: result: $ac_cv_cxx_compiler_gnu" >&5
 echo "${ECHO_T}$ac_cv_cxx_compiler_gnu" >&6
 GXX=`test $ac_compiler_gnu = yes && echo yes`
 ac_test_CXXFLAGS=${CXXFLAGS+set}
 ac_save_CXXFLAGS=$CXXFLAGS
 CXXFLAGS="-g"
-echo "$as_me:2645: checking whether $CXX accepts -g" >&5
+echo "$as_me:2732: checking whether $CXX accepts -g" >&5
 echo $ECHO_N "checking whether $CXX accepts -g... $ECHO_C" >&6
 if test "${ac_cv_prog_cxx_g+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 2651 "configure"
+#line 2738 "configure"
 #include "confdefs.h"
 
 int
@@ -2660,16 +2747,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:2663: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:2750: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:2666: \$? = $ac_status" >&5
+  echo "$as_me:2753: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:2669: \"$ac_try\"") >&5
+  { (eval echo "$as_me:2756: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:2672: \$? = $ac_status" >&5
+  echo "$as_me:2759: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_prog_cxx_g=yes
 else
@@ -2679,7 +2766,7 @@
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 fi
-echo "$as_me:2682: result: $ac_cv_prog_cxx_g" >&5
+echo "$as_me:2769: result: $ac_cv_prog_cxx_g" >&5
 echo "${ECHO_T}$ac_cv_prog_cxx_g" >&6
 if test "$ac_test_CXXFLAGS" = set; then
   CXXFLAGS=$ac_save_CXXFLAGS
@@ -2706,7 +2793,7 @@
    'void exit (int);'
 do
   cat >conftest.$ac_ext <<_ACEOF
-#line 2709 "configure"
+#line 2796 "configure"
 #include "confdefs.h"
 #include <stdlib.h>
 $ac_declaration
@@ -2719,16 +2806,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:2722: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:2809: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:2725: \$? = $ac_status" >&5
+  echo "$as_me:2812: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:2728: \"$ac_try\"") >&5
+  { (eval echo "$as_me:2815: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:2731: \$? = $ac_status" >&5
+  echo "$as_me:2818: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   :
 else
@@ -2738,7 +2825,7 @@
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
   cat >conftest.$ac_ext <<_ACEOF
-#line 2741 "configure"
+#line 2828 "configure"
 #include "confdefs.h"
 $ac_declaration
 int
@@ -2750,16 +2837,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:2753: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:2840: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:2756: \$? = $ac_status" >&5
+  echo "$as_me:2843: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:2759: \"$ac_try\"") >&5
+  { (eval echo "$as_me:2846: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:2762: \$? = $ac_status" >&5
+  echo "$as_me:2849: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   break
 else
@@ -2793,7 +2880,7 @@
 	then
 		# Several of the C++ configurations do not work, particularly when
 		# cross-compiling (20140913 -TD)
-		echo "$as_me:2796: checking if $CXX works" >&5
+		echo "$as_me:2883: checking if $CXX works" >&5
 echo $ECHO_N "checking if $CXX works... $ECHO_C" >&6
 
 		save_CPPFLAGS="$CPPFLAGS"
@@ -2801,7 +2888,7 @@
 		CPPFLAGS="$CPPFLAGS -I${cf_includedir}"
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 2804 "configure"
+#line 2891 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -2818,16 +2905,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:2821: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:2908: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:2824: \$? = $ac_status" >&5
+  echo "$as_me:2911: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:2827: \"$ac_try\"") >&5
+  { (eval echo "$as_me:2914: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:2830: \$? = $ac_status" >&5
+  echo "$as_me:2917: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cxx_works=yes
 else
@@ -2838,11 +2925,11 @@
 rm -f conftest.$ac_objext conftest.$ac_ext
 		CPPFLAGS="$save_CPPFLAGS"
 
-		echo "$as_me:2841: result: $cf_cxx_works" >&5
+		echo "$as_me:2928: result: $cf_cxx_works" >&5
 echo "${ECHO_T}$cf_cxx_works" >&6
 		if test "x$cf_cxx_works" = xno
 		then
-			{ echo "$as_me:2845: WARNING: Ignore $CXX, since it cannot compile hello-world." >&5
+			{ echo "$as_me:2932: WARNING: Ignore $CXX, since it cannot compile hello-world." >&5
 echo "$as_me: WARNING: Ignore $CXX, since it cannot compile hello-world." >&2;}
 			cf_with_cxx=no; CXX=""; GXX="";
 		fi
@@ -2858,7 +2945,7 @@
 	if test "$CXX" = "g++" ; then
 		# Extract the first word of "g++", so it can be a program name with args.
 set dummy g++; ac_word=$2
-echo "$as_me:2861: checking for $ac_word" >&5
+echo "$as_me:2948: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_path_CXX+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -2875,7 +2962,7 @@
   test -z "$ac_dir" && ac_dir=.
   if $as_executable_p "$ac_dir/$ac_word"; then
    ac_cv_path_CXX="$ac_dir/$ac_word"
-   echo "$as_me:2878: found $ac_dir/$ac_word" >&5
+   echo "$as_me:2965: found $ac_dir/$ac_word" >&5
    break
 fi
 done
@@ -2886,17 +2973,17 @@
 CXX=$ac_cv_path_CXX
 
 if test -n "$CXX"; then
-  echo "$as_me:2889: result: $CXX" >&5
+  echo "$as_me:2976: result: $CXX" >&5
 echo "${ECHO_T}$CXX" >&6
 else
-  echo "$as_me:2892: result: no" >&5
+  echo "$as_me:2979: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
 	fi
 	case "x$CXX" in #(vi
 	x|xg++)
-		{ echo "$as_me:2899: WARNING: You don't have any C++ compiler, too bad" >&5
+		{ echo "$as_me:2986: WARNING: You don't have any C++ compiler, too bad" >&5
 echo "$as_me: WARNING: You don't have any C++ compiler, too bad" >&2;}
 		cf_with_cxx=no; CXX=""; GXX="";
 		;;
@@ -2905,11 +2992,11 @@
 
 GXX_VERSION=none
 if test "$GXX" = yes; then
-	echo "$as_me:2908: checking version of ${CXX:-g++}" >&5
+	echo "$as_me:2995: checking version of ${CXX:-g++}" >&5
 echo $ECHO_N "checking version of ${CXX:-g++}... $ECHO_C" >&6
 	GXX_VERSION="`${CXX:-g++} --version| sed -e '2,$d' -e 's/^.*(GCC) //' -e 's/^[^0-9.]*//' -e 's/[^0-9.].*//'`"
 	test -z "$GXX_VERSION" && GXX_VERSION=unknown
-	echo "$as_me:2912: result: $GXX_VERSION" >&5
+	echo "$as_me:2999: result: $GXX_VERSION" >&5
 echo "${ECHO_T}$GXX_VERSION" >&6
 fi
 
@@ -2917,12 +3004,12 @@
 1*|2.[0-6]*)
 	# GXX=""; CXX=""; ac_cv_prog_gxx=no
 	# cf_cxx_library=no
-	{ echo "$as_me:2920: WARNING: templates do not work" >&5
+	{ echo "$as_me:3007: WARNING: templates do not work" >&5
 echo "$as_me: WARNING: templates do not work" >&2;}
 	;;
 esac
 
-echo "$as_me:2925: checking if you want to build C++ binding and demo" >&5
+echo "$as_me:3012: checking if you want to build C++ binding and demo" >&5
 echo $ECHO_N "checking if you want to build C++ binding and demo... $ECHO_C" >&6
 
 # Check whether --with-cxx-binding or --without-cxx-binding was given.
@@ -2932,15 +3019,15 @@
 else
   cf_with_cxx_binding=$cf_with_cxx
 fi;
-echo "$as_me:2935: result: $cf_with_cxx_binding" >&5
+echo "$as_me:3022: result: $cf_with_cxx_binding" >&5
 echo "${ECHO_T}$cf_with_cxx_binding" >&6
 
-echo "$as_me:2938: checking if you want to build with Ada95" >&5
+echo "$as_me:3025: checking if you want to build with Ada95" >&5
 echo $ECHO_N "checking if you want to build with Ada95... $ECHO_C" >&6
-echo "$as_me:2940: result: $cf_with_ada" >&5
+echo "$as_me:3027: result: $cf_with_ada" >&5
 echo "${ECHO_T}$cf_with_ada" >&6
 
-echo "$as_me:2943: checking if you want to install terminal database" >&5
+echo "$as_me:3030: checking if you want to install terminal database" >&5
 echo $ECHO_N "checking if you want to install terminal database... $ECHO_C" >&6
 
 # Check whether --enable-db-install or --disable-db-install was given.
@@ -2950,10 +3037,10 @@
 else
   cf_with_db_install=yes
 fi;
-echo "$as_me:2953: result: $cf_with_db_install" >&5
+echo "$as_me:3040: result: $cf_with_db_install" >&5
 echo "${ECHO_T}$cf_with_db_install" >&6
 
-echo "$as_me:2956: checking if you want to install manpages" >&5
+echo "$as_me:3043: checking if you want to install manpages" >&5
 echo $ECHO_N "checking if you want to install manpages... $ECHO_C" >&6
 
 # Check whether --with-manpages or --without-manpages was given.
@@ -2963,10 +3050,10 @@
 else
   cf_with_manpages=yes
 fi;
-echo "$as_me:2966: result: $cf_with_manpages" >&5
+echo "$as_me:3053: result: $cf_with_manpages" >&5
 echo "${ECHO_T}$cf_with_manpages" >&6
 
-echo "$as_me:2969: checking if you want to build programs such as tic" >&5
+echo "$as_me:3056: checking if you want to build programs such as tic" >&5
 echo $ECHO_N "checking if you want to build programs such as tic... $ECHO_C" >&6
 
 # Check whether --with-progs or --without-progs was given.
@@ -2976,10 +3063,10 @@
 else
   cf_with_progs=yes
 fi;
-echo "$as_me:2979: result: $cf_with_progs" >&5
+echo "$as_me:3066: result: $cf_with_progs" >&5
 echo "${ECHO_T}$cf_with_progs" >&6
 
-echo "$as_me:2982: checking if you want to build test-programs" >&5
+echo "$as_me:3069: checking if you want to build test-programs" >&5
 echo $ECHO_N "checking if you want to build test-programs... $ECHO_C" >&6
 
 # Check whether --with-tests or --without-tests was given.
@@ -2989,10 +3076,10 @@
 else
   cf_with_tests=yes
 fi;
-echo "$as_me:2992: result: $cf_with_tests" >&5
+echo "$as_me:3079: result: $cf_with_tests" >&5
 echo "${ECHO_T}$cf_with_tests" >&6
 
-echo "$as_me:2995: checking if you wish to install curses.h" >&5
+echo "$as_me:3082: checking if you wish to install curses.h" >&5
 echo $ECHO_N "checking if you wish to install curses.h... $ECHO_C" >&6
 
 # Check whether --with-curses-h or --without-curses-h was given.
@@ -3002,7 +3089,7 @@
 else
   with_curses_h=yes
 fi;
-echo "$as_me:3005: result: $with_curses_h" >&5
+echo "$as_me:3092: result: $with_curses_h" >&5
 echo "${ECHO_T}$with_curses_h" >&6
 
 modules_to_build="ncurses"
@@ -3028,7 +3115,7 @@
 do
   # Extract the first word of "$ac_prog", so it can be a program name with args.
 set dummy $ac_prog; ac_word=$2
-echo "$as_me:3031: checking for $ac_word" >&5
+echo "$as_me:3118: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_prog_AWK+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -3043,7 +3130,7 @@
   test -z "$ac_dir" && ac_dir=.
   $as_executable_p "$ac_dir/$ac_word" || continue
 ac_cv_prog_AWK="$ac_prog"
-echo "$as_me:3046: found $ac_dir/$ac_word" >&5
+echo "$as_me:3133: found $ac_dir/$ac_word" >&5
 break
 done
 
@@ -3051,21 +3138,21 @@
 fi
 AWK=$ac_cv_prog_AWK
 if test -n "$AWK"; then
-  echo "$as_me:3054: result: $AWK" >&5
+  echo "$as_me:3141: result: $AWK" >&5
 echo "${ECHO_T}$AWK" >&6
 else
-  echo "$as_me:3057: result: no" >&5
+  echo "$as_me:3144: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
   test -n "$AWK" && break
 done
 
-test -z "$AWK" && { { echo "$as_me:3064: error: No awk program found" >&5
+test -z "$AWK" && { { echo "$as_me:3151: error: No awk program found" >&5
 echo "$as_me: error: No awk program found" >&2;}
    { (exit 1); exit 1; }; }
 
-echo "$as_me:3068: checking for egrep" >&5
+echo "$as_me:3155: checking for egrep" >&5
 echo $ECHO_N "checking for egrep... $ECHO_C" >&6
 if test "${ac_cv_prog_egrep+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -3075,11 +3162,11 @@
     else ac_cv_prog_egrep='egrep'
     fi
 fi
-echo "$as_me:3078: result: $ac_cv_prog_egrep" >&5
+echo "$as_me:3165: result: $ac_cv_prog_egrep" >&5
 echo "${ECHO_T}$ac_cv_prog_egrep" >&6
  EGREP=$ac_cv_prog_egrep
 
-test -z "$EGREP" && { { echo "$as_me:3082: error: No egrep program found" >&5
+test -z "$EGREP" && { { echo "$as_me:3169: error: No egrep program found" >&5
 echo "$as_me: error: No egrep program found" >&2;}
    { (exit 1); exit 1; }; }
 
@@ -3095,7 +3182,7 @@
 # AFS /usr/afsws/bin/install, which mishandles nonexistent args
 # SVR4 /usr/ucb/install, which tries to use the nonexistent group "staff"
 # ./install, which can be erroneously created by make from ./install.sh.
-echo "$as_me:3098: checking for a BSD compatible install" >&5
+echo "$as_me:3185: checking for a BSD compatible install" >&5
 echo $ECHO_N "checking for a BSD compatible install... $ECHO_C" >&6
 if test -z "$INSTALL"; then
 if test "${ac_cv_path_install+set}" = set; then
@@ -3144,7 +3231,7 @@
     INSTALL=$ac_install_sh
   fi
 fi
-echo "$as_me:3147: result: $INSTALL" >&5
+echo "$as_me:3234: result: $INSTALL" >&5
 echo "${ECHO_T}$INSTALL" >&6
 
 # Use test -z because SunOS4 sh mishandles braces in ${var-val}.
@@ -3169,7 +3256,7 @@
 do
   # Extract the first word of "$ac_prog", so it can be a program name with args.
 set dummy $ac_prog; ac_word=$2
-echo "$as_me:3172: checking for $ac_word" >&5
+echo "$as_me:3259: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_prog_LINT+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -3184,7 +3271,7 @@
   test -z "$ac_dir" && ac_dir=.
   $as_executable_p "$ac_dir/$ac_word" || continue
 ac_cv_prog_LINT="$ac_prog"
-echo "$as_me:3187: found $ac_dir/$ac_word" >&5
+echo "$as_me:3274: found $ac_dir/$ac_word" >&5
 break
 done
 
@@ -3192,28 +3279,28 @@
 fi
 LINT=$ac_cv_prog_LINT
 if test -n "$LINT"; then
-  echo "$as_me:3195: result: $LINT" >&5
+  echo "$as_me:3282: result: $LINT" >&5
 echo "${ECHO_T}$LINT" >&6
 else
-  echo "$as_me:3198: result: no" >&5
+  echo "$as_me:3285: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
   test -n "$LINT" && break
 done
 
-echo "$as_me:3205: checking whether ln -s works" >&5
+echo "$as_me:3292: checking whether ln -s works" >&5
 echo $ECHO_N "checking whether ln -s works... $ECHO_C" >&6
 LN_S=$as_ln_s
 if test "$LN_S" = "ln -s"; then
-  echo "$as_me:3209: result: yes" >&5
+  echo "$as_me:3296: result: yes" >&5
 echo "${ECHO_T}yes" >&6
 else
-  echo "$as_me:3212: result: no, using $LN_S" >&5
+  echo "$as_me:3299: result: no, using $LN_S" >&5
 echo "${ECHO_T}no, using $LN_S" >&6
 fi
 
-echo "$as_me:3216: checking if $LN_S -f options work" >&5
+echo "$as_me:3303: checking if $LN_S -f options work" >&5
 echo $ECHO_N "checking if $LN_S -f options work... $ECHO_C" >&6
 
 rm -f conf$$.src conf$$dst
@@ -3225,12 +3312,12 @@
 	cf_prog_ln_sf=no
 fi
 rm -f conf$$.dst conf$$src
-echo "$as_me:3228: result: $cf_prog_ln_sf" >&5
+echo "$as_me:3315: result: $cf_prog_ln_sf" >&5
 echo "${ECHO_T}$cf_prog_ln_sf" >&6
 
 test "$cf_prog_ln_sf" = yes && LN_S="$LN_S -f"
 
-echo "$as_me:3233: checking for long file names" >&5
+echo "$as_me:3320: checking for long file names" >&5
 echo $ECHO_N "checking for long file names... $ECHO_C" >&6
 if test "${ac_cv_sys_long_file_names+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -3269,7 +3356,7 @@
   rm -rf $ac_xdir 2>/dev/null
 done
 fi
-echo "$as_me:3272: result: $ac_cv_sys_long_file_names" >&5
+echo "$as_me:3359: result: $ac_cv_sys_long_file_names" >&5
 echo "${ECHO_T}$ac_cv_sys_long_file_names" >&6
 if test $ac_cv_sys_long_file_names = yes; then
 
@@ -3281,7 +3368,7 @@
 
 # if we find pkg-config, check if we should install the ".pc" files.
 
-echo "$as_me:3284: checking if you want to use pkg-config" >&5
+echo "$as_me:3371: checking if you want to use pkg-config" >&5
 echo $ECHO_N "checking if you want to use pkg-config... $ECHO_C" >&6
 
 # Check whether --with-pkg-config or --without-pkg-config was given.
@@ -3291,7 +3378,7 @@
 else
   cf_pkg_config=yes
 fi;
-echo "$as_me:3294: result: $cf_pkg_config" >&5
+echo "$as_me:3381: result: $cf_pkg_config" >&5
 echo "${ECHO_T}$cf_pkg_config" >&6
 
 case $cf_pkg_config in #(vi
@@ -3303,7 +3390,7 @@
 if test -n "$ac_tool_prefix"; then
   # Extract the first word of "${ac_tool_prefix}pkg-config", so it can be a program name with args.
 set dummy ${ac_tool_prefix}pkg-config; ac_word=$2
-echo "$as_me:3306: checking for $ac_word" >&5
+echo "$as_me:3393: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_path_PKG_CONFIG+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -3320,7 +3407,7 @@
   test -z "$ac_dir" && ac_dir=.
   if $as_executable_p "$ac_dir/$ac_word"; then
    ac_cv_path_PKG_CONFIG="$ac_dir/$ac_word"
-   echo "$as_me:3323: found $ac_dir/$ac_word" >&5
+   echo "$as_me:3410: found $ac_dir/$ac_word" >&5
    break
 fi
 done
@@ -3331,10 +3418,10 @@
 PKG_CONFIG=$ac_cv_path_PKG_CONFIG
 
 if test -n "$PKG_CONFIG"; then
-  echo "$as_me:3334: result: $PKG_CONFIG" >&5
+  echo "$as_me:3421: result: $PKG_CONFIG" >&5
 echo "${ECHO_T}$PKG_CONFIG" >&6
 else
-  echo "$as_me:3337: result: no" >&5
+  echo "$as_me:3424: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -3343,7 +3430,7 @@
   ac_pt_PKG_CONFIG=$PKG_CONFIG
   # Extract the first word of "pkg-config", so it can be a program name with args.
 set dummy pkg-config; ac_word=$2
-echo "$as_me:3346: checking for $ac_word" >&5
+echo "$as_me:3433: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_path_ac_pt_PKG_CONFIG+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -3360,7 +3447,7 @@
   test -z "$ac_dir" && ac_dir=.
   if $as_executable_p "$ac_dir/$ac_word"; then
    ac_cv_path_ac_pt_PKG_CONFIG="$ac_dir/$ac_word"
-   echo "$as_me:3363: found $ac_dir/$ac_word" >&5
+   echo "$as_me:3450: found $ac_dir/$ac_word" >&5
    break
 fi
 done
@@ -3372,10 +3459,10 @@
 ac_pt_PKG_CONFIG=$ac_cv_path_ac_pt_PKG_CONFIG
 
 if test -n "$ac_pt_PKG_CONFIG"; then
-  echo "$as_me:3375: result: $ac_pt_PKG_CONFIG" >&5
+  echo "$as_me:3462: result: $ac_pt_PKG_CONFIG" >&5
 echo "${ECHO_T}$ac_pt_PKG_CONFIG" >&6
 else
-  echo "$as_me:3378: result: no" >&5
+  echo "$as_me:3465: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -3418,7 +3505,7 @@
   PKG_CONFIG=`echo $PKG_CONFIG | sed -e s%NONE%$cf_path_syntax%`
   ;;
 *)
-  { { echo "$as_me:3421: error: expected a pathname, not \"$PKG_CONFIG\"" >&5
+  { { echo "$as_me:3508: error: expected a pathname, not \"$PKG_CONFIG\"" >&5
 echo "$as_me: error: expected a pathname, not \"$PKG_CONFIG\"" >&2;}
    { (exit 1); exit 1; }; }
   ;;
@@ -3427,7 +3514,7 @@
 fi
 
 if test "$PKG_CONFIG" != none ; then
-	echo "$as_me:3430: checking for $PKG_CONFIG library directory" >&5
+	echo "$as_me:3517: checking for $PKG_CONFIG library directory" >&5
 echo $ECHO_N "checking for $PKG_CONFIG library directory... $ECHO_C" >&6
 
 # Check whether --with-pkg-config-libdir or --without-pkg-config-libdir was given.
@@ -3464,12 +3551,12 @@
 		;;
 	esac
 
-	echo "$as_me:3467: result: $PKG_CONFIG_LIBDIR" >&5
+	echo "$as_me:3554: result: $PKG_CONFIG_LIBDIR" >&5
 echo "${ECHO_T}$PKG_CONFIG_LIBDIR" >&6
 fi
 
 if test "$PKG_CONFIG" != none ; then
-	echo "$as_me:3472: checking if we should install .pc files for $PKG_CONFIG" >&5
+	echo "$as_me:3559: checking if we should install .pc files for $PKG_CONFIG" >&5
 echo $ECHO_N "checking if we should install .pc files for $PKG_CONFIG... $ECHO_C" >&6
 
 # Check whether --enable-pc-files or --disable-pc-files was given.
@@ -3479,7 +3566,7 @@
 else
   enable_pc_files=no
 fi;
-	echo "$as_me:3482: result: $enable_pc_files" >&5
+	echo "$as_me:3569: result: $enable_pc_files" >&5
 echo "${ECHO_T}$enable_pc_files" >&6
 	if test "$enable_pc_files" != no
 	then
@@ -3509,7 +3596,7 @@
   PKG_CONFIG_LIBDIR=`echo $PKG_CONFIG_LIBDIR | sed -e s%NONE%$cf_path_syntax%`
   ;;
 *)
-  { { echo "$as_me:3512: error: expected a pathname, not \"$PKG_CONFIG_LIBDIR\"" >&5
+  { { echo "$as_me:3599: error: expected a pathname, not \"$PKG_CONFIG_LIBDIR\"" >&5
 echo "$as_me: error: expected a pathname, not \"$PKG_CONFIG_LIBDIR\"" >&2;}
    { (exit 1); exit 1; }; }
   ;;
@@ -3520,7 +3607,7 @@
 	enable_pc_files=no
 fi
 
-echo "$as_me:3523: checking if we should assume mixed-case filenames" >&5
+echo "$as_me:3610: checking if we should assume mixed-case filenames" >&5
 echo $ECHO_N "checking if we should assume mixed-case filenames... $ECHO_C" >&6
 
 # Check whether --enable-mixed-case or --disable-mixed-case was given.
@@ -3530,11 +3617,11 @@
 else
   enable_mixedcase=auto
 fi;
-echo "$as_me:3533: result: $enable_mixedcase" >&5
+echo "$as_me:3620: result: $enable_mixedcase" >&5
 echo "${ECHO_T}$enable_mixedcase" >&6
 if test "$enable_mixedcase" = "auto" ; then
 
-echo "$as_me:3537: checking if filesystem supports mixed-case filenames" >&5
+echo "$as_me:3624: checking if filesystem supports mixed-case filenames" >&5
 echo $ECHO_N "checking if filesystem supports mixed-case filenames... $ECHO_C" >&6
 if test "${cf_cv_mixedcase+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -3561,7 +3648,7 @@
 fi
 
 fi
-echo "$as_me:3564: result: $cf_cv_mixedcase" >&5
+echo "$as_me:3651: result: $cf_cv_mixedcase" >&5
 echo "${ECHO_T}$cf_cv_mixedcase" >&6
 test "$cf_cv_mixedcase" = yes &&
 cat >>confdefs.h <<\EOF
@@ -3580,7 +3667,7 @@
 fi
 
 # do this after mixed-case option (tags/TAGS is not as important as tic).
-echo "$as_me:3583: checking whether ${MAKE-make} sets \${MAKE}" >&5
+echo "$as_me:3670: checking whether ${MAKE-make} sets \${MAKE}" >&5
 echo $ECHO_N "checking whether ${MAKE-make} sets \${MAKE}... $ECHO_C" >&6
 set dummy ${MAKE-make}; ac_make=`echo "$2" | sed 'y,./+-,__p_,'`
 if eval "test \"\${ac_cv_prog_make_${ac_make}_set+set}\" = set"; then
@@ -3600,11 +3687,11 @@
 rm -f conftest.make
 fi
 if eval "test \"`echo '$ac_cv_prog_make_'${ac_make}_set`\" = yes"; then
-  echo "$as_me:3603: result: yes" >&5
+  echo "$as_me:3690: result: yes" >&5
 echo "${ECHO_T}yes" >&6
   SET_MAKE=
 else
-  echo "$as_me:3607: result: no" >&5
+  echo "$as_me:3694: result: no" >&5
 echo "${ECHO_T}no" >&6
   SET_MAKE="MAKE=${MAKE-make}"
 fi
@@ -3613,7 +3700,7 @@
 do
   # Extract the first word of "$ac_prog", so it can be a program name with args.
 set dummy $ac_prog; ac_word=$2
-echo "$as_me:3616: checking for $ac_word" >&5
+echo "$as_me:3703: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_prog_CTAGS+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -3628,7 +3715,7 @@
   test -z "$ac_dir" && ac_dir=.
   $as_executable_p "$ac_dir/$ac_word" || continue
 ac_cv_prog_CTAGS="$ac_prog"
-echo "$as_me:3631: found $ac_dir/$ac_word" >&5
+echo "$as_me:3718: found $ac_dir/$ac_word" >&5
 break
 done
 
@@ -3636,10 +3723,10 @@
 fi
 CTAGS=$ac_cv_prog_CTAGS
 if test -n "$CTAGS"; then
-  echo "$as_me:3639: result: $CTAGS" >&5
+  echo "$as_me:3726: result: $CTAGS" >&5
 echo "${ECHO_T}$CTAGS" >&6
 else
-  echo "$as_me:3642: result: no" >&5
+  echo "$as_me:3729: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -3650,7 +3737,7 @@
 do
   # Extract the first word of "$ac_prog", so it can be a program name with args.
 set dummy $ac_prog; ac_word=$2
-echo "$as_me:3653: checking for $ac_word" >&5
+echo "$as_me:3740: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_prog_ETAGS+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -3665,7 +3752,7 @@
   test -z "$ac_dir" && ac_dir=.
   $as_executable_p "$ac_dir/$ac_word" || continue
 ac_cv_prog_ETAGS="$ac_prog"
-echo "$as_me:3668: found $ac_dir/$ac_word" >&5
+echo "$as_me:3755: found $ac_dir/$ac_word" >&5
 break
 done
 
@@ -3673,10 +3760,10 @@
 fi
 ETAGS=$ac_cv_prog_ETAGS
 if test -n "$ETAGS"; then
-  echo "$as_me:3676: result: $ETAGS" >&5
+  echo "$as_me:3763: result: $ETAGS" >&5
 echo "${ECHO_T}$ETAGS" >&6
 else
-  echo "$as_me:3679: result: no" >&5
+  echo "$as_me:3766: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -3685,7 +3772,7 @@
 
 # Extract the first word of "${CTAGS:-ctags}", so it can be a program name with args.
 set dummy ${CTAGS:-ctags}; ac_word=$2
-echo "$as_me:3688: checking for $ac_word" >&5
+echo "$as_me:3775: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_prog_MAKE_LOWER_TAGS+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -3700,7 +3787,7 @@
   test -z "$ac_dir" && ac_dir=.
   $as_executable_p "$ac_dir/$ac_word" || continue
 ac_cv_prog_MAKE_LOWER_TAGS="yes"
-echo "$as_me:3703: found $ac_dir/$ac_word" >&5
+echo "$as_me:3790: found $ac_dir/$ac_word" >&5
 break
 done
 
@@ -3709,17 +3796,17 @@
 fi
 MAKE_LOWER_TAGS=$ac_cv_prog_MAKE_LOWER_TAGS
 if test -n "$MAKE_LOWER_TAGS"; then
-  echo "$as_me:3712: result: $MAKE_LOWER_TAGS" >&5
+  echo "$as_me:3799: result: $MAKE_LOWER_TAGS" >&5
 echo "${ECHO_T}$MAKE_LOWER_TAGS" >&6
 else
-  echo "$as_me:3715: result: no" >&5
+  echo "$as_me:3802: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
 if test "$cf_cv_mixedcase" = yes ; then
 	# Extract the first word of "${ETAGS:-etags}", so it can be a program name with args.
 set dummy ${ETAGS:-etags}; ac_word=$2
-echo "$as_me:3722: checking for $ac_word" >&5
+echo "$as_me:3809: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_prog_MAKE_UPPER_TAGS+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -3734,7 +3821,7 @@
   test -z "$ac_dir" && ac_dir=.
   $as_executable_p "$ac_dir/$ac_word" || continue
 ac_cv_prog_MAKE_UPPER_TAGS="yes"
-echo "$as_me:3737: found $ac_dir/$ac_word" >&5
+echo "$as_me:3824: found $ac_dir/$ac_word" >&5
 break
 done
 
@@ -3743,10 +3830,10 @@
 fi
 MAKE_UPPER_TAGS=$ac_cv_prog_MAKE_UPPER_TAGS
 if test -n "$MAKE_UPPER_TAGS"; then
-  echo "$as_me:3746: result: $MAKE_UPPER_TAGS" >&5
+  echo "$as_me:3833: result: $MAKE_UPPER_TAGS" >&5
 echo "${ECHO_T}$MAKE_UPPER_TAGS" >&6
 else
-  echo "$as_me:3749: result: no" >&5
+  echo "$as_me:3836: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -3766,7 +3853,7 @@
 	MAKE_LOWER_TAGS="#"
 fi
 
-echo "$as_me:3769: checking for makeflags variable" >&5
+echo "$as_me:3856: checking for makeflags variable" >&5
 echo $ECHO_N "checking for makeflags variable... $ECHO_C" >&6
 if test "${cf_cv_makeflags+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -3800,13 +3887,13 @@
 	rm -f cf_makeflags.tmp
 
 fi
-echo "$as_me:3803: result: $cf_cv_makeflags" >&5
+echo "$as_me:3890: result: $cf_cv_makeflags" >&5
 echo "${ECHO_T}$cf_cv_makeflags" >&6
 
 if test -n "$ac_tool_prefix"; then
   # Extract the first word of "${ac_tool_prefix}ranlib", so it can be a program name with args.
 set dummy ${ac_tool_prefix}ranlib; ac_word=$2
-echo "$as_me:3809: checking for $ac_word" >&5
+echo "$as_me:3896: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_prog_RANLIB+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -3821,7 +3908,7 @@
   test -z "$ac_dir" && ac_dir=.
   $as_executable_p "$ac_dir/$ac_word" || continue
 ac_cv_prog_RANLIB="${ac_tool_prefix}ranlib"
-echo "$as_me:3824: found $ac_dir/$ac_word" >&5
+echo "$as_me:3911: found $ac_dir/$ac_word" >&5
 break
 done
 
@@ -3829,10 +3916,10 @@
 fi
 RANLIB=$ac_cv_prog_RANLIB
 if test -n "$RANLIB"; then
-  echo "$as_me:3832: result: $RANLIB" >&5
+  echo "$as_me:3919: result: $RANLIB" >&5
 echo "${ECHO_T}$RANLIB" >&6
 else
-  echo "$as_me:3835: result: no" >&5
+  echo "$as_me:3922: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -3841,7 +3928,7 @@
   ac_ct_RANLIB=$RANLIB
   # Extract the first word of "ranlib", so it can be a program name with args.
 set dummy ranlib; ac_word=$2
-echo "$as_me:3844: checking for $ac_word" >&5
+echo "$as_me:3931: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_prog_ac_ct_RANLIB+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -3856,7 +3943,7 @@
   test -z "$ac_dir" && ac_dir=.
   $as_executable_p "$ac_dir/$ac_word" || continue
 ac_cv_prog_ac_ct_RANLIB="ranlib"
-echo "$as_me:3859: found $ac_dir/$ac_word" >&5
+echo "$as_me:3946: found $ac_dir/$ac_word" >&5
 break
 done
 
@@ -3865,10 +3952,10 @@
 fi
 ac_ct_RANLIB=$ac_cv_prog_ac_ct_RANLIB
 if test -n "$ac_ct_RANLIB"; then
-  echo "$as_me:3868: result: $ac_ct_RANLIB" >&5
+  echo "$as_me:3955: result: $ac_ct_RANLIB" >&5
 echo "${ECHO_T}$ac_ct_RANLIB" >&6
 else
-  echo "$as_me:3871: result: no" >&5
+  echo "$as_me:3958: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -3880,7 +3967,7 @@
 if test -n "$ac_tool_prefix"; then
   # Extract the first word of "${ac_tool_prefix}ld", so it can be a program name with args.
 set dummy ${ac_tool_prefix}ld; ac_word=$2
-echo "$as_me:3883: checking for $ac_word" >&5
+echo "$as_me:3970: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_prog_LD+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -3895,7 +3982,7 @@
   test -z "$ac_dir" && ac_dir=.
   $as_executable_p "$ac_dir/$ac_word" || continue
 ac_cv_prog_LD="${ac_tool_prefix}ld"
-echo "$as_me:3898: found $ac_dir/$ac_word" >&5
+echo "$as_me:3985: found $ac_dir/$ac_word" >&5
 break
 done
 
@@ -3903,10 +3990,10 @@
 fi
 LD=$ac_cv_prog_LD
 if test -n "$LD"; then
-  echo "$as_me:3906: result: $LD" >&5
+  echo "$as_me:3993: result: $LD" >&5
 echo "${ECHO_T}$LD" >&6
 else
-  echo "$as_me:3909: result: no" >&5
+  echo "$as_me:3996: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -3915,7 +4002,7 @@
   ac_ct_LD=$LD
   # Extract the first word of "ld", so it can be a program name with args.
 set dummy ld; ac_word=$2
-echo "$as_me:3918: checking for $ac_word" >&5
+echo "$as_me:4005: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_prog_ac_ct_LD+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -3930,7 +4017,7 @@
   test -z "$ac_dir" && ac_dir=.
   $as_executable_p "$ac_dir/$ac_word" || continue
 ac_cv_prog_ac_ct_LD="ld"
-echo "$as_me:3933: found $ac_dir/$ac_word" >&5
+echo "$as_me:4020: found $ac_dir/$ac_word" >&5
 break
 done
 
@@ -3939,10 +4026,10 @@
 fi
 ac_ct_LD=$ac_cv_prog_ac_ct_LD
 if test -n "$ac_ct_LD"; then
-  echo "$as_me:3942: result: $ac_ct_LD" >&5
+  echo "$as_me:4029: result: $ac_ct_LD" >&5
 echo "${ECHO_T}$ac_ct_LD" >&6
 else
-  echo "$as_me:3945: result: no" >&5
+  echo "$as_me:4032: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -3954,7 +4041,7 @@
 if test -n "$ac_tool_prefix"; then
   # Extract the first word of "${ac_tool_prefix}ar", so it can be a program name with args.
 set dummy ${ac_tool_prefix}ar; ac_word=$2
-echo "$as_me:3957: checking for $ac_word" >&5
+echo "$as_me:4044: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_prog_AR+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -3969,7 +4056,7 @@
   test -z "$ac_dir" && ac_dir=.
   $as_executable_p "$ac_dir/$ac_word" || continue
 ac_cv_prog_AR="${ac_tool_prefix}ar"
-echo "$as_me:3972: found $ac_dir/$ac_word" >&5
+echo "$as_me:4059: found $ac_dir/$ac_word" >&5
 break
 done
 
@@ -3977,10 +4064,10 @@
 fi
 AR=$ac_cv_prog_AR
 if test -n "$AR"; then
-  echo "$as_me:3980: result: $AR" >&5
+  echo "$as_me:4067: result: $AR" >&5
 echo "${ECHO_T}$AR" >&6
 else
-  echo "$as_me:3983: result: no" >&5
+  echo "$as_me:4070: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -3989,7 +4076,7 @@
   ac_ct_AR=$AR
   # Extract the first word of "ar", so it can be a program name with args.
 set dummy ar; ac_word=$2
-echo "$as_me:3992: checking for $ac_word" >&5
+echo "$as_me:4079: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_prog_ac_ct_AR+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -4004,7 +4091,7 @@
   test -z "$ac_dir" && ac_dir=.
   $as_executable_p "$ac_dir/$ac_word" || continue
 ac_cv_prog_ac_ct_AR="ar"
-echo "$as_me:4007: found $ac_dir/$ac_word" >&5
+echo "$as_me:4094: found $ac_dir/$ac_word" >&5
 break
 done
 
@@ -4013,10 +4100,10 @@
 fi
 ac_ct_AR=$ac_cv_prog_ac_ct_AR
 if test -n "$ac_ct_AR"; then
-  echo "$as_me:4016: result: $ac_ct_AR" >&5
+  echo "$as_me:4103: result: $ac_ct_AR" >&5
 echo "${ECHO_T}$ac_ct_AR" >&6
 else
-  echo "$as_me:4019: result: no" >&5
+  echo "$as_me:4106: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -4028,7 +4115,7 @@
 if test -n "$ac_tool_prefix"; then
   # Extract the first word of "${ac_tool_prefix}nm", so it can be a program name with args.
 set dummy ${ac_tool_prefix}nm; ac_word=$2
-echo "$as_me:4031: checking for $ac_word" >&5
+echo "$as_me:4118: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_prog_NM+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -4043,7 +4130,7 @@
   test -z "$ac_dir" && ac_dir=.
   $as_executable_p "$ac_dir/$ac_word" || continue
 ac_cv_prog_NM="${ac_tool_prefix}nm"
-echo "$as_me:4046: found $ac_dir/$ac_word" >&5
+echo "$as_me:4133: found $ac_dir/$ac_word" >&5
 break
 done
 
@@ -4051,10 +4138,10 @@
 fi
 NM=$ac_cv_prog_NM
 if test -n "$NM"; then
-  echo "$as_me:4054: result: $NM" >&5
+  echo "$as_me:4141: result: $NM" >&5
 echo "${ECHO_T}$NM" >&6
 else
-  echo "$as_me:4057: result: no" >&5
+  echo "$as_me:4144: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -4063,7 +4150,7 @@
   ac_ct_NM=$NM
   # Extract the first word of "nm", so it can be a program name with args.
 set dummy nm; ac_word=$2
-echo "$as_me:4066: checking for $ac_word" >&5
+echo "$as_me:4153: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_prog_ac_ct_NM+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -4078,7 +4165,7 @@
   test -z "$ac_dir" && ac_dir=.
   $as_executable_p "$ac_dir/$ac_word" || continue
 ac_cv_prog_ac_ct_NM="nm"
-echo "$as_me:4081: found $ac_dir/$ac_word" >&5
+echo "$as_me:4168: found $ac_dir/$ac_word" >&5
 break
 done
 
@@ -4087,10 +4174,10 @@
 fi
 ac_ct_NM=$ac_cv_prog_ac_ct_NM
 if test -n "$ac_ct_NM"; then
-  echo "$as_me:4090: result: $ac_ct_NM" >&5
+  echo "$as_me:4177: result: $ac_ct_NM" >&5
 echo "${ECHO_T}$ac_ct_NM" >&6
 else
-  echo "$as_me:4093: result: no" >&5
+  echo "$as_me:4180: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -4102,7 +4189,7 @@
 if test -n "$ac_tool_prefix"; then
   # Extract the first word of "${ac_tool_prefix}ar", so it can be a program name with args.
 set dummy ${ac_tool_prefix}ar; ac_word=$2
-echo "$as_me:4105: checking for $ac_word" >&5
+echo "$as_me:4192: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_prog_AR+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -4117,7 +4204,7 @@
   test -z "$ac_dir" && ac_dir=.
   $as_executable_p "$ac_dir/$ac_word" || continue
 ac_cv_prog_AR="${ac_tool_prefix}ar"
-echo "$as_me:4120: found $ac_dir/$ac_word" >&5
+echo "$as_me:4207: found $ac_dir/$ac_word" >&5
 break
 done
 
@@ -4125,10 +4212,10 @@
 fi
 AR=$ac_cv_prog_AR
 if test -n "$AR"; then
-  echo "$as_me:4128: result: $AR" >&5
+  echo "$as_me:4215: result: $AR" >&5
 echo "${ECHO_T}$AR" >&6
 else
-  echo "$as_me:4131: result: no" >&5
+  echo "$as_me:4218: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -4137,7 +4224,7 @@
   ac_ct_AR=$AR
   # Extract the first word of "ar", so it can be a program name with args.
 set dummy ar; ac_word=$2
-echo "$as_me:4140: checking for $ac_word" >&5
+echo "$as_me:4227: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_prog_ac_ct_AR+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -4152,7 +4239,7 @@
   test -z "$ac_dir" && ac_dir=.
   $as_executable_p "$ac_dir/$ac_word" || continue
 ac_cv_prog_ac_ct_AR="ar"
-echo "$as_me:4155: found $ac_dir/$ac_word" >&5
+echo "$as_me:4242: found $ac_dir/$ac_word" >&5
 break
 done
 
@@ -4161,10 +4248,10 @@
 fi
 ac_ct_AR=$ac_cv_prog_ac_ct_AR
 if test -n "$ac_ct_AR"; then
-  echo "$as_me:4164: result: $ac_ct_AR" >&5
+  echo "$as_me:4251: result: $ac_ct_AR" >&5
 echo "${ECHO_T}$ac_ct_AR" >&6
 else
-  echo "$as_me:4167: result: no" >&5
+  echo "$as_me:4254: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -4173,7 +4260,7 @@
   AR="$ac_cv_prog_AR"
 fi
 
-echo "$as_me:4176: checking for options to update archives" >&5
+echo "$as_me:4263: checking for options to update archives" >&5
 echo $ECHO_N "checking for options to update archives... $ECHO_C" >&6
 if test "${cf_cv_ar_flags+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -4196,13 +4283,13 @@
 		rm -f conftest.a
 
 		cat >conftest.$ac_ext <<EOF
-#line 4199 "configure"
+#line 4286 "configure"
 int	testdata[3] = { 123, 456, 789 };
 EOF
-		if { (eval echo "$as_me:4202: \"$ac_compile\"") >&5
+		if { (eval echo "$as_me:4289: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:4205: \$? = $ac_status" >&5
+  echo "$as_me:4292: \$? = $ac_status" >&5
   (exit $ac_status); } ; then
 			echo "$AR $ARFLAGS $cf_ar_flags conftest.a conftest.$ac_cv_objext" >&5
 			$AR $ARFLAGS $cf_ar_flags conftest.a conftest.$ac_cv_objext 2>&5 1>/dev/null
@@ -4213,7 +4300,7 @@
 		else
 			test -n "$verbose" && echo "	cannot compile test-program" 1>&6
 
-echo "${as_me:-configure}:4216: testing cannot compile test-program ..." 1>&5
+echo "${as_me:-configure}:4303: testing cannot compile test-program ..." 1>&5
 
 			break
 		fi
@@ -4221,7 +4308,7 @@
 	rm -f conftest.a conftest.$ac_ext conftest.$ac_cv_objext
 
 fi
-echo "$as_me:4224: result: $cf_cv_ar_flags" >&5
+echo "$as_me:4311: result: $cf_cv_ar_flags" >&5
 echo "${ECHO_T}$cf_cv_ar_flags" >&6
 
 if test -n "$ARFLAGS" ; then
@@ -4232,7 +4319,7 @@
 	ARFLAGS=$cf_cv_ar_flags
 fi
 
-echo "$as_me:4235: checking if you have specified an install-prefix" >&5
+echo "$as_me:4322: checking if you have specified an install-prefix" >&5
 echo $ECHO_N "checking if you have specified an install-prefix... $ECHO_C" >&6
 
 # Check whether --with-install-prefix or --without-install-prefix was given.
@@ -4245,7 +4332,7 @@
 		;;
 	esac
 fi;
-echo "$as_me:4248: result: $DESTDIR" >&5
+echo "$as_me:4335: result: $DESTDIR" >&5
 echo "${ECHO_T}$DESTDIR" >&6
 
 ###############################################################################
@@ -4273,7 +4360,7 @@
 do
   # Extract the first word of "$ac_prog", so it can be a program name with args.
 set dummy $ac_prog; ac_word=$2
-echo "$as_me:4276: checking for $ac_word" >&5
+echo "$as_me:4363: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_prog_BUILD_CC+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -4288,7 +4375,7 @@
   test -z "$ac_dir" && ac_dir=.
   $as_executable_p "$ac_dir/$ac_word" || continue
 ac_cv_prog_BUILD_CC="$ac_prog"
-echo "$as_me:4291: found $ac_dir/$ac_word" >&5
+echo "$as_me:4378: found $ac_dir/$ac_word" >&5
 break
 done
 
@@ -4296,10 +4383,10 @@
 fi
 BUILD_CC=$ac_cv_prog_BUILD_CC
 if test -n "$BUILD_CC"; then
-  echo "$as_me:4299: result: $BUILD_CC" >&5
+  echo "$as_me:4386: result: $BUILD_CC" >&5
 echo "${ECHO_T}$BUILD_CC" >&6
 else
-  echo "$as_me:4302: result: no" >&5
+  echo "$as_me:4389: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -4307,12 +4394,12 @@
 done
 
 fi;
-	echo "$as_me:4310: checking for native build C compiler" >&5
+	echo "$as_me:4397: checking for native build C compiler" >&5
 echo $ECHO_N "checking for native build C compiler... $ECHO_C" >&6
-	echo "$as_me:4312: result: $BUILD_CC" >&5
+	echo "$as_me:4399: result: $BUILD_CC" >&5
 echo "${ECHO_T}$BUILD_CC" >&6
 
-	echo "$as_me:4315: checking for native build C preprocessor" >&5
+	echo "$as_me:4402: checking for native build C preprocessor" >&5
 echo $ECHO_N "checking for native build C preprocessor... $ECHO_C" >&6
 
 # Check whether --with-build-cpp or --without-build-cpp was given.
@@ -4322,10 +4409,10 @@
 else
   BUILD_CPP='${BUILD_CC} -E'
 fi;
-	echo "$as_me:4325: result: $BUILD_CPP" >&5
+	echo "$as_me:4412: result: $BUILD_CPP" >&5
 echo "${ECHO_T}$BUILD_CPP" >&6
 
-	echo "$as_me:4328: checking for native build C flags" >&5
+	echo "$as_me:4415: checking for native build C flags" >&5
 echo $ECHO_N "checking for native build C flags... $ECHO_C" >&6
 
 # Check whether --with-build-cflags or --without-build-cflags was given.
@@ -4333,10 +4420,10 @@
   withval="$with_build_cflags"
   BUILD_CFLAGS="$withval"
 fi;
-	echo "$as_me:4336: result: $BUILD_CFLAGS" >&5
+	echo "$as_me:4423: result: $BUILD_CFLAGS" >&5
 echo "${ECHO_T}$BUILD_CFLAGS" >&6
 
-	echo "$as_me:4339: checking for native build C preprocessor-flags" >&5
+	echo "$as_me:4426: checking for native build C preprocessor-flags" >&5
 echo $ECHO_N "checking for native build C preprocessor-flags... $ECHO_C" >&6
 
 # Check whether --with-build-cppflags or --without-build-cppflags was given.
@@ -4344,10 +4431,10 @@
   withval="$with_build_cppflags"
   BUILD_CPPFLAGS="$withval"
 fi;
-	echo "$as_me:4347: result: $BUILD_CPPFLAGS" >&5
+	echo "$as_me:4434: result: $BUILD_CPPFLAGS" >&5
 echo "${ECHO_T}$BUILD_CPPFLAGS" >&6
 
-	echo "$as_me:4350: checking for native build linker-flags" >&5
+	echo "$as_me:4437: checking for native build linker-flags" >&5
 echo $ECHO_N "checking for native build linker-flags... $ECHO_C" >&6
 
 # Check whether --with-build-ldflags or --without-build-ldflags was given.
@@ -4355,10 +4442,10 @@
   withval="$with_build_ldflags"
   BUILD_LDFLAGS="$withval"
 fi;
-	echo "$as_me:4358: result: $BUILD_LDFLAGS" >&5
+	echo "$as_me:4445: result: $BUILD_LDFLAGS" >&5
 echo "${ECHO_T}$BUILD_LDFLAGS" >&6
 
-	echo "$as_me:4361: checking for native build linker-libraries" >&5
+	echo "$as_me:4448: checking for native build linker-libraries" >&5
 echo $ECHO_N "checking for native build linker-libraries... $ECHO_C" >&6
 
 # Check whether --with-build-libs or --without-build-libs was given.
@@ -4366,7 +4453,7 @@
   withval="$with_build_libs"
   BUILD_LIBS="$withval"
 fi;
-	echo "$as_me:4369: result: $BUILD_LIBS" >&5
+	echo "$as_me:4456: result: $BUILD_LIBS" >&5
 echo "${ECHO_T}$BUILD_LIBS" >&6
 
 	# this assumes we're on Unix.
@@ -4376,7 +4463,7 @@
 	: ${BUILD_CC:='${CC}'}
 
 	if ( test "$BUILD_CC" = "$CC" || test "$BUILD_CC" = '${CC}' ) ; then
-		{ { echo "$as_me:4379: error: Cross-build requires two compilers.
+		{ { echo "$as_me:4466: error: Cross-build requires two compilers.
 Use --with-build-cc to specify the native compiler." >&5
 echo "$as_me: error: Cross-build requires two compilers.
 Use --with-build-cc to specify the native compiler." >&2;}
@@ -4401,7 +4488,7 @@
 ### shared, for example.
 cf_list_models=""
 
-echo "$as_me:4404: checking if libtool -version-number should be used" >&5
+echo "$as_me:4491: checking if libtool -version-number should be used" >&5
 echo $ECHO_N "checking if libtool -version-number should be used... $ECHO_C" >&6
 
 # Check whether --enable-libtool-version or --disable-libtool-version was given.
@@ -4418,13 +4505,37 @@
   cf_libtool_version=yes
 
 fi;
-echo "$as_me:4421: result: $cf_libtool_version" >&5
+echo "$as_me:4508: result: $cf_libtool_version" >&5
 echo "${ECHO_T}$cf_libtool_version" >&6
 
 if test "$cf_libtool_version" = yes ; then
 	LIBTOOL_VERSION="-version-number"
 else
 	LIBTOOL_VERSION="-version-info"
+	case "x$VERSION" in #(vi
+	x) #(vi
+		{ echo "$as_me:4517: WARNING: VERSION was not set" >&5
+echo "$as_me: WARNING: VERSION was not set" >&2;}
+		;;
+	x*.*.*)
+		ABI_VERSION="$VERSION"
+		test -n "$verbose" && echo "	ABI_VERSION: $ABI_VERSION" 1>&6
+
+echo "${as_me:-configure}:4524: testing ABI_VERSION: $ABI_VERSION ..." 1>&5
+
+		;;
+	x*:*:*)
+		ABI_VERSION=`echo "$VERSION" | sed -e 's/:/./g'`
+		test -n "$verbose" && echo "	ABI_VERSION: $ABI_VERSION" 1>&6
+
+echo "${as_me:-configure}:4531: testing ABI_VERSION: $ABI_VERSION ..." 1>&5
+
+		;;
+	*)
+		{ echo "$as_me:4535: WARNING: unexpected VERSION value: $VERSION" >&5
+echo "$as_me: WARNING: unexpected VERSION value: $VERSION" >&2;}
+		;;
+	esac
 fi
 
 LIBTOOL=
@@ -4443,7 +4554,7 @@
 LIB_INSTALL=
 LIB_UNINSTALL=
 
-echo "$as_me:4446: checking if you want to build libraries with libtool" >&5
+echo "$as_me:4557: checking if you want to build libraries with libtool" >&5
 echo $ECHO_N "checking if you want to build libraries with libtool... $ECHO_C" >&6
 
 # Check whether --with-libtool or --without-libtool was given.
@@ -4453,7 +4564,7 @@
 else
   with_libtool=no
 fi;
-echo "$as_me:4456: result: $with_libtool" >&5
+echo "$as_me:4567: result: $with_libtool" >&5
 echo "${ECHO_T}$with_libtool" >&6
 if test "$with_libtool" != "no"; then
 
@@ -4484,7 +4595,7 @@
   with_libtool=`echo $with_libtool | sed -e s%NONE%$cf_path_syntax%`
   ;;
 *)
-  { { echo "$as_me:4487: error: expected a pathname, not \"$with_libtool\"" >&5
+  { { echo "$as_me:4598: error: expected a pathname, not \"$with_libtool\"" >&5
 echo "$as_me: error: expected a pathname, not \"$with_libtool\"" >&2;}
    { (exit 1); exit 1; }; }
   ;;
@@ -4497,7 +4608,7 @@
   do
     # Extract the first word of "$ac_tool_prefix$ac_prog", so it can be a program name with args.
 set dummy $ac_tool_prefix$ac_prog; ac_word=$2
-echo "$as_me:4500: checking for $ac_word" >&5
+echo "$as_me:4611: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_prog_LIBTOOL+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -4512,7 +4623,7 @@
   test -z "$ac_dir" && ac_dir=.
   $as_executable_p "$ac_dir/$ac_word" || continue
 ac_cv_prog_LIBTOOL="$ac_tool_prefix$ac_prog"
-echo "$as_me:4515: found $ac_dir/$ac_word" >&5
+echo "$as_me:4626: found $ac_dir/$ac_word" >&5
 break
 done
 
@@ -4520,10 +4631,10 @@
 fi
 LIBTOOL=$ac_cv_prog_LIBTOOL
 if test -n "$LIBTOOL"; then
-  echo "$as_me:4523: result: $LIBTOOL" >&5
+  echo "$as_me:4634: result: $LIBTOOL" >&5
 echo "${ECHO_T}$LIBTOOL" >&6
 else
-  echo "$as_me:4526: result: no" >&5
+  echo "$as_me:4637: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -4536,7 +4647,7 @@
 do
   # Extract the first word of "$ac_prog", so it can be a program name with args.
 set dummy $ac_prog; ac_word=$2
-echo "$as_me:4539: checking for $ac_word" >&5
+echo "$as_me:4650: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_prog_ac_ct_LIBTOOL+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -4551,7 +4662,7 @@
   test -z "$ac_dir" && ac_dir=.
   $as_executable_p "$ac_dir/$ac_word" || continue
 ac_cv_prog_ac_ct_LIBTOOL="$ac_prog"
-echo "$as_me:4554: found $ac_dir/$ac_word" >&5
+echo "$as_me:4665: found $ac_dir/$ac_word" >&5
 break
 done
 
@@ -4559,10 +4670,10 @@
 fi
 ac_ct_LIBTOOL=$ac_cv_prog_ac_ct_LIBTOOL
 if test -n "$ac_ct_LIBTOOL"; then
-  echo "$as_me:4562: result: $ac_ct_LIBTOOL" >&5
+  echo "$as_me:4673: result: $ac_ct_LIBTOOL" >&5
 echo "${ECHO_T}$ac_ct_LIBTOOL" >&6
 else
-  echo "$as_me:4565: result: no" >&5
+  echo "$as_me:4676: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -4593,7 +4704,7 @@
   do
     # Extract the first word of "$ac_tool_prefix$ac_prog", so it can be a program name with args.
 set dummy $ac_tool_prefix$ac_prog; ac_word=$2
-echo "$as_me:4596: checking for $ac_word" >&5
+echo "$as_me:4707: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_prog_LIBTOOL+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -4608,7 +4719,7 @@
   test -z "$ac_dir" && ac_dir=.
   $as_executable_p "$ac_dir/$ac_word" || continue
 ac_cv_prog_LIBTOOL="$ac_tool_prefix$ac_prog"
-echo "$as_me:4611: found $ac_dir/$ac_word" >&5
+echo "$as_me:4722: found $ac_dir/$ac_word" >&5
 break
 done
 
@@ -4616,10 +4727,10 @@
 fi
 LIBTOOL=$ac_cv_prog_LIBTOOL
 if test -n "$LIBTOOL"; then
-  echo "$as_me:4619: result: $LIBTOOL" >&5
+  echo "$as_me:4730: result: $LIBTOOL" >&5
 echo "${ECHO_T}$LIBTOOL" >&6
 else
-  echo "$as_me:4622: result: no" >&5
+  echo "$as_me:4733: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -4632,7 +4743,7 @@
 do
   # Extract the first word of "$ac_prog", so it can be a program name with args.
 set dummy $ac_prog; ac_word=$2
-echo "$as_me:4635: checking for $ac_word" >&5
+echo "$as_me:4746: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_prog_ac_ct_LIBTOOL+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -4647,7 +4758,7 @@
   test -z "$ac_dir" && ac_dir=.
   $as_executable_p "$ac_dir/$ac_word" || continue
 ac_cv_prog_ac_ct_LIBTOOL="$ac_prog"
-echo "$as_me:4650: found $ac_dir/$ac_word" >&5
+echo "$as_me:4761: found $ac_dir/$ac_word" >&5
 break
 done
 
@@ -4655,10 +4766,10 @@
 fi
 ac_ct_LIBTOOL=$ac_cv_prog_ac_ct_LIBTOOL
 if test -n "$ac_ct_LIBTOOL"; then
-  echo "$as_me:4658: result: $ac_ct_LIBTOOL" >&5
+  echo "$as_me:4769: result: $ac_ct_LIBTOOL" >&5
 echo "${ECHO_T}$ac_ct_LIBTOOL" >&6
 else
-  echo "$as_me:4661: result: no" >&5
+  echo "$as_me:4772: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -4680,11 +4791,11 @@
 		fi
 	fi
 	if test -z "$LIBTOOL" ; then
-		{ { echo "$as_me:4683: error: Cannot find libtool" >&5
+		{ { echo "$as_me:4794: error: Cannot find libtool" >&5
 echo "$as_me: error: Cannot find libtool" >&2;}
    { (exit 1); exit 1; }; }
 	fi
-	LIB_CREATE='${LIBTOOL} --mode=link ${CC} -rpath ${DESTDIR}${libdir} ${LIBTOOL_VERSION} `cut -f1 ${srcdir}/VERSION` ${LIBTOOL_OPTS} ${LT_UNDEF} $(LIBS) -o'
+	LIB_CREATE='${LIBTOOL} --mode=link ${CC} -rpath ${DESTDIR}${libdir} ${LIBTOOL_VERSION} `cut -f1 ${top_srcdir}/VERSION` ${LIBTOOL_OPTS} ${LT_UNDEF} $(LIBS) -o'
 	LIB_OBJECT='${OBJECTS:.o=.lo}'
 	LIB_SUFFIX=.la
 	LIB_CLEAN='${LIBTOOL} --mode=clean'
@@ -4696,7 +4807,7 @@
 
 if test -n "$LIBTOOL" && test "$LIBTOOL" != none
 then
-	echo "$as_me:4699: checking version of $LIBTOOL" >&5
+	echo "$as_me:4810: checking version of $LIBTOOL" >&5
 echo $ECHO_N "checking version of $LIBTOOL... $ECHO_C" >&6
 
 if test -n "$LIBTOOL" && test "$LIBTOOL" != none
@@ -4707,15 +4818,15 @@
 fi
 test -z "$cf_cv_libtool_version" && unset cf_cv_libtool_version
 
-	echo "$as_me:4710: result: $cf_cv_libtool_version" >&5
+	echo "$as_me:4821: result: $cf_cv_libtool_version" >&5
 echo "${ECHO_T}$cf_cv_libtool_version" >&6
 	if test -z "$cf_cv_libtool_version" ; then
-		{ { echo "$as_me:4713: error: This is not GNU libtool" >&5
+		{ { echo "$as_me:4824: error: This is not GNU libtool" >&5
 echo "$as_me: error: This is not GNU libtool" >&2;}
    { (exit 1); exit 1; }; }
 	fi
 else
-	{ { echo "$as_me:4718: error: GNU libtool has not been found" >&5
+	{ { echo "$as_me:4829: error: GNU libtool has not been found" >&5
 echo "$as_me: error: GNU libtool has not been found" >&2;}
    { (exit 1); exit 1; }; }
 fi
@@ -4751,7 +4862,7 @@
 
 else
 
-echo "$as_me:4754: checking if you want to build shared libraries" >&5
+echo "$as_me:4865: checking if you want to build shared libraries" >&5
 echo $ECHO_N "checking if you want to build shared libraries... $ECHO_C" >&6
 
 # Check whether --with-shared or --without-shared was given.
@@ -4761,11 +4872,11 @@
 else
   with_shared=no
 fi;
-echo "$as_me:4764: result: $with_shared" >&5
+echo "$as_me:4875: result: $with_shared" >&5
 echo "${ECHO_T}$with_shared" >&6
 test "x$with_shared" = "xyes" && cf_list_models="$cf_list_models shared"
 
-echo "$as_me:4768: checking if you want to build static libraries" >&5
+echo "$as_me:4879: checking if you want to build static libraries" >&5
 echo $ECHO_N "checking if you want to build static libraries... $ECHO_C" >&6
 
 # Check whether --with-normal or --without-normal was given.
@@ -4775,11 +4886,11 @@
 else
   with_normal=yes
 fi;
-echo "$as_me:4778: result: $with_normal" >&5
+echo "$as_me:4889: result: $with_normal" >&5
 echo "${ECHO_T}$with_normal" >&6
 test "x$with_normal" = "xyes" && cf_list_models="$cf_list_models normal"
 
-echo "$as_me:4782: checking if you want to build debug libraries" >&5
+echo "$as_me:4893: checking if you want to build debug libraries" >&5
 echo $ECHO_N "checking if you want to build debug libraries... $ECHO_C" >&6
 
 # Check whether --with-debug or --without-debug was given.
@@ -4789,11 +4900,11 @@
 else
   with_debug=yes
 fi;
-echo "$as_me:4792: result: $with_debug" >&5
+echo "$as_me:4903: result: $with_debug" >&5
 echo "${ECHO_T}$with_debug" >&6
 test "x$with_debug" = "xyes" && cf_list_models="$cf_list_models debug"
 
-echo "$as_me:4796: checking if you want to build profiling libraries" >&5
+echo "$as_me:4907: checking if you want to build profiling libraries" >&5
 echo $ECHO_N "checking if you want to build profiling libraries... $ECHO_C" >&6
 
 # Check whether --with-profile or --without-profile was given.
@@ -4803,7 +4914,7 @@
 else
   with_profile=no
 fi;
-echo "$as_me:4806: result: $with_profile" >&5
+echo "$as_me:4917: result: $with_profile" >&5
 echo "${ECHO_T}$with_profile" >&6
 test "x$with_profile" = "xyes" && cf_list_models="$cf_list_models profile"
 
@@ -4811,7 +4922,7 @@
 
 if test "X$cf_with_cxx_binding" != Xno; then
 if test "x$with_shared" = "xyes"; then
-echo "$as_me:4814: checking if you want to build C++ shared libraries" >&5
+echo "$as_me:4925: checking if you want to build C++ shared libraries" >&5
 echo $ECHO_N "checking if you want to build C++ shared libraries... $ECHO_C" >&6
 
 # Check whether --with-cxx-shared or --without-cxx-shared was given.
@@ -4821,26 +4932,26 @@
 else
   with_shared_cxx=no
 fi;
-echo "$as_me:4824: result: $with_shared_cxx" >&5
+echo "$as_me:4935: result: $with_shared_cxx" >&5
 echo "${ECHO_T}$with_shared_cxx" >&6
 fi
 fi
 
 ###############################################################################
 
-echo "$as_me:4831: checking for specified models" >&5
+echo "$as_me:4942: checking for specified models" >&5
 echo $ECHO_N "checking for specified models... $ECHO_C" >&6
 test -z "$cf_list_models" && cf_list_models=normal
 test "$with_libtool" != "no" && cf_list_models=libtool
-echo "$as_me:4835: result: $cf_list_models" >&5
+echo "$as_me:4946: result: $cf_list_models" >&5
 echo "${ECHO_T}$cf_list_models" >&6
 
 ### Use the first model as the default, and save its suffix for use in building
 ### up test-applications.
-echo "$as_me:4840: checking for default model" >&5
+echo "$as_me:4951: checking for default model" >&5
 echo $ECHO_N "checking for default model... $ECHO_C" >&6
 DFT_LWR_MODEL=`echo "$cf_list_models" | $AWK '{print $1}'`
-echo "$as_me:4843: result: $DFT_LWR_MODEL" >&5
+echo "$as_me:4954: result: $DFT_LWR_MODEL" >&5
 echo "${ECHO_T}$DFT_LWR_MODEL" >&6
 
 DFT_UPR_MODEL=`echo "$DFT_LWR_MODEL" | sed y%abcdefghijklmnopqrstuvwxyz./-%ABCDEFGHIJKLMNOPQRSTUVWXYZ___%`
@@ -4854,7 +4965,7 @@
 LIB_DIR=../lib
 LIB_2ND=../../lib
 
-echo "$as_me:4857: checking if you want to have a library-prefix" >&5
+echo "$as_me:4968: checking if you want to have a library-prefix" >&5
 echo $ECHO_N "checking if you want to have a library-prefix... $ECHO_C" >&6
 
 # Check whether --with-lib-prefix or --without-lib-prefix was given.
@@ -4864,7 +4975,7 @@
 else
   with_lib_prefix=auto
 fi;
-echo "$as_me:4867: result: $with_lib_prefix" >&5
+echo "$as_me:4978: result: $with_lib_prefix" >&5
 echo "${ECHO_T}$with_lib_prefix" >&6
 
 if test $with_lib_prefix = auto
@@ -4888,19 +4999,19 @@
 
 LIB_SUFFIX=
 
-	echo "$as_me:4891: checking for PATH separator" >&5
+	echo "$as_me:5002: checking for PATH separator" >&5
 echo $ECHO_N "checking for PATH separator... $ECHO_C" >&6
 	case $cf_cv_system_name in
 	os2*)	PATH_SEPARATOR=';'  ;;
 	*)	${PATH_SEPARATOR:=':'}  ;;
 	esac
 
-	echo "$as_me:4898: result: $PATH_SEPARATOR" >&5
+	echo "$as_me:5009: result: $PATH_SEPARATOR" >&5
 echo "${ECHO_T}$PATH_SEPARATOR" >&6
 
 ###############################################################################
 
-echo "$as_me:4903: checking if you want to build a separate terminfo library" >&5
+echo "$as_me:5014: checking if you want to build a separate terminfo library" >&5
 echo $ECHO_N "checking if you want to build a separate terminfo library... $ECHO_C" >&6
 
 # Check whether --with-termlib or --without-termlib was given.
@@ -4910,10 +5021,10 @@
 else
   with_termlib=no
 fi;
-echo "$as_me:4913: result: $with_termlib" >&5
+echo "$as_me:5024: result: $with_termlib" >&5
 echo "${ECHO_T}$with_termlib" >&6
 
-echo "$as_me:4916: checking if you want to build a separate tic library" >&5
+echo "$as_me:5027: checking if you want to build a separate tic library" >&5
 echo $ECHO_N "checking if you want to build a separate tic library... $ECHO_C" >&6
 
 # Check whether --with-ticlib or --without-ticlib was given.
@@ -4923,13 +5034,13 @@
 else
   with_ticlib=no
 fi;
-echo "$as_me:4926: result: $with_ticlib" >&5
+echo "$as_me:5037: result: $with_ticlib" >&5
 echo "${ECHO_T}$with_ticlib" >&6
 
 ### Checks for special libraries, must be done up-front.
 SHLIB_LIST=""
 
-echo "$as_me:4932: checking if you want to link with the GPM mouse library" >&5
+echo "$as_me:5043: checking if you want to link with the GPM mouse library" >&5
 echo $ECHO_N "checking if you want to link with the GPM mouse library... $ECHO_C" >&6
 
 # Check whether --with-gpm or --without-gpm was given.
@@ -4939,27 +5050,27 @@
 else
   with_gpm=maybe
 fi;
-echo "$as_me:4942: result: $with_gpm" >&5
+echo "$as_me:5053: result: $with_gpm" >&5
 echo "${ECHO_T}$with_gpm" >&6
 
 if test "$with_gpm" != no ; then
-	echo "$as_me:4946: checking for gpm.h" >&5
+	echo "$as_me:5057: checking for gpm.h" >&5
 echo $ECHO_N "checking for gpm.h... $ECHO_C" >&6
 if test "${ac_cv_header_gpm_h+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 4952 "configure"
+#line 5063 "configure"
 #include "confdefs.h"
 #include <gpm.h>
 _ACEOF
-if { (eval echo "$as_me:4956: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:5067: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:4962: \$? = $ac_status" >&5
+  echo "$as_me:5073: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_c_preproc_warn_flag
@@ -4978,7 +5089,7 @@
 fi
 rm -f conftest.err conftest.$ac_ext
 fi
-echo "$as_me:4981: result: $ac_cv_header_gpm_h" >&5
+echo "$as_me:5092: result: $ac_cv_header_gpm_h" >&5
 echo "${ECHO_T}$ac_cv_header_gpm_h" >&6
 if test $ac_cv_header_gpm_h = yes; then
 
@@ -4989,14 +5100,14 @@
 		if test "$with_gpm" != yes && test "$with_gpm" != maybe ; then
 			test -n "$verbose" && echo "	assuming we really have GPM library" 1>&6
 
-echo "${as_me:-configure}:4992: testing assuming we really have GPM library ..." 1>&5
+echo "${as_me:-configure}:5103: testing assuming we really have GPM library ..." 1>&5
 
 cat >>confdefs.h <<\EOF
 #define HAVE_LIBGPM 1
 EOF
 
 		else
-			echo "$as_me:4999: checking for Gpm_Open in -lgpm" >&5
+			echo "$as_me:5110: checking for Gpm_Open in -lgpm" >&5
 echo $ECHO_N "checking for Gpm_Open in -lgpm... $ECHO_C" >&6
 if test "${ac_cv_lib_gpm_Gpm_Open+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -5004,7 +5115,7 @@
   ac_check_lib_save_LIBS=$LIBS
 LIBS="-lgpm  $LIBS"
 cat >conftest.$ac_ext <<_ACEOF
-#line 5007 "configure"
+#line 5118 "configure"
 #include "confdefs.h"
 
 /* Override any gcc2 internal prototype to avoid an error.  */
@@ -5023,16 +5134,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:5026: \"$ac_link\"") >&5
+if { (eval echo "$as_me:5137: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:5029: \$? = $ac_status" >&5
+  echo "$as_me:5140: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:5032: \"$ac_try\"") >&5
+  { (eval echo "$as_me:5143: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:5035: \$? = $ac_status" >&5
+  echo "$as_me:5146: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_lib_gpm_Gpm_Open=yes
 else
@@ -5043,13 +5154,13 @@
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-echo "$as_me:5046: result: $ac_cv_lib_gpm_Gpm_Open" >&5
+echo "$as_me:5157: result: $ac_cv_lib_gpm_Gpm_Open" >&5
 echo "${ECHO_T}$ac_cv_lib_gpm_Gpm_Open" >&6
 if test $ac_cv_lib_gpm_Gpm_Open = yes; then
   :
 else
 
-				{ { echo "$as_me:5052: error: Cannot link with GPM library" >&5
+				{ { echo "$as_me:5163: error: Cannot link with GPM library" >&5
 echo "$as_me: error: Cannot link with GPM library" >&2;}
    { (exit 1); exit 1; }; }
 		fi
@@ -5059,7 +5170,7 @@
 
 else
 
-		test "$with_gpm" != maybe && { echo "$as_me:5062: WARNING: Cannot find GPM header" >&5
+		test "$with_gpm" != maybe && { echo "$as_me:5173: WARNING: Cannot find GPM header" >&5
 echo "$as_me: WARNING: Cannot find GPM header" >&2;}
 		with_gpm=no
 
@@ -5068,7 +5179,7 @@
 fi
 
 if test "$with_gpm" != no ; then
-	echo "$as_me:5071: checking if you want to load GPM dynamically" >&5
+	echo "$as_me:5182: checking if you want to load GPM dynamically" >&5
 echo $ECHO_N "checking if you want to load GPM dynamically... $ECHO_C" >&6
 
 # Check whether --with-dlsym or --without-dlsym was given.
@@ -5078,18 +5189,18 @@
 else
   with_dlsym=yes
 fi;
-	echo "$as_me:5081: result: $with_dlsym" >&5
+	echo "$as_me:5192: result: $with_dlsym" >&5
 echo "${ECHO_T}$with_dlsym" >&6
 	if test "x$with_dlsym" = xyes ; then
 
 cf_have_dlsym=no
-echo "$as_me:5086: checking for dlsym" >&5
+echo "$as_me:5197: checking for dlsym" >&5
 echo $ECHO_N "checking for dlsym... $ECHO_C" >&6
 if test "${ac_cv_func_dlsym+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 5092 "configure"
+#line 5203 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char dlsym (); below.  */
@@ -5120,16 +5231,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:5123: \"$ac_link\"") >&5
+if { (eval echo "$as_me:5234: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:5126: \$? = $ac_status" >&5
+  echo "$as_me:5237: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:5129: \"$ac_try\"") >&5
+  { (eval echo "$as_me:5240: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:5132: \$? = $ac_status" >&5
+  echo "$as_me:5243: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_func_dlsym=yes
 else
@@ -5139,14 +5250,14 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 fi
-echo "$as_me:5142: result: $ac_cv_func_dlsym" >&5
+echo "$as_me:5253: result: $ac_cv_func_dlsym" >&5
 echo "${ECHO_T}$ac_cv_func_dlsym" >&6
 if test $ac_cv_func_dlsym = yes; then
   cf_have_dlsym=yes
 else
 
 cf_have_libdl=no
-echo "$as_me:5149: checking for dlsym in -ldl" >&5
+echo "$as_me:5260: checking for dlsym in -ldl" >&5
 echo $ECHO_N "checking for dlsym in -ldl... $ECHO_C" >&6
 if test "${ac_cv_lib_dl_dlsym+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -5154,7 +5265,7 @@
   ac_check_lib_save_LIBS=$LIBS
 LIBS="-ldl  $LIBS"
 cat >conftest.$ac_ext <<_ACEOF
-#line 5157 "configure"
+#line 5268 "configure"
 #include "confdefs.h"
 
 /* Override any gcc2 internal prototype to avoid an error.  */
@@ -5173,16 +5284,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:5176: \"$ac_link\"") >&5
+if { (eval echo "$as_me:5287: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:5179: \$? = $ac_status" >&5
+  echo "$as_me:5290: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:5182: \"$ac_try\"") >&5
+  { (eval echo "$as_me:5293: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:5185: \$? = $ac_status" >&5
+  echo "$as_me:5296: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_lib_dl_dlsym=yes
 else
@@ -5193,7 +5304,7 @@
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-echo "$as_me:5196: result: $ac_cv_lib_dl_dlsym" >&5
+echo "$as_me:5307: result: $ac_cv_lib_dl_dlsym" >&5
 echo "${ECHO_T}$ac_cv_lib_dl_dlsym" >&6
 if test $ac_cv_lib_dl_dlsym = yes; then
 
@@ -5221,10 +5332,10 @@
 done
 LIBS="$cf_add_libs"
 
-	echo "$as_me:5224: checking whether able to link to dl*() functions" >&5
+	echo "$as_me:5335: checking whether able to link to dl*() functions" >&5
 echo $ECHO_N "checking whether able to link to dl*() functions... $ECHO_C" >&6
 	cat >conftest.$ac_ext <<_ACEOF
-#line 5227 "configure"
+#line 5338 "configure"
 #include "confdefs.h"
 #include <dlfcn.h>
 int
@@ -5242,16 +5353,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:5245: \"$ac_link\"") >&5
+if { (eval echo "$as_me:5356: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:5248: \$? = $ac_status" >&5
+  echo "$as_me:5359: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:5251: \"$ac_try\"") >&5
+  { (eval echo "$as_me:5362: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:5254: \$? = $ac_status" >&5
+  echo "$as_me:5365: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
 cat >>confdefs.h <<\EOF
@@ -5262,15 +5373,15 @@
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
 
-		{ { echo "$as_me:5265: error: Cannot link test program for libdl" >&5
+		{ { echo "$as_me:5376: error: Cannot link test program for libdl" >&5
 echo "$as_me: error: Cannot link test program for libdl" >&2;}
    { (exit 1); exit 1; }; }
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
-	echo "$as_me:5270: result: ok" >&5
+	echo "$as_me:5381: result: ok" >&5
 echo "${ECHO_T}ok" >&6
 else
-	{ { echo "$as_me:5273: error: Cannot find dlsym function" >&5
+	{ { echo "$as_me:5384: error: Cannot find dlsym function" >&5
 echo "$as_me: error: Cannot find dlsym function" >&2;}
    { (exit 1); exit 1; }; }
 fi
@@ -5278,12 +5389,12 @@
 		if test "x$with_gpm" != xyes ; then
 			test -n "$verbose" && echo "	assuming soname for gpm is $with_gpm" 1>&6
 
-echo "${as_me:-configure}:5281: testing assuming soname for gpm is $with_gpm ..." 1>&5
+echo "${as_me:-configure}:5392: testing assuming soname for gpm is $with_gpm ..." 1>&5
 
 			cf_cv_gpm_soname="$with_gpm"
 		else
 
-echo "$as_me:5286: checking for soname of gpm library" >&5
+echo "$as_me:5397: checking for soname of gpm library" >&5
 echo $ECHO_N "checking for soname of gpm library... $ECHO_C" >&6
 if test "${cf_cv_gpm_soname+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -5317,15 +5428,15 @@
 done
 LIBS="$cf_add_libs"
 
-	if { (eval echo "$as_me:5320: \"$ac_compile\"") >&5
+	if { (eval echo "$as_me:5431: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:5323: \$? = $ac_status" >&5
+  echo "$as_me:5434: \$? = $ac_status" >&5
   (exit $ac_status); } ; then
-		if { (eval echo "$as_me:5325: \"$ac_link\"") >&5
+		if { (eval echo "$as_me:5436: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:5328: \$? = $ac_status" >&5
+  echo "$as_me:5439: \$? = $ac_status" >&5
   (exit $ac_status); } ; then
 			cf_cv_gpm_soname=`ldd conftest$ac_exeext 2>/dev/null | sed -e 's,^.*/,,' -e 's, .*$,,' | fgrep libgpm.`
 			test -z "$cf_cv_gpm_soname" && cf_cv_gpm_soname=unknown
@@ -5336,7 +5447,7 @@
 fi
 
 fi
-echo "$as_me:5339: result: $cf_cv_gpm_soname" >&5
+echo "$as_me:5450: result: $cf_cv_gpm_soname" >&5
 echo "${ECHO_T}$cf_cv_gpm_soname" >&6
 
 		fi
@@ -5371,7 +5482,7 @@
 #define HAVE_LIBGPM 1
 EOF
 
-echo "$as_me:5374: checking for Gpm_Wgetch in -lgpm" >&5
+echo "$as_me:5485: checking for Gpm_Wgetch in -lgpm" >&5
 echo $ECHO_N "checking for Gpm_Wgetch in -lgpm... $ECHO_C" >&6
 if test "${ac_cv_lib_gpm_Gpm_Wgetch+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -5379,7 +5490,7 @@
   ac_check_lib_save_LIBS=$LIBS
 LIBS="-lgpm  $LIBS"
 cat >conftest.$ac_ext <<_ACEOF
-#line 5382 "configure"
+#line 5493 "configure"
 #include "confdefs.h"
 
 /* Override any gcc2 internal prototype to avoid an error.  */
@@ -5398,16 +5509,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:5401: \"$ac_link\"") >&5
+if { (eval echo "$as_me:5512: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:5404: \$? = $ac_status" >&5
+  echo "$as_me:5515: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:5407: \"$ac_try\"") >&5
+  { (eval echo "$as_me:5518: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:5410: \$? = $ac_status" >&5
+  echo "$as_me:5521: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_lib_gpm_Gpm_Wgetch=yes
 else
@@ -5418,11 +5529,11 @@
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-echo "$as_me:5421: result: $ac_cv_lib_gpm_Gpm_Wgetch" >&5
+echo "$as_me:5532: result: $ac_cv_lib_gpm_Gpm_Wgetch" >&5
 echo "${ECHO_T}$ac_cv_lib_gpm_Gpm_Wgetch" >&6
 if test $ac_cv_lib_gpm_Gpm_Wgetch = yes; then
 
-echo "$as_me:5425: checking if GPM is weakly bound to curses library" >&5
+echo "$as_me:5536: checking if GPM is weakly bound to curses library" >&5
 echo $ECHO_N "checking if GPM is weakly bound to curses library... $ECHO_C" >&6
 if test "${cf_cv_check_gpm_wgetch+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -5446,15 +5557,15 @@
 	# to rely on the static library, noting that some packagers may not
 	# include it.
 	LIBS="-static -lgpm -dynamic $LIBS"
-	if { (eval echo "$as_me:5449: \"$ac_compile\"") >&5
+	if { (eval echo "$as_me:5560: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:5452: \$? = $ac_status" >&5
+  echo "$as_me:5563: \$? = $ac_status" >&5
   (exit $ac_status); } ; then
-		if { (eval echo "$as_me:5454: \"$ac_link\"") >&5
+		if { (eval echo "$as_me:5565: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:5457: \$? = $ac_status" >&5
+  echo "$as_me:5568: \$? = $ac_status" >&5
   (exit $ac_status); } ; then
 			cf_cv_check_gpm_wgetch=`nm conftest$ac_exeext | egrep '\<wgetch\>' | egrep '\<[vVwW]\>'`
 			test -n "$cf_cv_check_gpm_wgetch" && cf_cv_check_gpm_wgetch=yes
@@ -5466,11 +5577,11 @@
 fi
 
 fi
-echo "$as_me:5469: result: $cf_cv_check_gpm_wgetch" >&5
+echo "$as_me:5580: result: $cf_cv_check_gpm_wgetch" >&5
 echo "${ECHO_T}$cf_cv_check_gpm_wgetch" >&6
 
 if test "$cf_cv_check_gpm_wgetch" != yes ; then
-	{ echo "$as_me:5473: WARNING: GPM library is already linked with curses - read the FAQ" >&5
+	{ echo "$as_me:5584: WARNING: GPM library is already linked with curses - read the FAQ" >&5
 echo "$as_me: WARNING: GPM library is already linked with curses - read the FAQ" >&2;}
 fi
 
@@ -5480,7 +5591,7 @@
 
 # not everyone has "test -c"
 if test -c /dev/sysmouse 2>/dev/null ; then
-echo "$as_me:5483: checking if you want to use sysmouse" >&5
+echo "$as_me:5594: checking if you want to use sysmouse" >&5
 echo $ECHO_N "checking if you want to use sysmouse... $ECHO_C" >&6
 
 # Check whether --with-sysmouse or --without-sysmouse was given.
@@ -5492,7 +5603,7 @@
 fi;
 	if test "$cf_with_sysmouse" != no ; then
 	cat >conftest.$ac_ext <<_ACEOF
-#line 5495 "configure"
+#line 5606 "configure"
 #include "confdefs.h"
 
 #include <osreldate.h>
@@ -5515,16 +5626,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:5518: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:5629: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:5521: \$? = $ac_status" >&5
+  echo "$as_me:5632: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:5524: \"$ac_try\"") >&5
+  { (eval echo "$as_me:5635: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:5527: \$? = $ac_status" >&5
+  echo "$as_me:5638: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_with_sysmouse=yes
 else
@@ -5534,7 +5645,7 @@
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 	fi
-echo "$as_me:5537: result: $cf_with_sysmouse" >&5
+echo "$as_me:5648: result: $cf_with_sysmouse" >&5
 echo "${ECHO_T}$cf_with_sysmouse" >&6
 test "$cf_with_sysmouse" = yes &&
 cat >>confdefs.h <<\EOF
@@ -5553,7 +5664,7 @@
 	test -n "$GXX" && test "x${ac_cv_prog_cxx_g}" != xyes && CXX_G_OPT=''
 fi
 
-echo "$as_me:5556: checking for default loader flags" >&5
+echo "$as_me:5667: checking for default loader flags" >&5
 echo $ECHO_N "checking for default loader flags... $ECHO_C" >&6
 case $DFT_LWR_MODEL in
 libtool) LD_MODEL=''   ;;
@@ -5562,13 +5673,13 @@
 profile) LD_MODEL='-pg';;
 shared)  LD_MODEL=''   ;;
 esac
-echo "$as_me:5565: result: $LD_MODEL" >&5
+echo "$as_me:5676: result: $LD_MODEL" >&5
 echo "${ECHO_T}$LD_MODEL" >&6
 
 case $DFT_LWR_MODEL in
 shared)
 
-echo "$as_me:5571: checking if rpath option should be used" >&5
+echo "$as_me:5682: checking if rpath option should be used" >&5
 echo $ECHO_N "checking if rpath option should be used... $ECHO_C" >&6
 
 # Check whether --enable-rpath or --disable-rpath was given.
@@ -5578,10 +5689,10 @@
 else
   cf_cv_enable_rpath=no
 fi;
-echo "$as_me:5581: result: $cf_cv_enable_rpath" >&5
+echo "$as_me:5692: result: $cf_cv_enable_rpath" >&5
 echo "${ECHO_T}$cf_cv_enable_rpath" >&6
 
-echo "$as_me:5584: checking if shared libraries should be relinked during install" >&5
+echo "$as_me:5695: checking if shared libraries should be relinked during install" >&5
 echo $ECHO_N "checking if shared libraries should be relinked during install... $ECHO_C" >&6
 
 # Check whether --enable-relink or --disable-relink was given.
@@ -5591,7 +5702,7 @@
 else
   cf_cv_do_relink=yes
 fi;
-echo "$as_me:5594: result: $cf_cv_do_relink" >&5
+echo "$as_me:5705: result: $cf_cv_do_relink" >&5
 echo "${ECHO_T}$cf_cv_do_relink" >&6
 	;;
 esac
@@ -5600,7 +5711,7 @@
 rel_builddir=..
 
 LD_RPATH_OPT=
-echo "$as_me:5603: checking for an rpath option" >&5
+echo "$as_me:5714: checking for an rpath option" >&5
 echo $ECHO_N "checking for an rpath option... $ECHO_C" >&6
 case $cf_cv_system_name in #(vi
 irix*) #(vi
@@ -5631,12 +5742,12 @@
 *)
 	;;
 esac
-echo "$as_me:5634: result: $LD_RPATH_OPT" >&5
+echo "$as_me:5745: result: $LD_RPATH_OPT" >&5
 echo "${ECHO_T}$LD_RPATH_OPT" >&6
 
 case "x$LD_RPATH_OPT" in #(vi
 x-R*)
-	echo "$as_me:5639: checking if we need a space after rpath option" >&5
+	echo "$as_me:5750: checking if we need a space after rpath option" >&5
 echo $ECHO_N "checking if we need a space after rpath option... $ECHO_C" >&6
 	cf_save_LIBS="$LIBS"
 
@@ -5657,7 +5768,7 @@
 LIBS="$cf_add_libs"
 
 	cat >conftest.$ac_ext <<_ACEOF
-#line 5660 "configure"
+#line 5771 "configure"
 #include "confdefs.h"
 
 int
@@ -5669,16 +5780,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:5672: \"$ac_link\"") >&5
+if { (eval echo "$as_me:5783: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:5675: \$? = $ac_status" >&5
+  echo "$as_me:5786: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:5678: \"$ac_try\"") >&5
+  { (eval echo "$as_me:5789: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:5681: \$? = $ac_status" >&5
+  echo "$as_me:5792: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_rpath_space=no
 else
@@ -5688,7 +5799,7 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 	LIBS="$cf_save_LIBS"
-	echo "$as_me:5691: result: $cf_rpath_space" >&5
+	echo "$as_me:5802: result: $cf_rpath_space" >&5
 echo "${ECHO_T}$cf_rpath_space" >&6
 	test "$cf_rpath_space" = yes && LD_RPATH_OPT="$LD_RPATH_OPT "
 	;;
@@ -5709,7 +5820,7 @@
 	cf_ld_rpath_opt=
 	test "$cf_cv_enable_rpath" = yes && cf_ld_rpath_opt="$LD_RPATH_OPT"
 
-	echo "$as_me:5712: checking if release/abi version should be used for shared libs" >&5
+	echo "$as_me:5823: checking if release/abi version should be used for shared libs" >&5
 echo $ECHO_N "checking if release/abi version should be used for shared libs... $ECHO_C" >&6
 
 # Check whether --with-shlib-version or --without-shlib-version was given.
@@ -5724,7 +5835,7 @@
 		cf_cv_shlib_version=$withval
 		;;
 	*)
-		{ { echo "$as_me:5727: error: option value must be one of: rel, abi, auto or no" >&5
+		{ { echo "$as_me:5838: error: option value must be one of: rel, abi, auto or no" >&5
 echo "$as_me: error: option value must be one of: rel, abi, auto or no" >&2;}
    { (exit 1); exit 1; }; }
 		;;
@@ -5733,7 +5844,7 @@
 else
   cf_cv_shlib_version=auto
 fi;
-	echo "$as_me:5736: result: $cf_cv_shlib_version" >&5
+	echo "$as_me:5847: result: $cf_cv_shlib_version" >&5
 echo "${ECHO_T}$cf_cv_shlib_version" >&6
 
 	cf_cv_rm_so_locs=no
@@ -5743,14 +5854,14 @@
 	CC_SHARED_OPTS=
 	if test "$GCC" = yes
 	then
-		echo "$as_me:5746: checking which $CC option to use" >&5
+		echo "$as_me:5857: checking which $CC option to use" >&5
 echo $ECHO_N "checking which $CC option to use... $ECHO_C" >&6
 		cf_save_CFLAGS="$CFLAGS"
 		for CC_SHARED_OPTS in -fPIC -fpic ''
 		do
 			CFLAGS="$cf_save_CFLAGS $CC_SHARED_OPTS"
 			cat >conftest.$ac_ext <<_ACEOF
-#line 5753 "configure"
+#line 5864 "configure"
 #include "confdefs.h"
 #include <stdio.h>
 int
@@ -5762,16 +5873,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:5765: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:5876: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:5768: \$? = $ac_status" >&5
+  echo "$as_me:5879: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:5771: \"$ac_try\"") >&5
+  { (eval echo "$as_me:5882: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:5774: \$? = $ac_status" >&5
+  echo "$as_me:5885: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   break
 else
@@ -5780,7 +5891,7 @@
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 		done
-		echo "$as_me:5783: result: $CC_SHARED_OPTS" >&5
+		echo "$as_me:5894: result: $CC_SHARED_OPTS" >&5
 echo "${ECHO_T}$CC_SHARED_OPTS" >&6
 		CFLAGS="$cf_save_CFLAGS"
 	fi
@@ -5851,7 +5962,7 @@
 		MK_SHARED_LIB='${CC} ${CFLAGS} -dynamiclib -install_name ${libdir}/`basename $@` -compatibility_version ${ABI_VERSION} -current_version ${ABI_VERSION} -o $@'
 		test "$cf_cv_shlib_version" = auto && cf_cv_shlib_version=abi
 		cf_cv_shlib_version_infix=yes
-		echo "$as_me:5854: checking if ld -search_paths_first works" >&5
+		echo "$as_me:5965: checking if ld -search_paths_first works" >&5
 echo $ECHO_N "checking if ld -search_paths_first works... $ECHO_C" >&6
 if test "${cf_cv_ldflags_search_paths_first+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -5860,7 +5971,7 @@
 			cf_save_LDFLAGS=$LDFLAGS
 			LDFLAGS="$LDFLAGS -Wl,-search_paths_first"
 			cat >conftest.$ac_ext <<_ACEOF
-#line 5863 "configure"
+#line 5974 "configure"
 #include "confdefs.h"
 
 int
@@ -5872,16 +5983,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:5875: \"$ac_link\"") >&5
+if { (eval echo "$as_me:5986: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:5878: \$? = $ac_status" >&5
+  echo "$as_me:5989: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:5881: \"$ac_try\"") >&5
+  { (eval echo "$as_me:5992: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:5884: \$? = $ac_status" >&5
+  echo "$as_me:5995: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_ldflags_search_paths_first=yes
 else
@@ -5892,7 +6003,7 @@
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 				LDFLAGS=$cf_save_LDFLAGS
 fi
-echo "$as_me:5895: result: $cf_cv_ldflags_search_paths_first" >&5
+echo "$as_me:6006: result: $cf_cv_ldflags_search_paths_first" >&5
 echo "${ECHO_T}$cf_cv_ldflags_search_paths_first" >&6
 		if test $cf_cv_ldflags_search_paths_first = yes; then
 			LDFLAGS="$LDFLAGS -Wl,-search_paths_first"
@@ -6117,7 +6228,7 @@
 			do
 				CFLAGS="$cf_shared_opts $cf_save_CFLAGS"
 				cat >conftest.$ac_ext <<_ACEOF
-#line 6120 "configure"
+#line 6231 "configure"
 #include "confdefs.h"
 #include <stdio.h>
 int
@@ -6129,16 +6240,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:6132: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:6243: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:6135: \$? = $ac_status" >&5
+  echo "$as_me:6246: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:6138: \"$ac_try\"") >&5
+  { (eval echo "$as_me:6249: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:6141: \$? = $ac_status" >&5
+  echo "$as_me:6252: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   break
 else
@@ -6175,7 +6286,7 @@
 			test "$cf_cv_do_symlinks" = no && cf_cv_do_symlinks=yes
 			;;
 		*)
-			{ echo "$as_me:6178: WARNING: ignored --with-shlib-version" >&5
+			{ echo "$as_me:6289: WARNING: ignored --with-shlib-version" >&5
 echo "$as_me: WARNING: ignored --with-shlib-version" >&2;}
 			;;
 		esac
@@ -6185,7 +6296,7 @@
 	if test -n "$cf_try_cflags"
 	then
 cat > conftest.$ac_ext <<EOF
-#line 6188 "${as_me:-configure}"
+#line 6299 "${as_me:-configure}"
 #include <stdio.h>
 int main(int argc, char *argv[])
 {
@@ -6197,18 +6308,18 @@
 		for cf_opt in $cf_try_cflags
 		do
 			CFLAGS="$cf_save_CFLAGS -$cf_opt"
-			echo "$as_me:6200: checking if CFLAGS option -$cf_opt works" >&5
+			echo "$as_me:6311: checking if CFLAGS option -$cf_opt works" >&5
 echo $ECHO_N "checking if CFLAGS option -$cf_opt works... $ECHO_C" >&6
-			if { (eval echo "$as_me:6202: \"$ac_compile\"") >&5
+			if { (eval echo "$as_me:6313: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:6205: \$? = $ac_status" >&5
+  echo "$as_me:6316: \$? = $ac_status" >&5
   (exit $ac_status); }; then
-				echo "$as_me:6207: result: yes" >&5
+				echo "$as_me:6318: result: yes" >&5
 echo "${ECHO_T}yes" >&6
 				cf_save_CFLAGS="$CFLAGS"
 			else
-				echo "$as_me:6211: result: no" >&5
+				echo "$as_me:6322: result: no" >&5
 echo "${ECHO_T}no" >&6
 			fi
 		done
@@ -6223,24 +6334,119 @@
 
 	test -n "$verbose" && echo "	CC_SHARED_OPTS: $CC_SHARED_OPTS" 1>&6
 
-echo "${as_me:-configure}:6226: testing CC_SHARED_OPTS: $CC_SHARED_OPTS ..." 1>&5
+echo "${as_me:-configure}:6337: testing CC_SHARED_OPTS: $CC_SHARED_OPTS ..." 1>&5
 
 	test -n "$verbose" && echo "	MK_SHARED_LIB:  $MK_SHARED_LIB" 1>&6
 
-echo "${as_me:-configure}:6230: testing MK_SHARED_LIB:  $MK_SHARED_LIB ..." 1>&5
+echo "${as_me:-configure}:6341: testing MK_SHARED_LIB:  $MK_SHARED_LIB ..." 1>&5
+
+for model in $cf_list_models; do
+	case $model in #(vi
+	libtool)
+
+echo "$as_me:6347: checking for additional libtool options" >&5
+echo $ECHO_N "checking for additional libtool options... $ECHO_C" >&6
 
-if test "$CC_SHARED_OPTS" = "unknown"; then
-	for model in $cf_list_models; do
-		if test "$model" = "shared"; then
-			{ { echo "$as_me:6235: error: Shared libraries are not supported in this version" >&5
+# Check whether --with-libtool-opts or --without-libtool-opts was given.
+if test "${with_libtool_opts+set}" = set; then
+  withval="$with_libtool_opts"
+  with_libtool_opts=$withval
+else
+  with_libtool_opts=no
+fi;
+echo "$as_me:6357: result: $with_libtool_opts" >&5
+echo "${ECHO_T}$with_libtool_opts" >&6
+
+case .$with_libtool_opts in
+.yes|.no|.)
+	;;
+*)
+	LIBTOOL_OPTS="$LIBTOOL_OPTS $with_libtool_opts"
+	;;
+esac
+
+echo "$as_me:6368: checking if exported-symbols file should be used" >&5
+echo $ECHO_N "checking if exported-symbols file should be used... $ECHO_C" >&6
+
+# Check whether --with-export-syms or --without-export-syms was given.
+if test "${with_export_syms+set}" = set; then
+  withval="$with_export_syms"
+  with_export_syms=$withval
+else
+  with_export_syms=no
+fi;
+if test "x$with_export_syms" = xyes
+then
+	with_export_syms='${top_srcdir}/package/${PACKAGE}.sym'
+
+fi
+echo "$as_me:6383: result: $with_export_syms" >&5
+echo "${ECHO_T}$with_export_syms" >&6
+if test "x$with_export_syms" != xno
+then
+	EXPORT_SYMS="$EXPORT_SYMS -export-symbols $with_export_syms"
+
+fi
+
+		;;
+	shared) #(vi
+		if test "$CC_SHARED_OPTS" = "unknown"; then
+			{ { echo "$as_me:6394: error: Shared libraries are not supported in this version" >&5
 echo "$as_me: error: Shared libraries are not supported in this version" >&2;}
    { (exit 1); exit 1; }; }
 		fi
-	done
+
+echo "$as_me:6399: checking if versioned-symbols file should be used" >&5
+echo $ECHO_N "checking if versioned-symbols file should be used... $ECHO_C" >&6
+
+# Check whether --with-versioned-syms or --without-versioned-syms was given.
+if test "${with_versioned_syms+set}" = set; then
+  withval="$with_versioned_syms"
+  with_versioned_syms=$withval
+else
+  with_versioned_syms=no
+fi;
+if test "x$with_versioned_syms" = xyes
+then
+	with_versioned_syms='${top_srcdir}/package/${PACKAGE}.map'
+
 fi
+echo "$as_me:6414: result: $with_versioned_syms" >&5
+echo "${ECHO_T}$with_versioned_syms" >&6
+
+if test "x$with_versioned_syms" != xno
+then
+
+	case "x$MK_SHARED_LIB" in
+	*-Wl,*) #(vi
+		VERSIONED_SYMS="-Wl,--version-script,$with_versioned_syms"
+		MK_SHARED_LIB=`echo "$MK_SHARED_LIB" | sed -e "s%-Wl,%\\${VERSIONED_SYMS} -Wl,%"`
+		test -n "$verbose" && echo "	MK_SHARED_LIB:  $MK_SHARED_LIB" 1>&6
+
+echo "${as_me:-configure}:6426: testing MK_SHARED_LIB:  $MK_SHARED_LIB ..." 1>&5
+
+		;;
+	*-dy*) #(vi
+		VERSIONED_SYMS="-Wl,-M,$with_versioned_syms"
+		MK_SHARED_LIB=`echo "$MK_SHARED_LIB" | sed -e "s%-dy%\\${VERSIONED_SYMS} -dy%"`
+		test -n "$verbose" && echo "	MK_SHARED_LIB:  $MK_SHARED_LIB" 1>&6
+
+echo "${as_me:-configure}:6434: testing MK_SHARED_LIB:  $MK_SHARED_LIB ..." 1>&5
+
+		;;
+	*)
+		{ echo "$as_me:6438: WARNING: this system does not support versioned-symbols" >&5
+echo "$as_me: WARNING: this system does not support versioned-symbols" >&2;}
+		;;
+	esac
+fi
+
+		;;
+	esac
+done
 
 # pretend that ncurses==ncursesw==ncursest
-echo "$as_me:6243: checking if you want to disable library suffixes" >&5
+echo "$as_me:6449: checking if you want to disable library suffixes" >&5
 echo $ECHO_N "checking if you want to disable library suffixes... $ECHO_C" >&6
 
 # Check whether --enable-lib-suffixes or --disable-lib-suffixes was given.
@@ -6250,13 +6456,13 @@
 else
   disable_lib_suffixes=no
 fi;
-echo "$as_me:6253: result: $disable_lib_suffixes" >&5
+echo "$as_me:6459: result: $disable_lib_suffixes" >&5
 echo "${ECHO_T}$disable_lib_suffixes" >&6
 
 ### If we're building with rpath, try to link non-standard libs that way too.
 if test "$DFT_LWR_MODEL" = "shared"; then
 
-echo "$as_me:6259: checking if rpath-hack should be disabled" >&5
+echo "$as_me:6465: checking if rpath-hack should be disabled" >&5
 echo $ECHO_N "checking if rpath-hack should be disabled... $ECHO_C" >&6
 
 # Check whether --enable-rpath-hack or --disable-rpath-hack was given.
@@ -6273,21 +6479,21 @@
   cf_disable_rpath_hack=no
 
 fi;
-echo "$as_me:6276: result: $cf_disable_rpath_hack" >&5
+echo "$as_me:6482: result: $cf_disable_rpath_hack" >&5
 echo "${ECHO_T}$cf_disable_rpath_hack" >&6
 if test "$cf_disable_rpath_hack" = no ; then
 
-echo "$as_me:6280: checking for updated LDFLAGS" >&5
+echo "$as_me:6486: checking for updated LDFLAGS" >&5
 echo $ECHO_N "checking for updated LDFLAGS... $ECHO_C" >&6
 if test -n "$LD_RPATH_OPT" ; then
-	echo "$as_me:6283: result: maybe" >&5
+	echo "$as_me:6489: result: maybe" >&5
 echo "${ECHO_T}maybe" >&6
 
 	for ac_prog in ldd
 do
   # Extract the first word of "$ac_prog", so it can be a program name with args.
 set dummy $ac_prog; ac_word=$2
-echo "$as_me:6290: checking for $ac_word" >&5
+echo "$as_me:6496: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_prog_cf_ldd_prog+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -6302,7 +6508,7 @@
   test -z "$ac_dir" && ac_dir=.
   $as_executable_p "$ac_dir/$ac_word" || continue
 ac_cv_prog_cf_ldd_prog="$ac_prog"
-echo "$as_me:6305: found $ac_dir/$ac_word" >&5
+echo "$as_me:6511: found $ac_dir/$ac_word" >&5
 break
 done
 
@@ -6310,10 +6516,10 @@
 fi
 cf_ldd_prog=$ac_cv_prog_cf_ldd_prog
 if test -n "$cf_ldd_prog"; then
-  echo "$as_me:6313: result: $cf_ldd_prog" >&5
+  echo "$as_me:6519: result: $cf_ldd_prog" >&5
 echo "${ECHO_T}$cf_ldd_prog" >&6
 else
-  echo "$as_me:6316: result: no" >&5
+  echo "$as_me:6522: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -6327,7 +6533,7 @@
 		cf_rpath_oops=
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 6330 "configure"
+#line 6536 "configure"
 #include "confdefs.h"
 #include <stdio.h>
 int
@@ -6339,16 +6545,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:6342: \"$ac_link\"") >&5
+if { (eval echo "$as_me:6548: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:6345: \$? = $ac_status" >&5
+  echo "$as_me:6551: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:6348: \"$ac_try\"") >&5
+  { (eval echo "$as_me:6554: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:6351: \$? = $ac_status" >&5
+  echo "$as_me:6557: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_rpath_oops=`$cf_ldd_prog conftest$ac_exeext | fgrep ' not found' | sed -e 's% =>.*$%%' |sort | uniq`
 		 cf_rpath_list=`$cf_ldd_prog conftest$ac_exeext | fgrep / | sed -e 's%^.*[ 	]/%/%' -e 's%/[^/][^/]*$%%' |sort | uniq`
@@ -6376,7 +6582,7 @@
 					then
 						test -n "$verbose" && echo "	...adding -L$cf_rpath_dir/lib to LDFLAGS for $cf_rpath_src" 1>&6
 
-echo "${as_me:-configure}:6379: testing ...adding -L$cf_rpath_dir/lib to LDFLAGS for $cf_rpath_src ..." 1>&5
+echo "${as_me:-configure}:6585: testing ...adding -L$cf_rpath_dir/lib to LDFLAGS for $cf_rpath_src ..." 1>&5
 
 						LDFLAGS="$LDFLAGS -L$cf_rpath_dir/lib"
 						break
@@ -6388,11 +6594,11 @@
 
 	test -n "$verbose" && echo "	...checking EXTRA_LDFLAGS $EXTRA_LDFLAGS" 1>&6
 
-echo "${as_me:-configure}:6391: testing ...checking EXTRA_LDFLAGS $EXTRA_LDFLAGS ..." 1>&5
+echo "${as_me:-configure}:6597: testing ...checking EXTRA_LDFLAGS $EXTRA_LDFLAGS ..." 1>&5
 
 test -n "$verbose" && echo "	...checking LDFLAGS $LDFLAGS" 1>&6
 
-echo "${as_me:-configure}:6395: testing ...checking LDFLAGS $LDFLAGS ..." 1>&5
+echo "${as_me:-configure}:6601: testing ...checking LDFLAGS $LDFLAGS ..." 1>&5
 
 cf_rpath_dst=
 for cf_rpath_src in $LDFLAGS
@@ -6429,7 +6635,7 @@
 			then
 				test -n "$verbose" && echo "	...Filter $cf_rpath_src ->$cf_rpath_tmp" 1>&6
 
-echo "${as_me:-configure}:6432: testing ...Filter $cf_rpath_src ->$cf_rpath_tmp ..." 1>&5
+echo "${as_me:-configure}:6638: testing ...Filter $cf_rpath_src ->$cf_rpath_tmp ..." 1>&5
 
 				EXTRA_LDFLAGS="$cf_rpath_tmp $EXTRA_LDFLAGS"
 			fi
@@ -6442,11 +6648,11 @@
 
 test -n "$verbose" && echo "	...checked LDFLAGS $LDFLAGS" 1>&6
 
-echo "${as_me:-configure}:6445: testing ...checked LDFLAGS $LDFLAGS ..." 1>&5
+echo "${as_me:-configure}:6651: testing ...checked LDFLAGS $LDFLAGS ..." 1>&5
 
 test -n "$verbose" && echo "	...checking LIBS $LIBS" 1>&6
 
-echo "${as_me:-configure}:6449: testing ...checking LIBS $LIBS ..." 1>&5
+echo "${as_me:-configure}:6655: testing ...checking LIBS $LIBS ..." 1>&5
 
 cf_rpath_dst=
 for cf_rpath_src in $LIBS
@@ -6483,7 +6689,7 @@
 			then
 				test -n "$verbose" && echo "	...Filter $cf_rpath_src ->$cf_rpath_tmp" 1>&6
 
-echo "${as_me:-configure}:6486: testing ...Filter $cf_rpath_src ->$cf_rpath_tmp ..." 1>&5
+echo "${as_me:-configure}:6692: testing ...Filter $cf_rpath_src ->$cf_rpath_tmp ..." 1>&5
 
 				EXTRA_LDFLAGS="$cf_rpath_tmp $EXTRA_LDFLAGS"
 			fi
@@ -6496,14 +6702,14 @@
 
 test -n "$verbose" && echo "	...checked LIBS $LIBS" 1>&6
 
-echo "${as_me:-configure}:6499: testing ...checked LIBS $LIBS ..." 1>&5
+echo "${as_me:-configure}:6705: testing ...checked LIBS $LIBS ..." 1>&5
 
 	test -n "$verbose" && echo "	...checked EXTRA_LDFLAGS $EXTRA_LDFLAGS" 1>&6
 
-echo "${as_me:-configure}:6503: testing ...checked EXTRA_LDFLAGS $EXTRA_LDFLAGS ..." 1>&5
+echo "${as_me:-configure}:6709: testing ...checked EXTRA_LDFLAGS $EXTRA_LDFLAGS ..." 1>&5
 
 else
-	echo "$as_me:6506: result: no" >&5
+	echo "$as_me:6712: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -6514,7 +6720,7 @@
 ###############################################################################
 
 ###	use option --disable-overwrite to leave out the link to -lcurses
-echo "$as_me:6517: checking if you wish to install ncurses overwriting curses" >&5
+echo "$as_me:6723: checking if you wish to install ncurses overwriting curses" >&5
 echo $ECHO_N "checking if you wish to install ncurses overwriting curses... $ECHO_C" >&6
 
 # Check whether --enable-overwrite or --disable-overwrite was given.
@@ -6524,10 +6730,10 @@
 else
   if test "$prefix" = "/usr" ; then with_overwrite=yes; else with_overwrite=no; fi
 fi;
-echo "$as_me:6527: result: $with_overwrite" >&5
+echo "$as_me:6733: result: $with_overwrite" >&5
 echo "${ECHO_T}$with_overwrite" >&6
 
-echo "$as_me:6530: checking if external terminfo-database is used" >&5
+echo "$as_me:6736: checking if external terminfo-database is used" >&5
 echo $ECHO_N "checking if external terminfo-database is used... $ECHO_C" >&6
 
 # Check whether --enable-database or --disable-database was given.
@@ -6537,7 +6743,7 @@
 else
   use_database=yes
 fi;
-echo "$as_me:6540: result: $use_database" >&5
+echo "$as_me:6746: result: $use_database" >&5
 echo "${ECHO_T}$use_database" >&6
 
 case $host_os in #(vi
@@ -6553,7 +6759,7 @@
 if test "$use_database" != no ; then
 	NCURSES_USE_DATABASE=1
 
-	echo "$as_me:6556: checking which terminfo source-file will be installed" >&5
+	echo "$as_me:6762: checking which terminfo source-file will be installed" >&5
 echo $ECHO_N "checking which terminfo source-file will be installed... $ECHO_C" >&6
 
 # Check whether --with-database or --without-database was given.
@@ -6561,10 +6767,10 @@
   withval="$with_database"
   TERMINFO_SRC=$withval
 fi;
-	echo "$as_me:6564: result: $TERMINFO_SRC" >&5
+	echo "$as_me:6770: result: $TERMINFO_SRC" >&5
 echo "${ECHO_T}$TERMINFO_SRC" >&6
 
-	echo "$as_me:6567: checking whether to use hashed database instead of directory/tree" >&5
+	echo "$as_me:6773: checking whether to use hashed database instead of directory/tree" >&5
 echo $ECHO_N "checking whether to use hashed database instead of directory/tree... $ECHO_C" >&6
 
 # Check whether --with-hashed-db or --without-hashed-db was given.
@@ -6574,13 +6780,13 @@
 else
   with_hashed_db=no
 fi;
-	echo "$as_me:6577: result: $with_hashed_db" >&5
+	echo "$as_me:6783: result: $with_hashed_db" >&5
 echo "${ECHO_T}$with_hashed_db" >&6
 else
 	with_hashed_db=no
 fi
 
-echo "$as_me:6583: checking for list of fallback descriptions" >&5
+echo "$as_me:6789: checking for list of fallback descriptions" >&5
 echo $ECHO_N "checking for list of fallback descriptions... $ECHO_C" >&6
 
 # Check whether --with-fallbacks or --without-fallbacks was given.
@@ -6590,11 +6796,11 @@
 else
   with_fallback=
 fi;
-echo "$as_me:6593: result: $with_fallback" >&5
+echo "$as_me:6799: result: $with_fallback" >&5
 echo "${ECHO_T}$with_fallback" >&6
 FALLBACK_LIST=`echo "$with_fallback" | sed -e 's/,/ /g'`
 
-echo "$as_me:6597: checking if you want modern xterm or antique" >&5
+echo "$as_me:6803: checking if you want modern xterm or antique" >&5
 echo $ECHO_N "checking if you want modern xterm or antique... $ECHO_C" >&6
 
 # Check whether --with-xterm-new or --without-xterm-new was given.
@@ -6608,11 +6814,11 @@
 no)	with_xterm_new=xterm-old;;
 *)	with_xterm_new=xterm-new;;
 esac
-echo "$as_me:6611: result: $with_xterm_new" >&5
+echo "$as_me:6817: result: $with_xterm_new" >&5
 echo "${ECHO_T}$with_xterm_new" >&6
 WHICH_XTERM=$with_xterm_new
 
-echo "$as_me:6615: checking if xterm backspace sends BS or DEL" >&5
+echo "$as_me:6821: checking if xterm backspace sends BS or DEL" >&5
 echo $ECHO_N "checking if xterm backspace sends BS or DEL... $ECHO_C" >&6
 
 # Check whether --with-xterm-kbs or --without-xterm-kbs was given.
@@ -6633,7 +6839,7 @@
 	with_xterm_kbs=$withval
 	;;
 esac
-echo "$as_me:6636: result: $with_xterm_kbs" >&5
+echo "$as_me:6842: result: $with_xterm_kbs" >&5
 echo "${ECHO_T}$with_xterm_kbs" >&6
 XTERM_KBS=$with_xterm_kbs
 
@@ -6643,7 +6849,7 @@
 	MAKE_TERMINFO="#"
 else
 
-echo "$as_me:6646: checking for list of terminfo directories" >&5
+echo "$as_me:6852: checking for list of terminfo directories" >&5
 echo $ECHO_N "checking for list of terminfo directories... $ECHO_C" >&6
 
 # Check whether --with-terminfo-dirs or --without-terminfo-dirs was given.
@@ -6683,7 +6889,7 @@
   cf_src_path=`echo $cf_src_path | sed -e s%NONE%$cf_path_syntax%`
   ;;
 *)
-  { { echo "$as_me:6686: error: expected a pathname, not \"$cf_src_path\"" >&5
+  { { echo "$as_me:6892: error: expected a pathname, not \"$cf_src_path\"" >&5
 echo "$as_me: error: expected a pathname, not \"$cf_src_path\"" >&2;}
    { (exit 1); exit 1; }; }
   ;;
@@ -6706,14 +6912,14 @@
 	;;
 esac
 
-echo "$as_me:6709: result: $TERMINFO_DIRS" >&5
+echo "$as_me:6915: result: $TERMINFO_DIRS" >&5
 echo "${ECHO_T}$TERMINFO_DIRS" >&6
 test -n "$TERMINFO_DIRS" &&
 cat >>confdefs.h <<EOF
 #define TERMINFO_DIRS "$TERMINFO_DIRS"
 EOF
 
-echo "$as_me:6716: checking for default terminfo directory" >&5
+echo "$as_me:6922: checking for default terminfo directory" >&5
 echo $ECHO_N "checking for default terminfo directory... $ECHO_C" >&6
 
 # Check whether --with-default-terminfo-dir or --without-default-terminfo-dir was given.
@@ -6749,7 +6955,7 @@
   withval=`echo $withval | sed -e s%NONE%$cf_path_syntax%`
   ;;
 *)
-  { { echo "$as_me:6752: error: expected a pathname, not \"$withval\"" >&5
+  { { echo "$as_me:6958: error: expected a pathname, not \"$withval\"" >&5
 echo "$as_me: error: expected a pathname, not \"$withval\"" >&2;}
    { (exit 1); exit 1; }; }
   ;;
@@ -6758,7 +6964,7 @@
 fi
 eval TERMINFO="$withval"
 
-echo "$as_me:6761: result: $TERMINFO" >&5
+echo "$as_me:6967: result: $TERMINFO" >&5
 echo "${ECHO_T}$TERMINFO" >&6
 
 cat >>confdefs.h <<EOF
@@ -6769,7 +6975,7 @@
 
 ###	use option --disable-big-core to make tic run on small machines
 ###	We need 4Mb, check if we can allocate 50% more than that.
-echo "$as_me:6772: checking if big-core option selected" >&5
+echo "$as_me:6978: checking if big-core option selected" >&5
 echo $ECHO_N "checking if big-core option selected... $ECHO_C" >&6
 
 # Check whether --enable-big-core or --disable-big-core was given.
@@ -6781,7 +6987,7 @@
   with_big_core=no
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 6784 "configure"
+#line 6990 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -6795,15 +7001,15 @@
 }
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:6798: \"$ac_link\"") >&5
+if { (eval echo "$as_me:7004: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:6801: \$? = $ac_status" >&5
+  echo "$as_me:7007: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:6803: \"$ac_try\"") >&5
+  { (eval echo "$as_me:7009: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:6806: \$? = $ac_status" >&5
+  echo "$as_me:7012: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   with_big_core=yes
 else
@@ -6815,7 +7021,7 @@
 rm -f core core.* *.core conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
 fi
 fi;
-echo "$as_me:6818: result: $with_big_core" >&5
+echo "$as_me:7024: result: $with_big_core" >&5
 echo "${ECHO_T}$with_big_core" >&6
 test "x$with_big_core" = "xyes" &&
 cat >>confdefs.h <<\EOF
@@ -6825,7 +7031,7 @@
 ### ISO C only guarantees 512-char strings, we have tables which load faster
 ### when constructed using "big" strings.  More than the C compiler, the awk
 ### program is a limit on most vendor UNIX systems.  Check that we can build.
-echo "$as_me:6828: checking if big-strings option selected" >&5
+echo "$as_me:7034: checking if big-strings option selected" >&5
 echo $ECHO_N "checking if big-strings option selected... $ECHO_C" >&6
 
 # Check whether --enable-big-strings or --disable-big-strings was given.
@@ -6849,14 +7055,14 @@
 	esac
 
 fi;
-echo "$as_me:6852: result: $with_big_strings" >&5
+echo "$as_me:7058: result: $with_big_strings" >&5
 echo "${ECHO_T}$with_big_strings" >&6
 
 USE_BIG_STRINGS=0
 test "x$with_big_strings" = "xyes" && USE_BIG_STRINGS=1
 
 ###	use option --enable-termcap to compile in the termcap fallback support
-echo "$as_me:6859: checking if you want termcap-fallback support" >&5
+echo "$as_me:7065: checking if you want termcap-fallback support" >&5
 echo $ECHO_N "checking if you want termcap-fallback support... $ECHO_C" >&6
 
 # Check whether --enable-termcap or --disable-termcap was given.
@@ -6866,14 +7072,14 @@
 else
   with_termcap=no
 fi;
-echo "$as_me:6869: result: $with_termcap" >&5
+echo "$as_me:7075: result: $with_termcap" >&5
 echo "${ECHO_T}$with_termcap" >&6
 
 NCURSES_USE_TERMCAP=0
 if test "x$with_termcap" != "xyes" ; then
 	if test "$use_database" = no ; then
 		if test -z "$with_fallback" ; then
-			{ { echo "$as_me:6876: error: You have disabled the database w/o specifying fallbacks" >&5
+			{ { echo "$as_me:7082: error: You have disabled the database w/o specifying fallbacks" >&5
 echo "$as_me: error: You have disabled the database w/o specifying fallbacks" >&2;}
    { (exit 1); exit 1; }; }
 		fi
@@ -6886,13 +7092,13 @@
 else
 
 	if test "$with_ticlib" != no ; then
-		{ { echo "$as_me:6889: error: Options --with-ticlib and --enable-termcap cannot be combined" >&5
+		{ { echo "$as_me:7095: error: Options --with-ticlib and --enable-termcap cannot be combined" >&5
 echo "$as_me: error: Options --with-ticlib and --enable-termcap cannot be combined" >&2;}
    { (exit 1); exit 1; }; }
 	fi
 
 	NCURSES_USE_TERMCAP=1
-	echo "$as_me:6895: checking for list of termcap files" >&5
+	echo "$as_me:7101: checking for list of termcap files" >&5
 echo $ECHO_N "checking for list of termcap files... $ECHO_C" >&6
 
 # Check whether --with-termpath or --without-termpath was given.
@@ -6932,7 +7138,7 @@
   cf_src_path=`echo $cf_src_path | sed -e s%NONE%$cf_path_syntax%`
   ;;
 *)
-  { { echo "$as_me:6935: error: expected a pathname, not \"$cf_src_path\"" >&5
+  { { echo "$as_me:7141: error: expected a pathname, not \"$cf_src_path\"" >&5
 echo "$as_me: error: expected a pathname, not \"$cf_src_path\"" >&2;}
    { (exit 1); exit 1; }; }
   ;;
@@ -6955,7 +7161,7 @@
 	;;
 esac
 
-	echo "$as_me:6958: result: $TERMPATH" >&5
+	echo "$as_me:7164: result: $TERMPATH" >&5
 echo "${ECHO_T}$TERMPATH" >&6
 	test -n "$TERMPATH" &&
 cat >>confdefs.h <<EOF
@@ -6963,7 +7169,7 @@
 EOF
 
 	###	use option --enable-getcap to use a hacked getcap for reading termcaps
-	echo "$as_me:6966: checking if fast termcap-loader is needed" >&5
+	echo "$as_me:7172: checking if fast termcap-loader is needed" >&5
 echo $ECHO_N "checking if fast termcap-loader is needed... $ECHO_C" >&6
 
 # Check whether --enable-getcap or --disable-getcap was given.
@@ -6973,14 +7179,14 @@
 else
   with_getcap=no
 fi;
-	echo "$as_me:6976: result: $with_getcap" >&5
+	echo "$as_me:7182: result: $with_getcap" >&5
 echo "${ECHO_T}$with_getcap" >&6
 	test "x$with_getcap" = "xyes" &&
 cat >>confdefs.h <<\EOF
 #define USE_GETCAP 1
 EOF
 
-	echo "$as_me:6983: checking if translated termcaps will be cached in ~/.terminfo" >&5
+	echo "$as_me:7189: checking if translated termcaps will be cached in ~/.terminfo" >&5
 echo $ECHO_N "checking if translated termcaps will be cached in ~/.terminfo... $ECHO_C" >&6
 
 # Check whether --enable-getcap-cache or --disable-getcap-cache was given.
@@ -6990,7 +7196,7 @@
 else
   with_getcap_cache=no
 fi;
-	echo "$as_me:6993: result: $with_getcap_cache" >&5
+	echo "$as_me:7199: result: $with_getcap_cache" >&5
 echo "${ECHO_T}$with_getcap_cache" >&6
 	test "x$with_getcap_cache" = "xyes" &&
 cat >>confdefs.h <<\EOF
@@ -7000,7 +7206,7 @@
 fi
 
 ###   Use option --disable-home-terminfo to completely remove ~/.terminfo
-echo "$as_me:7003: checking if ~/.terminfo is wanted" >&5
+echo "$as_me:7209: checking if ~/.terminfo is wanted" >&5
 echo $ECHO_N "checking if ~/.terminfo is wanted... $ECHO_C" >&6
 
 # Check whether --enable-home-terminfo or --disable-home-terminfo was given.
@@ -7010,14 +7216,14 @@
 else
   with_home_terminfo=yes
 fi;
-echo "$as_me:7013: result: $with_home_terminfo" >&5
+echo "$as_me:7219: result: $with_home_terminfo" >&5
 echo "${ECHO_T}$with_home_terminfo" >&6
 test "x$with_home_terminfo" = "xyes" &&
 cat >>confdefs.h <<\EOF
 #define USE_HOME_TERMINFO 1
 EOF
 
-echo "$as_me:7020: checking if you want to use restricted environment when running as root" >&5
+echo "$as_me:7226: checking if you want to use restricted environment when running as root" >&5
 echo $ECHO_N "checking if you want to use restricted environment when running as root... $ECHO_C" >&6
 
 # Check whether --enable-root-environ or --disable-root-environ was given.
@@ -7027,7 +7233,7 @@
 else
   with_root_environ=yes
 fi;
-echo "$as_me:7030: result: $with_root_environ" >&5
+echo "$as_me:7236: result: $with_root_environ" >&5
 echo "${ECHO_T}$with_root_environ" >&6
 test "x$with_root_environ" = xyes &&
 cat >>confdefs.h <<\EOF
@@ -7042,13 +7248,13 @@
 	unlink
 do
 as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
-echo "$as_me:7045: checking for $ac_func" >&5
+echo "$as_me:7251: checking for $ac_func" >&5
 echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
 if eval "test \"\${$as_ac_var+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 7051 "configure"
+#line 7257 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char $ac_func (); below.  */
@@ -7079,16 +7285,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:7082: \"$ac_link\"") >&5
+if { (eval echo "$as_me:7288: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:7085: \$? = $ac_status" >&5
+  echo "$as_me:7291: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:7088: \"$ac_try\"") >&5
+  { (eval echo "$as_me:7294: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:7091: \$? = $ac_status" >&5
+  echo "$as_me:7297: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   eval "$as_ac_var=yes"
 else
@@ -7098,7 +7304,7 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 fi
-echo "$as_me:7101: result: `eval echo '${'$as_ac_var'}'`" >&5
+echo "$as_me:7307: result: `eval echo '${'$as_ac_var'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6
 if test `eval echo '${'$as_ac_var'}'` = yes; then
   cat >>confdefs.h <<EOF
@@ -7115,13 +7321,13 @@
 		symlink
 do
 as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
-echo "$as_me:7118: checking for $ac_func" >&5
+echo "$as_me:7324: checking for $ac_func" >&5
 echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
 if eval "test \"\${$as_ac_var+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 7124 "configure"
+#line 7330 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char $ac_func (); below.  */
@@ -7152,16 +7358,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:7155: \"$ac_link\"") >&5
+if { (eval echo "$as_me:7361: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:7158: \$? = $ac_status" >&5
+  echo "$as_me:7364: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:7161: \"$ac_try\"") >&5
+  { (eval echo "$as_me:7367: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:7164: \$? = $ac_status" >&5
+  echo "$as_me:7370: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   eval "$as_ac_var=yes"
 else
@@ -7171,7 +7377,7 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 fi
-echo "$as_me:7174: result: `eval echo '${'$as_ac_var'}'`" >&5
+echo "$as_me:7380: result: `eval echo '${'$as_ac_var'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6
 if test `eval echo '${'$as_ac_var'}'` = yes; then
   cat >>confdefs.h <<EOF
@@ -7182,7 +7388,7 @@
 done
 
 else
-	echo "$as_me:7185: checking if link/symlink functions work" >&5
+	echo "$as_me:7391: checking if link/symlink functions work" >&5
 echo $ECHO_N "checking if link/symlink functions work... $ECHO_C" >&6
 if test "${cf_cv_link_funcs+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -7195,7 +7401,7 @@
 			eval 'ac_cv_func_'$cf_func'=error'
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 7198 "configure"
+#line 7404 "configure"
 #include "confdefs.h"
 
 #include <sys/types.h>
@@ -7225,15 +7431,15 @@
 
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:7228: \"$ac_link\"") >&5
+if { (eval echo "$as_me:7434: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:7231: \$? = $ac_status" >&5
+  echo "$as_me:7437: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:7233: \"$ac_try\"") >&5
+  { (eval echo "$as_me:7439: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:7236: \$? = $ac_status" >&5
+  echo "$as_me:7442: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
 			cf_cv_link_funcs="$cf_cv_link_funcs $cf_func"
@@ -7251,7 +7457,7 @@
 		test -z "$cf_cv_link_funcs" && cf_cv_link_funcs=no
 
 fi
-echo "$as_me:7254: result: $cf_cv_link_funcs" >&5
+echo "$as_me:7460: result: $cf_cv_link_funcs" >&5
 echo "${ECHO_T}$cf_cv_link_funcs" >&6
 	test "$ac_cv_func_link"    = yes &&
 cat >>confdefs.h <<\EOF
@@ -7271,7 +7477,7 @@
 # soft links (symbolic links) are useful for some systems where hard links do
 # not work, or to make it simpler to copy terminfo trees around.
 if test "x$ac_cv_func_symlink" = xyes ; then
-    echo "$as_me:7274: checking if tic should use symbolic links" >&5
+    echo "$as_me:7480: checking if tic should use symbolic links" >&5
 echo $ECHO_N "checking if tic should use symbolic links... $ECHO_C" >&6
 
 # Check whether --enable-symlinks or --disable-symlinks was given.
@@ -7281,21 +7487,21 @@
 else
   with_symlinks=no
 fi;
-    echo "$as_me:7284: result: $with_symlinks" >&5
+    echo "$as_me:7490: result: $with_symlinks" >&5
 echo "${ECHO_T}$with_symlinks" >&6
 fi
 
 # If we have hard links and did not choose to use soft links instead, there is
 # no reason to make this choice optional - use the hard links.
 if test "$with_symlinks" = no ; then
-    echo "$as_me:7291: checking if tic should use hard links" >&5
+    echo "$as_me:7497: checking if tic should use hard links" >&5
 echo $ECHO_N "checking if tic should use hard links... $ECHO_C" >&6
     if test "x$ac_cv_func_link" = xyes ; then
 	with_links=yes
     else
 	with_links=no
     fi
-    echo "$as_me:7298: result: $with_links" >&5
+    echo "$as_me:7504: result: $with_links" >&5
 echo "${ECHO_T}$with_links" >&6
 fi
 
@@ -7310,7 +7516,7 @@
 EOF
 
 ###   use option --enable-broken-linker to force on use of broken-linker support
-echo "$as_me:7313: checking if you want broken-linker support code" >&5
+echo "$as_me:7519: checking if you want broken-linker support code" >&5
 echo $ECHO_N "checking if you want broken-linker support code... $ECHO_C" >&6
 
 # Check whether --enable-broken_linker or --disable-broken_linker was given.
@@ -7320,7 +7526,7 @@
 else
   with_broken_linker=${BROKEN_LINKER:-no}
 fi;
-echo "$as_me:7323: result: $with_broken_linker" >&5
+echo "$as_me:7529: result: $with_broken_linker" >&5
 echo "${ECHO_T}$with_broken_linker" >&6
 
 BROKEN_LINKER=0
@@ -7342,14 +7548,14 @@
 		BROKEN_LINKER=1
 		test -n "$verbose" && echo "	cygwin linker is broken anyway" 1>&6
 
-echo "${as_me:-configure}:7345: testing cygwin linker is broken anyway ..." 1>&5
+echo "${as_me:-configure}:7551: testing cygwin linker is broken anyway ..." 1>&5
 
 		;;
 	esac
 fi
 
 ###   use option --enable-bsdpad to have tputs process BSD-style prefix padding
-echo "$as_me:7352: checking if tputs should process BSD-style prefix padding" >&5
+echo "$as_me:7558: checking if tputs should process BSD-style prefix padding" >&5
 echo $ECHO_N "checking if tputs should process BSD-style prefix padding... $ECHO_C" >&6
 
 # Check whether --enable-bsdpad or --disable-bsdpad was given.
@@ -7359,7 +7565,7 @@
 else
   with_bsdpad=no
 fi;
-echo "$as_me:7362: result: $with_bsdpad" >&5
+echo "$as_me:7568: result: $with_bsdpad" >&5
 echo "${ECHO_T}$with_bsdpad" >&6
 test "x$with_bsdpad" = xyes &&
 cat >>confdefs.h <<\EOF
@@ -7415,14 +7621,14 @@
 	;;
 linux*|gnu*|mint*|k*bsd*-gnu) #(vi
 
-echo "$as_me:7418: checking if we must define _GNU_SOURCE" >&5
+echo "$as_me:7624: checking if we must define _GNU_SOURCE" >&5
 echo $ECHO_N "checking if we must define _GNU_SOURCE... $ECHO_C" >&6
 if test "${cf_cv_gnu_source+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 7425 "configure"
+#line 7631 "configure"
 #include "confdefs.h"
 #include <sys/types.h>
 int
@@ -7437,16 +7643,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:7440: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:7646: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:7443: \$? = $ac_status" >&5
+  echo "$as_me:7649: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:7446: \"$ac_try\"") >&5
+  { (eval echo "$as_me:7652: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:7449: \$? = $ac_status" >&5
+  echo "$as_me:7655: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_gnu_source=no
 else
@@ -7455,7 +7661,7 @@
 cf_save="$CPPFLAGS"
 	 CPPFLAGS="$CPPFLAGS -D_GNU_SOURCE"
 	 cat >conftest.$ac_ext <<_ACEOF
-#line 7458 "configure"
+#line 7664 "configure"
 #include "confdefs.h"
 #include <sys/types.h>
 int
@@ -7470,16 +7676,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:7473: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:7679: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:7476: \$? = $ac_status" >&5
+  echo "$as_me:7682: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:7479: \"$ac_try\"") >&5
+  { (eval echo "$as_me:7685: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:7482: \$? = $ac_status" >&5
+  echo "$as_me:7688: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_gnu_source=no
 else
@@ -7494,7 +7700,7 @@
 rm -f conftest.$ac_objext conftest.$ac_ext
 
 fi
-echo "$as_me:7497: result: $cf_cv_gnu_source" >&5
+echo "$as_me:7703: result: $cf_cv_gnu_source" >&5
 echo "${ECHO_T}$cf_cv_gnu_source" >&6
 test "$cf_cv_gnu_source" = yes && CPPFLAGS="$CPPFLAGS -D_GNU_SOURCE"
 
@@ -7519,16 +7725,16 @@
 	sed	-e 's/-[UD]'"_POSIX_C_SOURCE"'\(=[^ 	]*\)\?[ 	]/ /g' \
 		-e 's/-[UD]'"_POSIX_C_SOURCE"'\(=[^ 	]*\)\?$//g'`
 
-echo "$as_me:7522: checking if we should define _POSIX_C_SOURCE" >&5
+echo "$as_me:7728: checking if we should define _POSIX_C_SOURCE" >&5
 echo $ECHO_N "checking if we should define _POSIX_C_SOURCE... $ECHO_C" >&6
 if test "${cf_cv_posix_c_source+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
-echo "${as_me:-configure}:7528: testing if the symbol is already defined go no further ..." 1>&5
+echo "${as_me:-configure}:7734: testing if the symbol is already defined go no further ..." 1>&5
 
 	cat >conftest.$ac_ext <<_ACEOF
-#line 7531 "configure"
+#line 7737 "configure"
 #include "confdefs.h"
 #include <sys/types.h>
 int
@@ -7543,16 +7749,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:7546: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:7752: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:7549: \$? = $ac_status" >&5
+  echo "$as_me:7755: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:7552: \"$ac_try\"") >&5
+  { (eval echo "$as_me:7758: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:7555: \$? = $ac_status" >&5
+  echo "$as_me:7761: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_posix_c_source=no
 else
@@ -7573,7 +7779,7 @@
 	 esac
 	 if test "$cf_want_posix_source" = yes ; then
 		cat >conftest.$ac_ext <<_ACEOF
-#line 7576 "configure"
+#line 7782 "configure"
 #include "confdefs.h"
 #include <sys/types.h>
 int
@@ -7588,16 +7794,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:7591: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:7797: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:7594: \$? = $ac_status" >&5
+  echo "$as_me:7800: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:7597: \"$ac_try\"") >&5
+  { (eval echo "$as_me:7803: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:7600: \$? = $ac_status" >&5
+  echo "$as_me:7806: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   :
 else
@@ -7608,15 +7814,15 @@
 rm -f conftest.$ac_objext conftest.$ac_ext
 	 fi
 
-echo "${as_me:-configure}:7611: testing ifdef from value $cf_POSIX_C_SOURCE ..." 1>&5
+echo "${as_me:-configure}:7817: testing ifdef from value $cf_POSIX_C_SOURCE ..." 1>&5
 
 	 CFLAGS="$cf_trim_CFLAGS"
 	 CPPFLAGS="$cf_trim_CPPFLAGS $cf_cv_posix_c_source"
 
-echo "${as_me:-configure}:7616: testing if the second compile does not leave our definition intact error ..." 1>&5
+echo "${as_me:-configure}:7822: testing if the second compile does not leave our definition intact error ..." 1>&5
 
 	 cat >conftest.$ac_ext <<_ACEOF
-#line 7619 "configure"
+#line 7825 "configure"
 #include "confdefs.h"
 #include <sys/types.h>
 int
@@ -7631,16 +7837,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:7634: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:7840: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:7637: \$? = $ac_status" >&5
+  echo "$as_me:7843: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:7640: \"$ac_try\"") >&5
+  { (eval echo "$as_me:7846: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:7643: \$? = $ac_status" >&5
+  echo "$as_me:7849: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   :
 else
@@ -7656,7 +7862,7 @@
 rm -f conftest.$ac_objext conftest.$ac_ext
 
 fi
-echo "$as_me:7659: result: $cf_cv_posix_c_source" >&5
+echo "$as_me:7865: result: $cf_cv_posix_c_source" >&5
 echo "${ECHO_T}$cf_cv_posix_c_source" >&6
 
 if test "$cf_cv_posix_c_source" != no ; then
@@ -7774,14 +7980,14 @@
 	;;
 *)
 
-echo "$as_me:7777: checking if we should define _XOPEN_SOURCE" >&5
+echo "$as_me:7983: checking if we should define _XOPEN_SOURCE" >&5
 echo $ECHO_N "checking if we should define _XOPEN_SOURCE... $ECHO_C" >&6
 if test "${cf_cv_xopen_source+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 	cat >conftest.$ac_ext <<_ACEOF
-#line 7784 "configure"
+#line 7990 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -7800,16 +8006,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:7803: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:8009: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:7806: \$? = $ac_status" >&5
+  echo "$as_me:8012: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:7809: \"$ac_try\"") >&5
+  { (eval echo "$as_me:8015: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:7812: \$? = $ac_status" >&5
+  echo "$as_me:8018: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_xopen_source=no
 else
@@ -7818,7 +8024,7 @@
 cf_save="$CPPFLAGS"
 	 CPPFLAGS="$CPPFLAGS -D_XOPEN_SOURCE=$cf_XOPEN_SOURCE"
 	 cat >conftest.$ac_ext <<_ACEOF
-#line 7821 "configure"
+#line 8027 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -7837,16 +8043,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:7840: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:8046: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:7843: \$? = $ac_status" >&5
+  echo "$as_me:8049: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:7846: \"$ac_try\"") >&5
+  { (eval echo "$as_me:8052: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:7849: \$? = $ac_status" >&5
+  echo "$as_me:8055: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_xopen_source=no
 else
@@ -7861,7 +8067,7 @@
 rm -f conftest.$ac_objext conftest.$ac_ext
 
 fi
-echo "$as_me:7864: result: $cf_cv_xopen_source" >&5
+echo "$as_me:8070: result: $cf_cv_xopen_source" >&5
 echo "${ECHO_T}$cf_cv_xopen_source" >&6
 
 if test "$cf_cv_xopen_source" != no ; then
@@ -7969,16 +8175,16 @@
 	sed	-e 's/-[UD]'"_POSIX_C_SOURCE"'\(=[^ 	]*\)\?[ 	]/ /g' \
 		-e 's/-[UD]'"_POSIX_C_SOURCE"'\(=[^ 	]*\)\?$//g'`
 
-echo "$as_me:7972: checking if we should define _POSIX_C_SOURCE" >&5
+echo "$as_me:8178: checking if we should define _POSIX_C_SOURCE" >&5
 echo $ECHO_N "checking if we should define _POSIX_C_SOURCE... $ECHO_C" >&6
 if test "${cf_cv_posix_c_source+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
-echo "${as_me:-configure}:7978: testing if the symbol is already defined go no further ..." 1>&5
+echo "${as_me:-configure}:8184: testing if the symbol is already defined go no further ..." 1>&5
 
 	cat >conftest.$ac_ext <<_ACEOF
-#line 7981 "configure"
+#line 8187 "configure"
 #include "confdefs.h"
 #include <sys/types.h>
 int
@@ -7993,16 +8199,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:7996: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:8202: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:7999: \$? = $ac_status" >&5
+  echo "$as_me:8205: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:8002: \"$ac_try\"") >&5
+  { (eval echo "$as_me:8208: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:8005: \$? = $ac_status" >&5
+  echo "$as_me:8211: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_posix_c_source=no
 else
@@ -8023,7 +8229,7 @@
 	 esac
 	 if test "$cf_want_posix_source" = yes ; then
 		cat >conftest.$ac_ext <<_ACEOF
-#line 8026 "configure"
+#line 8232 "configure"
 #include "confdefs.h"
 #include <sys/types.h>
 int
@@ -8038,16 +8244,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:8041: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:8247: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:8044: \$? = $ac_status" >&5
+  echo "$as_me:8250: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:8047: \"$ac_try\"") >&5
+  { (eval echo "$as_me:8253: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:8050: \$? = $ac_status" >&5
+  echo "$as_me:8256: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   :
 else
@@ -8058,15 +8264,15 @@
 rm -f conftest.$ac_objext conftest.$ac_ext
 	 fi
 
-echo "${as_me:-configure}:8061: testing ifdef from value $cf_POSIX_C_SOURCE ..." 1>&5
+echo "${as_me:-configure}:8267: testing ifdef from value $cf_POSIX_C_SOURCE ..." 1>&5
 
 	 CFLAGS="$cf_trim_CFLAGS"
 	 CPPFLAGS="$cf_trim_CPPFLAGS $cf_cv_posix_c_source"
 
-echo "${as_me:-configure}:8066: testing if the second compile does not leave our definition intact error ..." 1>&5
+echo "${as_me:-configure}:8272: testing if the second compile does not leave our definition intact error ..." 1>&5
 
 	 cat >conftest.$ac_ext <<_ACEOF
-#line 8069 "configure"
+#line 8275 "configure"
 #include "confdefs.h"
 #include <sys/types.h>
 int
@@ -8081,16 +8287,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:8084: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:8290: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:8087: \$? = $ac_status" >&5
+  echo "$as_me:8293: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:8090: \"$ac_try\"") >&5
+  { (eval echo "$as_me:8296: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:8093: \$? = $ac_status" >&5
+  echo "$as_me:8299: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   :
 else
@@ -8106,7 +8312,7 @@
 rm -f conftest.$ac_objext conftest.$ac_ext
 
 fi
-echo "$as_me:8109: result: $cf_cv_posix_c_source" >&5
+echo "$as_me:8315: result: $cf_cv_posix_c_source" >&5
 echo "${ECHO_T}$cf_cv_posix_c_source" >&6
 
 if test "$cf_cv_posix_c_source" != no ; then
@@ -8264,7 +8470,7 @@
 if test -n "$cf_new_cflags" ; then
 	test -n "$verbose" && echo "	add to \$CFLAGS $cf_new_cflags" 1>&6
 
-echo "${as_me:-configure}:8267: testing add to \$CFLAGS $cf_new_cflags ..." 1>&5
+echo "${as_me:-configure}:8473: testing add to \$CFLAGS $cf_new_cflags ..." 1>&5
 
 	CFLAGS="$CFLAGS $cf_new_cflags"
 fi
@@ -8272,7 +8478,7 @@
 if test -n "$cf_new_cppflags" ; then
 	test -n "$verbose" && echo "	add to \$CPPFLAGS $cf_new_cppflags" 1>&6
 
-echo "${as_me:-configure}:8275: testing add to \$CPPFLAGS $cf_new_cppflags ..." 1>&5
+echo "${as_me:-configure}:8481: testing add to \$CPPFLAGS $cf_new_cppflags ..." 1>&5
 
 	CPPFLAGS="$CPPFLAGS $cf_new_cppflags"
 fi
@@ -8280,7 +8486,7 @@
 if test -n "$cf_new_extra_cppflags" ; then
 	test -n "$verbose" && echo "	add to \$EXTRA_CPPFLAGS $cf_new_extra_cppflags" 1>&6
 
-echo "${as_me:-configure}:8283: testing add to \$EXTRA_CPPFLAGS $cf_new_extra_cppflags ..." 1>&5
+echo "${as_me:-configure}:8489: testing add to \$EXTRA_CPPFLAGS $cf_new_extra_cppflags ..." 1>&5
 
 	EXTRA_CPPFLAGS="$cf_new_extra_cppflags $EXTRA_CPPFLAGS"
 fi
@@ -8288,10 +8494,10 @@
 fi
 
 if test -n "$cf_XOPEN_SOURCE" && test -z "$cf_cv_xopen_source" ; then
-	echo "$as_me:8291: checking if _XOPEN_SOURCE really is set" >&5
+	echo "$as_me:8497: checking if _XOPEN_SOURCE really is set" >&5
 echo $ECHO_N "checking if _XOPEN_SOURCE really is set... $ECHO_C" >&6
 	cat >conftest.$ac_ext <<_ACEOF
-#line 8294 "configure"
+#line 8500 "configure"
 #include "confdefs.h"
 #include <stdlib.h>
 int
@@ -8306,16 +8512,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:8309: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:8515: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:8312: \$? = $ac_status" >&5
+  echo "$as_me:8518: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:8315: \"$ac_try\"") >&5
+  { (eval echo "$as_me:8521: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:8318: \$? = $ac_status" >&5
+  echo "$as_me:8524: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_XOPEN_SOURCE_set=yes
 else
@@ -8324,12 +8530,12 @@
 cf_XOPEN_SOURCE_set=no
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
-	echo "$as_me:8327: result: $cf_XOPEN_SOURCE_set" >&5
+	echo "$as_me:8533: result: $cf_XOPEN_SOURCE_set" >&5
 echo "${ECHO_T}$cf_XOPEN_SOURCE_set" >&6
 	if test $cf_XOPEN_SOURCE_set = yes
 	then
 		cat >conftest.$ac_ext <<_ACEOF
-#line 8332 "configure"
+#line 8538 "configure"
 #include "confdefs.h"
 #include <stdlib.h>
 int
@@ -8344,16 +8550,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:8347: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:8553: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:8350: \$? = $ac_status" >&5
+  echo "$as_me:8556: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:8353: \"$ac_try\"") >&5
+  { (eval echo "$as_me:8559: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:8356: \$? = $ac_status" >&5
+  echo "$as_me:8562: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_XOPEN_SOURCE_set_ok=yes
 else
@@ -8364,19 +8570,19 @@
 rm -f conftest.$ac_objext conftest.$ac_ext
 		if test $cf_XOPEN_SOURCE_set_ok = no
 		then
-			{ echo "$as_me:8367: WARNING: _XOPEN_SOURCE is lower than requested" >&5
+			{ echo "$as_me:8573: WARNING: _XOPEN_SOURCE is lower than requested" >&5
 echo "$as_me: WARNING: _XOPEN_SOURCE is lower than requested" >&2;}
 		fi
 	else
 
-echo "$as_me:8372: checking if we should define _XOPEN_SOURCE" >&5
+echo "$as_me:8578: checking if we should define _XOPEN_SOURCE" >&5
 echo $ECHO_N "checking if we should define _XOPEN_SOURCE... $ECHO_C" >&6
 if test "${cf_cv_xopen_source+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 	cat >conftest.$ac_ext <<_ACEOF
-#line 8379 "configure"
+#line 8585 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -8395,16 +8601,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:8398: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:8604: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:8401: \$? = $ac_status" >&5
+  echo "$as_me:8607: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:8404: \"$ac_try\"") >&5
+  { (eval echo "$as_me:8610: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:8407: \$? = $ac_status" >&5
+  echo "$as_me:8613: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_xopen_source=no
 else
@@ -8413,7 +8619,7 @@
 cf_save="$CPPFLAGS"
 	 CPPFLAGS="$CPPFLAGS -D_XOPEN_SOURCE=$cf_XOPEN_SOURCE"
 	 cat >conftest.$ac_ext <<_ACEOF
-#line 8416 "configure"
+#line 8622 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -8432,16 +8638,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:8435: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:8641: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:8438: \$? = $ac_status" >&5
+  echo "$as_me:8644: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:8441: \"$ac_try\"") >&5
+  { (eval echo "$as_me:8647: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:8444: \$? = $ac_status" >&5
+  echo "$as_me:8650: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_xopen_source=no
 else
@@ -8456,7 +8662,7 @@
 rm -f conftest.$ac_objext conftest.$ac_ext
 
 fi
-echo "$as_me:8459: result: $cf_cv_xopen_source" >&5
+echo "$as_me:8665: result: $cf_cv_xopen_source" >&5
 echo "${ECHO_T}$cf_cv_xopen_source" >&6
 
 if test "$cf_cv_xopen_source" != no ; then
@@ -8556,14 +8762,14 @@
 
 # Work around breakage on OS X
 
-echo "$as_me:8559: checking if SIGWINCH is defined" >&5
+echo "$as_me:8765: checking if SIGWINCH is defined" >&5
 echo $ECHO_N "checking if SIGWINCH is defined... $ECHO_C" >&6
 if test "${cf_cv_define_sigwinch+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 	cat >conftest.$ac_ext <<_ACEOF
-#line 8566 "configure"
+#line 8772 "configure"
 #include "confdefs.h"
 
 #include <sys/types.h>
@@ -8578,23 +8784,23 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:8581: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:8787: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:8584: \$? = $ac_status" >&5
+  echo "$as_me:8790: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:8587: \"$ac_try\"") >&5
+  { (eval echo "$as_me:8793: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:8590: \$? = $ac_status" >&5
+  echo "$as_me:8796: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_define_sigwinch=yes
 else
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
 cat >conftest.$ac_ext <<_ACEOF
-#line 8597 "configure"
+#line 8803 "configure"
 #include "confdefs.h"
 
 #undef _XOPEN_SOURCE
@@ -8612,16 +8818,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:8615: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:8821: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:8618: \$? = $ac_status" >&5
+  echo "$as_me:8824: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:8621: \"$ac_try\"") >&5
+  { (eval echo "$as_me:8827: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:8624: \$? = $ac_status" >&5
+  echo "$as_me:8830: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_define_sigwinch=maybe
 else
@@ -8635,11 +8841,11 @@
 rm -f conftest.$ac_objext conftest.$ac_ext
 
 fi
-echo "$as_me:8638: result: $cf_cv_define_sigwinch" >&5
+echo "$as_me:8844: result: $cf_cv_define_sigwinch" >&5
 echo "${ECHO_T}$cf_cv_define_sigwinch" >&6
 
 if test "$cf_cv_define_sigwinch" = maybe ; then
-echo "$as_me:8642: checking for actual SIGWINCH definition" >&5
+echo "$as_me:8848: checking for actual SIGWINCH definition" >&5
 echo $ECHO_N "checking for actual SIGWINCH definition... $ECHO_C" >&6
 if test "${cf_cv_fixup_sigwinch+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -8650,7 +8856,7 @@
 while test $cf_sigwinch != 1
 do
 	cat >conftest.$ac_ext <<_ACEOF
-#line 8653 "configure"
+#line 8859 "configure"
 #include "confdefs.h"
 
 #undef _XOPEN_SOURCE
@@ -8672,16 +8878,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:8675: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:8881: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:8678: \$? = $ac_status" >&5
+  echo "$as_me:8884: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:8681: \"$ac_try\"") >&5
+  { (eval echo "$as_me:8887: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:8684: \$? = $ac_status" >&5
+  echo "$as_me:8890: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_fixup_sigwinch=$cf_sigwinch
 	 break
@@ -8695,7 +8901,7 @@
 done
 
 fi
-echo "$as_me:8698: result: $cf_cv_fixup_sigwinch" >&5
+echo "$as_me:8904: result: $cf_cv_fixup_sigwinch" >&5
 echo "${ECHO_T}$cf_cv_fixup_sigwinch" >&6
 
 	if test "$cf_cv_fixup_sigwinch" != unknown ; then
@@ -8705,13 +8911,13 @@
 
 # Checks for CODESET support.
 
-  echo "$as_me:8708: checking for nl_langinfo and CODESET" >&5
+  echo "$as_me:8914: checking for nl_langinfo and CODESET" >&5
 echo $ECHO_N "checking for nl_langinfo and CODESET... $ECHO_C" >&6
 if test "${am_cv_langinfo_codeset+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 8714 "configure"
+#line 8920 "configure"
 #include "confdefs.h"
 #include <langinfo.h>
 int
@@ -8723,16 +8929,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:8726: \"$ac_link\"") >&5
+if { (eval echo "$as_me:8932: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:8729: \$? = $ac_status" >&5
+  echo "$as_me:8935: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:8732: \"$ac_try\"") >&5
+  { (eval echo "$as_me:8938: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:8735: \$? = $ac_status" >&5
+  echo "$as_me:8941: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   am_cv_langinfo_codeset=yes
 else
@@ -8743,7 +8949,7 @@
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 
 fi
-echo "$as_me:8746: result: $am_cv_langinfo_codeset" >&5
+echo "$as_me:8952: result: $am_cv_langinfo_codeset" >&5
 echo "${ECHO_T}$am_cv_langinfo_codeset" >&6
   if test $am_cv_langinfo_codeset = yes; then
 
@@ -8757,7 +8963,7 @@
 NCURSES_OK_WCHAR_T=
 NCURSES_OK_WINT_T=
 
-echo "$as_me:8760: checking if you want wide-character code" >&5
+echo "$as_me:8966: checking if you want wide-character code" >&5
 echo $ECHO_N "checking if you want wide-character code... $ECHO_C" >&6
 
 # Check whether --enable-widec or --disable-widec was given.
@@ -8767,7 +8973,7 @@
 else
   with_widec=no
 fi;
-echo "$as_me:8770: result: $with_widec" >&5
+echo "$as_me:8976: result: $with_widec" >&5
 echo "${ECHO_T}$with_widec" >&6
 if test "x$with_widec" = xyes ; then
 	if test "x$disable_lib_suffixes" = xno ; then
@@ -8782,14 +8988,14 @@
 #define NCURSES_WIDECHAR 1
 EOF
 
-echo "$as_me:8785: checking if wchar.h can be used as is" >&5
+echo "$as_me:8991: checking if wchar.h can be used as is" >&5
 echo $ECHO_N "checking if wchar.h can be used as is... $ECHO_C" >&6
 if test "${cf_cv_wchar_h_okay+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 8792 "configure"
+#line 8998 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -8806,16 +9012,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:8809: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:9015: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:8812: \$? = $ac_status" >&5
+  echo "$as_me:9018: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:8815: \"$ac_try\"") >&5
+  { (eval echo "$as_me:9021: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:8818: \$? = $ac_status" >&5
+  echo "$as_me:9024: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_wchar_h_okay=yes
 else
@@ -8825,16 +9031,16 @@
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 fi
-echo "$as_me:8828: result: $cf_cv_wchar_h_okay" >&5
+echo "$as_me:9034: result: $cf_cv_wchar_h_okay" >&5
 echo "${ECHO_T}$cf_cv_wchar_h_okay" >&6
 
 if test $cf_cv_wchar_h_okay = no
 then
 
-echo "$as_me:8834: checking if we must define _XOPEN_SOURCE_EXTENDED" >&5
+echo "$as_me:9040: checking if we must define _XOPEN_SOURCE_EXTENDED" >&5
 echo $ECHO_N "checking if we must define _XOPEN_SOURCE_EXTENDED... $ECHO_C" >&6
 cat >conftest.$ac_ext <<_ACEOF
-#line 8837 "configure"
+#line 9043 "configure"
 #include "confdefs.h"
 #include <sys/types.h>
 
@@ -8850,16 +9056,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:8853: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:9059: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:8856: \$? = $ac_status" >&5
+  echo "$as_me:9062: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:8859: \"$ac_try\"") >&5
+  { (eval echo "$as_me:9065: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:8862: \$? = $ac_status" >&5
+  echo "$as_me:9068: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_result=no
 else
@@ -8868,16 +9074,16 @@
 cf_result=yes
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
-echo "$as_me:8871: result: $cf_result" >&5
+echo "$as_me:9077: result: $cf_result" >&5
 echo "${ECHO_T}$cf_result" >&6
 
 if test "$cf_result" = yes ; then
 	CPPFLAGS="$CPPFLAGS -D_XOPEN_SOURCE_EXTENDED"
 elif test "x" != "x" ; then
-	echo "$as_me:8877: checking checking for compatible value versus " >&5
+	echo "$as_me:9083: checking checking for compatible value versus " >&5
 echo $ECHO_N "checking checking for compatible value versus ... $ECHO_C" >&6
 	cat >conftest.$ac_ext <<_ACEOF
-#line 8880 "configure"
+#line 9086 "configure"
 #include "confdefs.h"
 #include <sys/types.h>
 
@@ -8893,16 +9099,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:8896: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:9102: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:8899: \$? = $ac_status" >&5
+  echo "$as_me:9105: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:8902: \"$ac_try\"") >&5
+  { (eval echo "$as_me:9108: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:8905: \$? = $ac_status" >&5
+  echo "$as_me:9111: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_result=yes
 else
@@ -8911,7 +9117,7 @@
 cf_result=no
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
-	echo "$as_me:8914: result: $cf_result" >&5
+	echo "$as_me:9120: result: $cf_result" >&5
 echo "${ECHO_T}$cf_result" >&6
 	if test "$cf_result" = no ; then
 		# perhaps we can override it - try...
@@ -8927,13 +9133,13 @@
 for ac_func in putwc btowc wctob mbtowc wctomb mblen mbrlen mbrtowc wcsrtombs mbsrtowcs wcstombs mbstowcs
 do
 as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
-echo "$as_me:8930: checking for $ac_func" >&5
+echo "$as_me:9136: checking for $ac_func" >&5
 echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
 if eval "test \"\${$as_ac_var+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 8936 "configure"
+#line 9142 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char $ac_func (); below.  */
@@ -8964,16 +9170,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:8967: \"$ac_link\"") >&5
+if { (eval echo "$as_me:9173: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:8970: \$? = $ac_status" >&5
+  echo "$as_me:9176: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:8973: \"$ac_try\"") >&5
+  { (eval echo "$as_me:9179: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:8976: \$? = $ac_status" >&5
+  echo "$as_me:9182: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   eval "$as_ac_var=yes"
 else
@@ -8983,7 +9189,7 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 fi
-echo "$as_me:8986: result: `eval echo '${'$as_ac_var'}'`" >&5
+echo "$as_me:9192: result: `eval echo '${'$as_ac_var'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6
 if test `eval echo '${'$as_ac_var'}'` = yes; then
   cat >>confdefs.h <<EOF
@@ -8995,7 +9201,7 @@
 
 	if test "x$ac_cv_func_putwc" != xyes ; then
 
-echo "$as_me:8998: checking for multibyte character support" >&5
+echo "$as_me:9204: checking for multibyte character support" >&5
 echo $ECHO_N "checking for multibyte character support... $ECHO_C" >&6
 if test "${cf_cv_utf8_lib+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -9003,7 +9209,7 @@
 
 	cf_save_LIBS="$LIBS"
 	cat >conftest.$ac_ext <<_ACEOF
-#line 9006 "configure"
+#line 9212 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -9016,16 +9222,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:9019: \"$ac_link\"") >&5
+if { (eval echo "$as_me:9225: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:9022: \$? = $ac_status" >&5
+  echo "$as_me:9228: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:9025: \"$ac_try\"") >&5
+  { (eval echo "$as_me:9231: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:9028: \$? = $ac_status" >&5
+  echo "$as_me:9234: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_utf8_lib=yes
 else
@@ -9037,12 +9243,12 @@
 cf_cv_header_path_utf8=
 cf_cv_library_path_utf8=
 
-echo "${as_me:-configure}:9040: testing Starting FIND_LINKAGE(utf8,) ..." 1>&5
+echo "${as_me:-configure}:9246: testing Starting FIND_LINKAGE(utf8,) ..." 1>&5
 
 cf_save_LIBS="$LIBS"
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 9045 "configure"
+#line 9251 "configure"
 #include "confdefs.h"
 
 #include <libutf8.h>
@@ -9055,16 +9261,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:9058: \"$ac_link\"") >&5
+if { (eval echo "$as_me:9264: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:9061: \$? = $ac_status" >&5
+  echo "$as_me:9267: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:9064: \"$ac_try\"") >&5
+  { (eval echo "$as_me:9270: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:9067: \$? = $ac_status" >&5
+  echo "$as_me:9273: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
 	cf_cv_find_linkage_utf8=yes
@@ -9078,7 +9284,7 @@
 LIBS="-lutf8  $cf_save_LIBS"
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 9081 "configure"
+#line 9287 "configure"
 #include "confdefs.h"
 
 #include <libutf8.h>
@@ -9091,16 +9297,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:9094: \"$ac_link\"") >&5
+if { (eval echo "$as_me:9300: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:9097: \$? = $ac_status" >&5
+  echo "$as_me:9303: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:9100: \"$ac_try\"") >&5
+  { (eval echo "$as_me:9306: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:9103: \$? = $ac_status" >&5
+  echo "$as_me:9309: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
 	cf_cv_find_linkage_utf8=yes
@@ -9117,9 +9323,9 @@
 
     test -n "$verbose" && echo "	find linkage for utf8 library" 1>&6
 
-echo "${as_me:-configure}:9120: testing find linkage for utf8 library ..." 1>&5
+echo "${as_me:-configure}:9326: testing find linkage for utf8 library ..." 1>&5
 
-echo "${as_me:-configure}:9122: testing Searching for headers in FIND_LINKAGE(utf8,) ..." 1>&5
+echo "${as_me:-configure}:9328: testing Searching for headers in FIND_LINKAGE(utf8,) ..." 1>&5
 
     cf_save_CPPFLAGS="$CPPFLAGS"
     cf_test_CPPFLAGS="$CPPFLAGS"
@@ -9232,11 +9438,11 @@
       if test -d $cf_cv_header_path_utf8 ; then
         test -n "$verbose" && echo "	... testing $cf_cv_header_path_utf8" 1>&6
 
-echo "${as_me:-configure}:9235: testing ... testing $cf_cv_header_path_utf8 ..." 1>&5
+echo "${as_me:-configure}:9441: testing ... testing $cf_cv_header_path_utf8 ..." 1>&5
 
         CPPFLAGS="$cf_save_CPPFLAGS -I$cf_cv_header_path_utf8"
         cat >conftest.$ac_ext <<_ACEOF
-#line 9239 "configure"
+#line 9445 "configure"
 #include "confdefs.h"
 
 #include <libutf8.h>
@@ -9249,21 +9455,21 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:9252: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:9458: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:9255: \$? = $ac_status" >&5
+  echo "$as_me:9461: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:9258: \"$ac_try\"") >&5
+  { (eval echo "$as_me:9464: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:9261: \$? = $ac_status" >&5
+  echo "$as_me:9467: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
             test -n "$verbose" && echo "	... found utf8 headers in $cf_cv_header_path_utf8" 1>&6
 
-echo "${as_me:-configure}:9266: testing ... found utf8 headers in $cf_cv_header_path_utf8 ..." 1>&5
+echo "${as_me:-configure}:9472: testing ... found utf8 headers in $cf_cv_header_path_utf8 ..." 1>&5
 
             cf_cv_find_linkage_utf8=maybe
             cf_test_CPPFLAGS="$CPPFLAGS"
@@ -9281,7 +9487,7 @@
 
     if test "$cf_cv_find_linkage_utf8" = maybe ; then
 
-echo "${as_me:-configure}:9284: testing Searching for utf8 library in FIND_LINKAGE(utf8,) ..." 1>&5
+echo "${as_me:-configure}:9490: testing Searching for utf8 library in FIND_LINKAGE(utf8,) ..." 1>&5
 
       cf_save_LIBS="$LIBS"
       cf_save_LDFLAGS="$LDFLAGS"
@@ -9378,13 +9584,13 @@
           if test -d $cf_cv_library_path_utf8 ; then
             test -n "$verbose" && echo "	... testing $cf_cv_library_path_utf8" 1>&6
 
-echo "${as_me:-configure}:9381: testing ... testing $cf_cv_library_path_utf8 ..." 1>&5
+echo "${as_me:-configure}:9587: testing ... testing $cf_cv_library_path_utf8 ..." 1>&5
 
             CPPFLAGS="$cf_test_CPPFLAGS"
             LIBS="-lutf8  $cf_save_LIBS"
             LDFLAGS="$cf_save_LDFLAGS -L$cf_cv_library_path_utf8"
             cat >conftest.$ac_ext <<_ACEOF
-#line 9387 "configure"
+#line 9593 "configure"
 #include "confdefs.h"
 
 #include <libutf8.h>
@@ -9397,21 +9603,21 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:9400: \"$ac_link\"") >&5
+if { (eval echo "$as_me:9606: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:9403: \$? = $ac_status" >&5
+  echo "$as_me:9609: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:9406: \"$ac_try\"") >&5
+  { (eval echo "$as_me:9612: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:9409: \$? = $ac_status" >&5
+  echo "$as_me:9615: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
                 test -n "$verbose" && echo "	... found utf8 library in $cf_cv_library_path_utf8" 1>&6
 
-echo "${as_me:-configure}:9414: testing ... found utf8 library in $cf_cv_library_path_utf8 ..." 1>&5
+echo "${as_me:-configure}:9620: testing ... found utf8 library in $cf_cv_library_path_utf8 ..." 1>&5
 
                 cf_cv_find_linkage_utf8=yes
                 cf_cv_library_file_utf8="-lutf8"
@@ -9453,7 +9659,7 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 fi
-echo "$as_me:9456: result: $cf_cv_utf8_lib" >&5
+echo "$as_me:9662: result: $cf_cv_utf8_lib" >&5
 echo "${ECHO_T}$cf_cv_utf8_lib" >&6
 
 # HAVE_LIBUTF8_H is used by ncurses if curses.h is shared between
@@ -9488,7 +9694,7 @@
 			  cf_save_CPPFLAGS=$CPPFLAGS
 			  CPPFLAGS="$CPPFLAGS -I$cf_add_incdir"
 			  cat >conftest.$ac_ext <<_ACEOF
-#line 9491 "configure"
+#line 9697 "configure"
 #include "confdefs.h"
 #include <stdio.h>
 int
@@ -9500,16 +9706,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:9503: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:9709: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:9506: \$? = $ac_status" >&5
+  echo "$as_me:9712: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:9509: \"$ac_try\"") >&5
+  { (eval echo "$as_me:9715: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:9512: \$? = $ac_status" >&5
+  echo "$as_me:9718: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   :
 else
@@ -9526,7 +9732,7 @@
 		if test "$cf_have_incdir" = no ; then
 		  test -n "$verbose" && echo "	adding $cf_add_incdir to include-path" 1>&6
 
-echo "${as_me:-configure}:9529: testing adding $cf_add_incdir to include-path ..." 1>&5
+echo "${as_me:-configure}:9735: testing adding $cf_add_incdir to include-path ..." 1>&5
 
 		  CPPFLAGS="$CPPFLAGS -I$cf_add_incdir"
 
@@ -9560,7 +9766,7 @@
       if test "$cf_have_libdir" = no ; then
         test -n "$verbose" && echo "	adding $cf_add_libdir to library-path" 1>&6
 
-echo "${as_me:-configure}:9563: testing adding $cf_add_libdir to library-path ..." 1>&5
+echo "${as_me:-configure}:9769: testing adding $cf_add_libdir to library-path ..." 1>&5
 
         LDFLAGS="-L$cf_add_libdir $LDFLAGS"
       fi
@@ -9592,14 +9798,14 @@
 	fi
 
 # This is needed on Tru64 5.0 to declare mbstate_t
-echo "$as_me:9595: checking if we must include wchar.h to declare mbstate_t" >&5
+echo "$as_me:9801: checking if we must include wchar.h to declare mbstate_t" >&5
 echo $ECHO_N "checking if we must include wchar.h to declare mbstate_t... $ECHO_C" >&6
 if test "${cf_cv_mbstate_t+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 9602 "configure"
+#line 9808 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -9617,23 +9823,23 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:9620: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:9826: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:9623: \$? = $ac_status" >&5
+  echo "$as_me:9829: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:9626: \"$ac_try\"") >&5
+  { (eval echo "$as_me:9832: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:9629: \$? = $ac_status" >&5
+  echo "$as_me:9835: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_mbstate_t=no
 else
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
 cat >conftest.$ac_ext <<_ACEOF
-#line 9636 "configure"
+#line 9842 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -9652,16 +9858,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:9655: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:9861: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:9658: \$? = $ac_status" >&5
+  echo "$as_me:9864: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:9661: \"$ac_try\"") >&5
+  { (eval echo "$as_me:9867: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:9664: \$? = $ac_status" >&5
+  echo "$as_me:9870: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_mbstate_t=yes
 else
@@ -9673,7 +9879,7 @@
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 fi
-echo "$as_me:9676: result: $cf_cv_mbstate_t" >&5
+echo "$as_me:9882: result: $cf_cv_mbstate_t" >&5
 echo "${ECHO_T}$cf_cv_mbstate_t" >&6
 
 if test "$cf_cv_mbstate_t" = yes ; then
@@ -9691,14 +9897,14 @@
 fi
 
 # This is needed on Tru64 5.0 to declare wchar_t
-echo "$as_me:9694: checking if we must include wchar.h to declare wchar_t" >&5
+echo "$as_me:9900: checking if we must include wchar.h to declare wchar_t" >&5
 echo $ECHO_N "checking if we must include wchar.h to declare wchar_t... $ECHO_C" >&6
 if test "${cf_cv_wchar_t+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 9701 "configure"
+#line 9907 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -9716,23 +9922,23 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:9719: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:9925: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:9722: \$? = $ac_status" >&5
+  echo "$as_me:9928: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:9725: \"$ac_try\"") >&5
+  { (eval echo "$as_me:9931: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:9728: \$? = $ac_status" >&5
+  echo "$as_me:9934: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_wchar_t=no
 else
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
 cat >conftest.$ac_ext <<_ACEOF
-#line 9735 "configure"
+#line 9941 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -9751,16 +9957,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:9754: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:9960: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:9757: \$? = $ac_status" >&5
+  echo "$as_me:9963: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:9760: \"$ac_try\"") >&5
+  { (eval echo "$as_me:9966: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:9763: \$? = $ac_status" >&5
+  echo "$as_me:9969: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_wchar_t=yes
 else
@@ -9772,7 +9978,7 @@
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 fi
-echo "$as_me:9775: result: $cf_cv_wchar_t" >&5
+echo "$as_me:9981: result: $cf_cv_wchar_t" >&5
 echo "${ECHO_T}$cf_cv_wchar_t" >&6
 
 if test "$cf_cv_wchar_t" = yes ; then
@@ -9795,14 +10001,14 @@
 fi
 
 # This is needed on Tru64 5.0 to declare wint_t
-echo "$as_me:9798: checking if we must include wchar.h to declare wint_t" >&5
+echo "$as_me:10004: checking if we must include wchar.h to declare wint_t" >&5
 echo $ECHO_N "checking if we must include wchar.h to declare wint_t... $ECHO_C" >&6
 if test "${cf_cv_wint_t+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 9805 "configure"
+#line 10011 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -9820,23 +10026,23 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:9823: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:10029: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:9826: \$? = $ac_status" >&5
+  echo "$as_me:10032: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:9829: \"$ac_try\"") >&5
+  { (eval echo "$as_me:10035: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:9832: \$? = $ac_status" >&5
+  echo "$as_me:10038: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_wint_t=no
 else
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
 cat >conftest.$ac_ext <<_ACEOF
-#line 9839 "configure"
+#line 10045 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -9855,16 +10061,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:9858: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:10064: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:9861: \$? = $ac_status" >&5
+  echo "$as_me:10067: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:9864: \"$ac_try\"") >&5
+  { (eval echo "$as_me:10070: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:9867: \$? = $ac_status" >&5
+  echo "$as_me:10073: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_wint_t=yes
 else
@@ -9876,7 +10082,7 @@
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 fi
-echo "$as_me:9879: result: $cf_cv_wint_t" >&5
+echo "$as_me:10085: result: $cf_cv_wint_t" >&5
 echo "${ECHO_T}$cf_cv_wint_t" >&6
 
 if test "$cf_cv_wint_t" = yes ; then
@@ -9917,7 +10123,7 @@
 	;;
 esac
 
-echo "$as_me:9920: checking whether to enable _LP64 definition in curses.h" >&5
+echo "$as_me:10126: checking whether to enable _LP64 definition in curses.h" >&5
 echo $ECHO_N "checking whether to enable _LP64 definition in curses.h... $ECHO_C" >&6
 
 # Check whether --enable-lp64 or --disable-lp64 was given.
@@ -9927,7 +10133,7 @@
 else
   with_lp64=$default_with_lp64
 fi;
-echo "$as_me:9930: result: $with_lp64" >&5
+echo "$as_me:10136: result: $with_lp64" >&5
 echo "${ECHO_T}$with_lp64" >&6
 
 if test "x$with_lp64" = xyes ; then
@@ -9943,7 +10149,7 @@
 fi;
 if test "$enable_largefile" != no; then
 
-  echo "$as_me:9946: checking for special C compiler options needed for large files" >&5
+  echo "$as_me:10152: checking for special C compiler options needed for large files" >&5
 echo $ECHO_N "checking for special C compiler options needed for large files... $ECHO_C" >&6
 if test "${ac_cv_sys_largefile_CC+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -9955,7 +10161,7 @@
      	 # IRIX 6.2 and later do not support large files by default,
      	 # so use the C compiler's -n32 option if that helps.
          cat >conftest.$ac_ext <<_ACEOF
-#line 9958 "configure"
+#line 10164 "configure"
 #include "confdefs.h"
 #include <sys/types.h>
  /* Check that off_t can represent 2**63 - 1 correctly.
@@ -9975,16 +10181,16 @@
 }
 _ACEOF
      	 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:9978: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:10184: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:9981: \$? = $ac_status" >&5
+  echo "$as_me:10187: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:9984: \"$ac_try\"") >&5
+  { (eval echo "$as_me:10190: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:9987: \$? = $ac_status" >&5
+  echo "$as_me:10193: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   break
 else
@@ -9994,16 +10200,16 @@
 rm -f conftest.$ac_objext
      	 CC="$CC -n32"
      	 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:9997: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:10203: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:10000: \$? = $ac_status" >&5
+  echo "$as_me:10206: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:10003: \"$ac_try\"") >&5
+  { (eval echo "$as_me:10209: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:10006: \$? = $ac_status" >&5
+  echo "$as_me:10212: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_sys_largefile_CC=' -n32'; break
 else
@@ -10017,13 +10223,13 @@
        rm -f conftest.$ac_ext
     fi
 fi
-echo "$as_me:10020: result: $ac_cv_sys_largefile_CC" >&5
+echo "$as_me:10226: result: $ac_cv_sys_largefile_CC" >&5
 echo "${ECHO_T}$ac_cv_sys_largefile_CC" >&6
   if test "$ac_cv_sys_largefile_CC" != no; then
     CC=$CC$ac_cv_sys_largefile_CC
   fi
 
-  echo "$as_me:10026: checking for _FILE_OFFSET_BITS value needed for large files" >&5
+  echo "$as_me:10232: checking for _FILE_OFFSET_BITS value needed for large files" >&5
 echo $ECHO_N "checking for _FILE_OFFSET_BITS value needed for large files... $ECHO_C" >&6
 if test "${ac_cv_sys_file_offset_bits+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -10031,7 +10237,7 @@
   while :; do
   ac_cv_sys_file_offset_bits=no
   cat >conftest.$ac_ext <<_ACEOF
-#line 10034 "configure"
+#line 10240 "configure"
 #include "confdefs.h"
 #include <sys/types.h>
  /* Check that off_t can represent 2**63 - 1 correctly.
@@ -10051,16 +10257,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:10054: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:10260: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:10057: \$? = $ac_status" >&5
+  echo "$as_me:10263: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:10060: \"$ac_try\"") >&5
+  { (eval echo "$as_me:10266: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:10063: \$? = $ac_status" >&5
+  echo "$as_me:10269: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   break
 else
@@ -10069,7 +10275,7 @@
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
   cat >conftest.$ac_ext <<_ACEOF
-#line 10072 "configure"
+#line 10278 "configure"
 #include "confdefs.h"
 #define _FILE_OFFSET_BITS 64
 #include <sys/types.h>
@@ -10090,16 +10296,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:10093: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:10299: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:10096: \$? = $ac_status" >&5
+  echo "$as_me:10302: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:10099: \"$ac_try\"") >&5
+  { (eval echo "$as_me:10305: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:10102: \$? = $ac_status" >&5
+  echo "$as_me:10308: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_sys_file_offset_bits=64; break
 else
@@ -10110,7 +10316,7 @@
   break
 done
 fi
-echo "$as_me:10113: result: $ac_cv_sys_file_offset_bits" >&5
+echo "$as_me:10319: result: $ac_cv_sys_file_offset_bits" >&5
 echo "${ECHO_T}$ac_cv_sys_file_offset_bits" >&6
 if test "$ac_cv_sys_file_offset_bits" != no; then
 
@@ -10120,7 +10326,7 @@
 
 fi
 rm -rf conftest*
-  echo "$as_me:10123: checking for _LARGE_FILES value needed for large files" >&5
+  echo "$as_me:10329: checking for _LARGE_FILES value needed for large files" >&5
 echo $ECHO_N "checking for _LARGE_FILES value needed for large files... $ECHO_C" >&6
 if test "${ac_cv_sys_large_files+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -10128,7 +10334,7 @@
   while :; do
   ac_cv_sys_large_files=no
   cat >conftest.$ac_ext <<_ACEOF
-#line 10131 "configure"
+#line 10337 "configure"
 #include "confdefs.h"
 #include <sys/types.h>
  /* Check that off_t can represent 2**63 - 1 correctly.
@@ -10148,16 +10354,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:10151: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:10357: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:10154: \$? = $ac_status" >&5
+  echo "$as_me:10360: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:10157: \"$ac_try\"") >&5
+  { (eval echo "$as_me:10363: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:10160: \$? = $ac_status" >&5
+  echo "$as_me:10366: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   break
 else
@@ -10166,7 +10372,7 @@
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
   cat >conftest.$ac_ext <<_ACEOF
-#line 10169 "configure"
+#line 10375 "configure"
 #include "confdefs.h"
 #define _LARGE_FILES 1
 #include <sys/types.h>
@@ -10187,16 +10393,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:10190: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:10396: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:10193: \$? = $ac_status" >&5
+  echo "$as_me:10399: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:10196: \"$ac_try\"") >&5
+  { (eval echo "$as_me:10402: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:10199: \$? = $ac_status" >&5
+  echo "$as_me:10405: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_sys_large_files=1; break
 else
@@ -10207,7 +10413,7 @@
   break
 done
 fi
-echo "$as_me:10210: result: $ac_cv_sys_large_files" >&5
+echo "$as_me:10416: result: $ac_cv_sys_large_files" >&5
 echo "${ECHO_T}$ac_cv_sys_large_files" >&6
 if test "$ac_cv_sys_large_files" != no; then
 
@@ -10220,7 +10426,7 @@
 fi
 
     if test "$enable_largefile" != no ; then
-	echo "$as_me:10223: checking for _LARGEFILE_SOURCE value needed for large files" >&5
+	echo "$as_me:10429: checking for _LARGEFILE_SOURCE value needed for large files" >&5
 echo $ECHO_N "checking for _LARGEFILE_SOURCE value needed for large files... $ECHO_C" >&6
 if test "${ac_cv_sys_largefile_source+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -10228,7 +10434,7 @@
   while :; do
   ac_cv_sys_largefile_source=no
   cat >conftest.$ac_ext <<_ACEOF
-#line 10231 "configure"
+#line 10437 "configure"
 #include "confdefs.h"
 #include <stdio.h>
 int
@@ -10240,16 +10446,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:10243: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:10449: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:10246: \$? = $ac_status" >&5
+  echo "$as_me:10452: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:10249: \"$ac_try\"") >&5
+  { (eval echo "$as_me:10455: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:10252: \$? = $ac_status" >&5
+  echo "$as_me:10458: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   break
 else
@@ -10258,7 +10464,7 @@
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
   cat >conftest.$ac_ext <<_ACEOF
-#line 10261 "configure"
+#line 10467 "configure"
 #include "confdefs.h"
 #define _LARGEFILE_SOURCE 1
 #include <stdio.h>
@@ -10271,16 +10477,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:10274: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:10480: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:10277: \$? = $ac_status" >&5
+  echo "$as_me:10483: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:10280: \"$ac_try\"") >&5
+  { (eval echo "$as_me:10486: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:10283: \$? = $ac_status" >&5
+  echo "$as_me:10489: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_sys_largefile_source=1; break
 else
@@ -10291,7 +10497,7 @@
   break
 done
 fi
-echo "$as_me:10294: result: $ac_cv_sys_largefile_source" >&5
+echo "$as_me:10500: result: $ac_cv_sys_largefile_source" >&5
 echo "${ECHO_T}$ac_cv_sys_largefile_source" >&6
 if test "$ac_cv_sys_largefile_source" != no; then
 
@@ -10305,13 +10511,13 @@
 # We used to try defining _XOPEN_SOURCE=500 too, to work around a bug
 # in glibc 2.1.3, but that breaks too many other things.
 # If you want fseeko and ftello with glibc, upgrade to a fixed glibc.
-echo "$as_me:10308: checking for fseeko" >&5
+echo "$as_me:10514: checking for fseeko" >&5
 echo $ECHO_N "checking for fseeko... $ECHO_C" >&6
 if test "${ac_cv_func_fseeko+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 10314 "configure"
+#line 10520 "configure"
 #include "confdefs.h"
 #include <stdio.h>
 int
@@ -10323,16 +10529,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:10326: \"$ac_link\"") >&5
+if { (eval echo "$as_me:10532: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:10329: \$? = $ac_status" >&5
+  echo "$as_me:10535: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:10332: \"$ac_try\"") >&5
+  { (eval echo "$as_me:10538: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:10335: \$? = $ac_status" >&5
+  echo "$as_me:10541: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_func_fseeko=yes
 else
@@ -10342,7 +10548,7 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 fi
-echo "$as_me:10345: result: $ac_cv_func_fseeko" >&5
+echo "$as_me:10551: result: $ac_cv_func_fseeko" >&5
 echo "${ECHO_T}$ac_cv_func_fseeko" >&6
 if test $ac_cv_func_fseeko = yes; then
 
@@ -10363,14 +10569,14 @@
 	test "$ac_cv_sys_largefile_source" != no && CPPFLAGS="$CPPFLAGS -D_LARGEFILE_SOURCE "
 	test "$ac_cv_sys_file_offset_bits" != no && CPPFLAGS="$CPPFLAGS -D_FILE_OFFSET_BITS=$ac_cv_sys_file_offset_bits "
 
-	echo "$as_me:10366: checking whether to use struct dirent64" >&5
+	echo "$as_me:10572: checking whether to use struct dirent64" >&5
 echo $ECHO_N "checking whether to use struct dirent64... $ECHO_C" >&6
 if test "${cf_cv_struct_dirent64+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 		cat >conftest.$ac_ext <<_ACEOF
-#line 10373 "configure"
+#line 10579 "configure"
 #include "confdefs.h"
 
 #include <sys/types.h>
@@ -10391,16 +10597,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:10394: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:10600: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:10397: \$? = $ac_status" >&5
+  echo "$as_me:10603: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:10400: \"$ac_try\"") >&5
+  { (eval echo "$as_me:10606: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:10403: \$? = $ac_status" >&5
+  echo "$as_me:10609: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_struct_dirent64=yes
 else
@@ -10411,7 +10617,7 @@
 rm -f conftest.$ac_objext conftest.$ac_ext
 
 fi
-echo "$as_me:10414: result: $cf_cv_struct_dirent64" >&5
+echo "$as_me:10620: result: $cf_cv_struct_dirent64" >&5
 echo "${ECHO_T}$cf_cv_struct_dirent64" >&6
 	test "$cf_cv_struct_dirent64" = yes &&
 cat >>confdefs.h <<\EOF
@@ -10421,7 +10627,7 @@
     fi
 
 ###   use option --disable-tparm-varargs to make tparm() conform to X/Open
-echo "$as_me:10424: checking if you want tparm not to use X/Open fixed-parameter list" >&5
+echo "$as_me:10630: checking if you want tparm not to use X/Open fixed-parameter list" >&5
 echo $ECHO_N "checking if you want tparm not to use X/Open fixed-parameter list... $ECHO_C" >&6
 
 # Check whether --enable-tparm-varargs or --disable-tparm-varargs was given.
@@ -10431,14 +10637,14 @@
 else
   with_tparm_varargs=yes
 fi;
-echo "$as_me:10434: result: $with_tparm_varargs" >&5
+echo "$as_me:10640: result: $with_tparm_varargs" >&5
 echo "${ECHO_T}$with_tparm_varargs" >&6
 NCURSES_TPARM_VARARGS=0
 test "x$with_tparm_varargs" = xyes && NCURSES_TPARM_VARARGS=1
 
 ###   use option --disable-tic-depends to make libtic not explicitly depend on ncurses/ncursesw
 if test "$with_ticlib" != no ; then
-echo "$as_me:10441: checking if you want tic library to use explicit dependency on ncurses$LIB_SUFFIX library" >&5
+echo "$as_me:10647: checking if you want tic library to use explicit dependency on ncurses$LIB_SUFFIX library" >&5
 echo $ECHO_N "checking if you want tic library to use explicit dependency on ncurses$LIB_SUFFIX library... $ECHO_C" >&6
 
 # Check whether --enable-tic-depends or --disable-tic-depends was given.
@@ -10448,14 +10654,14 @@
 else
   with_tic_depends=yes
 fi;
-echo "$as_me:10451: result: $with_tic_depends" >&5
+echo "$as_me:10657: result: $with_tic_depends" >&5
 echo "${ECHO_T}$with_tic_depends" >&6
 else
 	with_tic_depends=no
 fi
 
 ###   use option --with-bool to override bool's type
-echo "$as_me:10458: checking for type of bool" >&5
+echo "$as_me:10664: checking for type of bool" >&5
 echo $ECHO_N "checking for type of bool... $ECHO_C" >&6
 
 # Check whether --with-bool or --without-bool was given.
@@ -10465,10 +10671,10 @@
 else
   NCURSES_BOOL=auto
 fi;
-echo "$as_me:10468: result: $NCURSES_BOOL" >&5
+echo "$as_me:10674: result: $NCURSES_BOOL" >&5
 echo "${ECHO_T}$NCURSES_BOOL" >&6
 
-echo "$as_me:10471: checking for alternate terminal capabilities file" >&5
+echo "$as_me:10677: checking for alternate terminal capabilities file" >&5
 echo $ECHO_N "checking for alternate terminal capabilities file... $ECHO_C" >&6
 
 # Check whether --with-caps or --without-caps was given.
@@ -10479,11 +10685,11 @@
   TERMINFO_CAPS=Caps
 fi;
 test -f "${srcdir}/include/${TERMINFO_CAPS}" || TERMINFO_CAPS=Caps
-echo "$as_me:10482: result: $TERMINFO_CAPS" >&5
+echo "$as_me:10688: result: $TERMINFO_CAPS" >&5
 echo "${ECHO_T}$TERMINFO_CAPS" >&6
 
 ###   use option --with-chtype to override chtype's type
-echo "$as_me:10486: checking for type of chtype" >&5
+echo "$as_me:10692: checking for type of chtype" >&5
 echo $ECHO_N "checking for type of chtype... $ECHO_C" >&6
 
 # Check whether --with-chtype or --without-chtype was given.
@@ -10493,11 +10699,11 @@
 else
   NCURSES_CHTYPE=auto
 fi;
-echo "$as_me:10496: result: $NCURSES_CHTYPE" >&5
+echo "$as_me:10702: result: $NCURSES_CHTYPE" >&5
 echo "${ECHO_T}$NCURSES_CHTYPE" >&6
 
 ###   use option --with-ospeed to override ospeed's type
-echo "$as_me:10500: checking for type of ospeed" >&5
+echo "$as_me:10706: checking for type of ospeed" >&5
 echo $ECHO_N "checking for type of ospeed... $ECHO_C" >&6
 
 # Check whether --with-ospeed or --without-ospeed was given.
@@ -10507,11 +10713,11 @@
 else
   NCURSES_OSPEED=short
 fi;
-echo "$as_me:10510: result: $NCURSES_OSPEED" >&5
+echo "$as_me:10716: result: $NCURSES_OSPEED" >&5
 echo "${ECHO_T}$NCURSES_OSPEED" >&6
 
 ###   use option --with-mmask-t to override mmask_t's type
-echo "$as_me:10514: checking for type of mmask_t" >&5
+echo "$as_me:10720: checking for type of mmask_t" >&5
 echo $ECHO_N "checking for type of mmask_t... $ECHO_C" >&6
 
 # Check whether --with-mmask-t or --without-mmask-t was given.
@@ -10521,11 +10727,11 @@
 else
   NCURSES_MMASK_T=auto
 fi;
-echo "$as_me:10524: result: $NCURSES_MMASK_T" >&5
+echo "$as_me:10730: result: $NCURSES_MMASK_T" >&5
 echo "${ECHO_T}$NCURSES_MMASK_T" >&6
 
 ###   use option --with-ccharw-max to override CCHARW_MAX size
-echo "$as_me:10528: checking for size CCHARW_MAX" >&5
+echo "$as_me:10734: checking for size CCHARW_MAX" >&5
 echo $ECHO_N "checking for size CCHARW_MAX... $ECHO_C" >&6
 
 # Check whether --with-ccharw-max or --without-ccharw-max was given.
@@ -10535,11 +10741,11 @@
 else
   NCURSES_CCHARW_MAX=5
 fi;
-echo "$as_me:10538: result: $NCURSES_CCHARW_MAX" >&5
+echo "$as_me:10744: result: $NCURSES_CCHARW_MAX" >&5
 echo "${ECHO_T}$NCURSES_CCHARW_MAX" >&6
 
 ###   use option --with-tparm-arg to override tparm's argument type
-echo "$as_me:10542: checking for type of tparm args" >&5
+echo "$as_me:10748: checking for type of tparm args" >&5
 echo $ECHO_N "checking for type of tparm args... $ECHO_C" >&6
 
 # Check whether --with-tparm-arg or --without-tparm-arg was given.
@@ -10549,11 +10755,11 @@
 else
   NCURSES_TPARM_ARG=long
 fi;
-echo "$as_me:10552: result: $NCURSES_TPARM_ARG" >&5
+echo "$as_me:10758: result: $NCURSES_TPARM_ARG" >&5
 echo "${ECHO_T}$NCURSES_TPARM_ARG" >&6
 
 ### Enable compiling-in rcs id's
-echo "$as_me:10556: checking if RCS identifiers should be compiled-in" >&5
+echo "$as_me:10762: checking if RCS identifiers should be compiled-in" >&5
 echo $ECHO_N "checking if RCS identifiers should be compiled-in... $ECHO_C" >&6
 
 # Check whether --with-rcs-ids or --without-rcs-ids was given.
@@ -10563,7 +10769,7 @@
 else
   with_rcs_ids=no
 fi;
-echo "$as_me:10566: result: $with_rcs_ids" >&5
+echo "$as_me:10772: result: $with_rcs_ids" >&5
 echo "${ECHO_T}$with_rcs_ids" >&6
 test "x$with_rcs_ids" = xyes &&
 cat >>confdefs.h <<\EOF
@@ -10572,7 +10778,7 @@
 
 ###############################################################################
 
-echo "$as_me:10575: checking format of man-pages" >&5
+echo "$as_me:10781: checking format of man-pages" >&5
 echo $ECHO_N "checking format of man-pages... $ECHO_C" >&6
 
 # Check whether --with-manpage-format or --without-manpage-format was given.
@@ -10661,14 +10867,14 @@
   ;;
 esac
 
-echo "$as_me:10664: result: $MANPAGE_FORMAT" >&5
+echo "$as_me:10870: result: $MANPAGE_FORMAT" >&5
 echo "${ECHO_T}$MANPAGE_FORMAT" >&6
 if test -n "$cf_unknown" ; then
-  { echo "$as_me:10667: WARNING: Unexpected manpage-format $cf_unknown" >&5
+  { echo "$as_me:10873: WARNING: Unexpected manpage-format $cf_unknown" >&5
 echo "$as_me: WARNING: Unexpected manpage-format $cf_unknown" >&2;}
 fi
 
-echo "$as_me:10671: checking for manpage renaming" >&5
+echo "$as_me:10877: checking for manpage renaming" >&5
 echo $ECHO_N "checking for manpage renaming... $ECHO_C" >&6
 
 # Check whether --with-manpage-renames or --without-manpage-renames was given.
@@ -10696,7 +10902,7 @@
   if test -f $srcdir/man/$MANPAGE_RENAMES ; then
     MANPAGE_RENAMES=`cd $srcdir/man && pwd`/$MANPAGE_RENAMES
   elif test ! -f $MANPAGE_RENAMES ; then
-    { { echo "$as_me:10699: error: not a filename: $MANPAGE_RENAMES" >&5
+    { { echo "$as_me:10905: error: not a filename: $MANPAGE_RENAMES" >&5
 echo "$as_me: error: not a filename: $MANPAGE_RENAMES" >&2;}
    { (exit 1); exit 1; }; }
   fi
@@ -10710,10 +10916,10 @@
   fi
 fi
 
-echo "$as_me:10713: result: $MANPAGE_RENAMES" >&5
+echo "$as_me:10919: result: $MANPAGE_RENAMES" >&5
 echo "${ECHO_T}$MANPAGE_RENAMES" >&6
 
-echo "$as_me:10716: checking if manpage aliases will be installed" >&5
+echo "$as_me:10922: checking if manpage aliases will be installed" >&5
 echo $ECHO_N "checking if manpage aliases will be installed... $ECHO_C" >&6
 
 # Check whether --with-manpage-aliases or --without-manpage-aliases was given.
@@ -10724,7 +10930,7 @@
   MANPAGE_ALIASES=yes
 fi;
 
-echo "$as_me:10727: result: $MANPAGE_ALIASES" >&5
+echo "$as_me:10933: result: $MANPAGE_ALIASES" >&5
 echo "${ECHO_T}$MANPAGE_ALIASES" >&6
 
 case "x$LN_S" in #(vi
@@ -10738,7 +10944,7 @@
 
 MANPAGE_SYMLINKS=no
 if test "$MANPAGE_ALIASES" = yes ; then
-echo "$as_me:10741: checking if manpage symlinks should be used" >&5
+echo "$as_me:10947: checking if manpage symlinks should be used" >&5
 echo $ECHO_N "checking if manpage symlinks should be used... $ECHO_C" >&6
 
 # Check whether --with-manpage-symlinks or --without-manpage-symlinks was given.
@@ -10751,17 +10957,17 @@
 
 if test "$$cf_use_symlinks" = no; then
 if test "$MANPAGE_SYMLINKS" = yes ; then
-	{ echo "$as_me:10754: WARNING: cannot make symlinks" >&5
+	{ echo "$as_me:10960: WARNING: cannot make symlinks" >&5
 echo "$as_me: WARNING: cannot make symlinks" >&2;}
 	MANPAGE_SYMLINKS=no
 fi
 fi
 
-echo "$as_me:10760: result: $MANPAGE_SYMLINKS" >&5
+echo "$as_me:10966: result: $MANPAGE_SYMLINKS" >&5
 echo "${ECHO_T}$MANPAGE_SYMLINKS" >&6
 fi
 
-echo "$as_me:10764: checking for manpage tbl" >&5
+echo "$as_me:10970: checking for manpage tbl" >&5
 echo $ECHO_N "checking for manpage tbl... $ECHO_C" >&6
 
 # Check whether --with-manpage-tbl or --without-manpage-tbl was given.
@@ -10772,7 +10978,7 @@
   MANPAGE_TBL=no
 fi;
 
-echo "$as_me:10775: result: $MANPAGE_TBL" >&5
+echo "$as_me:10981: result: $MANPAGE_TBL" >&5
 echo "${ECHO_T}$MANPAGE_TBL" >&6
 
   if test "$prefix" = "NONE" ; then
@@ -11105,7 +11311,7 @@
 ###############################################################################
 
 ### Note that some functions (such as const) are normally disabled anyway.
-echo "$as_me:11108: checking if you want to build with function extensions" >&5
+echo "$as_me:11314: checking if you want to build with function extensions" >&5
 echo $ECHO_N "checking if you want to build with function extensions... $ECHO_C" >&6
 
 # Check whether --enable-ext-funcs or --disable-ext-funcs was given.
@@ -11115,7 +11321,7 @@
 else
   with_ext_funcs=yes
 fi;
-echo "$as_me:11118: result: $with_ext_funcs" >&5
+echo "$as_me:11324: result: $with_ext_funcs" >&5
 echo "${ECHO_T}$with_ext_funcs" >&6
 if test "x$with_ext_funcs" = xyes ; then
 	NCURSES_EXT_FUNCS=1
@@ -11170,7 +11376,7 @@
 	GENERATED_EXT_FUNCS=
 fi
 
-echo "$as_me:11173: checking if you want to build with experimental SCREEN extensions" >&5
+echo "$as_me:11379: checking if you want to build with experimental SCREEN extensions" >&5
 echo $ECHO_N "checking if you want to build with experimental SCREEN extensions... $ECHO_C" >&6
 
 # Check whether --enable-sp-funcs or --disable-sp-funcs was given.
@@ -11180,7 +11386,7 @@
 else
   with_sp_funcs=no
 fi;
-echo "$as_me:11183: result: $with_sp_funcs" >&5
+echo "$as_me:11389: result: $with_sp_funcs" >&5
 echo "${ECHO_T}$with_sp_funcs" >&6
 if test "x$with_sp_funcs" = xyes ; then
 	NCURSES_SP_FUNCS=1
@@ -11195,7 +11401,7 @@
 	GENERATED_SP_FUNCS=
 fi
 
-echo "$as_me:11198: checking if you want to build with experimental terminal-driver" >&5
+echo "$as_me:11404: checking if you want to build with experimental terminal-driver" >&5
 echo $ECHO_N "checking if you want to build with experimental terminal-driver... $ECHO_C" >&6
 
 # Check whether --enable-term-driver or --disable-term-driver was given.
@@ -11205,7 +11411,7 @@
 else
   with_term_driver=no
 fi;
-echo "$as_me:11208: result: $with_term_driver" >&5
+echo "$as_me:11414: result: $with_term_driver" >&5
 echo "${ECHO_T}$with_term_driver" >&6
 if test "x$with_term_driver" = xyes ; then
 
@@ -11214,14 +11420,14 @@
 EOF
 
 	if test "x$with_sp_funcs" != xyes ; then
-		{ { echo "$as_me:11217: error: The term-driver option relies upon sp-funcs" >&5
+		{ { echo "$as_me:11423: error: The term-driver option relies upon sp-funcs" >&5
 echo "$as_me: error: The term-driver option relies upon sp-funcs" >&2;}
    { (exit 1); exit 1; }; }
 	fi
 fi
 
 ###   use option --enable-const to turn on use of const beyond that in XSI.
-echo "$as_me:11224: checking for extended use of const keyword" >&5
+echo "$as_me:11430: checking for extended use of const keyword" >&5
 echo $ECHO_N "checking for extended use of const keyword... $ECHO_C" >&6
 
 # Check whether --enable-const or --disable-const was given.
@@ -11231,7 +11437,7 @@
 else
   with_ext_const=no
 fi;
-echo "$as_me:11234: result: $with_ext_const" >&5
+echo "$as_me:11440: result: $with_ext_const" >&5
 echo "${ECHO_T}$with_ext_const" >&6
 NCURSES_CONST='/*nothing*/'
 if test "x$with_ext_const" = xyes ; then
@@ -11239,7 +11445,7 @@
 fi
 
 ###   use option --enable-ext-colors to turn on use of colors beyond 16.
-echo "$as_me:11242: checking if you want to use extended colors" >&5
+echo "$as_me:11448: checking if you want to use extended colors" >&5
 echo $ECHO_N "checking if you want to use extended colors... $ECHO_C" >&6
 
 # Check whether --enable-ext-colors or --disable-ext-colors was given.
@@ -11249,12 +11455,12 @@
 else
   with_ext_colors=no
 fi;
-echo "$as_me:11252: result: $with_ext_colors" >&5
+echo "$as_me:11458: result: $with_ext_colors" >&5
 echo "${ECHO_T}$with_ext_colors" >&6
 NCURSES_EXT_COLORS=0
 if test "x$with_ext_colors" = xyes ; then
 	if test "x$with_widec" != xyes ; then
-		{ { echo "$as_me:11257: error: This option applies only to wide-character library" >&5
+		{ { echo "$as_me:11463: error: This option applies only to wide-character library" >&5
 echo "$as_me: error: This option applies only to wide-character library" >&2;}
    { (exit 1); exit 1; }; }
 	else
@@ -11265,7 +11471,7 @@
 	5.*)
 		cf_cv_rel_version=6.0
 		cf_cv_abi_version=6
-		{ echo "$as_me:11268: WARNING: Overriding ABI version to $cf_cv_abi_version" >&5
+		{ echo "$as_me:11474: WARNING: Overriding ABI version to $cf_cv_abi_version" >&5
 echo "$as_me: WARNING: Overriding ABI version to $cf_cv_abi_version" >&2;}
 		;;
 	esac
@@ -11281,7 +11487,7 @@
 fi
 
 ###   use option --enable-ext-mouse to modify coding to support 5-button mice
-echo "$as_me:11284: checking if you want to use extended mouse encoding" >&5
+echo "$as_me:11490: checking if you want to use extended mouse encoding" >&5
 echo $ECHO_N "checking if you want to use extended mouse encoding... $ECHO_C" >&6
 
 # Check whether --enable-ext-mouse or --disable-ext-mouse was given.
@@ -11291,7 +11497,7 @@
 else
   with_ext_mouse=no
 fi;
-echo "$as_me:11294: result: $with_ext_mouse" >&5
+echo "$as_me:11500: result: $with_ext_mouse" >&5
 echo "${ECHO_T}$with_ext_mouse" >&6
 NCURSES_MOUSE_VERSION=1
 if test "x$with_ext_mouse" = xyes ; then
@@ -11302,7 +11508,7 @@
 	5.*)
 		cf_cv_rel_version=6.0
 		cf_cv_abi_version=6
-		{ echo "$as_me:11305: WARNING: Overriding ABI version to $cf_cv_abi_version" >&5
+		{ echo "$as_me:11511: WARNING: Overriding ABI version to $cf_cv_abi_version" >&5
 echo "$as_me: WARNING: Overriding ABI version to $cf_cv_abi_version" >&2;}
 		;;
 	esac
@@ -11310,7 +11516,7 @@
 
 fi
 
-echo "$as_me:11313: checking if you want \$NCURSES_NO_PADDING code" >&5
+echo "$as_me:11519: checking if you want \$NCURSES_NO_PADDING code" >&5
 echo $ECHO_N "checking if you want \$NCURSES_NO_PADDING code... $ECHO_C" >&6
 
 # Check whether --enable-no-padding or --disable-no-padding was given.
@@ -11320,20 +11526,20 @@
 else
   with_no_padding=$with_ext_funcs
 fi;
-echo "$as_me:11323: result: $with_no_padding" >&5
+echo "$as_me:11529: result: $with_no_padding" >&5
 echo "${ECHO_T}$with_no_padding" >&6
 test "x$with_no_padding" = xyes &&
 cat >>confdefs.h <<\EOF
 #define NCURSES_NO_PADDING 1
 EOF
 
-echo "$as_me:11330: checking for ANSI C header files" >&5
+echo "$as_me:11536: checking for ANSI C header files" >&5
 echo $ECHO_N "checking for ANSI C header files... $ECHO_C" >&6
 if test "${ac_cv_header_stdc+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 11336 "configure"
+#line 11542 "configure"
 #include "confdefs.h"
 #include <stdlib.h>
 #include <stdarg.h>
@@ -11341,13 +11547,13 @@
 #include <float.h>
 
 _ACEOF
-if { (eval echo "$as_me:11344: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:11550: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:11350: \$? = $ac_status" >&5
+  echo "$as_me:11556: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_c_preproc_warn_flag
@@ -11369,7 +11575,7 @@
 if test $ac_cv_header_stdc = yes; then
   # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
   cat >conftest.$ac_ext <<_ACEOF
-#line 11372 "configure"
+#line 11578 "configure"
 #include "confdefs.h"
 #include <string.h>
 
@@ -11387,7 +11593,7 @@
 if test $ac_cv_header_stdc = yes; then
   # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
   cat >conftest.$ac_ext <<_ACEOF
-#line 11390 "configure"
+#line 11596 "configure"
 #include "confdefs.h"
 #include <stdlib.h>
 
@@ -11408,7 +11614,7 @@
   :
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 11411 "configure"
+#line 11617 "configure"
 #include "confdefs.h"
 #include <ctype.h>
 #if ((' ' & 0x0FF) == 0x020)
@@ -11434,15 +11640,15 @@
 }
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:11437: \"$ac_link\"") >&5
+if { (eval echo "$as_me:11643: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:11440: \$? = $ac_status" >&5
+  echo "$as_me:11646: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:11442: \"$ac_try\"") >&5
+  { (eval echo "$as_me:11648: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:11445: \$? = $ac_status" >&5
+  echo "$as_me:11651: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   :
 else
@@ -11455,7 +11661,7 @@
 fi
 fi
 fi
-echo "$as_me:11458: result: $ac_cv_header_stdc" >&5
+echo "$as_me:11664: result: $ac_cv_header_stdc" >&5
 echo "${ECHO_T}$ac_cv_header_stdc" >&6
 if test $ac_cv_header_stdc = yes; then
 
@@ -11471,28 +11677,28 @@
                   inttypes.h stdint.h unistd.h
 do
 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
-echo "$as_me:11474: checking for $ac_header" >&5
+echo "$as_me:11680: checking for $ac_header" >&5
 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
 if eval "test \"\${$as_ac_Header+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 11480 "configure"
+#line 11686 "configure"
 #include "confdefs.h"
 $ac_includes_default
 #include <$ac_header>
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:11486: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:11692: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:11489: \$? = $ac_status" >&5
+  echo "$as_me:11695: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:11492: \"$ac_try\"") >&5
+  { (eval echo "$as_me:11698: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:11495: \$? = $ac_status" >&5
+  echo "$as_me:11701: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   eval "$as_ac_Header=yes"
 else
@@ -11502,7 +11708,7 @@
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 fi
-echo "$as_me:11505: result: `eval echo '${'$as_ac_Header'}'`" >&5
+echo "$as_me:11711: result: `eval echo '${'$as_ac_Header'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
 if test `eval echo '${'$as_ac_Header'}'` = yes; then
   cat >>confdefs.h <<EOF
@@ -11512,13 +11718,13 @@
 fi
 done
 
-echo "$as_me:11515: checking for signed char" >&5
+echo "$as_me:11721: checking for signed char" >&5
 echo $ECHO_N "checking for signed char... $ECHO_C" >&6
 if test "${ac_cv_type_signed_char+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 11521 "configure"
+#line 11727 "configure"
 #include "confdefs.h"
 $ac_includes_default
 int
@@ -11533,16 +11739,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:11536: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:11742: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:11539: \$? = $ac_status" >&5
+  echo "$as_me:11745: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:11542: \"$ac_try\"") >&5
+  { (eval echo "$as_me:11748: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:11545: \$? = $ac_status" >&5
+  echo "$as_me:11751: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_type_signed_char=yes
 else
@@ -11552,10 +11758,10 @@
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 fi
-echo "$as_me:11555: result: $ac_cv_type_signed_char" >&5
+echo "$as_me:11761: result: $ac_cv_type_signed_char" >&5
 echo "${ECHO_T}$ac_cv_type_signed_char" >&6
 
-echo "$as_me:11558: checking size of signed char" >&5
+echo "$as_me:11764: checking size of signed char" >&5
 echo $ECHO_N "checking size of signed char... $ECHO_C" >&6
 if test "${ac_cv_sizeof_signed_char+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -11564,7 +11770,7 @@
   if test "$cross_compiling" = yes; then
   # Depending upon the size, compute the lo and hi bounds.
 cat >conftest.$ac_ext <<_ACEOF
-#line 11567 "configure"
+#line 11773 "configure"
 #include "confdefs.h"
 $ac_includes_default
 int
@@ -11576,21 +11782,21 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:11579: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:11785: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:11582: \$? = $ac_status" >&5
+  echo "$as_me:11788: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:11585: \"$ac_try\"") >&5
+  { (eval echo "$as_me:11791: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:11588: \$? = $ac_status" >&5
+  echo "$as_me:11794: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_lo=0 ac_mid=0
   while :; do
     cat >conftest.$ac_ext <<_ACEOF
-#line 11593 "configure"
+#line 11799 "configure"
 #include "confdefs.h"
 $ac_includes_default
 int
@@ -11602,16 +11808,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:11605: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:11811: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:11608: \$? = $ac_status" >&5
+  echo "$as_me:11814: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:11611: \"$ac_try\"") >&5
+  { (eval echo "$as_me:11817: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:11614: \$? = $ac_status" >&5
+  echo "$as_me:11820: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_hi=$ac_mid; break
 else
@@ -11627,7 +11833,7 @@
 ac_hi=-1 ac_mid=-1
   while :; do
     cat >conftest.$ac_ext <<_ACEOF
-#line 11630 "configure"
+#line 11836 "configure"
 #include "confdefs.h"
 $ac_includes_default
 int
@@ -11639,16 +11845,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:11642: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:11848: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:11645: \$? = $ac_status" >&5
+  echo "$as_me:11851: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:11648: \"$ac_try\"") >&5
+  { (eval echo "$as_me:11854: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:11651: \$? = $ac_status" >&5
+  echo "$as_me:11857: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_lo=$ac_mid; break
 else
@@ -11664,7 +11870,7 @@
 while test "x$ac_lo" != "x$ac_hi"; do
   ac_mid=`expr '(' $ac_hi - $ac_lo ')' / 2 + $ac_lo`
   cat >conftest.$ac_ext <<_ACEOF
-#line 11667 "configure"
+#line 11873 "configure"
 #include "confdefs.h"
 $ac_includes_default
 int
@@ -11676,16 +11882,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:11679: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:11885: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:11682: \$? = $ac_status" >&5
+  echo "$as_me:11888: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:11685: \"$ac_try\"") >&5
+  { (eval echo "$as_me:11891: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:11688: \$? = $ac_status" >&5
+  echo "$as_me:11894: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_hi=$ac_mid
 else
@@ -11698,12 +11904,12 @@
 ac_cv_sizeof_signed_char=$ac_lo
 else
   if test "$cross_compiling" = yes; then
-  { { echo "$as_me:11701: error: cannot run test program while cross compiling" >&5
+  { { echo "$as_me:11907: error: cannot run test program while cross compiling" >&5
 echo "$as_me: error: cannot run test program while cross compiling" >&2;}
    { (exit 1); exit 1; }; }
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 11706 "configure"
+#line 11912 "configure"
 #include "confdefs.h"
 $ac_includes_default
 int
@@ -11719,15 +11925,15 @@
 }
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:11722: \"$ac_link\"") >&5
+if { (eval echo "$as_me:11928: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:11725: \$? = $ac_status" >&5
+  echo "$as_me:11931: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:11727: \"$ac_try\"") >&5
+  { (eval echo "$as_me:11933: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:11730: \$? = $ac_status" >&5
+  echo "$as_me:11936: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_sizeof_signed_char=`cat conftest.val`
 else
@@ -11743,7 +11949,7 @@
   ac_cv_sizeof_signed_char=0
 fi
 fi
-echo "$as_me:11746: result: $ac_cv_sizeof_signed_char" >&5
+echo "$as_me:11952: result: $ac_cv_sizeof_signed_char" >&5
 echo "${ECHO_T}$ac_cv_sizeof_signed_char" >&6
 cat >>confdefs.h <<EOF
 #define SIZEOF_SIGNED_CHAR $ac_cv_sizeof_signed_char
@@ -11754,7 +11960,7 @@
 else
 	NCURSES_SBOOL="char"
 fi
-echo "$as_me:11757: checking if you want to use signed Boolean array in term.h" >&5
+echo "$as_me:11963: checking if you want to use signed Boolean array in term.h" >&5
 echo $ECHO_N "checking if you want to use signed Boolean array in term.h... $ECHO_C" >&6
 
 # Check whether --enable-signed-char or --disable-signed-char was given.
@@ -11764,12 +11970,12 @@
 else
   with_signed_char=no
 fi;
-echo "$as_me:11767: result: $with_signed_char" >&5
+echo "$as_me:11973: result: $with_signed_char" >&5
 echo "${ECHO_T}$with_signed_char" >&6
 test "x$with_signed_char" != xyes && NCURSES_SBOOL="char"
 
 ###   use option --enable-sigwinch to turn on use of SIGWINCH logic
-echo "$as_me:11772: checking if you want SIGWINCH handler" >&5
+echo "$as_me:11978: checking if you want SIGWINCH handler" >&5
 echo $ECHO_N "checking if you want SIGWINCH handler... $ECHO_C" >&6
 
 # Check whether --enable-sigwinch or --disable-sigwinch was given.
@@ -11779,7 +11985,7 @@
 else
   with_sigwinch=$with_ext_funcs
 fi;
-echo "$as_me:11782: result: $with_sigwinch" >&5
+echo "$as_me:11988: result: $with_sigwinch" >&5
 echo "${ECHO_T}$with_sigwinch" >&6
 test "x$with_sigwinch" = xyes &&
 cat >>confdefs.h <<\EOF
@@ -11787,7 +11993,7 @@
 EOF
 
 ###   use option --enable-tcap-names to allow user to define new capabilities
-echo "$as_me:11790: checking if you want user-definable terminal capabilities like termcap" >&5
+echo "$as_me:11996: checking if you want user-definable terminal capabilities like termcap" >&5
 echo $ECHO_N "checking if you want user-definable terminal capabilities like termcap... $ECHO_C" >&6
 
 # Check whether --enable-tcap-names or --disable-tcap-names was given.
@@ -11797,7 +12003,7 @@
 else
   with_tcap_names=$with_ext_funcs
 fi;
-echo "$as_me:11800: result: $with_tcap_names" >&5
+echo "$as_me:12006: result: $with_tcap_names" >&5
 echo "${ECHO_T}$with_tcap_names" >&6
 NCURSES_XNAMES=0
 test "x$with_tcap_names" = xyes && NCURSES_XNAMES=1
@@ -11805,7 +12011,7 @@
 ###############################################################################
 # These options are relatively safe to experiment with.
 
-echo "$as_me:11808: checking if you want all development code" >&5
+echo "$as_me:12014: checking if you want all development code" >&5
 echo $ECHO_N "checking if you want all development code... $ECHO_C" >&6
 
 # Check whether --with-develop or --without-develop was given.
@@ -11815,11 +12021,11 @@
 else
   with_develop=no
 fi;
-echo "$as_me:11818: result: $with_develop" >&5
+echo "$as_me:12024: result: $with_develop" >&5
 echo "${ECHO_T}$with_develop" >&6
 
 ###   use option --enable-hard-tabs to turn on use of hard-tabs optimize
-echo "$as_me:11822: checking if you want hard-tabs code" >&5
+echo "$as_me:12028: checking if you want hard-tabs code" >&5
 echo $ECHO_N "checking if you want hard-tabs code... $ECHO_C" >&6
 
 # Check whether --enable-hard-tabs or --disable-hard-tabs was given.
@@ -11829,7 +12035,7 @@
 else
   enable_hard_tabs=$with_develop
 fi;
-echo "$as_me:11832: result: $enable_hard_tabs" >&5
+echo "$as_me:12038: result: $enable_hard_tabs" >&5
 echo "${ECHO_T}$enable_hard_tabs" >&6
 test "x$enable_hard_tabs" = xyes &&
 cat >>confdefs.h <<\EOF
@@ -11837,7 +12043,7 @@
 EOF
 
 ###   use option --enable-xmc-glitch to turn on use of magic-cookie optimize
-echo "$as_me:11840: checking if you want limited support for xmc" >&5
+echo "$as_me:12046: checking if you want limited support for xmc" >&5
 echo $ECHO_N "checking if you want limited support for xmc... $ECHO_C" >&6
 
 # Check whether --enable-xmc-glitch or --disable-xmc-glitch was given.
@@ -11847,7 +12053,7 @@
 else
   enable_xmc_glitch=$with_develop
 fi;
-echo "$as_me:11850: result: $enable_xmc_glitch" >&5
+echo "$as_me:12056: result: $enable_xmc_glitch" >&5
 echo "${ECHO_T}$enable_xmc_glitch" >&6
 test "x$enable_xmc_glitch" = xyes &&
 cat >>confdefs.h <<\EOF
@@ -11857,7 +12063,7 @@
 ###############################################################################
 # These are just experimental, probably should not be in a package:
 
-echo "$as_me:11860: checking if you do not want to assume colors are white-on-black" >&5
+echo "$as_me:12066: checking if you do not want to assume colors are white-on-black" >&5
 echo $ECHO_N "checking if you do not want to assume colors are white-on-black... $ECHO_C" >&6
 
 # Check whether --enable-assumed-color or --disable-assumed-color was given.
@@ -11867,7 +12073,7 @@
 else
   with_assumed_color=yes
 fi;
-echo "$as_me:11870: result: $with_assumed_color" >&5
+echo "$as_me:12076: result: $with_assumed_color" >&5
 echo "${ECHO_T}$with_assumed_color" >&6
 test "x$with_assumed_color" = xyes &&
 cat >>confdefs.h <<\EOF
@@ -11875,7 +12081,7 @@
 EOF
 
 ###   use option --enable-hashmap to turn on use of hashmap scrolling logic
-echo "$as_me:11878: checking if you want hashmap scrolling-optimization code" >&5
+echo "$as_me:12084: checking if you want hashmap scrolling-optimization code" >&5
 echo $ECHO_N "checking if you want hashmap scrolling-optimization code... $ECHO_C" >&6
 
 # Check whether --enable-hashmap or --disable-hashmap was given.
@@ -11885,7 +12091,7 @@
 else
   with_hashmap=yes
 fi;
-echo "$as_me:11888: result: $with_hashmap" >&5
+echo "$as_me:12094: result: $with_hashmap" >&5
 echo "${ECHO_T}$with_hashmap" >&6
 test "x$with_hashmap" = xyes &&
 cat >>confdefs.h <<\EOF
@@ -11893,7 +12099,7 @@
 EOF
 
 ###   use option --enable-colorfgbg to turn on use of $COLORFGBG environment
-echo "$as_me:11896: checking if you want colorfgbg code" >&5
+echo "$as_me:12102: checking if you want colorfgbg code" >&5
 echo $ECHO_N "checking if you want colorfgbg code... $ECHO_C" >&6
 
 # Check whether --enable-colorfgbg or --disable-colorfgbg was given.
@@ -11903,7 +12109,7 @@
 else
   with_colorfgbg=no
 fi;
-echo "$as_me:11906: result: $with_colorfgbg" >&5
+echo "$as_me:12112: result: $with_colorfgbg" >&5
 echo "${ECHO_T}$with_colorfgbg" >&6
 test "x$with_colorfgbg" = xyes &&
 cat >>confdefs.h <<\EOF
@@ -11911,7 +12117,7 @@
 EOF
 
 ###   use option --enable-interop to turn on use of bindings used for interop
-echo "$as_me:11914: checking if you want interop bindings" >&5
+echo "$as_me:12120: checking if you want interop bindings" >&5
 echo $ECHO_N "checking if you want interop bindings... $ECHO_C" >&6
 
 # Check whether --enable-interop or --disable-interop was given.
@@ -11921,7 +12127,7 @@
 else
   with_exp_interop=no
 fi;
-echo "$as_me:11924: result: $with_exp_interop" >&5
+echo "$as_me:12130: result: $with_exp_interop" >&5
 echo "${ECHO_T}$with_exp_interop" >&6
 
 NCURSES_INTEROP_FUNCS=0
@@ -11930,7 +12136,7 @@
 # This is still experimental (20080329), but should ultimately be moved to
 # the script-block --with-normal, etc.
 
-echo "$as_me:11933: checking if you want to link with the pthread library" >&5
+echo "$as_me:12139: checking if you want to link with the pthread library" >&5
 echo $ECHO_N "checking if you want to link with the pthread library... $ECHO_C" >&6
 
 # Check whether --with-pthread or --without-pthread was given.
@@ -11940,27 +12146,27 @@
 else
   with_pthread=no
 fi;
-echo "$as_me:11943: result: $with_pthread" >&5
+echo "$as_me:12149: result: $with_pthread" >&5
 echo "${ECHO_T}$with_pthread" >&6
 
 if test "$with_pthread" != no ; then
-    echo "$as_me:11947: checking for pthread.h" >&5
+    echo "$as_me:12153: checking for pthread.h" >&5
 echo $ECHO_N "checking for pthread.h... $ECHO_C" >&6
 if test "${ac_cv_header_pthread_h+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 11953 "configure"
+#line 12159 "configure"
 #include "confdefs.h"
 #include <pthread.h>
 _ACEOF
-if { (eval echo "$as_me:11957: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:12163: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:11963: \$? = $ac_status" >&5
+  echo "$as_me:12169: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_c_preproc_warn_flag
@@ -11979,7 +12185,7 @@
 fi
 rm -f conftest.err conftest.$ac_ext
 fi
-echo "$as_me:11982: result: $ac_cv_header_pthread_h" >&5
+echo "$as_me:12188: result: $ac_cv_header_pthread_h" >&5
 echo "${ECHO_T}$ac_cv_header_pthread_h" >&6
 if test $ac_cv_header_pthread_h = yes; then
 
@@ -11989,7 +12195,7 @@
 
 	for cf_lib_pthread in pthread c_r
 	do
-	    echo "$as_me:11992: checking if we can link with the $cf_lib_pthread library" >&5
+	    echo "$as_me:12198: checking if we can link with the $cf_lib_pthread library" >&5
 echo $ECHO_N "checking if we can link with the $cf_lib_pthread library... $ECHO_C" >&6
 	    cf_save_LIBS="$LIBS"
 
@@ -12010,7 +12216,7 @@
 LIBS="$cf_add_libs"
 
 	    cat >conftest.$ac_ext <<_ACEOF
-#line 12013 "configure"
+#line 12219 "configure"
 #include "confdefs.h"
 
 #include <pthread.h>
@@ -12027,16 +12233,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:12030: \"$ac_link\"") >&5
+if { (eval echo "$as_me:12236: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:12033: \$? = $ac_status" >&5
+  echo "$as_me:12239: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:12036: \"$ac_try\"") >&5
+  { (eval echo "$as_me:12242: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:12039: \$? = $ac_status" >&5
+  echo "$as_me:12245: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   with_pthread=yes
 else
@@ -12046,7 +12252,7 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 	    LIBS="$cf_save_LIBS"
-	    echo "$as_me:12049: result: $with_pthread" >&5
+	    echo "$as_me:12255: result: $with_pthread" >&5
 echo "${ECHO_T}$with_pthread" >&6
 	    test "$with_pthread" = yes && break
 	done
@@ -12074,7 +12280,7 @@
 EOF
 
 	else
-	    { { echo "$as_me:12077: error: Cannot link with pthread library" >&5
+	    { { echo "$as_me:12283: error: Cannot link with pthread library" >&5
 echo "$as_me: error: Cannot link with pthread library" >&2;}
    { (exit 1); exit 1; }; }
 	fi
@@ -12084,13 +12290,13 @@
 fi
 
 if test "x$with_pthread" != xno; then
-	echo "$as_me:12087: checking for pthread_kill" >&5
+	echo "$as_me:12293: checking for pthread_kill" >&5
 echo $ECHO_N "checking for pthread_kill... $ECHO_C" >&6
 if test "${ac_cv_func_pthread_kill+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 12093 "configure"
+#line 12299 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char pthread_kill (); below.  */
@@ -12121,16 +12327,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:12124: \"$ac_link\"") >&5
+if { (eval echo "$as_me:12330: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:12127: \$? = $ac_status" >&5
+  echo "$as_me:12333: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:12130: \"$ac_try\"") >&5
+  { (eval echo "$as_me:12336: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:12133: \$? = $ac_status" >&5
+  echo "$as_me:12339: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_func_pthread_kill=yes
 else
@@ -12140,11 +12346,11 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 fi
-echo "$as_me:12143: result: $ac_cv_func_pthread_kill" >&5
+echo "$as_me:12349: result: $ac_cv_func_pthread_kill" >&5
 echo "${ECHO_T}$ac_cv_func_pthread_kill" >&6
 if test $ac_cv_func_pthread_kill = yes; then
 
-		echo "$as_me:12147: checking if you want to allow EINTR in wgetch with pthreads" >&5
+		echo "$as_me:12353: checking if you want to allow EINTR in wgetch with pthreads" >&5
 echo $ECHO_N "checking if you want to allow EINTR in wgetch with pthreads... $ECHO_C" >&6
 
 # Check whether --enable-pthreads-eintr or --disable-pthreads-eintr was given.
@@ -12154,7 +12360,7 @@
 else
   use_pthreads_eintr=no
 fi;
-		echo "$as_me:12157: result: $use_pthreads_eintr" >&5
+		echo "$as_me:12363: result: $use_pthreads_eintr" >&5
 echo "${ECHO_T}$use_pthreads_eintr" >&6
 		if test "x$use_pthreads_eintr" = xyes ; then
 
@@ -12165,7 +12371,7 @@
 		fi
 fi
 
-	echo "$as_me:12168: checking if you want to use weak-symbols for pthreads" >&5
+	echo "$as_me:12374: checking if you want to use weak-symbols for pthreads" >&5
 echo $ECHO_N "checking if you want to use weak-symbols for pthreads... $ECHO_C" >&6
 
 # Check whether --enable-weak-symbols or --disable-weak-symbols was given.
@@ -12175,18 +12381,18 @@
 else
   use_weak_symbols=no
 fi;
-	echo "$as_me:12178: result: $use_weak_symbols" >&5
+	echo "$as_me:12384: result: $use_weak_symbols" >&5
 echo "${ECHO_T}$use_weak_symbols" >&6
 	if test "x$use_weak_symbols" = xyes ; then
 
-echo "$as_me:12182: checking if $CC supports weak symbols" >&5
+echo "$as_me:12388: checking if $CC supports weak symbols" >&5
 echo $ECHO_N "checking if $CC supports weak symbols... $ECHO_C" >&6
 if test "${cf_cv_weak_symbols+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 12189 "configure"
+#line 12395 "configure"
 #include "confdefs.h"
 
 #include <stdio.h>
@@ -12212,16 +12418,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:12215: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:12421: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:12218: \$? = $ac_status" >&5
+  echo "$as_me:12424: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:12221: \"$ac_try\"") >&5
+  { (eval echo "$as_me:12427: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:12224: \$? = $ac_status" >&5
+  echo "$as_me:12430: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_weak_symbols=yes
 else
@@ -12232,7 +12438,7 @@
 rm -f conftest.$ac_objext conftest.$ac_ext
 
 fi
-echo "$as_me:12235: result: $cf_cv_weak_symbols" >&5
+echo "$as_me:12441: result: $cf_cv_weak_symbols" >&5
 echo "${ECHO_T}$cf_cv_weak_symbols" >&6
 
 	else
@@ -12265,7 +12471,7 @@
 # opaque outside of that, so there is no --enable-opaque option.  We can use
 # this option without --with-pthreads, but this will be always set for
 # pthreads.
-echo "$as_me:12268: checking if you want experimental reentrant code" >&5
+echo "$as_me:12474: checking if you want experimental reentrant code" >&5
 echo $ECHO_N "checking if you want experimental reentrant code... $ECHO_C" >&6
 
 # Check whether --enable-reentrant or --disable-reentrant was given.
@@ -12275,7 +12481,7 @@
 else
   with_reentrant=no
 fi;
-echo "$as_me:12278: result: $with_reentrant" >&5
+echo "$as_me:12484: result: $with_reentrant" >&5
 echo "${ECHO_T}$with_reentrant" >&6
 if test "x$with_reentrant" = xyes ; then
 	cf_cv_enable_reentrant=1
@@ -12348,7 +12554,7 @@
 	5.*)
 		cf_cv_rel_version=6.0
 		cf_cv_abi_version=6
-		{ echo "$as_me:12351: WARNING: Overriding ABI version to $cf_cv_abi_version" >&5
+		{ echo "$as_me:12557: WARNING: Overriding ABI version to $cf_cv_abi_version" >&5
 echo "$as_me: WARNING: Overriding ABI version to $cf_cv_abi_version" >&2;}
 		;;
 	esac
@@ -12363,7 +12569,7 @@
 
 ### Allow using a different wrap-prefix
 if test "$cf_cv_enable_reentrant" != 0 || test "$BROKEN_LINKER" = 1 ; then
-	echo "$as_me:12366: checking for prefix used to wrap public variables" >&5
+	echo "$as_me:12572: checking for prefix used to wrap public variables" >&5
 echo $ECHO_N "checking for prefix used to wrap public variables... $ECHO_C" >&6
 
 # Check whether --with-wrap-prefix or --without-wrap-prefix was given.
@@ -12373,7 +12579,7 @@
 else
   NCURSES_WRAP_PREFIX=_nc_
 fi;
-	echo "$as_me:12376: result: $NCURSES_WRAP_PREFIX" >&5
+	echo "$as_me:12582: result: $NCURSES_WRAP_PREFIX" >&5
 echo "${ECHO_T}$NCURSES_WRAP_PREFIX" >&6
 else
 	NCURSES_WRAP_PREFIX=_nc_
@@ -12383,7 +12589,7 @@
 #define NCURSES_WRAP_PREFIX "$NCURSES_WRAP_PREFIX"
 EOF
 
-echo "$as_me:12386: checking if you want experimental safe-sprintf code" >&5
+echo "$as_me:12592: checking if you want experimental safe-sprintf code" >&5
 echo $ECHO_N "checking if you want experimental safe-sprintf code... $ECHO_C" >&6
 
 # Check whether --enable-safe-sprintf or --disable-safe-sprintf was given.
@@ -12393,7 +12599,7 @@
 else
   with_safe_sprintf=no
 fi;
-echo "$as_me:12396: result: $with_safe_sprintf" >&5
+echo "$as_me:12602: result: $with_safe_sprintf" >&5
 echo "${ECHO_T}$with_safe_sprintf" >&6
 test "x$with_safe_sprintf" = xyes &&
 cat >>confdefs.h <<\EOF
@@ -12403,7 +12609,7 @@
 ###   use option --disable-scroll-hints to turn off use of scroll-hints scrolling logic
 # when hashmap is used scroll hints are useless
 if test "$with_hashmap" = no ; then
-echo "$as_me:12406: checking if you want to experiment without scrolling-hints code" >&5
+echo "$as_me:12612: checking if you want to experiment without scrolling-hints code" >&5
 echo $ECHO_N "checking if you want to experiment without scrolling-hints code... $ECHO_C" >&6
 
 # Check whether --enable-scroll-hints or --disable-scroll-hints was given.
@@ -12413,7 +12619,7 @@
 else
   with_scroll_hints=yes
 fi;
-echo "$as_me:12416: result: $with_scroll_hints" >&5
+echo "$as_me:12622: result: $with_scroll_hints" >&5
 echo "${ECHO_T}$with_scroll_hints" >&6
 test "x$with_scroll_hints" = xyes &&
 cat >>confdefs.h <<\EOF
@@ -12422,7 +12628,7 @@
 
 fi
 
-echo "$as_me:12425: checking if you want experimental wgetch-events code" >&5
+echo "$as_me:12631: checking if you want experimental wgetch-events code" >&5
 echo $ECHO_N "checking if you want experimental wgetch-events code... $ECHO_C" >&6
 
 # Check whether --enable-wgetch-events or --disable-wgetch-events was given.
@@ -12432,7 +12638,7 @@
 else
   with_wgetch_events=no
 fi;
-echo "$as_me:12435: result: $with_wgetch_events" >&5
+echo "$as_me:12641: result: $with_wgetch_events" >&5
 echo "${ECHO_T}$with_wgetch_events" >&6
 test "x$with_wgetch_events" = xyes &&
 cat >>confdefs.h <<\EOF
@@ -12443,7 +12649,7 @@
 
 ###	use option --disable-echo to suppress full display compiling commands
 
-echo "$as_me:12446: checking if you want to see long compiling messages" >&5
+echo "$as_me:12652: checking if you want to see long compiling messages" >&5
 echo $ECHO_N "checking if you want to see long compiling messages... $ECHO_C" >&6
 
 # Check whether --enable-echo or --disable-echo was given.
@@ -12477,7 +12683,7 @@
     ECHO_CC=''
 
 fi;
-echo "$as_me:12480: result: $enableval" >&5
+echo "$as_me:12686: result: $enableval" >&5
 echo "${ECHO_T}$enableval" >&6
 
 if test "x$enable_echo" = xyes; then
@@ -12489,7 +12695,7 @@
 fi
 
 ###	use option --enable-warnings to turn on all gcc warnings
-echo "$as_me:12492: checking if you want to see compiler warnings" >&5
+echo "$as_me:12698: checking if you want to see compiler warnings" >&5
 echo $ECHO_N "checking if you want to see compiler warnings... $ECHO_C" >&6
 
 # Check whether --enable-warnings or --disable-warnings was given.
@@ -12497,7 +12703,7 @@
   enableval="$enable_warnings"
   with_warnings=$enableval
 fi;
-echo "$as_me:12500: result: $with_warnings" >&5
+echo "$as_me:12706: result: $with_warnings" >&5
 echo "${ECHO_T}$with_warnings" >&6
 
 if test "x$with_warnings" = "xyes"; then
@@ -12509,12 +12715,12 @@
 if test "$GCC" = yes ; then
 	case $host_os in
 	linux*|gnu*)
-		echo "$as_me:12512: checking if this is really Intel C compiler" >&5
+		echo "$as_me:12718: checking if this is really Intel C compiler" >&5
 echo $ECHO_N "checking if this is really Intel C compiler... $ECHO_C" >&6
 		cf_save_CFLAGS="$CFLAGS"
 		CFLAGS="$CFLAGS -no-gcc"
 		cat >conftest.$ac_ext <<_ACEOF
-#line 12517 "configure"
+#line 12723 "configure"
 #include "confdefs.h"
 
 int
@@ -12531,16 +12737,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:12534: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:12740: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:12537: \$? = $ac_status" >&5
+  echo "$as_me:12743: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:12540: \"$ac_try\"") >&5
+  { (eval echo "$as_me:12746: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:12543: \$? = $ac_status" >&5
+  echo "$as_me:12749: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   INTEL_COMPILER=yes
 cf_save_CFLAGS="$cf_save_CFLAGS -we147"
@@ -12551,7 +12757,7 @@
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 		CFLAGS="$cf_save_CFLAGS"
-		echo "$as_me:12554: result: $INTEL_COMPILER" >&5
+		echo "$as_me:12760: result: $INTEL_COMPILER" >&5
 echo "${ECHO_T}$INTEL_COMPILER" >&6
 		;;
 	esac
@@ -12560,12 +12766,12 @@
 CLANG_COMPILER=no
 
 if test "$GCC" = yes ; then
-	echo "$as_me:12563: checking if this is really Clang C compiler" >&5
+	echo "$as_me:12769: checking if this is really Clang C compiler" >&5
 echo $ECHO_N "checking if this is really Clang C compiler... $ECHO_C" >&6
 	cf_save_CFLAGS="$CFLAGS"
 	CFLAGS="$CFLAGS -Qunused-arguments"
 	cat >conftest.$ac_ext <<_ACEOF
-#line 12568 "configure"
+#line 12774 "configure"
 #include "confdefs.h"
 
 int
@@ -12582,16 +12788,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:12585: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:12791: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:12588: \$? = $ac_status" >&5
+  echo "$as_me:12794: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:12591: \"$ac_try\"") >&5
+  { (eval echo "$as_me:12797: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:12594: \$? = $ac_status" >&5
+  echo "$as_me:12800: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   CLANG_COMPILER=yes
 cf_save_CFLAGS="$cf_save_CFLAGS -Qunused-arguments"
@@ -12602,12 +12808,12 @@
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 	CFLAGS="$cf_save_CFLAGS"
-	echo "$as_me:12605: result: $CLANG_COMPILER" >&5
+	echo "$as_me:12811: result: $CLANG_COMPILER" >&5
 echo "${ECHO_T}$CLANG_COMPILER" >&6
 fi
 
 cat > conftest.$ac_ext <<EOF
-#line 12610 "${as_me:-configure}"
+#line 12816 "${as_me:-configure}"
 int main(int argc, char *argv[]) { return (argv[argc-1] == 0) ; }
 EOF
 
@@ -12624,7 +12830,7 @@
 # remark #981: operands are evaluated in unspecified order
 # warning #279: controlling expression is constant
 
-	{ echo "$as_me:12627: checking for $CC warning options..." >&5
+	{ echo "$as_me:12833: checking for $CC warning options..." >&5
 echo "$as_me: checking for $CC warning options..." >&6;}
 	cf_save_CFLAGS="$CFLAGS"
 	EXTRA_CFLAGS="-Wall"
@@ -12640,12 +12846,12 @@
 		wd981
 	do
 		CFLAGS="$cf_save_CFLAGS $EXTRA_CFLAGS -$cf_opt"
-		if { (eval echo "$as_me:12643: \"$ac_compile\"") >&5
+		if { (eval echo "$as_me:12849: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:12646: \$? = $ac_status" >&5
+  echo "$as_me:12852: \$? = $ac_status" >&5
   (exit $ac_status); }; then
-			test -n "$verbose" && echo "$as_me:12648: result: ... -$cf_opt" >&5
+			test -n "$verbose" && echo "$as_me:12854: result: ... -$cf_opt" >&5
 echo "${ECHO_T}... -$cf_opt" >&6
 			EXTRA_CFLAGS="$EXTRA_CFLAGS -$cf_opt"
 		fi
@@ -12654,7 +12860,7 @@
 
 elif test "$GCC" = yes
 then
-	{ echo "$as_me:12657: checking for $CC warning options..." >&5
+	{ echo "$as_me:12863: checking for $CC warning options..." >&5
 echo "$as_me: checking for $CC warning options..." >&6;}
 	cf_save_CFLAGS="$CFLAGS"
 	EXTRA_CFLAGS=
@@ -12678,12 +12884,12 @@
 		Wundef $cf_gcc_warnings $cf_warn_CONST Wno-unknown-pragmas Wswitch-enum
 	do
 		CFLAGS="$cf_save_CFLAGS $EXTRA_CFLAGS -$cf_opt"
-		if { (eval echo "$as_me:12681: \"$ac_compile\"") >&5
+		if { (eval echo "$as_me:12887: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:12684: \$? = $ac_status" >&5
+  echo "$as_me:12890: \$? = $ac_status" >&5
   (exit $ac_status); }; then
-			test -n "$verbose" && echo "$as_me:12686: result: ... -$cf_opt" >&5
+			test -n "$verbose" && echo "$as_me:12892: result: ... -$cf_opt" >&5
 echo "${ECHO_T}... -$cf_opt" >&6
 			case $cf_opt in #(vi
 			Wcast-qual) #(vi
@@ -12694,7 +12900,7 @@
 				[34].*)
 					test -n "$verbose" && echo "	feature is broken in gcc $GCC_VERSION" 1>&6
 
-echo "${as_me:-configure}:12697: testing feature is broken in gcc $GCC_VERSION ..." 1>&5
+echo "${as_me:-configure}:12903: testing feature is broken in gcc $GCC_VERSION ..." 1>&5
 
 					continue;;
 				esac
@@ -12704,7 +12910,7 @@
 				[12].*)
 					test -n "$verbose" && echo "	feature is broken in gcc $GCC_VERSION" 1>&6
 
-echo "${as_me:-configure}:12707: testing feature is broken in gcc $GCC_VERSION ..." 1>&5
+echo "${as_me:-configure}:12913: testing feature is broken in gcc $GCC_VERSION ..." 1>&5
 
 					continue;;
 				esac
@@ -12724,12 +12930,12 @@
 if test "$GCC" = yes ; then
 	case $host_os in
 	linux*|gnu*)
-		echo "$as_me:12727: checking if this is really Intel C++ compiler" >&5
+		echo "$as_me:12933: checking if this is really Intel C++ compiler" >&5
 echo $ECHO_N "checking if this is really Intel C++ compiler... $ECHO_C" >&6
 		cf_save_CFLAGS="$CXXFLAGS"
 		CXXFLAGS="$CXXFLAGS -no-gcc"
 		cat >conftest.$ac_ext <<_ACEOF
-#line 12732 "configure"
+#line 12938 "configure"
 #include "confdefs.h"
 
 int
@@ -12746,16 +12952,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:12749: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:12955: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:12752: \$? = $ac_status" >&5
+  echo "$as_me:12958: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:12755: \"$ac_try\"") >&5
+  { (eval echo "$as_me:12961: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:12758: \$? = $ac_status" >&5
+  echo "$as_me:12964: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   INTEL_CPLUSPLUS=yes
 cf_save_CFLAGS="$cf_save_CFLAGS -we147"
@@ -12766,7 +12972,7 @@
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 		CXXFLAGS="$cf_save_CFLAGS"
-		echo "$as_me:12769: result: $INTEL_CPLUSPLUS" >&5
+		echo "$as_me:12975: result: $INTEL_CPLUSPLUS" >&5
 echo "${ECHO_T}$INTEL_CPLUSPLUS" >&6
 		;;
 	esac
@@ -12775,12 +12981,12 @@
 CLANG_CPLUSPLUS=no
 
 if test "$GCC" = yes ; then
-	echo "$as_me:12778: checking if this is really Clang C++ compiler" >&5
+	echo "$as_me:12984: checking if this is really Clang C++ compiler" >&5
 echo $ECHO_N "checking if this is really Clang C++ compiler... $ECHO_C" >&6
 	cf_save_CFLAGS="$CXXFLAGS"
 	CXXFLAGS="$CXXFLAGS -Qunused-arguments"
 	cat >conftest.$ac_ext <<_ACEOF
-#line 12783 "configure"
+#line 12989 "configure"
 #include "confdefs.h"
 
 int
@@ -12797,16 +13003,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:12800: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:13006: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:12803: \$? = $ac_status" >&5
+  echo "$as_me:13009: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:12806: \"$ac_try\"") >&5
+  { (eval echo "$as_me:13012: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:12809: \$? = $ac_status" >&5
+  echo "$as_me:13015: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   CLANG_CPLUSPLUS=yes
 cf_save_CFLAGS="$cf_save_CFLAGS -Qunused-arguments"
@@ -12817,7 +13023,7 @@
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 	CXXFLAGS="$cf_save_CFLAGS"
-	echo "$as_me:12820: result: $CLANG_CPLUSPLUS" >&5
+	echo "$as_me:13026: result: $CLANG_CPLUSPLUS" >&5
 echo "${ECHO_T}$CLANG_CPLUSPLUS" >&6
 fi
 
@@ -12829,7 +13035,7 @@
 ac_main_return=return
 
 cat > conftest.$ac_ext <<EOF
-#line 12832 "configure"
+#line 13038 "configure"
 int main(int argc, char *argv[]) { return (argv[argc-1] == 0) ; }
 EOF
 
@@ -12847,7 +13053,7 @@
 # remark #981: operands are evaluated in unspecified order
 # warning #269: invalid format string conversion
 
-	{ echo "$as_me:12850: checking for $CC warning options..." >&5
+	{ echo "$as_me:13056: checking for $CC warning options..." >&5
 echo "$as_me: checking for $CC warning options..." >&6;}
 	cf_save_CXXFLAGS="$CXXFLAGS"
 	EXTRA_CXXFLAGS="-Wall"
@@ -12864,12 +13070,12 @@
 		wd981
 	do
 		CXXFLAGS="$cf_save_CXXFLAGS $EXTRA_CXXFLAGS -$cf_opt"
-		if { (eval echo "$as_me:12867: \"$ac_compile\"") >&5
+		if { (eval echo "$as_me:13073: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:12870: \$? = $ac_status" >&5
+  echo "$as_me:13076: \$? = $ac_status" >&5
   (exit $ac_status); }; then
-			test -n "$verbose" && echo "$as_me:12872: result: ... -$cf_opt" >&5
+			test -n "$verbose" && echo "$as_me:13078: result: ... -$cf_opt" >&5
 echo "${ECHO_T}... -$cf_opt" >&6
 			EXTRA_CXXFLAGS="$EXTRA_CXXFLAGS -$cf_opt"
 		fi
@@ -12878,7 +13084,7 @@
 
 elif test "$GXX" = yes
 then
-	{ echo "$as_me:12881: checking for $CXX warning options..." >&5
+	{ echo "$as_me:13087: checking for $CXX warning options..." >&5
 echo "$as_me: checking for $CXX warning options..." >&6;}
 	cf_save_CXXFLAGS="$CXXFLAGS"
 	EXTRA_CXXFLAGS="-W -Wall"
@@ -12908,16 +13114,16 @@
 		Wundef $cf_gxx_extra_warnings Wno-unused
 	do
 		CXXFLAGS="$cf_save_CXXFLAGS $EXTRA_CXXFLAGS -Werror -$cf_opt"
-		if { (eval echo "$as_me:12911: \"$ac_compile\"") >&5
+		if { (eval echo "$as_me:13117: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:12914: \$? = $ac_status" >&5
+  echo "$as_me:13120: \$? = $ac_status" >&5
   (exit $ac_status); }; then
-			test -n "$verbose" && echo "$as_me:12916: result: ... -$cf_opt" >&5
+			test -n "$verbose" && echo "$as_me:13122: result: ... -$cf_opt" >&5
 echo "${ECHO_T}... -$cf_opt" >&6
 			EXTRA_CXXFLAGS="$EXTRA_CXXFLAGS -$cf_opt"
 		else
-			test -n "$verbose" && echo "$as_me:12920: result: ... no -$cf_opt" >&5
+			test -n "$verbose" && echo "$as_me:13126: result: ... no -$cf_opt" >&5
 echo "${ECHO_T}... no -$cf_opt" >&6
 		fi
 	done
@@ -12953,10 +13159,10 @@
 EOF
 if test "$GCC" = yes
 then
-	{ echo "$as_me:12956: checking for $CC __attribute__ directives..." >&5
+	{ echo "$as_me:13162: checking for $CC __attribute__ directives..." >&5
 echo "$as_me: checking for $CC __attribute__ directives..." >&6;}
 cat > conftest.$ac_ext <<EOF
-#line 12959 "${as_me:-configure}"
+#line 13165 "${as_me:-configure}"
 #include "confdefs.h"
 #include "conftest.h"
 #include "conftest.i"
@@ -13005,12 +13211,12 @@
 			;;
 		esac
 
-		if { (eval echo "$as_me:13008: \"$ac_compile\"") >&5
+		if { (eval echo "$as_me:13214: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:13011: \$? = $ac_status" >&5
+  echo "$as_me:13217: \$? = $ac_status" >&5
   (exit $ac_status); }; then
-			test -n "$verbose" && echo "$as_me:13013: result: ... $cf_attribute" >&5
+			test -n "$verbose" && echo "$as_me:13219: result: ... $cf_attribute" >&5
 echo "${ECHO_T}... $cf_attribute" >&6
 			cat conftest.h >>confdefs.h
 			case $cf_attribute in #(vi
@@ -13069,7 +13275,7 @@
 rm -rf conftest*
 fi
 
-echo "$as_me:13072: checking if you want to work around bogus compiler/loader warnings" >&5
+echo "$as_me:13278: checking if you want to work around bogus compiler/loader warnings" >&5
 echo $ECHO_N "checking if you want to work around bogus compiler/loader warnings... $ECHO_C" >&6
 
 # Check whether --enable-string-hacks or --disable-string-hacks was given.
@@ -13079,7 +13285,7 @@
 else
   with_string_hacks=no
 fi;
-echo "$as_me:13082: result: $with_string_hacks" >&5
+echo "$as_me:13288: result: $with_string_hacks" >&5
 echo "${ECHO_T}$with_string_hacks" >&6
 
 if test "x$with_string_hacks" = "xyes"; then
@@ -13088,19 +13294,19 @@
 #define USE_STRING_HACKS 1
 EOF
 
-	{ echo "$as_me:13091: WARNING: enabling string-hacks to work around bogus compiler/loader warnings" >&5
+	{ echo "$as_me:13297: WARNING: enabling string-hacks to work around bogus compiler/loader warnings" >&5
 echo "$as_me: WARNING: enabling string-hacks to work around bogus compiler/loader warnings" >&2;}
 
 for ac_func in strlcat strlcpy snprintf
 do
 as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
-echo "$as_me:13097: checking for $ac_func" >&5
+echo "$as_me:13303: checking for $ac_func" >&5
 echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
 if eval "test \"\${$as_ac_var+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 13103 "configure"
+#line 13309 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char $ac_func (); below.  */
@@ -13131,16 +13337,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:13134: \"$ac_link\"") >&5
+if { (eval echo "$as_me:13340: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:13137: \$? = $ac_status" >&5
+  echo "$as_me:13343: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:13140: \"$ac_try\"") >&5
+  { (eval echo "$as_me:13346: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:13143: \$? = $ac_status" >&5
+  echo "$as_me:13349: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   eval "$as_ac_var=yes"
 else
@@ -13150,7 +13356,7 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 fi
-echo "$as_me:13153: result: `eval echo '${'$as_ac_var'}'`" >&5
+echo "$as_me:13359: result: `eval echo '${'$as_ac_var'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6
 if test `eval echo '${'$as_ac_var'}'` = yes; then
   cat >>confdefs.h <<EOF
@@ -13163,7 +13369,7 @@
 fi
 
 ###	use option --enable-assertions to turn on generation of assertion code
-echo "$as_me:13166: checking if you want to enable runtime assertions" >&5
+echo "$as_me:13372: checking if you want to enable runtime assertions" >&5
 echo $ECHO_N "checking if you want to enable runtime assertions... $ECHO_C" >&6
 
 # Check whether --enable-assertions or --disable-assertions was given.
@@ -13173,7 +13379,7 @@
 else
   with_assertions=no
 fi;
-echo "$as_me:13176: result: $with_assertions" >&5
+echo "$as_me:13382: result: $with_assertions" >&5
 echo "${ECHO_T}$with_assertions" >&6
 if test -n "$GCC"
 then
@@ -13189,7 +13395,7 @@
 
 ###	use option --disable-leaks to suppress "permanent" leaks, for testing
 
-echo "$as_me:13192: checking if you want to use dmalloc for testing" >&5
+echo "$as_me:13398: checking if you want to use dmalloc for testing" >&5
 echo $ECHO_N "checking if you want to use dmalloc for testing... $ECHO_C" >&6
 
 # Check whether --with-dmalloc or --without-dmalloc was given.
@@ -13206,7 +13412,7 @@
 else
   with_dmalloc=
 fi;
-echo "$as_me:13209: result: ${with_dmalloc:-no}" >&5
+echo "$as_me:13415: result: ${with_dmalloc:-no}" >&5
 echo "${ECHO_T}${with_dmalloc:-no}" >&6
 
 case .$with_cflags in #(vi
@@ -13300,23 +13506,23 @@
 esac
 
 if test "$with_dmalloc" = yes ; then
-	echo "$as_me:13303: checking for dmalloc.h" >&5
+	echo "$as_me:13509: checking for dmalloc.h" >&5
 echo $ECHO_N "checking for dmalloc.h... $ECHO_C" >&6
 if test "${ac_cv_header_dmalloc_h+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 13309 "configure"
+#line 13515 "configure"
 #include "confdefs.h"
 #include <dmalloc.h>
 _ACEOF
-if { (eval echo "$as_me:13313: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:13519: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:13319: \$? = $ac_status" >&5
+  echo "$as_me:13525: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_c_preproc_warn_flag
@@ -13335,11 +13541,11 @@
 fi
 rm -f conftest.err conftest.$ac_ext
 fi
-echo "$as_me:13338: result: $ac_cv_header_dmalloc_h" >&5
+echo "$as_me:13544: result: $ac_cv_header_dmalloc_h" >&5
 echo "${ECHO_T}$ac_cv_header_dmalloc_h" >&6
 if test $ac_cv_header_dmalloc_h = yes; then
 
-echo "$as_me:13342: checking for dmalloc_debug in -ldmalloc" >&5
+echo "$as_me:13548: checking for dmalloc_debug in -ldmalloc" >&5
 echo $ECHO_N "checking for dmalloc_debug in -ldmalloc... $ECHO_C" >&6
 if test "${ac_cv_lib_dmalloc_dmalloc_debug+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -13347,7 +13553,7 @@
   ac_check_lib_save_LIBS=$LIBS
 LIBS="-ldmalloc  $LIBS"
 cat >conftest.$ac_ext <<_ACEOF
-#line 13350 "configure"
+#line 13556 "configure"
 #include "confdefs.h"
 
 /* Override any gcc2 internal prototype to avoid an error.  */
@@ -13366,16 +13572,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:13369: \"$ac_link\"") >&5
+if { (eval echo "$as_me:13575: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:13372: \$? = $ac_status" >&5
+  echo "$as_me:13578: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:13375: \"$ac_try\"") >&5
+  { (eval echo "$as_me:13581: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:13378: \$? = $ac_status" >&5
+  echo "$as_me:13584: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_lib_dmalloc_dmalloc_debug=yes
 else
@@ -13386,7 +13592,7 @@
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-echo "$as_me:13389: result: $ac_cv_lib_dmalloc_dmalloc_debug" >&5
+echo "$as_me:13595: result: $ac_cv_lib_dmalloc_dmalloc_debug" >&5
 echo "${ECHO_T}$ac_cv_lib_dmalloc_dmalloc_debug" >&6
 if test $ac_cv_lib_dmalloc_dmalloc_debug = yes; then
   cat >>confdefs.h <<EOF
@@ -13401,7 +13607,7 @@
 
 fi
 
-echo "$as_me:13404: checking if you want to use dbmalloc for testing" >&5
+echo "$as_me:13610: checking if you want to use dbmalloc for testing" >&5
 echo $ECHO_N "checking if you want to use dbmalloc for testing... $ECHO_C" >&6
 
 # Check whether --with-dbmalloc or --without-dbmalloc was given.
@@ -13418,7 +13624,7 @@
 else
   with_dbmalloc=
 fi;
-echo "$as_me:13421: result: ${with_dbmalloc:-no}" >&5
+echo "$as_me:13627: result: ${with_dbmalloc:-no}" >&5
 echo "${ECHO_T}${with_dbmalloc:-no}" >&6
 
 case .$with_cflags in #(vi
@@ -13512,23 +13718,23 @@
 esac
 
 if test "$with_dbmalloc" = yes ; then
-	echo "$as_me:13515: checking for dbmalloc.h" >&5
+	echo "$as_me:13721: checking for dbmalloc.h" >&5
 echo $ECHO_N "checking for dbmalloc.h... $ECHO_C" >&6
 if test "${ac_cv_header_dbmalloc_h+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 13521 "configure"
+#line 13727 "configure"
 #include "confdefs.h"
 #include <dbmalloc.h>
 _ACEOF
-if { (eval echo "$as_me:13525: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:13731: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:13531: \$? = $ac_status" >&5
+  echo "$as_me:13737: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_c_preproc_warn_flag
@@ -13547,11 +13753,11 @@
 fi
 rm -f conftest.err conftest.$ac_ext
 fi
-echo "$as_me:13550: result: $ac_cv_header_dbmalloc_h" >&5
+echo "$as_me:13756: result: $ac_cv_header_dbmalloc_h" >&5
 echo "${ECHO_T}$ac_cv_header_dbmalloc_h" >&6
 if test $ac_cv_header_dbmalloc_h = yes; then
 
-echo "$as_me:13554: checking for debug_malloc in -ldbmalloc" >&5
+echo "$as_me:13760: checking for debug_malloc in -ldbmalloc" >&5
 echo $ECHO_N "checking for debug_malloc in -ldbmalloc... $ECHO_C" >&6
 if test "${ac_cv_lib_dbmalloc_debug_malloc+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -13559,7 +13765,7 @@
   ac_check_lib_save_LIBS=$LIBS
 LIBS="-ldbmalloc  $LIBS"
 cat >conftest.$ac_ext <<_ACEOF
-#line 13562 "configure"
+#line 13768 "configure"
 #include "confdefs.h"
 
 /* Override any gcc2 internal prototype to avoid an error.  */
@@ -13578,16 +13784,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:13581: \"$ac_link\"") >&5
+if { (eval echo "$as_me:13787: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:13584: \$? = $ac_status" >&5
+  echo "$as_me:13790: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:13587: \"$ac_try\"") >&5
+  { (eval echo "$as_me:13793: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:13590: \$? = $ac_status" >&5
+  echo "$as_me:13796: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_lib_dbmalloc_debug_malloc=yes
 else
@@ -13598,7 +13804,7 @@
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-echo "$as_me:13601: result: $ac_cv_lib_dbmalloc_debug_malloc" >&5
+echo "$as_me:13807: result: $ac_cv_lib_dbmalloc_debug_malloc" >&5
 echo "${ECHO_T}$ac_cv_lib_dbmalloc_debug_malloc" >&6
 if test $ac_cv_lib_dbmalloc_debug_malloc = yes; then
   cat >>confdefs.h <<EOF
@@ -13613,7 +13819,7 @@
 
 fi
 
-echo "$as_me:13616: checking if you want to use valgrind for testing" >&5
+echo "$as_me:13822: checking if you want to use valgrind for testing" >&5
 echo $ECHO_N "checking if you want to use valgrind for testing... $ECHO_C" >&6
 
 # Check whether --with-valgrind or --without-valgrind was given.
@@ -13630,7 +13836,7 @@
 else
   with_valgrind=
 fi;
-echo "$as_me:13633: result: ${with_valgrind:-no}" >&5
+echo "$as_me:13839: result: ${with_valgrind:-no}" >&5
 echo "${ECHO_T}${with_valgrind:-no}" >&6
 
 case .$with_cflags in #(vi
@@ -13723,7 +13929,7 @@
 	;;
 esac
 
-echo "$as_me:13726: checking if you want to perform memory-leak testing" >&5
+echo "$as_me:13932: checking if you want to perform memory-leak testing" >&5
 echo $ECHO_N "checking if you want to perform memory-leak testing... $ECHO_C" >&6
 
 # Check whether --enable-leaks or --disable-leaks was given.
@@ -13733,7 +13939,7 @@
 else
   : ${with_no_leaks:=no}
 fi;
-echo "$as_me:13736: result: $with_no_leaks" >&5
+echo "$as_me:13942: result: $with_no_leaks" >&5
 echo "${ECHO_T}$with_no_leaks" >&6
 
 if test "$with_no_leaks" = yes ; then
@@ -13785,7 +13991,7 @@
 	;;
 esac
 
-echo "$as_me:13788: checking whether to add trace feature to all models" >&5
+echo "$as_me:13994: checking whether to add trace feature to all models" >&5
 echo $ECHO_N "checking whether to add trace feature to all models... $ECHO_C" >&6
 
 # Check whether --with-trace or --without-trace was given.
@@ -13795,7 +14001,7 @@
 else
   cf_with_trace=$cf_all_traces
 fi;
-echo "$as_me:13798: result: $cf_with_trace" >&5
+echo "$as_me:14004: result: $cf_with_trace" >&5
 echo "${ECHO_T}$cf_with_trace" >&6
 
 if test "x$cf_with_trace" = xyes ; then
@@ -13885,7 +14091,7 @@
 	ADA_TRACE=FALSE
 fi
 
-echo "$as_me:13888: checking if we want to use GNAT projects" >&5
+echo "$as_me:14094: checking if we want to use GNAT projects" >&5
 echo $ECHO_N "checking if we want to use GNAT projects... $ECHO_C" >&6
 
 # Check whether --enable-gnat-projects or --disable-gnat-projects was given.
@@ -13902,7 +14108,7 @@
   enable_gnat_projects=yes
 
 fi;
-echo "$as_me:13905: result: $enable_gnat_projects" >&5
+echo "$as_me:14111: result: $enable_gnat_projects" >&5
 echo "${ECHO_T}$enable_gnat_projects" >&6
 
 ###	Checks for libraries.
@@ -13912,13 +14118,13 @@
 	LIBS=" -lpsapi $LIBS"
 	;;
 *)
-echo "$as_me:13915: checking for gettimeofday" >&5
+echo "$as_me:14121: checking for gettimeofday" >&5
 echo $ECHO_N "checking for gettimeofday... $ECHO_C" >&6
 if test "${ac_cv_func_gettimeofday+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 13921 "configure"
+#line 14127 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char gettimeofday (); below.  */
@@ -13949,16 +14155,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:13952: \"$ac_link\"") >&5
+if { (eval echo "$as_me:14158: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:13955: \$? = $ac_status" >&5
+  echo "$as_me:14161: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:13958: \"$ac_try\"") >&5
+  { (eval echo "$as_me:14164: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:13961: \$? = $ac_status" >&5
+  echo "$as_me:14167: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_func_gettimeofday=yes
 else
@@ -13968,7 +14174,7 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 fi
-echo "$as_me:13971: result: $ac_cv_func_gettimeofday" >&5
+echo "$as_me:14177: result: $ac_cv_func_gettimeofday" >&5
 echo "${ECHO_T}$ac_cv_func_gettimeofday" >&6
 if test $ac_cv_func_gettimeofday = yes; then
 
@@ -13978,7 +14184,7 @@
 
 else
 
-echo "$as_me:13981: checking for gettimeofday in -lbsd" >&5
+echo "$as_me:14187: checking for gettimeofday in -lbsd" >&5
 echo $ECHO_N "checking for gettimeofday in -lbsd... $ECHO_C" >&6
 if test "${ac_cv_lib_bsd_gettimeofday+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -13986,7 +14192,7 @@
   ac_check_lib_save_LIBS=$LIBS
 LIBS="-lbsd  $LIBS"
 cat >conftest.$ac_ext <<_ACEOF
-#line 13989 "configure"
+#line 14195 "configure"
 #include "confdefs.h"
 
 /* Override any gcc2 internal prototype to avoid an error.  */
@@ -14005,16 +14211,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:14008: \"$ac_link\"") >&5
+if { (eval echo "$as_me:14214: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:14011: \$? = $ac_status" >&5
+  echo "$as_me:14217: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:14014: \"$ac_try\"") >&5
+  { (eval echo "$as_me:14220: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:14017: \$? = $ac_status" >&5
+  echo "$as_me:14223: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_lib_bsd_gettimeofday=yes
 else
@@ -14025,7 +14231,7 @@
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-echo "$as_me:14028: result: $ac_cv_lib_bsd_gettimeofday" >&5
+echo "$as_me:14234: result: $ac_cv_lib_bsd_gettimeofday" >&5
 echo "${ECHO_T}$ac_cv_lib_bsd_gettimeofday" >&6
 if test $ac_cv_lib_bsd_gettimeofday = yes; then
 
@@ -14055,14 +14261,14 @@
 	;;
 esac
 
-echo "$as_me:14058: checking if -lm needed for math functions" >&5
+echo "$as_me:14264: checking if -lm needed for math functions" >&5
 echo $ECHO_N "checking if -lm needed for math functions... $ECHO_C" >&6
 if test "${cf_cv_need_libm+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 	cat >conftest.$ac_ext <<_ACEOF
-#line 14065 "configure"
+#line 14271 "configure"
 #include "confdefs.h"
 
 	#include <stdio.h>
@@ -14077,16 +14283,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:14080: \"$ac_link\"") >&5
+if { (eval echo "$as_me:14286: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:14083: \$? = $ac_status" >&5
+  echo "$as_me:14289: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:14086: \"$ac_try\"") >&5
+  { (eval echo "$as_me:14292: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:14089: \$? = $ac_status" >&5
+  echo "$as_me:14295: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_need_libm=no
 else
@@ -14096,7 +14302,7 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 fi
-echo "$as_me:14099: result: $cf_cv_need_libm" >&5
+echo "$as_me:14305: result: $cf_cv_need_libm" >&5
 echo "${ECHO_T}$cf_cv_need_libm" >&6
 if test "$cf_cv_need_libm" = yes
 then
@@ -14104,13 +14310,13 @@
 fi
 
 ###	Checks for header files.
-echo "$as_me:14107: checking for ANSI C header files" >&5
+echo "$as_me:14313: checking for ANSI C header files" >&5
 echo $ECHO_N "checking for ANSI C header files... $ECHO_C" >&6
 if test "${ac_cv_header_stdc+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 14113 "configure"
+#line 14319 "configure"
 #include "confdefs.h"
 #include <stdlib.h>
 #include <stdarg.h>
@@ -14118,13 +14324,13 @@
 #include <float.h>
 
 _ACEOF
-if { (eval echo "$as_me:14121: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:14327: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:14127: \$? = $ac_status" >&5
+  echo "$as_me:14333: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_c_preproc_warn_flag
@@ -14146,7 +14352,7 @@
 if test $ac_cv_header_stdc = yes; then
   # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
   cat >conftest.$ac_ext <<_ACEOF
-#line 14149 "configure"
+#line 14355 "configure"
 #include "confdefs.h"
 #include <string.h>
 
@@ -14164,7 +14370,7 @@
 if test $ac_cv_header_stdc = yes; then
   # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
   cat >conftest.$ac_ext <<_ACEOF
-#line 14167 "configure"
+#line 14373 "configure"
 #include "confdefs.h"
 #include <stdlib.h>
 
@@ -14185,7 +14391,7 @@
   :
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 14188 "configure"
+#line 14394 "configure"
 #include "confdefs.h"
 #include <ctype.h>
 #if ((' ' & 0x0FF) == 0x020)
@@ -14211,15 +14417,15 @@
 }
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:14214: \"$ac_link\"") >&5
+if { (eval echo "$as_me:14420: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:14217: \$? = $ac_status" >&5
+  echo "$as_me:14423: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:14219: \"$ac_try\"") >&5
+  { (eval echo "$as_me:14425: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:14222: \$? = $ac_status" >&5
+  echo "$as_me:14428: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   :
 else
@@ -14232,7 +14438,7 @@
 fi
 fi
 fi
-echo "$as_me:14235: result: $ac_cv_header_stdc" >&5
+echo "$as_me:14441: result: $ac_cv_header_stdc" >&5
 echo "${ECHO_T}$ac_cv_header_stdc" >&6
 if test $ac_cv_header_stdc = yes; then
 
@@ -14245,13 +14451,13 @@
 ac_header_dirent=no
 for ac_hdr in dirent.h sys/ndir.h sys/dir.h ndir.h; do
   as_ac_Header=`echo "ac_cv_header_dirent_$ac_hdr" | $as_tr_sh`
-echo "$as_me:14248: checking for $ac_hdr that defines DIR" >&5
+echo "$as_me:14454: checking for $ac_hdr that defines DIR" >&5
 echo $ECHO_N "checking for $ac_hdr that defines DIR... $ECHO_C" >&6
 if eval "test \"\${$as_ac_Header+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 14254 "configure"
+#line 14460 "configure"
 #include "confdefs.h"
 #include <sys/types.h>
 #include <$ac_hdr>
@@ -14266,16 +14472,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:14269: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:14475: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:14272: \$? = $ac_status" >&5
+  echo "$as_me:14478: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:14275: \"$ac_try\"") >&5
+  { (eval echo "$as_me:14481: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:14278: \$? = $ac_status" >&5
+  echo "$as_me:14484: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   eval "$as_ac_Header=yes"
 else
@@ -14285,7 +14491,7 @@
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 fi
-echo "$as_me:14288: result: `eval echo '${'$as_ac_Header'}'`" >&5
+echo "$as_me:14494: result: `eval echo '${'$as_ac_Header'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
 if test `eval echo '${'$as_ac_Header'}'` = yes; then
   cat >>confdefs.h <<EOF
@@ -14298,7 +14504,7 @@
 done
 # Two versions of opendir et al. are in -ldir and -lx on SCO Xenix.
 if test $ac_header_dirent = dirent.h; then
-  echo "$as_me:14301: checking for opendir in -ldir" >&5
+  echo "$as_me:14507: checking for opendir in -ldir" >&5
 echo $ECHO_N "checking for opendir in -ldir... $ECHO_C" >&6
 if test "${ac_cv_lib_dir_opendir+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -14306,7 +14512,7 @@
   ac_check_lib_save_LIBS=$LIBS
 LIBS="-ldir  $LIBS"
 cat >conftest.$ac_ext <<_ACEOF
-#line 14309 "configure"
+#line 14515 "configure"
 #include "confdefs.h"
 
 /* Override any gcc2 internal prototype to avoid an error.  */
@@ -14325,16 +14531,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:14328: \"$ac_link\"") >&5
+if { (eval echo "$as_me:14534: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:14331: \$? = $ac_status" >&5
+  echo "$as_me:14537: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:14334: \"$ac_try\"") >&5
+  { (eval echo "$as_me:14540: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:14337: \$? = $ac_status" >&5
+  echo "$as_me:14543: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_lib_dir_opendir=yes
 else
@@ -14345,14 +14551,14 @@
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-echo "$as_me:14348: result: $ac_cv_lib_dir_opendir" >&5
+echo "$as_me:14554: result: $ac_cv_lib_dir_opendir" >&5
 echo "${ECHO_T}$ac_cv_lib_dir_opendir" >&6
 if test $ac_cv_lib_dir_opendir = yes; then
   LIBS="$LIBS -ldir"
 fi
 
 else
-  echo "$as_me:14355: checking for opendir in -lx" >&5
+  echo "$as_me:14561: checking for opendir in -lx" >&5
 echo $ECHO_N "checking for opendir in -lx... $ECHO_C" >&6
 if test "${ac_cv_lib_x_opendir+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -14360,7 +14566,7 @@
   ac_check_lib_save_LIBS=$LIBS
 LIBS="-lx  $LIBS"
 cat >conftest.$ac_ext <<_ACEOF
-#line 14363 "configure"
+#line 14569 "configure"
 #include "confdefs.h"
 
 /* Override any gcc2 internal prototype to avoid an error.  */
@@ -14379,16 +14585,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:14382: \"$ac_link\"") >&5
+if { (eval echo "$as_me:14588: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:14385: \$? = $ac_status" >&5
+  echo "$as_me:14591: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:14388: \"$ac_try\"") >&5
+  { (eval echo "$as_me:14594: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:14391: \$? = $ac_status" >&5
+  echo "$as_me:14597: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_lib_x_opendir=yes
 else
@@ -14399,7 +14605,7 @@
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-echo "$as_me:14402: result: $ac_cv_lib_x_opendir" >&5
+echo "$as_me:14608: result: $ac_cv_lib_x_opendir" >&5
 echo "${ECHO_T}$ac_cv_lib_x_opendir" >&6
 if test $ac_cv_lib_x_opendir = yes; then
   LIBS="$LIBS -lx"
@@ -14407,13 +14613,13 @@
 
 fi
 
-echo "$as_me:14410: checking whether time.h and sys/time.h may both be included" >&5
+echo "$as_me:14616: checking whether time.h and sys/time.h may both be included" >&5
 echo $ECHO_N "checking whether time.h and sys/time.h may both be included... $ECHO_C" >&6
 if test "${ac_cv_header_time+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 14416 "configure"
+#line 14622 "configure"
 #include "confdefs.h"
 #include <sys/types.h>
 #include <sys/time.h>
@@ -14429,16 +14635,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:14432: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:14638: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:14435: \$? = $ac_status" >&5
+  echo "$as_me:14641: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:14438: \"$ac_try\"") >&5
+  { (eval echo "$as_me:14644: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:14441: \$? = $ac_status" >&5
+  echo "$as_me:14647: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_header_time=yes
 else
@@ -14448,7 +14654,7 @@
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 fi
-echo "$as_me:14451: result: $ac_cv_header_time" >&5
+echo "$as_me:14657: result: $ac_cv_header_time" >&5
 echo "${ECHO_T}$ac_cv_header_time" >&6
 if test $ac_cv_header_time = yes; then
 
@@ -14467,13 +14673,13 @@
 	;;
 esac
 
-echo "$as_me:14470: checking for regcomp" >&5
+echo "$as_me:14676: checking for regcomp" >&5
 echo $ECHO_N "checking for regcomp... $ECHO_C" >&6
 if test "${ac_cv_func_regcomp+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 14476 "configure"
+#line 14682 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char regcomp (); below.  */
@@ -14504,16 +14710,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:14507: \"$ac_link\"") >&5
+if { (eval echo "$as_me:14713: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:14510: \$? = $ac_status" >&5
+  echo "$as_me:14716: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:14513: \"$ac_try\"") >&5
+  { (eval echo "$as_me:14719: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:14516: \$? = $ac_status" >&5
+  echo "$as_me:14722: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_func_regcomp=yes
 else
@@ -14523,7 +14729,7 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 fi
-echo "$as_me:14526: result: $ac_cv_func_regcomp" >&5
+echo "$as_me:14732: result: $ac_cv_func_regcomp" >&5
 echo "${ECHO_T}$ac_cv_func_regcomp" >&6
 if test $ac_cv_func_regcomp = yes; then
   cf_regex_func=regcomp
@@ -14532,7 +14738,7 @@
 	for cf_regex_lib in $cf_regex_libs
 	do
 		as_ac_Lib=`echo "ac_cv_lib_$cf_regex_lib''_regcomp" | $as_tr_sh`
-echo "$as_me:14535: checking for regcomp in -l$cf_regex_lib" >&5
+echo "$as_me:14741: checking for regcomp in -l$cf_regex_lib" >&5
 echo $ECHO_N "checking for regcomp in -l$cf_regex_lib... $ECHO_C" >&6
 if eval "test \"\${$as_ac_Lib+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -14540,7 +14746,7 @@
   ac_check_lib_save_LIBS=$LIBS
 LIBS="-l$cf_regex_lib  $LIBS"
 cat >conftest.$ac_ext <<_ACEOF
-#line 14543 "configure"
+#line 14749 "configure"
 #include "confdefs.h"
 
 /* Override any gcc2 internal prototype to avoid an error.  */
@@ -14559,16 +14765,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:14562: \"$ac_link\"") >&5
+if { (eval echo "$as_me:14768: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:14565: \$? = $ac_status" >&5
+  echo "$as_me:14771: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:14568: \"$ac_try\"") >&5
+  { (eval echo "$as_me:14774: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:14571: \$? = $ac_status" >&5
+  echo "$as_me:14777: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   eval "$as_ac_Lib=yes"
 else
@@ -14579,7 +14785,7 @@
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-echo "$as_me:14582: result: `eval echo '${'$as_ac_Lib'}'`" >&5
+echo "$as_me:14788: result: `eval echo '${'$as_ac_Lib'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$as_ac_Lib'}'`" >&6
 if test `eval echo '${'$as_ac_Lib'}'` = yes; then
 
@@ -14608,13 +14814,13 @@
 fi
 
 if test "$cf_regex_func" = no ; then
-	echo "$as_me:14611: checking for compile" >&5
+	echo "$as_me:14817: checking for compile" >&5
 echo $ECHO_N "checking for compile... $ECHO_C" >&6
 if test "${ac_cv_func_compile+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 14617 "configure"
+#line 14823 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char compile (); below.  */
@@ -14645,16 +14851,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:14648: \"$ac_link\"") >&5
+if { (eval echo "$as_me:14854: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:14651: \$? = $ac_status" >&5
+  echo "$as_me:14857: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:14654: \"$ac_try\"") >&5
+  { (eval echo "$as_me:14860: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:14657: \$? = $ac_status" >&5
+  echo "$as_me:14863: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_func_compile=yes
 else
@@ -14664,13 +14870,13 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 fi
-echo "$as_me:14667: result: $ac_cv_func_compile" >&5
+echo "$as_me:14873: result: $ac_cv_func_compile" >&5
 echo "${ECHO_T}$ac_cv_func_compile" >&6
 if test $ac_cv_func_compile = yes; then
   cf_regex_func=compile
 else
 
-		echo "$as_me:14673: checking for compile in -lgen" >&5
+		echo "$as_me:14879: checking for compile in -lgen" >&5
 echo $ECHO_N "checking for compile in -lgen... $ECHO_C" >&6
 if test "${ac_cv_lib_gen_compile+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -14678,7 +14884,7 @@
   ac_check_lib_save_LIBS=$LIBS
 LIBS="-lgen  $LIBS"
 cat >conftest.$ac_ext <<_ACEOF
-#line 14681 "configure"
+#line 14887 "configure"
 #include "confdefs.h"
 
 /* Override any gcc2 internal prototype to avoid an error.  */
@@ -14697,16 +14903,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:14700: \"$ac_link\"") >&5
+if { (eval echo "$as_me:14906: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:14703: \$? = $ac_status" >&5
+  echo "$as_me:14909: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:14706: \"$ac_try\"") >&5
+  { (eval echo "$as_me:14912: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:14709: \$? = $ac_status" >&5
+  echo "$as_me:14915: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_lib_gen_compile=yes
 else
@@ -14717,7 +14923,7 @@
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-echo "$as_me:14720: result: $ac_cv_lib_gen_compile" >&5
+echo "$as_me:14926: result: $ac_cv_lib_gen_compile" >&5
 echo "${ECHO_T}$ac_cv_lib_gen_compile" >&6
 if test $ac_cv_lib_gen_compile = yes; then
 
@@ -14745,11 +14951,11 @@
 fi
 
 if test "$cf_regex_func" = no ; then
-	{ echo "$as_me:14748: WARNING: cannot find regular expression library" >&5
+	{ echo "$as_me:14954: WARNING: cannot find regular expression library" >&5
 echo "$as_me: WARNING: cannot find regular expression library" >&2;}
 fi
 
-echo "$as_me:14752: checking for regular-expression headers" >&5
+echo "$as_me:14958: checking for regular-expression headers" >&5
 echo $ECHO_N "checking for regular-expression headers... $ECHO_C" >&6
 if test "${cf_cv_regex_hdrs+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -14761,7 +14967,7 @@
 	for cf_regex_hdr in regexp.h regexpr.h
 	do
 		cat >conftest.$ac_ext <<_ACEOF
-#line 14764 "configure"
+#line 14970 "configure"
 #include "confdefs.h"
 #include <$cf_regex_hdr>
 int
@@ -14776,16 +14982,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:14779: \"$ac_link\"") >&5
+if { (eval echo "$as_me:14985: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:14782: \$? = $ac_status" >&5
+  echo "$as_me:14988: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:14785: \"$ac_try\"") >&5
+  { (eval echo "$as_me:14991: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:14788: \$? = $ac_status" >&5
+  echo "$as_me:14994: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
 			cf_cv_regex_hdrs=$cf_regex_hdr
@@ -14802,7 +15008,7 @@
 	for cf_regex_hdr in regex.h
 	do
 		cat >conftest.$ac_ext <<_ACEOF
-#line 14805 "configure"
+#line 15011 "configure"
 #include "confdefs.h"
 #include <sys/types.h>
 #include <$cf_regex_hdr>
@@ -14820,16 +15026,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:14823: \"$ac_link\"") >&5
+if { (eval echo "$as_me:15029: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:14826: \$? = $ac_status" >&5
+  echo "$as_me:15032: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:14829: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15035: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:14832: \$? = $ac_status" >&5
+  echo "$as_me:15038: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
 			cf_cv_regex_hdrs=$cf_regex_hdr
@@ -14845,11 +15051,11 @@
 esac
 
 fi
-echo "$as_me:14848: result: $cf_cv_regex_hdrs" >&5
+echo "$as_me:15054: result: $cf_cv_regex_hdrs" >&5
 echo "${ECHO_T}$cf_cv_regex_hdrs" >&6
 
 case $cf_cv_regex_hdrs in #(vi
-    no)	       { echo "$as_me:14852: WARNING: no regular expression header found" >&5
+    no)	       { echo "$as_me:15058: WARNING: no regular expression header found" >&5
 echo "$as_me: WARNING: no regular expression header found" >&2;} ;; #(vi
     regex.h)
 cat >>confdefs.h <<\EOF
@@ -14888,23 +15094,23 @@
 
 do
 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
-echo "$as_me:14891: checking for $ac_header" >&5
+echo "$as_me:15097: checking for $ac_header" >&5
 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
 if eval "test \"\${$as_ac_Header+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 14897 "configure"
+#line 15103 "configure"
 #include "confdefs.h"
 #include <$ac_header>
 _ACEOF
-if { (eval echo "$as_me:14901: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:15107: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:14907: \$? = $ac_status" >&5
+  echo "$as_me:15113: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_c_preproc_warn_flag
@@ -14923,7 +15129,7 @@
 fi
 rm -f conftest.err conftest.$ac_ext
 fi
-echo "$as_me:14926: result: `eval echo '${'$as_ac_Header'}'`" >&5
+echo "$as_me:15132: result: `eval echo '${'$as_ac_Header'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
 if test `eval echo '${'$as_ac_Header'}'` = yes; then
   cat >>confdefs.h <<EOF
@@ -14936,23 +15142,23 @@
 for ac_header in unistd.h getopt.h
 do
 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
-echo "$as_me:14939: checking for $ac_header" >&5
+echo "$as_me:15145: checking for $ac_header" >&5
 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
 if eval "test \"\${$as_ac_Header+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 14945 "configure"
+#line 15151 "configure"
 #include "confdefs.h"
 #include <$ac_header>
 _ACEOF
-if { (eval echo "$as_me:14949: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:15155: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:14955: \$? = $ac_status" >&5
+  echo "$as_me:15161: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_c_preproc_warn_flag
@@ -14971,7 +15177,7 @@
 fi
 rm -f conftest.err conftest.$ac_ext
 fi
-echo "$as_me:14974: result: `eval echo '${'$as_ac_Header'}'`" >&5
+echo "$as_me:15180: result: `eval echo '${'$as_ac_Header'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
 if test `eval echo '${'$as_ac_Header'}'` = yes; then
   cat >>confdefs.h <<EOF
@@ -14981,7 +15187,7 @@
 fi
 done
 
-echo "$as_me:14984: checking for header declaring getopt variables" >&5
+echo "$as_me:15190: checking for header declaring getopt variables" >&5
 echo $ECHO_N "checking for header declaring getopt variables... $ECHO_C" >&6
 if test "${cf_cv_getopt_header+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -14991,7 +15197,7 @@
 for cf_header in stdio.h stdlib.h unistd.h getopt.h
 do
 cat >conftest.$ac_ext <<_ACEOF
-#line 14994 "configure"
+#line 15200 "configure"
 #include "confdefs.h"
 
 #include <$cf_header>
@@ -15004,16 +15210,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:15007: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:15213: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:15010: \$? = $ac_status" >&5
+  echo "$as_me:15216: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:15013: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15219: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15016: \$? = $ac_status" >&5
+  echo "$as_me:15222: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_getopt_header=$cf_header
  break
@@ -15025,7 +15231,7 @@
 done
 
 fi
-echo "$as_me:15028: result: $cf_cv_getopt_header" >&5
+echo "$as_me:15234: result: $cf_cv_getopt_header" >&5
 echo "${ECHO_T}$cf_cv_getopt_header" >&6
 if test $cf_cv_getopt_header != none ; then
 
@@ -15046,7 +15252,7 @@
 # Note: even non-Posix ISC needs <sys/bsdtypes.h> to declare fd_set
 if test "x$ISC" = xyes ; then
 
-echo "$as_me:15049: checking for main in -lcposix" >&5
+echo "$as_me:15255: checking for main in -lcposix" >&5
 echo $ECHO_N "checking for main in -lcposix... $ECHO_C" >&6
 if test "${ac_cv_lib_cposix_main+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -15054,7 +15260,7 @@
   ac_check_lib_save_LIBS=$LIBS
 LIBS="-lcposix  $LIBS"
 cat >conftest.$ac_ext <<_ACEOF
-#line 15057 "configure"
+#line 15263 "configure"
 #include "confdefs.h"
 
 int
@@ -15066,16 +15272,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:15069: \"$ac_link\"") >&5
+if { (eval echo "$as_me:15275: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:15072: \$? = $ac_status" >&5
+  echo "$as_me:15278: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:15075: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15281: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15078: \$? = $ac_status" >&5
+  echo "$as_me:15284: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_lib_cposix_main=yes
 else
@@ -15086,7 +15292,7 @@
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-echo "$as_me:15089: result: $ac_cv_lib_cposix_main" >&5
+echo "$as_me:15295: result: $ac_cv_lib_cposix_main" >&5
 echo "${ECHO_T}$ac_cv_lib_cposix_main" >&6
 if test $ac_cv_lib_cposix_main = yes; then
   cat >>confdefs.h <<EOF
@@ -15097,7 +15303,7 @@
 
 fi
 
-	echo "$as_me:15100: checking for bzero in -linet" >&5
+	echo "$as_me:15306: checking for bzero in -linet" >&5
 echo $ECHO_N "checking for bzero in -linet... $ECHO_C" >&6
 if test "${ac_cv_lib_inet_bzero+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -15105,7 +15311,7 @@
   ac_check_lib_save_LIBS=$LIBS
 LIBS="-linet  $LIBS"
 cat >conftest.$ac_ext <<_ACEOF
-#line 15108 "configure"
+#line 15314 "configure"
 #include "confdefs.h"
 
 /* Override any gcc2 internal prototype to avoid an error.  */
@@ -15124,16 +15330,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:15127: \"$ac_link\"") >&5
+if { (eval echo "$as_me:15333: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:15130: \$? = $ac_status" >&5
+  echo "$as_me:15336: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:15133: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15339: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15136: \$? = $ac_status" >&5
+  echo "$as_me:15342: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_lib_inet_bzero=yes
 else
@@ -15144,7 +15350,7 @@
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-echo "$as_me:15147: result: $ac_cv_lib_inet_bzero" >&5
+echo "$as_me:15353: result: $ac_cv_lib_inet_bzero" >&5
 echo "${ECHO_T}$ac_cv_lib_inet_bzero" >&6
 if test $ac_cv_lib_inet_bzero = yes; then
 
@@ -15167,14 +15373,14 @@
 fi
 fi
 
-echo "$as_me:15170: checking if sys/time.h works with sys/select.h" >&5
+echo "$as_me:15376: checking if sys/time.h works with sys/select.h" >&5
 echo $ECHO_N "checking if sys/time.h works with sys/select.h... $ECHO_C" >&6
 if test "${cf_cv_sys_time_select+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 15177 "configure"
+#line 15383 "configure"
 #include "confdefs.h"
 
 #include <sys/types.h>
@@ -15194,16 +15400,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:15197: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:15403: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:15200: \$? = $ac_status" >&5
+  echo "$as_me:15406: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:15203: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15409: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15206: \$? = $ac_status" >&5
+  echo "$as_me:15412: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_sys_time_select=yes
 else
@@ -15215,7 +15421,7 @@
 
 fi
 
-echo "$as_me:15218: result: $cf_cv_sys_time_select" >&5
+echo "$as_me:15424: result: $cf_cv_sys_time_select" >&5
 echo "${ECHO_T}$cf_cv_sys_time_select" >&6
 test "$cf_cv_sys_time_select" = yes &&
 cat >>confdefs.h <<\EOF
@@ -15230,13 +15436,13 @@
 ac_compiler_gnu=$ac_cv_c_compiler_gnu
 ac_main_return=return
 
-echo "$as_me:15233: checking for an ANSI C-conforming const" >&5
+echo "$as_me:15439: checking for an ANSI C-conforming const" >&5
 echo $ECHO_N "checking for an ANSI C-conforming const... $ECHO_C" >&6
 if test "${ac_cv_c_const+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 15239 "configure"
+#line 15445 "configure"
 #include "confdefs.h"
 
 int
@@ -15294,16 +15500,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:15297: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:15503: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:15300: \$? = $ac_status" >&5
+  echo "$as_me:15506: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:15303: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15509: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15306: \$? = $ac_status" >&5
+  echo "$as_me:15512: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_c_const=yes
 else
@@ -15313,7 +15519,7 @@
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 fi
-echo "$as_me:15316: result: $ac_cv_c_const" >&5
+echo "$as_me:15522: result: $ac_cv_c_const" >&5
 echo "${ECHO_T}$ac_cv_c_const" >&6
 if test $ac_cv_c_const = no; then
 
@@ -15323,7 +15529,7 @@
 
 fi
 
-echo "$as_me:15326: checking for inline" >&5
+echo "$as_me:15532: checking for inline" >&5
 echo $ECHO_N "checking for inline... $ECHO_C" >&6
 if test "${ac_cv_c_inline+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -15331,7 +15537,7 @@
   ac_cv_c_inline=no
 for ac_kw in inline __inline__ __inline; do
   cat >conftest.$ac_ext <<_ACEOF
-#line 15334 "configure"
+#line 15540 "configure"
 #include "confdefs.h"
 #ifndef __cplusplus
 static $ac_kw int static_foo () {return 0; }
@@ -15340,16 +15546,16 @@
 
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:15343: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:15549: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:15346: \$? = $ac_status" >&5
+  echo "$as_me:15552: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:15349: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15555: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15352: \$? = $ac_status" >&5
+  echo "$as_me:15558: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_c_inline=$ac_kw; break
 else
@@ -15360,7 +15566,7 @@
 done
 
 fi
-echo "$as_me:15363: result: $ac_cv_c_inline" >&5
+echo "$as_me:15569: result: $ac_cv_c_inline" >&5
 echo "${ECHO_T}$ac_cv_c_inline" >&6
 case $ac_cv_c_inline in
   inline | yes) ;;
@@ -15386,7 +15592,7 @@
     :
   elif test "$GCC" = yes
   then
-    echo "$as_me:15389: checking if $CC supports options to tune inlining" >&5
+    echo "$as_me:15595: checking if $CC supports options to tune inlining" >&5
 echo $ECHO_N "checking if $CC supports options to tune inlining... $ECHO_C" >&6
 if test "${cf_cv_gcc_inline+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -15395,7 +15601,7 @@
       cf_save_CFLAGS=$CFLAGS
       CFLAGS="$CFLAGS --param max-inline-insns-single=1200"
       cat >conftest.$ac_ext <<_ACEOF
-#line 15398 "configure"
+#line 15604 "configure"
 #include "confdefs.h"
 inline int foo(void) { return 1; }
 int
@@ -15407,16 +15613,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:15410: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:15616: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:15413: \$? = $ac_status" >&5
+  echo "$as_me:15619: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:15416: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15622: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15419: \$? = $ac_status" >&5
+  echo "$as_me:15625: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_gcc_inline=yes
 else
@@ -15428,7 +15634,7 @@
       CFLAGS=$cf_save_CFLAGS
 
 fi
-echo "$as_me:15431: result: $cf_cv_gcc_inline" >&5
+echo "$as_me:15637: result: $cf_cv_gcc_inline" >&5
 echo "${ECHO_T}$cf_cv_gcc_inline" >&6
     if test "$cf_cv_gcc_inline" = yes ; then
 
@@ -15514,7 +15720,7 @@
   fi
 fi
 
-echo "$as_me:15517: checking for signal global datatype" >&5
+echo "$as_me:15723: checking for signal global datatype" >&5
 echo $ECHO_N "checking for signal global datatype... $ECHO_C" >&6
 if test "${cf_cv_sig_atomic_t+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -15526,7 +15732,7 @@
 		"int"
 	do
 	cat >conftest.$ac_ext <<_ACEOF
-#line 15529 "configure"
+#line 15735 "configure"
 #include "confdefs.h"
 
 #include <sys/types.h>
@@ -15549,16 +15755,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:15552: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:15758: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:15555: \$? = $ac_status" >&5
+  echo "$as_me:15761: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:15558: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15764: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15561: \$? = $ac_status" >&5
+  echo "$as_me:15767: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_sig_atomic_t=$cf_type
 else
@@ -15572,7 +15778,7 @@
 
 fi
 
-echo "$as_me:15575: result: $cf_cv_sig_atomic_t" >&5
+echo "$as_me:15781: result: $cf_cv_sig_atomic_t" >&5
 echo "${ECHO_T}$cf_cv_sig_atomic_t" >&6
 test "$cf_cv_sig_atomic_t" != no &&
 cat >>confdefs.h <<EOF
@@ -15581,7 +15787,7 @@
 
 if test $NCURSES_CHTYPE = auto ; then
 
-echo "$as_me:15584: checking for type of chtype" >&5
+echo "$as_me:15790: checking for type of chtype" >&5
 echo $ECHO_N "checking for type of chtype... $ECHO_C" >&6
 if test "${cf_cv_typeof_chtype+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -15591,7 +15797,7 @@
   cf_cv_typeof_chtype=long
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 15594 "configure"
+#line 15800 "configure"
 #include "confdefs.h"
 
 #define WANT_BITS 31
@@ -15626,15 +15832,15 @@
 
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:15629: \"$ac_link\"") >&5
+if { (eval echo "$as_me:15835: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:15632: \$? = $ac_status" >&5
+  echo "$as_me:15838: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:15634: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15840: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15637: \$? = $ac_status" >&5
+  echo "$as_me:15843: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_typeof_chtype=`cat cf_test.out`
 else
@@ -15649,7 +15855,7 @@
 
 fi
 
-echo "$as_me:15652: result: $cf_cv_typeof_chtype" >&5
+echo "$as_me:15858: result: $cf_cv_typeof_chtype" >&5
 echo "${ECHO_T}$cf_cv_typeof_chtype" >&6
 
 cat >>confdefs.h <<EOF
@@ -15661,14 +15867,14 @@
 fi
 test "$cf_cv_typeof_chtype" = unsigned && cf_cv_typeof_chtype=""
 
-echo "$as_me:15664: checking if unsigned literals are legal" >&5
+echo "$as_me:15870: checking if unsigned literals are legal" >&5
 echo $ECHO_N "checking if unsigned literals are legal... $ECHO_C" >&6
 if test "${cf_cv_unsigned_literals+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 	cat >conftest.$ac_ext <<_ACEOF
-#line 15671 "configure"
+#line 15877 "configure"
 #include "confdefs.h"
 
 int
@@ -15680,16 +15886,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:15683: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:15889: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:15686: \$? = $ac_status" >&5
+  echo "$as_me:15892: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:15689: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15895: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15692: \$? = $ac_status" >&5
+  echo "$as_me:15898: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_unsigned_literals=yes
 else
@@ -15701,7 +15907,7 @@
 
 fi
 
-echo "$as_me:15704: result: $cf_cv_unsigned_literals" >&5
+echo "$as_me:15910: result: $cf_cv_unsigned_literals" >&5
 echo "${ECHO_T}$cf_cv_unsigned_literals" >&6
 
 cf_cv_1UL="1"
@@ -15717,14 +15923,14 @@
 
 ###	Checks for external-data
 
-echo "$as_me:15720: checking if external errno is declared" >&5
+echo "$as_me:15926: checking if external errno is declared" >&5
 echo $ECHO_N "checking if external errno is declared... $ECHO_C" >&6
 if test "${cf_cv_dcl_errno+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
     cat >conftest.$ac_ext <<_ACEOF
-#line 15727 "configure"
+#line 15933 "configure"
 #include "confdefs.h"
 
 #ifdef HAVE_STDLIB_H
@@ -15742,16 +15948,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:15745: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:15951: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:15748: \$? = $ac_status" >&5
+  echo "$as_me:15954: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:15751: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15957: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15754: \$? = $ac_status" >&5
+  echo "$as_me:15960: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_dcl_errno=yes
 else
@@ -15762,7 +15968,7 @@
 rm -f conftest.$ac_objext conftest.$ac_ext
 
 fi
-echo "$as_me:15765: result: $cf_cv_dcl_errno" >&5
+echo "$as_me:15971: result: $cf_cv_dcl_errno" >&5
 echo "${ECHO_T}$cf_cv_dcl_errno" >&6
 
 if test "$cf_cv_dcl_errno" = no ; then
@@ -15777,14 +15983,14 @@
 
 # It's possible (for near-UNIX clones) that the data doesn't exist
 
-echo "$as_me:15780: checking if external errno exists" >&5
+echo "$as_me:15986: checking if external errno exists" >&5
 echo $ECHO_N "checking if external errno exists... $ECHO_C" >&6
 if test "${cf_cv_have_errno+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
     cat >conftest.$ac_ext <<_ACEOF
-#line 15787 "configure"
+#line 15993 "configure"
 #include "confdefs.h"
 
 #undef errno
@@ -15799,16 +16005,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:15802: \"$ac_link\"") >&5
+if { (eval echo "$as_me:16008: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:15805: \$? = $ac_status" >&5
+  echo "$as_me:16011: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:15808: \"$ac_try\"") >&5
+  { (eval echo "$as_me:16014: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15811: \$? = $ac_status" >&5
+  echo "$as_me:16017: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_have_errno=yes
 else
@@ -15819,7 +16025,7 @@
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 
 fi
-echo "$as_me:15822: result: $cf_cv_have_errno" >&5
+echo "$as_me:16028: result: $cf_cv_have_errno" >&5
 echo "${ECHO_T}$cf_cv_have_errno" >&6
 
 if test "$cf_cv_have_errno" = yes ; then
@@ -15832,7 +16038,7 @@
 
 fi
 
-echo "$as_me:15835: checking if data-only library module links" >&5
+echo "$as_me:16041: checking if data-only library module links" >&5
 echo $ECHO_N "checking if data-only library module links... $ECHO_C" >&6
 if test "${cf_cv_link_dataonly+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -15840,20 +16046,20 @@
 
 	rm -f conftest.a
 	cat >conftest.$ac_ext <<EOF
-#line 15843 "configure"
+#line 16049 "configure"
 int	testdata[3] = { 123, 456, 789 };
 EOF
-	if { (eval echo "$as_me:15846: \"$ac_compile\"") >&5
+	if { (eval echo "$as_me:16052: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:15849: \$? = $ac_status" >&5
+  echo "$as_me:16055: \$? = $ac_status" >&5
   (exit $ac_status); } ; then
 		mv conftest.o data.o && \
 		( $AR $ARFLAGS conftest.a data.o ) 2>&5 1>/dev/null
 	fi
 	rm -f conftest.$ac_ext data.o
 	cat >conftest.$ac_ext <<EOF
-#line 15856 "configure"
+#line 16062 "configure"
 int	testfunc()
 {
 #if defined(NeXT)
@@ -15866,10 +16072,10 @@
 #endif
 }
 EOF
-	if { (eval echo "$as_me:15869: \"$ac_compile\"") >&5
+	if { (eval echo "$as_me:16075: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:15872: \$? = $ac_status" >&5
+  echo "$as_me:16078: \$? = $ac_status" >&5
   (exit $ac_status); }; then
 		mv conftest.o func.o && \
 		( $AR $ARFLAGS conftest.a func.o ) 2>&5 1>/dev/null
@@ -15882,7 +16088,7 @@
   cf_cv_link_dataonly=unknown
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 15885 "configure"
+#line 16091 "configure"
 #include "confdefs.h"
 
 	int main()
@@ -15893,15 +16099,15 @@
 
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:15896: \"$ac_link\"") >&5
+if { (eval echo "$as_me:16102: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:15899: \$? = $ac_status" >&5
+  echo "$as_me:16105: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:15901: \"$ac_try\"") >&5
+  { (eval echo "$as_me:16107: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15904: \$? = $ac_status" >&5
+  echo "$as_me:16110: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_link_dataonly=yes
 else
@@ -15916,7 +16122,7 @@
 
 fi
 
-echo "$as_me:15919: result: $cf_cv_link_dataonly" >&5
+echo "$as_me:16125: result: $cf_cv_link_dataonly" >&5
 echo "${ECHO_T}$cf_cv_link_dataonly" >&6
 
 if test "$cf_cv_link_dataonly" = no ; then
@@ -15955,13 +16161,13 @@
 
 do
 as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
-echo "$as_me:15958: checking for $ac_func" >&5
+echo "$as_me:16164: checking for $ac_func" >&5
 echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
 if eval "test \"\${$as_ac_var+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 15964 "configure"
+#line 16170 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char $ac_func (); below.  */
@@ -15992,16 +16198,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:15995: \"$ac_link\"") >&5
+if { (eval echo "$as_me:16201: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:15998: \$? = $ac_status" >&5
+  echo "$as_me:16204: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:16001: \"$ac_try\"") >&5
+  { (eval echo "$as_me:16207: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:16004: \$? = $ac_status" >&5
+  echo "$as_me:16210: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   eval "$as_ac_var=yes"
 else
@@ -16011,7 +16217,7 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 fi
-echo "$as_me:16014: result: `eval echo '${'$as_ac_var'}'`" >&5
+echo "$as_me:16220: result: `eval echo '${'$as_ac_var'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6
 if test `eval echo '${'$as_ac_var'}'` = yes; then
   cat >>confdefs.h <<EOF
@@ -16023,21 +16229,21 @@
 
 if test "x$ac_cv_func_getopt" = xno &&
    test "x$cf_with_progs$cf_with_tests" != xnono; then
-	{ { echo "$as_me:16026: error: getopt is required for building programs" >&5
+	{ { echo "$as_me:16232: error: getopt is required for building programs" >&5
 echo "$as_me: error: getopt is required for building programs" >&2;}
    { (exit 1); exit 1; }; }
 fi
 
 if test "x$with_getcap" = "xyes" ; then
 
-echo "$as_me:16033: checking for terminal-capability database functions" >&5
+echo "$as_me:16239: checking for terminal-capability database functions" >&5
 echo $ECHO_N "checking for terminal-capability database functions... $ECHO_C" >&6
 if test "${cf_cv_cgetent+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 16040 "configure"
+#line 16246 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -16057,16 +16263,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:16060: \"$ac_link\"") >&5
+if { (eval echo "$as_me:16266: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:16063: \$? = $ac_status" >&5
+  echo "$as_me:16269: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:16066: \"$ac_try\"") >&5
+  { (eval echo "$as_me:16272: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:16069: \$? = $ac_status" >&5
+  echo "$as_me:16275: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_cgetent=yes
 else
@@ -16077,7 +16283,7 @@
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 
 fi
-echo "$as_me:16080: result: $cf_cv_cgetent" >&5
+echo "$as_me:16286: result: $cf_cv_cgetent" >&5
 echo "${ECHO_T}$cf_cv_cgetent" >&6
 
 if test "$cf_cv_cgetent" = yes
@@ -16087,14 +16293,14 @@
 #define HAVE_BSD_CGETENT 1
 EOF
 
-echo "$as_me:16090: checking if cgetent uses const parameter" >&5
+echo "$as_me:16296: checking if cgetent uses const parameter" >&5
 echo $ECHO_N "checking if cgetent uses const parameter... $ECHO_C" >&6
 if test "${cf_cv_cgetent_const+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 16097 "configure"
+#line 16303 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -16116,16 +16322,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:16119: \"$ac_link\"") >&5
+if { (eval echo "$as_me:16325: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:16122: \$? = $ac_status" >&5
+  echo "$as_me:16328: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:16125: \"$ac_try\"") >&5
+  { (eval echo "$as_me:16331: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:16128: \$? = $ac_status" >&5
+  echo "$as_me:16334: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_cgetent_const=yes
 else
@@ -16136,7 +16342,7 @@
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 
 fi
-echo "$as_me:16139: result: $cf_cv_cgetent_const" >&5
+echo "$as_me:16345: result: $cf_cv_cgetent_const" >&5
 echo "${ECHO_T}$cf_cv_cgetent_const" >&6
 	if test "$cf_cv_cgetent_const" = yes
 	then
@@ -16150,14 +16356,14 @@
 
 fi
 
-echo "$as_me:16153: checking for isascii" >&5
+echo "$as_me:16359: checking for isascii" >&5
 echo $ECHO_N "checking for isascii... $ECHO_C" >&6
 if test "${cf_cv_have_isascii+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 	cat >conftest.$ac_ext <<_ACEOF
-#line 16160 "configure"
+#line 16366 "configure"
 #include "confdefs.h"
 #include <ctype.h>
 int
@@ -16169,16 +16375,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:16172: \"$ac_link\"") >&5
+if { (eval echo "$as_me:16378: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:16175: \$? = $ac_status" >&5
+  echo "$as_me:16381: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:16178: \"$ac_try\"") >&5
+  { (eval echo "$as_me:16384: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:16181: \$? = $ac_status" >&5
+  echo "$as_me:16387: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_have_isascii=yes
 else
@@ -16189,7 +16395,7 @@
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 
 fi
-echo "$as_me:16192: result: $cf_cv_have_isascii" >&5
+echo "$as_me:16398: result: $cf_cv_have_isascii" >&5
 echo "${ECHO_T}$cf_cv_have_isascii" >&6
 test "$cf_cv_have_isascii" = yes &&
 cat >>confdefs.h <<\EOF
@@ -16197,10 +16403,10 @@
 EOF
 
 if test "$ac_cv_func_sigaction" = yes; then
-echo "$as_me:16200: checking whether sigaction needs _POSIX_SOURCE" >&5
+echo "$as_me:16406: checking whether sigaction needs _POSIX_SOURCE" >&5
 echo $ECHO_N "checking whether sigaction needs _POSIX_SOURCE... $ECHO_C" >&6
 cat >conftest.$ac_ext <<_ACEOF
-#line 16203 "configure"
+#line 16409 "configure"
 #include "confdefs.h"
 
 #include <sys/types.h>
@@ -16214,16 +16420,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:16217: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:16423: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:16220: \$? = $ac_status" >&5
+  echo "$as_me:16426: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:16223: \"$ac_try\"") >&5
+  { (eval echo "$as_me:16429: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:16226: \$? = $ac_status" >&5
+  echo "$as_me:16432: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   sigact_bad=no
 else
@@ -16231,7 +16437,7 @@
 cat conftest.$ac_ext >&5
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 16234 "configure"
+#line 16440 "configure"
 #include "confdefs.h"
 
 #define _POSIX_SOURCE
@@ -16246,16 +16452,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:16249: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:16455: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:16252: \$? = $ac_status" >&5
+  echo "$as_me:16458: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:16255: \"$ac_try\"") >&5
+  { (eval echo "$as_me:16461: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:16258: \$? = $ac_status" >&5
+  echo "$as_me:16464: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   sigact_bad=yes
 
@@ -16271,11 +16477,11 @@
 rm -f conftest.$ac_objext conftest.$ac_ext
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
-echo "$as_me:16274: result: $sigact_bad" >&5
+echo "$as_me:16480: result: $sigact_bad" >&5
 echo "${ECHO_T}$sigact_bad" >&6
 fi
 
-echo "$as_me:16278: checking if nanosleep really works" >&5
+echo "$as_me:16484: checking if nanosleep really works" >&5
 echo $ECHO_N "checking if nanosleep really works... $ECHO_C" >&6
 if test "${cf_cv_func_nanosleep+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -16285,7 +16491,7 @@
   cf_cv_func_nanosleep=unknown
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 16288 "configure"
+#line 16494 "configure"
 #include "confdefs.h"
 
 #include <stdio.h>
@@ -16310,15 +16516,15 @@
 
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:16313: \"$ac_link\"") >&5
+if { (eval echo "$as_me:16519: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:16316: \$? = $ac_status" >&5
+  echo "$as_me:16522: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:16318: \"$ac_try\"") >&5
+  { (eval echo "$as_me:16524: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:16321: \$? = $ac_status" >&5
+  echo "$as_me:16527: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_func_nanosleep=yes
 else
@@ -16330,7 +16536,7 @@
 rm -f core core.* *.core conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
 fi
 fi
-echo "$as_me:16333: result: $cf_cv_func_nanosleep" >&5
+echo "$as_me:16539: result: $cf_cv_func_nanosleep" >&5
 echo "${ECHO_T}$cf_cv_func_nanosleep" >&6
 
 test "$cf_cv_func_nanosleep" = "yes" &&
@@ -16345,23 +16551,23 @@
 
 do
 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
-echo "$as_me:16348: checking for $ac_header" >&5
+echo "$as_me:16554: checking for $ac_header" >&5
 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
 if eval "test \"\${$as_ac_Header+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 16354 "configure"
+#line 16560 "configure"
 #include "confdefs.h"
 #include <$ac_header>
 _ACEOF
-if { (eval echo "$as_me:16358: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:16564: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:16364: \$? = $ac_status" >&5
+  echo "$as_me:16570: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_c_preproc_warn_flag
@@ -16380,7 +16586,7 @@
 fi
 rm -f conftest.err conftest.$ac_ext
 fi
-echo "$as_me:16383: result: `eval echo '${'$as_ac_Header'}'`" >&5
+echo "$as_me:16589: result: `eval echo '${'$as_ac_Header'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
 if test `eval echo '${'$as_ac_Header'}'` = yes; then
   cat >>confdefs.h <<EOF
@@ -16395,23 +16601,23 @@
 for ac_header in sys/termio.h
 do
 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
-echo "$as_me:16398: checking for $ac_header" >&5
+echo "$as_me:16604: checking for $ac_header" >&5
 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
 if eval "test \"\${$as_ac_Header+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 16404 "configure"
+#line 16610 "configure"
 #include "confdefs.h"
 #include <$ac_header>
 _ACEOF
-if { (eval echo "$as_me:16408: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:16614: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:16414: \$? = $ac_status" >&5
+  echo "$as_me:16620: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_c_preproc_warn_flag
@@ -16430,7 +16636,7 @@
 fi
 rm -f conftest.err conftest.$ac_ext
 fi
-echo "$as_me:16433: result: `eval echo '${'$as_ac_Header'}'`" >&5
+echo "$as_me:16639: result: `eval echo '${'$as_ac_Header'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
 if test `eval echo '${'$as_ac_Header'}'` = yes; then
   cat >>confdefs.h <<EOF
@@ -16448,10 +16654,10 @@
 	*)	termios_bad=maybe ;;
 	esac
 	if test "$termios_bad" = maybe ; then
-	echo "$as_me:16451: checking whether termios.h needs _POSIX_SOURCE" >&5
+	echo "$as_me:16657: checking whether termios.h needs _POSIX_SOURCE" >&5
 echo $ECHO_N "checking whether termios.h needs _POSIX_SOURCE... $ECHO_C" >&6
 	cat >conftest.$ac_ext <<_ACEOF
-#line 16454 "configure"
+#line 16660 "configure"
 #include "confdefs.h"
 #include <termios.h>
 int
@@ -16463,16 +16669,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:16466: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:16672: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:16469: \$? = $ac_status" >&5
+  echo "$as_me:16675: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:16472: \"$ac_try\"") >&5
+  { (eval echo "$as_me:16678: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:16475: \$? = $ac_status" >&5
+  echo "$as_me:16681: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   termios_bad=no
 else
@@ -16480,7 +16686,7 @@
 cat conftest.$ac_ext >&5
 
 		cat >conftest.$ac_ext <<_ACEOF
-#line 16483 "configure"
+#line 16689 "configure"
 #include "confdefs.h"
 
 #define _POSIX_SOURCE
@@ -16494,16 +16700,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:16497: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:16703: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:16500: \$? = $ac_status" >&5
+  echo "$as_me:16706: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:16503: \"$ac_try\"") >&5
+  { (eval echo "$as_me:16709: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:16506: \$? = $ac_status" >&5
+  echo "$as_me:16712: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   termios_bad=unknown
 else
@@ -16519,19 +16725,19 @@
 
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
-	echo "$as_me:16522: result: $termios_bad" >&5
+	echo "$as_me:16728: result: $termios_bad" >&5
 echo "${ECHO_T}$termios_bad" >&6
 	fi
 fi
 
-echo "$as_me:16527: checking for tcgetattr" >&5
+echo "$as_me:16733: checking for tcgetattr" >&5
 echo $ECHO_N "checking for tcgetattr... $ECHO_C" >&6
 if test "${cf_cv_have_tcgetattr+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 16534 "configure"
+#line 16740 "configure"
 #include "confdefs.h"
 
 #include <sys/types.h>
@@ -16559,16 +16765,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:16562: \"$ac_link\"") >&5
+if { (eval echo "$as_me:16768: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:16565: \$? = $ac_status" >&5
+  echo "$as_me:16771: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:16568: \"$ac_try\"") >&5
+  { (eval echo "$as_me:16774: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:16571: \$? = $ac_status" >&5
+  echo "$as_me:16777: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_have_tcgetattr=yes
 else
@@ -16578,21 +16784,21 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 fi
-echo "$as_me:16581: result: $cf_cv_have_tcgetattr" >&5
+echo "$as_me:16787: result: $cf_cv_have_tcgetattr" >&5
 echo "${ECHO_T}$cf_cv_have_tcgetattr" >&6
 test "$cf_cv_have_tcgetattr" = yes &&
 cat >>confdefs.h <<\EOF
 #define HAVE_TCGETATTR 1
 EOF
 
-echo "$as_me:16588: checking for vsscanf function or workaround" >&5
+echo "$as_me:16794: checking for vsscanf function or workaround" >&5
 echo $ECHO_N "checking for vsscanf function or workaround... $ECHO_C" >&6
 if test "${cf_cv_func_vsscanf+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 16595 "configure"
+#line 16801 "configure"
 #include "confdefs.h"
 
 #include <stdarg.h>
@@ -16608,16 +16814,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:16611: \"$ac_link\"") >&5
+if { (eval echo "$as_me:16817: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:16614: \$? = $ac_status" >&5
+  echo "$as_me:16820: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:16617: \"$ac_try\"") >&5
+  { (eval echo "$as_me:16823: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:16620: \$? = $ac_status" >&5
+  echo "$as_me:16826: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_func_vsscanf=vsscanf
 else
@@ -16625,7 +16831,7 @@
 cat conftest.$ac_ext >&5
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 16628 "configure"
+#line 16834 "configure"
 #include "confdefs.h"
 
 #include <stdarg.h>
@@ -16647,16 +16853,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:16650: \"$ac_link\"") >&5
+if { (eval echo "$as_me:16856: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:16653: \$? = $ac_status" >&5
+  echo "$as_me:16859: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:16656: \"$ac_try\"") >&5
+  { (eval echo "$as_me:16862: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:16659: \$? = $ac_status" >&5
+  echo "$as_me:16865: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_func_vsscanf=vfscanf
 else
@@ -16664,7 +16870,7 @@
 cat conftest.$ac_ext >&5
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 16667 "configure"
+#line 16873 "configure"
 #include "confdefs.h"
 
 #include <stdarg.h>
@@ -16686,16 +16892,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:16689: \"$ac_link\"") >&5
+if { (eval echo "$as_me:16895: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:16692: \$? = $ac_status" >&5
+  echo "$as_me:16898: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:16695: \"$ac_try\"") >&5
+  { (eval echo "$as_me:16901: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:16698: \$? = $ac_status" >&5
+  echo "$as_me:16904: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_func_vsscanf=_doscan
 else
@@ -16710,7 +16916,7 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 fi
-echo "$as_me:16713: result: $cf_cv_func_vsscanf" >&5
+echo "$as_me:16919: result: $cf_cv_func_vsscanf" >&5
 echo "${ECHO_T}$cf_cv_func_vsscanf" >&6
 
 case $cf_cv_func_vsscanf in #(vi
@@ -16731,7 +16937,7 @@
 ;;
 esac
 
-echo "$as_me:16734: checking for working mkstemp" >&5
+echo "$as_me:16940: checking for working mkstemp" >&5
 echo $ECHO_N "checking for working mkstemp... $ECHO_C" >&6
 if test "${cf_cv_func_mkstemp+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -16742,7 +16948,7 @@
   cf_cv_func_mkstemp=maybe
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 16745 "configure"
+#line 16951 "configure"
 #include "confdefs.h"
 
 #include <sys/types.h>
@@ -16780,15 +16986,15 @@
 
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:16783: \"$ac_link\"") >&5
+if { (eval echo "$as_me:16989: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:16786: \$? = $ac_status" >&5
+  echo "$as_me:16992: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:16788: \"$ac_try\"") >&5
+  { (eval echo "$as_me:16994: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:16791: \$? = $ac_status" >&5
+  echo "$as_me:16997: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_func_mkstemp=yes
 
@@ -16803,16 +17009,16 @@
 fi
 
 fi
-echo "$as_me:16806: result: $cf_cv_func_mkstemp" >&5
+echo "$as_me:17012: result: $cf_cv_func_mkstemp" >&5
 echo "${ECHO_T}$cf_cv_func_mkstemp" >&6
 if test "x$cf_cv_func_mkstemp" = xmaybe ; then
-	echo "$as_me:16809: checking for mkstemp" >&5
+	echo "$as_me:17015: checking for mkstemp" >&5
 echo $ECHO_N "checking for mkstemp... $ECHO_C" >&6
 if test "${ac_cv_func_mkstemp+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 16815 "configure"
+#line 17021 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char mkstemp (); below.  */
@@ -16843,16 +17049,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:16846: \"$ac_link\"") >&5
+if { (eval echo "$as_me:17052: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:16849: \$? = $ac_status" >&5
+  echo "$as_me:17055: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:16852: \"$ac_try\"") >&5
+  { (eval echo "$as_me:17058: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:16855: \$? = $ac_status" >&5
+  echo "$as_me:17061: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_func_mkstemp=yes
 else
@@ -16862,7 +17068,7 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 fi
-echo "$as_me:16865: result: $ac_cv_func_mkstemp" >&5
+echo "$as_me:17071: result: $ac_cv_func_mkstemp" >&5
 echo "${ECHO_T}$ac_cv_func_mkstemp" >&6
 
 fi
@@ -16883,21 +17089,21 @@
 fi
 
 if test "x$cross_compiling" = xyes ; then
-	{ echo "$as_me:16886: WARNING: cross compiling: assume setvbuf params not reversed" >&5
+	{ echo "$as_me:17092: WARNING: cross compiling: assume setvbuf params not reversed" >&5
 echo "$as_me: WARNING: cross compiling: assume setvbuf params not reversed" >&2;}
 else
-	echo "$as_me:16889: checking whether setvbuf arguments are reversed" >&5
+	echo "$as_me:17095: checking whether setvbuf arguments are reversed" >&5
 echo $ECHO_N "checking whether setvbuf arguments are reversed... $ECHO_C" >&6
 if test "${ac_cv_func_setvbuf_reversed+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   if test "$cross_compiling" = yes; then
-  { { echo "$as_me:16895: error: cannot run test program while cross compiling" >&5
+  { { echo "$as_me:17101: error: cannot run test program while cross compiling" >&5
 echo "$as_me: error: cannot run test program while cross compiling" >&2;}
    { (exit 1); exit 1; }; }
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 16900 "configure"
+#line 17106 "configure"
 #include "confdefs.h"
 #include <stdio.h>
 /* If setvbuf has the reversed format, exit 0. */
@@ -16914,15 +17120,15 @@
 }
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:16917: \"$ac_link\"") >&5
+if { (eval echo "$as_me:17123: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:16920: \$? = $ac_status" >&5
+  echo "$as_me:17126: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:16922: \"$ac_try\"") >&5
+  { (eval echo "$as_me:17128: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:16925: \$? = $ac_status" >&5
+  echo "$as_me:17131: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_func_setvbuf_reversed=yes
 else
@@ -16935,7 +17141,7 @@
 fi
 rm -f core core.* *.core
 fi
-echo "$as_me:16938: result: $ac_cv_func_setvbuf_reversed" >&5
+echo "$as_me:17144: result: $ac_cv_func_setvbuf_reversed" >&5
 echo "${ECHO_T}$ac_cv_func_setvbuf_reversed" >&6
 if test $ac_cv_func_setvbuf_reversed = yes; then
 
@@ -16946,13 +17152,13 @@
 fi
 
 fi
-echo "$as_me:16949: checking for intptr_t" >&5
+echo "$as_me:17155: checking for intptr_t" >&5
 echo $ECHO_N "checking for intptr_t... $ECHO_C" >&6
 if test "${ac_cv_type_intptr_t+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 16955 "configure"
+#line 17161 "configure"
 #include "confdefs.h"
 $ac_includes_default
 int
@@ -16967,16 +17173,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:16970: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:17176: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:16973: \$? = $ac_status" >&5
+  echo "$as_me:17179: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:16976: \"$ac_try\"") >&5
+  { (eval echo "$as_me:17182: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:16979: \$? = $ac_status" >&5
+  echo "$as_me:17185: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_type_intptr_t=yes
 else
@@ -16986,7 +17192,7 @@
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 fi
-echo "$as_me:16989: result: $ac_cv_type_intptr_t" >&5
+echo "$as_me:17195: result: $ac_cv_type_intptr_t" >&5
 echo "${ECHO_T}$ac_cv_type_intptr_t" >&6
 if test $ac_cv_type_intptr_t = yes; then
   :
@@ -16998,14 +17204,14 @@
 
 fi
 
-echo "$as_me:17001: checking for type sigaction_t" >&5
+echo "$as_me:17207: checking for type sigaction_t" >&5
 echo $ECHO_N "checking for type sigaction_t... $ECHO_C" >&6
 if test "${cf_cv_type_sigaction+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 	cat >conftest.$ac_ext <<_ACEOF
-#line 17008 "configure"
+#line 17214 "configure"
 #include "confdefs.h"
 
 #include <signal.h>
@@ -17018,16 +17224,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:17021: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:17227: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:17024: \$? = $ac_status" >&5
+  echo "$as_me:17230: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:17027: \"$ac_try\"") >&5
+  { (eval echo "$as_me:17233: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:17030: \$? = $ac_status" >&5
+  echo "$as_me:17236: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_type_sigaction=yes
 else
@@ -17038,14 +17244,14 @@
 rm -f conftest.$ac_objext conftest.$ac_ext
 fi
 
-echo "$as_me:17041: result: $cf_cv_type_sigaction" >&5
+echo "$as_me:17247: result: $cf_cv_type_sigaction" >&5
 echo "${ECHO_T}$cf_cv_type_sigaction" >&6
 test "$cf_cv_type_sigaction" = yes &&
 cat >>confdefs.h <<\EOF
 #define HAVE_TYPE_SIGACTION 1
 EOF
 
-echo "$as_me:17048: checking declaration of size-change" >&5
+echo "$as_me:17254: checking declaration of size-change" >&5
 echo $ECHO_N "checking declaration of size-change... $ECHO_C" >&6
 if test "${cf_cv_sizechange+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -17060,7 +17266,7 @@
     CPPFLAGS="$cf_save_CPPFLAGS"
     test -n "$cf_opts" && CPPFLAGS="$CPPFLAGS -D$cf_opts"
     cat >conftest.$ac_ext <<_ACEOF
-#line 17063 "configure"
+#line 17269 "configure"
 #include "confdefs.h"
 #include <sys/types.h>
 #ifdef HAVE_TERMIOS_H
@@ -17104,16 +17310,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:17107: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:17313: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:17110: \$? = $ac_status" >&5
+  echo "$as_me:17316: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:17113: \"$ac_try\"") >&5
+  { (eval echo "$as_me:17319: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:17116: \$? = $ac_status" >&5
+  echo "$as_me:17322: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_sizechange=yes
 else
@@ -17132,7 +17338,7 @@
 done
 
 fi
-echo "$as_me:17135: result: $cf_cv_sizechange" >&5
+echo "$as_me:17341: result: $cf_cv_sizechange" >&5
 echo "${ECHO_T}$cf_cv_sizechange" >&6
 if test "$cf_cv_sizechange" != no ; then
 
@@ -17150,13 +17356,13 @@
 	esac
 fi
 
-echo "$as_me:17153: checking for memmove" >&5
+echo "$as_me:17359: checking for memmove" >&5
 echo $ECHO_N "checking for memmove... $ECHO_C" >&6
 if test "${ac_cv_func_memmove+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 17159 "configure"
+#line 17365 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char memmove (); below.  */
@@ -17187,16 +17393,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:17190: \"$ac_link\"") >&5
+if { (eval echo "$as_me:17396: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:17193: \$? = $ac_status" >&5
+  echo "$as_me:17399: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:17196: \"$ac_try\"") >&5
+  { (eval echo "$as_me:17402: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:17199: \$? = $ac_status" >&5
+  echo "$as_me:17405: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_func_memmove=yes
 else
@@ -17206,19 +17412,19 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 fi
-echo "$as_me:17209: result: $ac_cv_func_memmove" >&5
+echo "$as_me:17415: result: $ac_cv_func_memmove" >&5
 echo "${ECHO_T}$ac_cv_func_memmove" >&6
 if test $ac_cv_func_memmove = yes; then
   :
 else
 
-echo "$as_me:17215: checking for bcopy" >&5
+echo "$as_me:17421: checking for bcopy" >&5
 echo $ECHO_N "checking for bcopy... $ECHO_C" >&6
 if test "${ac_cv_func_bcopy+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 17221 "configure"
+#line 17427 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char bcopy (); below.  */
@@ -17249,16 +17455,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:17252: \"$ac_link\"") >&5
+if { (eval echo "$as_me:17458: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:17255: \$? = $ac_status" >&5
+  echo "$as_me:17461: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:17258: \"$ac_try\"") >&5
+  { (eval echo "$as_me:17464: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:17261: \$? = $ac_status" >&5
+  echo "$as_me:17467: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_func_bcopy=yes
 else
@@ -17268,11 +17474,11 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 fi
-echo "$as_me:17271: result: $ac_cv_func_bcopy" >&5
+echo "$as_me:17477: result: $ac_cv_func_bcopy" >&5
 echo "${ECHO_T}$ac_cv_func_bcopy" >&6
 if test $ac_cv_func_bcopy = yes; then
 
-	echo "$as_me:17275: checking if bcopy does overlapping moves" >&5
+	echo "$as_me:17481: checking if bcopy does overlapping moves" >&5
 echo $ECHO_N "checking if bcopy does overlapping moves... $ECHO_C" >&6
 if test "${cf_cv_good_bcopy+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -17282,7 +17488,7 @@
   cf_cv_good_bcopy=unknown
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 17285 "configure"
+#line 17491 "configure"
 #include "confdefs.h"
 
 int main() {
@@ -17296,15 +17502,15 @@
 
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:17299: \"$ac_link\"") >&5
+if { (eval echo "$as_me:17505: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:17302: \$? = $ac_status" >&5
+  echo "$as_me:17508: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:17304: \"$ac_try\"") >&5
+  { (eval echo "$as_me:17510: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:17307: \$? = $ac_status" >&5
+  echo "$as_me:17513: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_good_bcopy=yes
 else
@@ -17317,7 +17523,7 @@
 fi
 
 fi
-echo "$as_me:17320: result: $cf_cv_good_bcopy" >&5
+echo "$as_me:17526: result: $cf_cv_good_bcopy" >&5
 echo "${ECHO_T}$cf_cv_good_bcopy" >&6
 
 else
@@ -17340,7 +17546,7 @@
 
 fi
 
-echo "$as_me:17343: checking if poll really works" >&5
+echo "$as_me:17549: checking if poll really works" >&5
 echo $ECHO_N "checking if poll really works... $ECHO_C" >&6
 if test "${cf_cv_working_poll+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -17350,7 +17556,7 @@
   cf_cv_working_poll=unknown
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 17353 "configure"
+#line 17559 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -17397,15 +17603,15 @@
 }
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:17400: \"$ac_link\"") >&5
+if { (eval echo "$as_me:17606: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:17403: \$? = $ac_status" >&5
+  echo "$as_me:17609: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:17405: \"$ac_try\"") >&5
+  { (eval echo "$as_me:17611: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:17408: \$? = $ac_status" >&5
+  echo "$as_me:17614: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_working_poll=yes
 else
@@ -17417,21 +17623,21 @@
 rm -f core core.* *.core conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
 fi
 fi
-echo "$as_me:17420: result: $cf_cv_working_poll" >&5
+echo "$as_me:17626: result: $cf_cv_working_poll" >&5
 echo "${ECHO_T}$cf_cv_working_poll" >&6
 test "$cf_cv_working_poll" = "yes" &&
 cat >>confdefs.h <<\EOF
 #define HAVE_WORKING_POLL 1
 EOF
 
-echo "$as_me:17427: checking for va_copy" >&5
+echo "$as_me:17633: checking for va_copy" >&5
 echo $ECHO_N "checking for va_copy... $ECHO_C" >&6
 if test "${cf_cv_have_va_copy+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 17434 "configure"
+#line 17640 "configure"
 #include "confdefs.h"
 
 #include <stdarg.h>
@@ -17448,16 +17654,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:17451: \"$ac_link\"") >&5
+if { (eval echo "$as_me:17657: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:17454: \$? = $ac_status" >&5
+  echo "$as_me:17660: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:17457: \"$ac_try\"") >&5
+  { (eval echo "$as_me:17663: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:17460: \$? = $ac_status" >&5
+  echo "$as_me:17666: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_have_va_copy=yes
 else
@@ -17467,7 +17673,7 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 fi
-echo "$as_me:17470: result: $cf_cv_have_va_copy" >&5
+echo "$as_me:17676: result: $cf_cv_have_va_copy" >&5
 echo "${ECHO_T}$cf_cv_have_va_copy" >&6
 
 test "$cf_cv_have_va_copy" = yes &&
@@ -17475,14 +17681,14 @@
 #define HAVE_VA_COPY 1
 EOF
 
-echo "$as_me:17478: checking for __va_copy" >&5
+echo "$as_me:17684: checking for __va_copy" >&5
 echo $ECHO_N "checking for __va_copy... $ECHO_C" >&6
 if test "${cf_cv_have___va_copy+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 17485 "configure"
+#line 17691 "configure"
 #include "confdefs.h"
 
 #include <stdarg.h>
@@ -17499,16 +17705,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:17502: \"$ac_link\"") >&5
+if { (eval echo "$as_me:17708: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:17505: \$? = $ac_status" >&5
+  echo "$as_me:17711: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:17508: \"$ac_try\"") >&5
+  { (eval echo "$as_me:17714: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:17511: \$? = $ac_status" >&5
+  echo "$as_me:17717: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_have___va_copy=yes
 else
@@ -17518,7 +17724,7 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 fi
-echo "$as_me:17521: result: $cf_cv_have___va_copy" >&5
+echo "$as_me:17727: result: $cf_cv_have___va_copy" >&5
 echo "${ECHO_T}$cf_cv_have___va_copy" >&6
 
 test "$cf_cv_have___va_copy" = yes &&
@@ -17526,13 +17732,13 @@
 #define HAVE___VA_COPY 1
 EOF
 
-echo "$as_me:17529: checking for pid_t" >&5
+echo "$as_me:17735: checking for pid_t" >&5
 echo $ECHO_N "checking for pid_t... $ECHO_C" >&6
 if test "${ac_cv_type_pid_t+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 17535 "configure"
+#line 17741 "configure"
 #include "confdefs.h"
 $ac_includes_default
 int
@@ -17547,16 +17753,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:17550: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:17756: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:17553: \$? = $ac_status" >&5
+  echo "$as_me:17759: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:17556: \"$ac_try\"") >&5
+  { (eval echo "$as_me:17762: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:17559: \$? = $ac_status" >&5
+  echo "$as_me:17765: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_type_pid_t=yes
 else
@@ -17566,7 +17772,7 @@
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 fi
-echo "$as_me:17569: result: $ac_cv_type_pid_t" >&5
+echo "$as_me:17775: result: $ac_cv_type_pid_t" >&5
 echo "${ECHO_T}$ac_cv_type_pid_t" >&6
 if test $ac_cv_type_pid_t = yes; then
   :
@@ -17581,23 +17787,23 @@
 for ac_header in unistd.h vfork.h
 do
 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
-echo "$as_me:17584: checking for $ac_header" >&5
+echo "$as_me:17790: checking for $ac_header" >&5
 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
 if eval "test \"\${$as_ac_Header+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 17590 "configure"
+#line 17796 "configure"
 #include "confdefs.h"
 #include <$ac_header>
 _ACEOF
-if { (eval echo "$as_me:17594: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:17800: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:17600: \$? = $ac_status" >&5
+  echo "$as_me:17806: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_c_preproc_warn_flag
@@ -17616,7 +17822,7 @@
 fi
 rm -f conftest.err conftest.$ac_ext
 fi
-echo "$as_me:17619: result: `eval echo '${'$as_ac_Header'}'`" >&5
+echo "$as_me:17825: result: `eval echo '${'$as_ac_Header'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
 if test `eval echo '${'$as_ac_Header'}'` = yes; then
   cat >>confdefs.h <<EOF
@@ -17629,13 +17835,13 @@
 for ac_func in fork vfork
 do
 as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
-echo "$as_me:17632: checking for $ac_func" >&5
+echo "$as_me:17838: checking for $ac_func" >&5
 echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
 if eval "test \"\${$as_ac_var+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 17638 "configure"
+#line 17844 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char $ac_func (); below.  */
@@ -17666,16 +17872,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:17669: \"$ac_link\"") >&5
+if { (eval echo "$as_me:17875: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:17672: \$? = $ac_status" >&5
+  echo "$as_me:17878: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:17675: \"$ac_try\"") >&5
+  { (eval echo "$as_me:17881: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:17678: \$? = $ac_status" >&5
+  echo "$as_me:17884: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   eval "$as_ac_var=yes"
 else
@@ -17685,7 +17891,7 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 fi
-echo "$as_me:17688: result: `eval echo '${'$as_ac_var'}'`" >&5
+echo "$as_me:17894: result: `eval echo '${'$as_ac_var'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6
 if test `eval echo '${'$as_ac_var'}'` = yes; then
   cat >>confdefs.h <<EOF
@@ -17697,7 +17903,7 @@
 
 ac_cv_func_fork_works=$ac_cv_func_fork
 if test "x$ac_cv_func_fork" = xyes; then
-  echo "$as_me:17700: checking for working fork" >&5
+  echo "$as_me:17906: checking for working fork" >&5
 echo $ECHO_N "checking for working fork... $ECHO_C" >&6
 if test "${ac_cv_func_fork_works+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -17720,15 +17926,15 @@
       }
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:17723: \"$ac_link\"") >&5
+if { (eval echo "$as_me:17929: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:17726: \$? = $ac_status" >&5
+  echo "$as_me:17932: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:17728: \"$ac_try\"") >&5
+  { (eval echo "$as_me:17934: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:17731: \$? = $ac_status" >&5
+  echo "$as_me:17937: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_func_fork_works=yes
 else
@@ -17740,7 +17946,7 @@
 rm -f core core.* *.core conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
 fi
 fi
-echo "$as_me:17743: result: $ac_cv_func_fork_works" >&5
+echo "$as_me:17949: result: $ac_cv_func_fork_works" >&5
 echo "${ECHO_T}$ac_cv_func_fork_works" >&6
 
 fi
@@ -17754,12 +17960,12 @@
       ac_cv_func_fork_works=yes
       ;;
   esac
-  { echo "$as_me:17757: WARNING: CROSS: Result $ac_cv_func_fork_works guessed due to cross-compiling." >&5
+  { echo "$as_me:17963: WARNING: CROSS: Result $ac_cv_func_fork_works guessed due to cross-compiling." >&5
 echo "$as_me: WARNING: CROSS: Result $ac_cv_func_fork_works guessed due to cross-compiling." >&2;}
 fi
 ac_cv_func_vfork_works=$ac_cv_func_vfork
 if test "x$ac_cv_func_vfork" = xyes; then
-  echo "$as_me:17762: checking for working vfork" >&5
+  echo "$as_me:17968: checking for working vfork" >&5
 echo $ECHO_N "checking for working vfork... $ECHO_C" >&6
 if test "${ac_cv_func_vfork_works+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -17768,7 +17974,7 @@
   ac_cv_func_vfork_works=cross
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 17771 "configure"
+#line 17977 "configure"
 #include "confdefs.h"
 /* Thanks to Paul Eggert for this test.  */
 #include <stdio.h>
@@ -17865,15 +18071,15 @@
 }
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:17868: \"$ac_link\"") >&5
+if { (eval echo "$as_me:18074: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:17871: \$? = $ac_status" >&5
+  echo "$as_me:18077: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:17873: \"$ac_try\"") >&5
+  { (eval echo "$as_me:18079: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:17876: \$? = $ac_status" >&5
+  echo "$as_me:18082: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_func_vfork_works=yes
 else
@@ -17885,13 +18091,13 @@
 rm -f core core.* *.core conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
 fi
 fi
-echo "$as_me:17888: result: $ac_cv_func_vfork_works" >&5
+echo "$as_me:18094: result: $ac_cv_func_vfork_works" >&5
 echo "${ECHO_T}$ac_cv_func_vfork_works" >&6
 
 fi;
 if test "x$ac_cv_func_fork_works" = xcross; then
   ac_cv_func_vfork_works=ac_cv_func_vfork
-  { echo "$as_me:17894: WARNING: CROSS: Result $ac_cv_func_vfork_works guessed due to cross-compiling." >&5
+  { echo "$as_me:18100: WARNING: CROSS: Result $ac_cv_func_vfork_works guessed due to cross-compiling." >&5
 echo "$as_me: WARNING: CROSS: Result $ac_cv_func_vfork_works guessed due to cross-compiling." >&2;}
 fi
 
@@ -17918,7 +18124,7 @@
 
 # special check for test/ditto.c
 
-echo "$as_me:17921: checking for openpty in -lutil" >&5
+echo "$as_me:18127: checking for openpty in -lutil" >&5
 echo $ECHO_N "checking for openpty in -lutil... $ECHO_C" >&6
 if test "${ac_cv_lib_util_openpty+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -17926,7 +18132,7 @@
   ac_check_lib_save_LIBS=$LIBS
 LIBS="-lutil  $LIBS"
 cat >conftest.$ac_ext <<_ACEOF
-#line 17929 "configure"
+#line 18135 "configure"
 #include "confdefs.h"
 
 /* Override any gcc2 internal prototype to avoid an error.  */
@@ -17945,16 +18151,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:17948: \"$ac_link\"") >&5
+if { (eval echo "$as_me:18154: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:17951: \$? = $ac_status" >&5
+  echo "$as_me:18157: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:17954: \"$ac_try\"") >&5
+  { (eval echo "$as_me:18160: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:17957: \$? = $ac_status" >&5
+  echo "$as_me:18163: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_lib_util_openpty=yes
 else
@@ -17965,7 +18171,7 @@
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-echo "$as_me:17968: result: $ac_cv_lib_util_openpty" >&5
+echo "$as_me:18174: result: $ac_cv_lib_util_openpty" >&5
 echo "${ECHO_T}$ac_cv_lib_util_openpty" >&6
 if test $ac_cv_lib_util_openpty = yes; then
   cf_cv_lib_util=yes
@@ -17973,7 +18179,7 @@
   cf_cv_lib_util=no
 fi
 
-echo "$as_me:17976: checking for openpty header" >&5
+echo "$as_me:18182: checking for openpty header" >&5
 echo $ECHO_N "checking for openpty header... $ECHO_C" >&6
 if test "${cf_cv_func_openpty+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -18000,7 +18206,7 @@
     for cf_header in pty.h libutil.h util.h
     do
     cat >conftest.$ac_ext <<_ACEOF
-#line 18003 "configure"
+#line 18209 "configure"
 #include "confdefs.h"
 
 #include <$cf_header>
@@ -18017,16 +18223,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:18020: \"$ac_link\"") >&5
+if { (eval echo "$as_me:18226: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:18023: \$? = $ac_status" >&5
+  echo "$as_me:18229: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:18026: \"$ac_try\"") >&5
+  { (eval echo "$as_me:18232: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:18029: \$? = $ac_status" >&5
+  echo "$as_me:18235: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
         cf_cv_func_openpty=$cf_header
@@ -18044,7 +18250,7 @@
     LIBS="$cf_save_LIBS"
 
 fi
-echo "$as_me:18047: result: $cf_cv_func_openpty" >&5
+echo "$as_me:18253: result: $cf_cv_func_openpty" >&5
 echo "${ECHO_T}$cf_cv_func_openpty" >&6
 
 if test "$cf_cv_func_openpty" != no ; then
@@ -18114,7 +18320,7 @@
 			  cf_save_CPPFLAGS=$CPPFLAGS
 			  CPPFLAGS="$CPPFLAGS -I$cf_add_incdir"
 			  cat >conftest.$ac_ext <<_ACEOF
-#line 18117 "configure"
+#line 18323 "configure"
 #include "confdefs.h"
 #include <stdio.h>
 int
@@ -18126,16 +18332,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:18129: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:18335: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:18132: \$? = $ac_status" >&5
+  echo "$as_me:18338: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:18135: \"$ac_try\"") >&5
+  { (eval echo "$as_me:18341: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:18138: \$? = $ac_status" >&5
+  echo "$as_me:18344: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   :
 else
@@ -18152,7 +18358,7 @@
 		if test "$cf_have_incdir" = no ; then
 		  test -n "$verbose" && echo "	adding $cf_add_incdir to include-path" 1>&6
 
-echo "${as_me:-configure}:18155: testing adding $cf_add_incdir to include-path ..." 1>&5
+echo "${as_me:-configure}:18361: testing adding $cf_add_incdir to include-path ..." 1>&5
 
 		  CPPFLAGS="$CPPFLAGS -I$cf_add_incdir"
 
@@ -18186,7 +18392,7 @@
       if test "$cf_have_libdir" = no ; then
         test -n "$verbose" && echo "	adding $cf_add_libdir to library-path" 1>&6
 
-echo "${as_me:-configure}:18189: testing adding $cf_add_libdir to library-path ..." 1>&5
+echo "${as_me:-configure}:18395: testing adding $cf_add_libdir to library-path ..." 1>&5
 
         LDFLAGS="-L$cf_add_libdir $LDFLAGS"
       fi
@@ -18197,7 +18403,7 @@
 	else
 		case "$with_hashed_db" in #(vi
 		./*|../*|/*)
-			{ echo "$as_me:18200: WARNING: no such directory $with_hashed_db" >&5
+			{ echo "$as_me:18406: WARNING: no such directory $with_hashed_db" >&5
 echo "$as_me: WARNING: no such directory $with_hashed_db" >&2;}
 			;; #(vi
 		*)
@@ -18288,7 +18494,7 @@
 			  cf_save_CPPFLAGS=$CPPFLAGS
 			  CPPFLAGS="$CPPFLAGS -I$cf_add_incdir"
 			  cat >conftest.$ac_ext <<_ACEOF
-#line 18291 "configure"
+#line 18497 "configure"
 #include "confdefs.h"
 #include <stdio.h>
 int
@@ -18300,16 +18506,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:18303: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:18509: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:18306: \$? = $ac_status" >&5
+  echo "$as_me:18512: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:18309: \"$ac_try\"") >&5
+  { (eval echo "$as_me:18515: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:18312: \$? = $ac_status" >&5
+  echo "$as_me:18518: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   :
 else
@@ -18326,7 +18532,7 @@
 		if test "$cf_have_incdir" = no ; then
 		  test -n "$verbose" && echo "	adding $cf_add_incdir to include-path" 1>&6
 
-echo "${as_me:-configure}:18329: testing adding $cf_add_incdir to include-path ..." 1>&5
+echo "${as_me:-configure}:18535: testing adding $cf_add_incdir to include-path ..." 1>&5
 
 		  CPPFLAGS="$CPPFLAGS -I$cf_add_incdir"
 
@@ -18426,7 +18632,7 @@
       if test "$cf_have_libdir" = no ; then
         test -n "$verbose" && echo "	adding $cf_add_libdir to library-path" 1>&6
 
-echo "${as_me:-configure}:18429: testing adding $cf_add_libdir to library-path ..." 1>&5
+echo "${as_me:-configure}:18635: testing adding $cf_add_libdir to library-path ..." 1>&5
 
         LDFLAGS="-L$cf_add_libdir $LDFLAGS"
       fi
@@ -18443,23 +18649,23 @@
     fi
 esac
 
-echo "$as_me:18446: checking for db.h" >&5
+echo "$as_me:18652: checking for db.h" >&5
 echo $ECHO_N "checking for db.h... $ECHO_C" >&6
 if test "${ac_cv_header_db_h+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 18452 "configure"
+#line 18658 "configure"
 #include "confdefs.h"
 #include <db.h>
 _ACEOF
-if { (eval echo "$as_me:18456: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:18662: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:18462: \$? = $ac_status" >&5
+  echo "$as_me:18668: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_c_preproc_warn_flag
@@ -18478,11 +18684,11 @@
 fi
 rm -f conftest.err conftest.$ac_ext
 fi
-echo "$as_me:18481: result: $ac_cv_header_db_h" >&5
+echo "$as_me:18687: result: $ac_cv_header_db_h" >&5
 echo "${ECHO_T}$ac_cv_header_db_h" >&6
 if test $ac_cv_header_db_h = yes; then
 
-echo "$as_me:18485: checking for version of db" >&5
+echo "$as_me:18691: checking for version of db" >&5
 echo $ECHO_N "checking for version of db... $ECHO_C" >&6
 if test "${cf_cv_hashed_db_version+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -18493,10 +18699,10 @@
 for cf_db_version in 1 2 3 4 5 6
 do
 
-echo "${as_me:-configure}:18496: testing checking for db version $cf_db_version ..." 1>&5
+echo "${as_me:-configure}:18702: testing checking for db version $cf_db_version ..." 1>&5
 
 	cat >conftest.$ac_ext <<_ACEOF
-#line 18499 "configure"
+#line 18705 "configure"
 #include "confdefs.h"
 
 $ac_includes_default
@@ -18526,16 +18732,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:18529: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:18735: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:18532: \$? = $ac_status" >&5
+  echo "$as_me:18738: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:18535: \"$ac_try\"") >&5
+  { (eval echo "$as_me:18741: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:18538: \$? = $ac_status" >&5
+  echo "$as_me:18744: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
 	cf_cv_hashed_db_version=$cf_db_version
@@ -18549,16 +18755,16 @@
 done
 
 fi
-echo "$as_me:18552: result: $cf_cv_hashed_db_version" >&5
+echo "$as_me:18758: result: $cf_cv_hashed_db_version" >&5
 echo "${ECHO_T}$cf_cv_hashed_db_version" >&6
 
 if test "$cf_cv_hashed_db_version" = unknown ; then
-	{ { echo "$as_me:18556: error: Cannot determine version of db" >&5
+	{ { echo "$as_me:18762: error: Cannot determine version of db" >&5
 echo "$as_me: error: Cannot determine version of db" >&2;}
    { (exit 1); exit 1; }; }
 else
 
-echo "$as_me:18561: checking for db libraries" >&5
+echo "$as_me:18767: checking for db libraries" >&5
 echo $ECHO_N "checking for db libraries... $ECHO_C" >&6
 if test "${cf_cv_hashed_db_libs+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -18588,10 +18794,10 @@
 
 	fi
 
-echo "${as_me:-configure}:18591: testing checking for library "$cf_db_libs" ..." 1>&5
+echo "${as_me:-configure}:18797: testing checking for library "$cf_db_libs" ..." 1>&5
 
 	cat >conftest.$ac_ext <<_ACEOF
-#line 18594 "configure"
+#line 18800 "configure"
 #include "confdefs.h"
 
 $ac_includes_default
@@ -18646,16 +18852,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:18649: \"$ac_link\"") >&5
+if { (eval echo "$as_me:18855: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:18652: \$? = $ac_status" >&5
+  echo "$as_me:18858: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:18655: \"$ac_try\"") >&5
+  { (eval echo "$as_me:18861: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:18658: \$? = $ac_status" >&5
+  echo "$as_me:18864: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
 	if test -n "$cf_db_libs" ; then
@@ -18675,11 +18881,11 @@
 done
 
 fi
-echo "$as_me:18678: result: $cf_cv_hashed_db_libs" >&5
+echo "$as_me:18884: result: $cf_cv_hashed_db_libs" >&5
 echo "${ECHO_T}$cf_cv_hashed_db_libs" >&6
 
 	if test "$cf_cv_hashed_db_libs" = unknown ; then
-		{ { echo "$as_me:18682: error: Cannot determine library for db" >&5
+		{ { echo "$as_me:18888: error: Cannot determine library for db" >&5
 echo "$as_me: error: Cannot determine library for db" >&2;}
    { (exit 1); exit 1; }; }
 	elif test "$cf_cv_hashed_db_libs" != default ; then
@@ -18705,7 +18911,7 @@
 
 else
 
-	{ { echo "$as_me:18708: error: Cannot find db.h" >&5
+	{ { echo "$as_me:18914: error: Cannot find db.h" >&5
 echo "$as_me: error: Cannot find db.h" >&2;}
    { (exit 1); exit 1; }; }
 
@@ -18720,7 +18926,7 @@
 
 # Just in case, check if the C compiler has a bool type.
 
-echo "$as_me:18723: checking if we should include stdbool.h" >&5
+echo "$as_me:18929: checking if we should include stdbool.h" >&5
 echo $ECHO_N "checking if we should include stdbool.h... $ECHO_C" >&6
 
 if test "${cf_cv_header_stdbool_h+set}" = set; then
@@ -18728,7 +18934,7 @@
 else
 
 	cat >conftest.$ac_ext <<_ACEOF
-#line 18731 "configure"
+#line 18937 "configure"
 #include "confdefs.h"
 
 int
@@ -18740,23 +18946,23 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:18743: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:18949: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:18746: \$? = $ac_status" >&5
+  echo "$as_me:18952: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:18749: \"$ac_try\"") >&5
+  { (eval echo "$as_me:18955: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:18752: \$? = $ac_status" >&5
+  echo "$as_me:18958: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_header_stdbool_h=0
 else
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
 cat >conftest.$ac_ext <<_ACEOF
-#line 18759 "configure"
+#line 18965 "configure"
 #include "confdefs.h"
 
 #ifndef __BEOS__
@@ -18772,16 +18978,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:18775: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:18981: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:18778: \$? = $ac_status" >&5
+  echo "$as_me:18984: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:18781: \"$ac_try\"") >&5
+  { (eval echo "$as_me:18987: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:18784: \$? = $ac_status" >&5
+  echo "$as_me:18990: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_header_stdbool_h=1
 else
@@ -18795,13 +19001,13 @@
 fi
 
 if test "$cf_cv_header_stdbool_h" = 1
-then	echo "$as_me:18798: result: yes" >&5
+then	echo "$as_me:19004: result: yes" >&5
 echo "${ECHO_T}yes" >&6
-else	echo "$as_me:18800: result: no" >&5
+else	echo "$as_me:19006: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
-echo "$as_me:18804: checking for builtin bool type" >&5
+echo "$as_me:19010: checking for builtin bool type" >&5
 echo $ECHO_N "checking for builtin bool type... $ECHO_C" >&6
 
 if test "${cf_cv_cc_bool_type+set}" = set; then
@@ -18809,7 +19015,7 @@
 else
 
 	cat >conftest.$ac_ext <<_ACEOF
-#line 18812 "configure"
+#line 19018 "configure"
 #include "confdefs.h"
 
 #include <stdio.h>
@@ -18824,16 +19030,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:18827: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:19033: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:18830: \$? = $ac_status" >&5
+  echo "$as_me:19036: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:18833: \"$ac_try\"") >&5
+  { (eval echo "$as_me:19039: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:18836: \$? = $ac_status" >&5
+  echo "$as_me:19042: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_cc_bool_type=1
 else
@@ -18846,9 +19052,9 @@
 fi
 
 if test "$cf_cv_cc_bool_type" = 1
-then	echo "$as_me:18849: result: yes" >&5
+then	echo "$as_me:19055: result: yes" >&5
 echo "${ECHO_T}yes" >&6
-else	echo "$as_me:18851: result: no" >&5
+else	echo "$as_me:19057: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -18870,7 +19076,7 @@
 	cf_stdcpp_libname=stdc++
 	;;
 esac
-echo "$as_me:18873: checking for library $cf_stdcpp_libname" >&5
+echo "$as_me:19079: checking for library $cf_stdcpp_libname" >&5
 echo $ECHO_N "checking for library $cf_stdcpp_libname... $ECHO_C" >&6
 if test "${cf_cv_libstdcpp+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -18895,7 +19101,7 @@
 LIBS="$cf_add_libs"
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 18898 "configure"
+#line 19104 "configure"
 #include "confdefs.h"
 
 #include <strstream.h>
@@ -18911,16 +19117,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:18914: \"$ac_link\"") >&5
+if { (eval echo "$as_me:19120: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:18917: \$? = $ac_status" >&5
+  echo "$as_me:19123: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:18920: \"$ac_try\"") >&5
+  { (eval echo "$as_me:19126: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:18923: \$? = $ac_status" >&5
+  echo "$as_me:19129: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_libstdcpp=yes
 else
@@ -18932,7 +19138,7 @@
 	LIBS="$cf_save"
 
 fi
-echo "$as_me:18935: result: $cf_cv_libstdcpp" >&5
+echo "$as_me:19141: result: $cf_cv_libstdcpp" >&5
 echo "${ECHO_T}$cf_cv_libstdcpp" >&6
 test "$cf_cv_libstdcpp" = yes &&
 cf_add_libs="-l$cf_stdcpp_libname"
@@ -18953,7 +19159,7 @@
 
 fi
 
-	echo "$as_me:18956: checking whether $CXX understands -c and -o together" >&5
+	echo "$as_me:19162: checking whether $CXX understands -c and -o together" >&5
 echo $ECHO_N "checking whether $CXX understands -c and -o together... $ECHO_C" >&6
 if test "${cf_cv_prog_CXX_c_o+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -18969,15 +19175,15 @@
 # We do the test twice because some compilers refuse to overwrite an
 # existing .o file with -o, though they will create one.
 ac_try='$CXX -c conftest.$ac_ext -o conftest2.$ac_objext >&5'
-if { (eval echo "$as_me:18972: \"$ac_try\"") >&5
+if { (eval echo "$as_me:19178: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:18975: \$? = $ac_status" >&5
+  echo "$as_me:19181: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-  test -f conftest2.$ac_objext && { (eval echo "$as_me:18977: \"$ac_try\"") >&5
+  test -f conftest2.$ac_objext && { (eval echo "$as_me:19183: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:18980: \$? = $ac_status" >&5
+  echo "$as_me:19186: \$? = $ac_status" >&5
   (exit $ac_status); };
 then
   eval cf_cv_prog_CXX_c_o=yes
@@ -18988,10 +19194,10 @@
 
 fi
 if test $cf_cv_prog_CXX_c_o = yes; then
-  echo "$as_me:18991: result: yes" >&5
+  echo "$as_me:19197: result: yes" >&5
 echo "${ECHO_T}yes" >&6
 else
-  echo "$as_me:18994: result: no" >&5
+  echo "$as_me:19200: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -19011,7 +19217,7 @@
 	;;
 esac
 if test "$GXX" = yes; then
-	echo "$as_me:19014: checking for lib$cf_gpp_libname" >&5
+	echo "$as_me:19220: checking for lib$cf_gpp_libname" >&5
 echo $ECHO_N "checking for lib$cf_gpp_libname... $ECHO_C" >&6
 	cf_save="$LIBS"
 
@@ -19032,7 +19238,7 @@
 LIBS="$cf_add_libs"
 
 	cat >conftest.$ac_ext <<_ACEOF
-#line 19035 "configure"
+#line 19241 "configure"
 #include "confdefs.h"
 
 #include <$cf_gpp_libname/builtin.h>
@@ -19046,16 +19252,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:19049: \"$ac_link\"") >&5
+if { (eval echo "$as_me:19255: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:19052: \$? = $ac_status" >&5
+  echo "$as_me:19258: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:19055: \"$ac_try\"") >&5
+  { (eval echo "$as_me:19261: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:19058: \$? = $ac_status" >&5
+  echo "$as_me:19264: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cxx_library=yes
 
@@ -19092,7 +19298,7 @@
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
 cat >conftest.$ac_ext <<_ACEOF
-#line 19095 "configure"
+#line 19301 "configure"
 #include "confdefs.h"
 
 #include <builtin.h>
@@ -19106,16 +19312,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:19109: \"$ac_link\"") >&5
+if { (eval echo "$as_me:19315: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:19112: \$? = $ac_status" >&5
+  echo "$as_me:19318: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:19115: \"$ac_try\"") >&5
+  { (eval echo "$as_me:19321: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:19118: \$? = $ac_status" >&5
+  echo "$as_me:19324: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cxx_library=yes
 
@@ -19148,7 +19354,7 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 	LIBS="$cf_save"
-	echo "$as_me:19151: result: $cf_cxx_library" >&5
+	echo "$as_me:19357: result: $cf_cxx_library" >&5
 echo "${ECHO_T}$cf_cxx_library" >&6
 fi
 
@@ -19164,7 +19370,7 @@
 ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
 ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
 ac_main_return=return
-echo "$as_me:19167: checking how to run the C++ preprocessor" >&5
+echo "$as_me:19373: checking how to run the C++ preprocessor" >&5
 echo $ECHO_N "checking how to run the C++ preprocessor... $ECHO_C" >&6
 if test -z "$CXXCPP"; then
   if test "${ac_cv_prog_CXXCPP+set}" = set; then
@@ -19181,18 +19387,18 @@
   # On the NeXT, cc -E runs the code through the compiler's parser,
   # not just through cpp. "Syntax error" is here to catch this case.
   cat >conftest.$ac_ext <<_ACEOF
-#line 19184 "configure"
+#line 19390 "configure"
 #include "confdefs.h"
 #include <assert.h>
                      Syntax error
 _ACEOF
-if { (eval echo "$as_me:19189: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:19395: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:19195: \$? = $ac_status" >&5
+  echo "$as_me:19401: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_cxx_preproc_warn_flag
@@ -19215,17 +19421,17 @@
   # OK, works on sane cases.  Now check whether non-existent headers
   # can be detected and how.
   cat >conftest.$ac_ext <<_ACEOF
-#line 19218 "configure"
+#line 19424 "configure"
 #include "confdefs.h"
 #include <ac_nonexistent.h>
 _ACEOF
-if { (eval echo "$as_me:19222: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:19428: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:19228: \$? = $ac_status" >&5
+  echo "$as_me:19434: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_cxx_preproc_warn_flag
@@ -19262,7 +19468,7 @@
 else
   ac_cv_prog_CXXCPP=$CXXCPP
 fi
-echo "$as_me:19265: result: $CXXCPP" >&5
+echo "$as_me:19471: result: $CXXCPP" >&5
 echo "${ECHO_T}$CXXCPP" >&6
 ac_preproc_ok=false
 for ac_cxx_preproc_warn_flag in '' yes
@@ -19272,18 +19478,18 @@
   # On the NeXT, cc -E runs the code through the compiler's parser,
   # not just through cpp. "Syntax error" is here to catch this case.
   cat >conftest.$ac_ext <<_ACEOF
-#line 19275 "configure"
+#line 19481 "configure"
 #include "confdefs.h"
 #include <assert.h>
                      Syntax error
 _ACEOF
-if { (eval echo "$as_me:19280: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:19486: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:19286: \$? = $ac_status" >&5
+  echo "$as_me:19492: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_cxx_preproc_warn_flag
@@ -19306,17 +19512,17 @@
   # OK, works on sane cases.  Now check whether non-existent headers
   # can be detected and how.
   cat >conftest.$ac_ext <<_ACEOF
-#line 19309 "configure"
+#line 19515 "configure"
 #include "confdefs.h"
 #include <ac_nonexistent.h>
 _ACEOF
-if { (eval echo "$as_me:19313: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:19519: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:19319: \$? = $ac_status" >&5
+  echo "$as_me:19525: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_cxx_preproc_warn_flag
@@ -19344,7 +19550,7 @@
 if $ac_preproc_ok; then
   :
 else
-  { { echo "$as_me:19347: error: C++ preprocessor \"$CXXCPP\" fails sanity check" >&5
+  { { echo "$as_me:19553: error: C++ preprocessor \"$CXXCPP\" fails sanity check" >&5
 echo "$as_me: error: C++ preprocessor \"$CXXCPP\" fails sanity check" >&2;}
    { (exit 1); exit 1; }; }
 fi
@@ -19359,23 +19565,23 @@
 for ac_header in typeinfo
 do
 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
-echo "$as_me:19362: checking for $ac_header" >&5
+echo "$as_me:19568: checking for $ac_header" >&5
 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
 if eval "test \"\${$as_ac_Header+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 19368 "configure"
+#line 19574 "configure"
 #include "confdefs.h"
 #include <$ac_header>
 _ACEOF
-if { (eval echo "$as_me:19372: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:19578: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:19378: \$? = $ac_status" >&5
+  echo "$as_me:19584: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_cxx_preproc_warn_flag
@@ -19394,7 +19600,7 @@
 fi
 rm -f conftest.err conftest.$ac_ext
 fi
-echo "$as_me:19397: result: `eval echo '${'$as_ac_Header'}'`" >&5
+echo "$as_me:19603: result: `eval echo '${'$as_ac_Header'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
 if test `eval echo '${'$as_ac_Header'}'` = yes; then
   cat >>confdefs.h <<EOF
@@ -19407,23 +19613,23 @@
 for ac_header in iostream
 do
 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
-echo "$as_me:19410: checking for $ac_header" >&5
+echo "$as_me:19616: checking for $ac_header" >&5
 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
 if eval "test \"\${$as_ac_Header+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 19416 "configure"
+#line 19622 "configure"
 #include "confdefs.h"
 #include <$ac_header>
 _ACEOF
-if { (eval echo "$as_me:19420: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:19626: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:19426: \$? = $ac_status" >&5
+  echo "$as_me:19632: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_cxx_preproc_warn_flag
@@ -19442,7 +19648,7 @@
 fi
 rm -f conftest.err conftest.$ac_ext
 fi
-echo "$as_me:19445: result: `eval echo '${'$as_ac_Header'}'`" >&5
+echo "$as_me:19651: result: `eval echo '${'$as_ac_Header'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
 if test `eval echo '${'$as_ac_Header'}'` = yes; then
   cat >>confdefs.h <<EOF
@@ -19453,10 +19659,10 @@
 done
 
 if test x"$ac_cv_header_iostream" = xyes ; then
-	echo "$as_me:19456: checking if iostream uses std-namespace" >&5
+	echo "$as_me:19662: checking if iostream uses std-namespace" >&5
 echo $ECHO_N "checking if iostream uses std-namespace... $ECHO_C" >&6
 	cat >conftest.$ac_ext <<_ACEOF
-#line 19459 "configure"
+#line 19665 "configure"
 #include "confdefs.h"
 
 #include <iostream>
@@ -19473,16 +19679,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:19476: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:19682: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:19479: \$? = $ac_status" >&5
+  echo "$as_me:19685: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:19482: \"$ac_try\"") >&5
+  { (eval echo "$as_me:19688: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:19485: \$? = $ac_status" >&5
+  echo "$as_me:19691: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_iostream_namespace=yes
 else
@@ -19491,7 +19697,7 @@
 cf_iostream_namespace=no
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
-	echo "$as_me:19494: result: $cf_iostream_namespace" >&5
+	echo "$as_me:19700: result: $cf_iostream_namespace" >&5
 echo "${ECHO_T}$cf_iostream_namespace" >&6
 	if test "$cf_iostream_namespace" = yes ; then
 
@@ -19502,7 +19708,7 @@
 	fi
 fi
 
-echo "$as_me:19505: checking if we should include stdbool.h" >&5
+echo "$as_me:19711: checking if we should include stdbool.h" >&5
 echo $ECHO_N "checking if we should include stdbool.h... $ECHO_C" >&6
 
 if test "${cf_cv_header_stdbool_h+set}" = set; then
@@ -19510,7 +19716,7 @@
 else
 
 	cat >conftest.$ac_ext <<_ACEOF
-#line 19513 "configure"
+#line 19719 "configure"
 #include "confdefs.h"
 
 int
@@ -19522,23 +19728,23 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:19525: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:19731: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:19528: \$? = $ac_status" >&5
+  echo "$as_me:19734: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:19531: \"$ac_try\"") >&5
+  { (eval echo "$as_me:19737: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:19534: \$? = $ac_status" >&5
+  echo "$as_me:19740: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_header_stdbool_h=0
 else
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
 cat >conftest.$ac_ext <<_ACEOF
-#line 19541 "configure"
+#line 19747 "configure"
 #include "confdefs.h"
 
 #ifndef __BEOS__
@@ -19554,16 +19760,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:19557: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:19763: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:19560: \$? = $ac_status" >&5
+  echo "$as_me:19766: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:19563: \"$ac_try\"") >&5
+  { (eval echo "$as_me:19769: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:19566: \$? = $ac_status" >&5
+  echo "$as_me:19772: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_header_stdbool_h=1
 else
@@ -19577,13 +19783,13 @@
 fi
 
 if test "$cf_cv_header_stdbool_h" = 1
-then	echo "$as_me:19580: result: yes" >&5
+then	echo "$as_me:19786: result: yes" >&5
 echo "${ECHO_T}yes" >&6
-else	echo "$as_me:19582: result: no" >&5
+else	echo "$as_me:19788: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
-echo "$as_me:19586: checking for builtin bool type" >&5
+echo "$as_me:19792: checking for builtin bool type" >&5
 echo $ECHO_N "checking for builtin bool type... $ECHO_C" >&6
 
 if test "${cf_cv_builtin_bool+set}" = set; then
@@ -19591,7 +19797,7 @@
 else
 
 	cat >conftest.$ac_ext <<_ACEOF
-#line 19594 "configure"
+#line 19800 "configure"
 #include "confdefs.h"
 
 #include <stdio.h>
@@ -19606,16 +19812,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:19609: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:19815: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:19612: \$? = $ac_status" >&5
+  echo "$as_me:19818: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:19615: \"$ac_try\"") >&5
+  { (eval echo "$as_me:19821: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:19618: \$? = $ac_status" >&5
+  echo "$as_me:19824: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_builtin_bool=1
 else
@@ -19628,13 +19834,13 @@
 fi
 
 if test "$cf_cv_builtin_bool" = 1
-then	echo "$as_me:19631: result: yes" >&5
+then	echo "$as_me:19837: result: yes" >&5
 echo "${ECHO_T}yes" >&6
-else	echo "$as_me:19633: result: no" >&5
+else	echo "$as_me:19839: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
-echo "$as_me:19637: checking for size of bool" >&5
+echo "$as_me:19843: checking for size of bool" >&5
 echo $ECHO_N "checking for size of bool... $ECHO_C" >&6
 if test "${cf_cv_type_of_bool+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -19645,7 +19851,7 @@
   cf_cv_type_of_bool=unknown
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 19648 "configure"
+#line 19854 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -19687,15 +19893,15 @@
 
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:19690: \"$ac_link\"") >&5
+if { (eval echo "$as_me:19896: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:19693: \$? = $ac_status" >&5
+  echo "$as_me:19899: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:19695: \"$ac_try\"") >&5
+  { (eval echo "$as_me:19901: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:19698: \$? = $ac_status" >&5
+  echo "$as_me:19904: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_type_of_bool=`cat cf_test.out`
 		 if test -z "$cf_cv_type_of_bool"; then
@@ -19713,18 +19919,18 @@
 fi
 
 	rm -f cf_test.out
-echo "$as_me:19716: result: $cf_cv_type_of_bool" >&5
+echo "$as_me:19922: result: $cf_cv_type_of_bool" >&5
 echo "${ECHO_T}$cf_cv_type_of_bool" >&6
 if test "$cf_cv_type_of_bool" = unknown ; then
 	case .$NCURSES_BOOL in #(vi
 	.auto|.) NCURSES_BOOL=unsigned;;
 	esac
-	{ echo "$as_me:19722: WARNING: Assuming $NCURSES_BOOL for type of bool" >&5
+	{ echo "$as_me:19928: WARNING: Assuming $NCURSES_BOOL for type of bool" >&5
 echo "$as_me: WARNING: Assuming $NCURSES_BOOL for type of bool" >&2;}
 	cf_cv_type_of_bool=$NCURSES_BOOL
 fi
 
-echo "$as_me:19727: checking for special defines needed for etip.h" >&5
+echo "$as_me:19933: checking for special defines needed for etip.h" >&5
 echo $ECHO_N "checking for special defines needed for etip.h... $ECHO_C" >&6
 cf_save_CXXFLAGS="$CXXFLAGS"
 cf_result="none"
@@ -19742,7 +19948,7 @@
 	test -n "$cf_math" && CXXFLAGS="$CXXFLAGS -DETIP_NEEDS_${cf_math}"
 	test -n "$cf_excp" && CXXFLAGS="$CXXFLAGS -DETIP_NEEDS_${cf_excp}"
 cat >conftest.$ac_ext <<_ACEOF
-#line 19745 "configure"
+#line 19951 "configure"
 #include "confdefs.h"
 
 #include <etip.h.in>
@@ -19756,16 +19962,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:19759: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:19965: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:19762: \$? = $ac_status" >&5
+  echo "$as_me:19968: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:19765: \"$ac_try\"") >&5
+  { (eval echo "$as_me:19971: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:19768: \$? = $ac_status" >&5
+  echo "$as_me:19974: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
 	test -n "$cf_math" && cat >>confdefs.h <<EOF
@@ -19786,12 +19992,12 @@
 rm -f conftest.$ac_objext conftest.$ac_ext
 done
 done
-echo "$as_me:19789: result: $cf_result" >&5
+echo "$as_me:19995: result: $cf_result" >&5
 echo "${ECHO_T}$cf_result" >&6
 CXXFLAGS="$cf_save_CXXFLAGS"
 
 if test -n "$CXX"; then
-echo "$as_me:19794: checking if $CXX accepts parameter initialization" >&5
+echo "$as_me:20000: checking if $CXX accepts parameter initialization" >&5
 echo $ECHO_N "checking if $CXX accepts parameter initialization... $ECHO_C" >&6
 if test "${cf_cv_cpp_param_init+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -19808,7 +20014,7 @@
   cf_cv_cpp_param_init=unknown
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 19811 "configure"
+#line 20017 "configure"
 #include "confdefs.h"
 
 class TEST {
@@ -19827,15 +20033,15 @@
 
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:19830: \"$ac_link\"") >&5
+if { (eval echo "$as_me:20036: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:19833: \$? = $ac_status" >&5
+  echo "$as_me:20039: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:19835: \"$ac_try\"") >&5
+  { (eval echo "$as_me:20041: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:19838: \$? = $ac_status" >&5
+  echo "$as_me:20044: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_cpp_param_init=yes
 else
@@ -19854,7 +20060,7 @@
 ac_main_return=return
 
 fi
-echo "$as_me:19857: result: $cf_cv_cpp_param_init" >&5
+echo "$as_me:20063: result: $cf_cv_cpp_param_init" >&5
 echo "${ECHO_T}$cf_cv_cpp_param_init" >&6
 fi
 test "$cf_cv_cpp_param_init" = yes &&
@@ -19864,7 +20070,7 @@
 
 if test -n "$CXX"; then
 
-echo "$as_me:19867: checking if $CXX accepts static_cast" >&5
+echo "$as_me:20073: checking if $CXX accepts static_cast" >&5
 echo $ECHO_N "checking if $CXX accepts static_cast... $ECHO_C" >&6
 if test "${cf_cv_cpp_static_cast+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -19878,7 +20084,7 @@
 ac_main_return=return
 
 	cat >conftest.$ac_ext <<_ACEOF
-#line 19881 "configure"
+#line 20087 "configure"
 #include "confdefs.h"
 
 class NCursesPanel
@@ -19922,16 +20128,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:19925: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:20131: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:19928: \$? = $ac_status" >&5
+  echo "$as_me:20134: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:19931: \"$ac_try\"") >&5
+  { (eval echo "$as_me:20137: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:19934: \$? = $ac_status" >&5
+  echo "$as_me:20140: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_cpp_static_cast=yes
 else
@@ -19949,7 +20155,7 @@
 ac_main_return=return
 
 fi
-echo "$as_me:19952: result: $cf_cv_cpp_static_cast" >&5
+echo "$as_me:20158: result: $cf_cv_cpp_static_cast" >&5
 echo "${ECHO_T}$cf_cv_cpp_static_cast" >&6
 
 fi
@@ -19998,7 +20204,7 @@
 	else
 		if test "$cf_cv_header_stdbool_h" = 1 ; then
 
-echo "$as_me:20001: checking for size of bool" >&5
+echo "$as_me:20207: checking for size of bool" >&5
 echo $ECHO_N "checking for size of bool... $ECHO_C" >&6
 if test "${cf_cv_type_of_bool+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -20009,7 +20215,7 @@
   cf_cv_type_of_bool=unknown
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 20012 "configure"
+#line 20218 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -20051,15 +20257,15 @@
 
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:20054: \"$ac_link\"") >&5
+if { (eval echo "$as_me:20260: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:20057: \$? = $ac_status" >&5
+  echo "$as_me:20263: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:20059: \"$ac_try\"") >&5
+  { (eval echo "$as_me:20265: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:20062: \$? = $ac_status" >&5
+  echo "$as_me:20268: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_type_of_bool=`cat cf_test.out`
 		 if test -z "$cf_cv_type_of_bool"; then
@@ -20077,25 +20283,25 @@
 fi
 
 	rm -f cf_test.out
-echo "$as_me:20080: result: $cf_cv_type_of_bool" >&5
+echo "$as_me:20286: result: $cf_cv_type_of_bool" >&5
 echo "${ECHO_T}$cf_cv_type_of_bool" >&6
 if test "$cf_cv_type_of_bool" = unknown ; then
 	case .$NCURSES_BOOL in #(vi
 	.auto|.) NCURSES_BOOL=unsigned;;
 	esac
-	{ echo "$as_me:20086: WARNING: Assuming $NCURSES_BOOL for type of bool" >&5
+	{ echo "$as_me:20292: WARNING: Assuming $NCURSES_BOOL for type of bool" >&5
 echo "$as_me: WARNING: Assuming $NCURSES_BOOL for type of bool" >&2;}
 	cf_cv_type_of_bool=$NCURSES_BOOL
 fi
 
 		else
-			echo "$as_me:20092: checking for fallback type of bool" >&5
+			echo "$as_me:20298: checking for fallback type of bool" >&5
 echo $ECHO_N "checking for fallback type of bool... $ECHO_C" >&6
 			case "$host_cpu" in #(vi
 			i?86)	cf_cv_type_of_bool=char	;; #(vi
 			*)	cf_cv_type_of_bool=int	;;
 			esac
-			echo "$as_me:20098: result: $cf_cv_type_of_bool" >&5
+			echo "$as_me:20304: result: $cf_cv_type_of_bool" >&5
 echo "${ECHO_T}$cf_cv_type_of_bool" >&6
 		fi
 	fi
@@ -20124,7 +20330,7 @@
 
 	if test "$cf_with_ada" != "no" ; then
 		if test "$with_libtool" != "no"; then
-			{ echo "$as_me:20127: WARNING: libtool does not support Ada - disabling feature" >&5
+			{ echo "$as_me:20333: WARNING: libtool does not support Ada - disabling feature" >&5
 echo "$as_me: WARNING: libtool does not support Ada - disabling feature" >&2;}
 			cf_with_ada=no
 		fi
@@ -20135,7 +20341,7 @@
 cf_ada_make=gnatmake
 # Extract the first word of "$cf_ada_make", so it can be a program name with args.
 set dummy $cf_ada_make; ac_word=$2
-echo "$as_me:20138: checking for $ac_word" >&5
+echo "$as_me:20344: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_prog_gnat_exists+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -20150,7 +20356,7 @@
   test -z "$ac_dir" && ac_dir=.
   $as_executable_p "$ac_dir/$ac_word" || continue
 ac_cv_prog_gnat_exists="yes"
-echo "$as_me:20153: found $ac_dir/$ac_word" >&5
+echo "$as_me:20359: found $ac_dir/$ac_word" >&5
 break
 done
 
@@ -20159,10 +20365,10 @@
 fi
 gnat_exists=$ac_cv_prog_gnat_exists
 if test -n "$gnat_exists"; then
-  echo "$as_me:20162: result: $gnat_exists" >&5
+  echo "$as_me:20368: result: $gnat_exists" >&5
 echo "${ECHO_T}$gnat_exists" >&6
 else
-  echo "$as_me:20165: result: no" >&5
+  echo "$as_me:20371: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -20171,12 +20377,12 @@
    cf_cv_prog_gnat_correct=no
 else
 
-echo "$as_me:20174: checking for gnat version" >&5
+echo "$as_me:20380: checking for gnat version" >&5
 echo $ECHO_N "checking for gnat version... $ECHO_C" >&6
 cf_gnat_version=`${cf_ada_make:-gnatmake} -v 2>&1 | \
 	grep '[0-9].[0-9][0-9]*' |\
     sed -e '2,$d' -e 's/[^0-9 \.]//g' -e 's/^[ ]*//' -e 's/ .*//'`
-echo "$as_me:20179: result: $cf_gnat_version" >&5
+echo "$as_me:20385: result: $cf_gnat_version" >&5
 echo "${ECHO_T}$cf_gnat_version" >&6
 
 case $cf_gnat_version in #(vi
@@ -20184,7 +20390,7 @@
 	cf_cv_prog_gnat_correct=yes
 	;;
 *)
-	{ echo "$as_me:20187: WARNING: Unsupported GNAT version $cf_gnat_version. We require 3.11 or better. Disabling Ada95 binding." >&5
+	{ echo "$as_me:20393: WARNING: Unsupported GNAT version $cf_gnat_version. We require 3.11 or better. Disabling Ada95 binding." >&5
 echo "$as_me: WARNING: Unsupported GNAT version $cf_gnat_version. We require 3.11 or better. Disabling Ada95 binding." >&2;}
 	cf_cv_prog_gnat_correct=no
 	;;
@@ -20192,7 +20398,7 @@
 
    # Extract the first word of "m4", so it can be a program name with args.
 set dummy m4; ac_word=$2
-echo "$as_me:20195: checking for $ac_word" >&5
+echo "$as_me:20401: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_prog_M4_exists+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -20207,7 +20413,7 @@
   test -z "$ac_dir" && ac_dir=.
   $as_executable_p "$ac_dir/$ac_word" || continue
 ac_cv_prog_M4_exists="yes"
-echo "$as_me:20210: found $ac_dir/$ac_word" >&5
+echo "$as_me:20416: found $ac_dir/$ac_word" >&5
 break
 done
 
@@ -20216,10 +20422,10 @@
 fi
 M4_exists=$ac_cv_prog_M4_exists
 if test -n "$M4_exists"; then
-  echo "$as_me:20219: result: $M4_exists" >&5
+  echo "$as_me:20425: result: $M4_exists" >&5
 echo "${ECHO_T}$M4_exists" >&6
 else
-  echo "$as_me:20222: result: no" >&5
+  echo "$as_me:20428: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -20228,7 +20434,7 @@
       echo Ada95 binding required program m4 not found. Ada95 binding disabled.
    fi
    if test "$cf_cv_prog_gnat_correct" = yes; then
-      echo "$as_me:20231: checking if GNAT works" >&5
+      echo "$as_me:20437: checking if GNAT works" >&5
 echo $ECHO_N "checking if GNAT works... $ECHO_C" >&6
 
 rm -rf conftest* *~conftest*
@@ -20256,7 +20462,7 @@
 fi
 rm -rf conftest* *~conftest*
 
-      echo "$as_me:20259: result: $cf_cv_prog_gnat_correct" >&5
+      echo "$as_me:20465: result: $cf_cv_prog_gnat_correct" >&5
 echo "${ECHO_T}$cf_cv_prog_gnat_correct" >&6
    fi
 fi
@@ -20265,7 +20471,7 @@
 
  	ADAFLAGS="$ADAFLAGS -gnatpn"
 
-	echo "$as_me:20268: checking optimization options for ADAFLAGS" >&5
+	echo "$as_me:20474: checking optimization options for ADAFLAGS" >&5
 echo $ECHO_N "checking optimization options for ADAFLAGS... $ECHO_C" >&6
 	case "$CFLAGS" in
 	*-g*)
@@ -20282,10 +20488,10 @@
 
 		;;
 	esac
-	echo "$as_me:20285: result: $ADAFLAGS" >&5
+	echo "$as_me:20491: result: $ADAFLAGS" >&5
 echo "${ECHO_T}$ADAFLAGS" >&6
 
-echo "$as_me:20288: checking if GNATPREP supports -T option" >&5
+echo "$as_me:20494: checking if GNATPREP supports -T option" >&5
 echo $ECHO_N "checking if GNATPREP supports -T option... $ECHO_C" >&6
 if test "${cf_cv_gnatprep_opt_t+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -20295,11 +20501,11 @@
 gnatprep -T 2>/dev/null >/dev/null && cf_cv_gnatprep_opt_t=yes
 
 fi
-echo "$as_me:20298: result: $cf_cv_gnatprep_opt_t" >&5
+echo "$as_me:20504: result: $cf_cv_gnatprep_opt_t" >&5
 echo "${ECHO_T}$cf_cv_gnatprep_opt_t" >&6
 test "$cf_cv_gnatprep_opt_t" = yes && GNATPREP_OPTS="-T $GNATPREP_OPTS"
 
-echo "$as_me:20302: checking if GNAT supports generics" >&5
+echo "$as_me:20508: checking if GNAT supports generics" >&5
 echo $ECHO_N "checking if GNAT supports generics... $ECHO_C" >&6
 case $cf_gnat_version in #(vi
 3.[1-9]*|[4-9].*) #(vi
@@ -20309,7 +20515,7 @@
 	cf_gnat_generics=no
 	;;
 esac
-echo "$as_me:20312: result: $cf_gnat_generics" >&5
+echo "$as_me:20518: result: $cf_gnat_generics" >&5
 echo "${ECHO_T}$cf_gnat_generics" >&6
 
 if test "$cf_gnat_generics" = yes
@@ -20321,7 +20527,7 @@
 	cf_generic_objects=
 fi
 
-echo "$as_me:20324: checking if GNAT supports SIGINT" >&5
+echo "$as_me:20530: checking if GNAT supports SIGINT" >&5
 echo $ECHO_N "checking if GNAT supports SIGINT... $ECHO_C" >&6
 if test "${cf_cv_gnat_sigint+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -20369,7 +20575,7 @@
 rm -rf conftest* *~conftest*
 
 fi
-echo "$as_me:20372: result: $cf_cv_gnat_sigint" >&5
+echo "$as_me:20578: result: $cf_cv_gnat_sigint" >&5
 echo "${ECHO_T}$cf_cv_gnat_sigint" >&6
 
 if test $cf_cv_gnat_sigint = yes ; then
@@ -20382,7 +20588,7 @@
 cf_gnat_projects=no
 
 if test "$enable_gnat_projects" != no ; then
-echo "$as_me:20385: checking if GNAT supports project files" >&5
+echo "$as_me:20591: checking if GNAT supports project files" >&5
 echo $ECHO_N "checking if GNAT supports project files... $ECHO_C" >&6
 case $cf_gnat_version in #(vi
 3.[0-9]*) #(vi
@@ -20442,15 +20648,15 @@
 	esac
 	;;
 esac
-echo "$as_me:20445: result: $cf_gnat_projects" >&5
+echo "$as_me:20651: result: $cf_gnat_projects" >&5
 echo "${ECHO_T}$cf_gnat_projects" >&6
 fi # enable_gnat_projects
 
 if test $cf_gnat_projects = yes
 then
-	echo "$as_me:20451: checking if GNAT supports libraries" >&5
+	echo "$as_me:20657: checking if GNAT supports libraries" >&5
 echo $ECHO_N "checking if GNAT supports libraries... $ECHO_C" >&6
-	echo "$as_me:20453: result: $cf_gnat_libraries" >&5
+	echo "$as_me:20659: result: $cf_gnat_libraries" >&5
 echo "${ECHO_T}$cf_gnat_libraries" >&6
 fi
 
@@ -20470,7 +20676,7 @@
 	USE_GNAT_LIBRARIES="#"
 fi
 
-echo "$as_me:20473: checking for ada-compiler" >&5
+echo "$as_me:20679: checking for ada-compiler" >&5
 echo $ECHO_N "checking for ada-compiler... $ECHO_C" >&6
 
 # Check whether --with-ada-compiler or --without-ada-compiler was given.
@@ -20481,12 +20687,12 @@
   cf_ada_compiler=gnatmake
 fi;
 
-echo "$as_me:20484: result: $cf_ada_compiler" >&5
+echo "$as_me:20690: result: $cf_ada_compiler" >&5
 echo "${ECHO_T}$cf_ada_compiler" >&6
 
 			cf_ada_package=terminal_interface
 
-echo "$as_me:20489: checking for ada-include" >&5
+echo "$as_me:20695: checking for ada-include" >&5
 echo $ECHO_N "checking for ada-include... $ECHO_C" >&6
 
 # Check whether --with-ada-include or --without-ada-include was given.
@@ -20522,7 +20728,7 @@
   withval=`echo $withval | sed -e s%NONE%$cf_path_syntax%`
   ;;
 *)
-  { { echo "$as_me:20525: error: expected a pathname, not \"$withval\"" >&5
+  { { echo "$as_me:20731: error: expected a pathname, not \"$withval\"" >&5
 echo "$as_me: error: expected a pathname, not \"$withval\"" >&2;}
    { (exit 1); exit 1; }; }
   ;;
@@ -20531,10 +20737,10 @@
 fi
 eval ADA_INCLUDE="$withval"
 
-echo "$as_me:20534: result: $ADA_INCLUDE" >&5
+echo "$as_me:20740: result: $ADA_INCLUDE" >&5
 echo "${ECHO_T}$ADA_INCLUDE" >&6
 
-echo "$as_me:20537: checking for ada-objects" >&5
+echo "$as_me:20743: checking for ada-objects" >&5
 echo $ECHO_N "checking for ada-objects... $ECHO_C" >&6
 
 # Check whether --with-ada-objects or --without-ada-objects was given.
@@ -20570,7 +20776,7 @@
   withval=`echo $withval | sed -e s%NONE%$cf_path_syntax%`
   ;;
 *)
-  { { echo "$as_me:20573: error: expected a pathname, not \"$withval\"" >&5
+  { { echo "$as_me:20779: error: expected a pathname, not \"$withval\"" >&5
 echo "$as_me: error: expected a pathname, not \"$withval\"" >&2;}
    { (exit 1); exit 1; }; }
   ;;
@@ -20579,10 +20785,10 @@
 fi
 eval ADA_OBJECTS="$withval"
 
-echo "$as_me:20582: result: $ADA_OBJECTS" >&5
+echo "$as_me:20788: result: $ADA_OBJECTS" >&5
 echo "${ECHO_T}$ADA_OBJECTS" >&6
 
-echo "$as_me:20585: checking if an Ada95 shared-library should be built" >&5
+echo "$as_me:20791: checking if an Ada95 shared-library should be built" >&5
 echo $ECHO_N "checking if an Ada95 shared-library should be built... $ECHO_C" >&6
 
 # Check whether --with-ada-sharedlib or --without-ada-sharedlib was given.
@@ -20592,7 +20798,7 @@
 else
   with_ada_sharedlib=no
 fi;
-echo "$as_me:20595: result: $with_ada_sharedlib" >&5
+echo "$as_me:20801: result: $with_ada_sharedlib" >&5
 echo "${ECHO_T}$with_ada_sharedlib" >&6
 
 ADA_SHAREDLIB='lib$(LIB_NAME).so.1'
@@ -20615,13 +20821,13 @@
 
 # do this "late" to avoid conflict with header-checks
 if test "x$with_widec" = xyes ; then
-	echo "$as_me:20618: checking for wchar_t" >&5
+	echo "$as_me:20824: checking for wchar_t" >&5
 echo $ECHO_N "checking for wchar_t... $ECHO_C" >&6
 if test "${ac_cv_type_wchar_t+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 20624 "configure"
+#line 20830 "configure"
 #include "confdefs.h"
 $ac_includes_default
 int
@@ -20636,16 +20842,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:20639: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:20845: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:20642: \$? = $ac_status" >&5
+  echo "$as_me:20848: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:20645: \"$ac_try\"") >&5
+  { (eval echo "$as_me:20851: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:20648: \$? = $ac_status" >&5
+  echo "$as_me:20854: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_type_wchar_t=yes
 else
@@ -20655,10 +20861,10 @@
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 fi
-echo "$as_me:20658: result: $ac_cv_type_wchar_t" >&5
+echo "$as_me:20864: result: $ac_cv_type_wchar_t" >&5
 echo "${ECHO_T}$ac_cv_type_wchar_t" >&6
 
-echo "$as_me:20661: checking size of wchar_t" >&5
+echo "$as_me:20867: checking size of wchar_t" >&5
 echo $ECHO_N "checking size of wchar_t... $ECHO_C" >&6
 if test "${ac_cv_sizeof_wchar_t+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -20667,7 +20873,7 @@
   if test "$cross_compiling" = yes; then
   # Depending upon the size, compute the lo and hi bounds.
 cat >conftest.$ac_ext <<_ACEOF
-#line 20670 "configure"
+#line 20876 "configure"
 #include "confdefs.h"
 $ac_includes_default
 int
@@ -20679,21 +20885,21 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:20682: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:20888: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:20685: \$? = $ac_status" >&5
+  echo "$as_me:20891: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:20688: \"$ac_try\"") >&5
+  { (eval echo "$as_me:20894: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:20691: \$? = $ac_status" >&5
+  echo "$as_me:20897: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_lo=0 ac_mid=0
   while :; do
     cat >conftest.$ac_ext <<_ACEOF
-#line 20696 "configure"
+#line 20902 "configure"
 #include "confdefs.h"
 $ac_includes_default
 int
@@ -20705,16 +20911,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:20708: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:20914: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:20711: \$? = $ac_status" >&5
+  echo "$as_me:20917: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:20714: \"$ac_try\"") >&5
+  { (eval echo "$as_me:20920: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:20717: \$? = $ac_status" >&5
+  echo "$as_me:20923: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_hi=$ac_mid; break
 else
@@ -20730,7 +20936,7 @@
 ac_hi=-1 ac_mid=-1
   while :; do
     cat >conftest.$ac_ext <<_ACEOF
-#line 20733 "configure"
+#line 20939 "configure"
 #include "confdefs.h"
 $ac_includes_default
 int
@@ -20742,16 +20948,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:20745: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:20951: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:20748: \$? = $ac_status" >&5
+  echo "$as_me:20954: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:20751: \"$ac_try\"") >&5
+  { (eval echo "$as_me:20957: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:20754: \$? = $ac_status" >&5
+  echo "$as_me:20960: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_lo=$ac_mid; break
 else
@@ -20767,7 +20973,7 @@
 while test "x$ac_lo" != "x$ac_hi"; do
   ac_mid=`expr '(' $ac_hi - $ac_lo ')' / 2 + $ac_lo`
   cat >conftest.$ac_ext <<_ACEOF
-#line 20770 "configure"
+#line 20976 "configure"
 #include "confdefs.h"
 $ac_includes_default
 int
@@ -20779,16 +20985,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:20782: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:20988: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:20785: \$? = $ac_status" >&5
+  echo "$as_me:20991: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:20788: \"$ac_try\"") >&5
+  { (eval echo "$as_me:20994: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:20791: \$? = $ac_status" >&5
+  echo "$as_me:20997: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_hi=$ac_mid
 else
@@ -20801,12 +21007,12 @@
 ac_cv_sizeof_wchar_t=$ac_lo
 else
   if test "$cross_compiling" = yes; then
-  { { echo "$as_me:20804: error: cannot run test program while cross compiling" >&5
+  { { echo "$as_me:21010: error: cannot run test program while cross compiling" >&5
 echo "$as_me: error: cannot run test program while cross compiling" >&2;}
    { (exit 1); exit 1; }; }
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 20809 "configure"
+#line 21015 "configure"
 #include "confdefs.h"
 $ac_includes_default
 int
@@ -20822,15 +21028,15 @@
 }
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:20825: \"$ac_link\"") >&5
+if { (eval echo "$as_me:21031: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:20828: \$? = $ac_status" >&5
+  echo "$as_me:21034: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:20830: \"$ac_try\"") >&5
+  { (eval echo "$as_me:21036: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:20833: \$? = $ac_status" >&5
+  echo "$as_me:21039: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_sizeof_wchar_t=`cat conftest.val`
 else
@@ -20846,7 +21052,7 @@
   ac_cv_sizeof_wchar_t=0
 fi
 fi
-echo "$as_me:20849: result: $ac_cv_sizeof_wchar_t" >&5
+echo "$as_me:21055: result: $ac_cv_sizeof_wchar_t" >&5
 echo "${ECHO_T}$ac_cv_sizeof_wchar_t" >&6
 cat >>confdefs.h <<EOF
 #define SIZEOF_WCHAR_T $ac_cv_sizeof_wchar_t
@@ -20864,7 +21070,7 @@
 ### chooses to split module lists into libraries.
 ###
 ### (see CF_LIB_RULES).
-echo "$as_me:20867: checking for library subsets" >&5
+echo "$as_me:21073: checking for library subsets" >&5
 echo $ECHO_N "checking for library subsets... $ECHO_C" >&6
 LIB_SUBSETS=
 
@@ -20906,7 +21112,7 @@
 test "x$with_widec"     = xyes && LIB_SUBSETS="${LIB_SUBSETS}+widechar"
 test "x$with_ext_funcs" = xyes && LIB_SUBSETS="${LIB_SUBSETS}+ext_funcs"
 
-echo "$as_me:20909: result: $LIB_SUBSETS" >&5
+echo "$as_me:21115: result: $LIB_SUBSETS" >&5
 echo "${ECHO_T}$LIB_SUBSETS" >&6
 
 ### Construct the list of include-directories to be generated
@@ -20937,7 +21143,7 @@
 fi
 
 ### Build up pieces for makefile rules
-echo "$as_me:20940: checking default library suffix" >&5
+echo "$as_me:21146: checking default library suffix" >&5
 echo $ECHO_N "checking default library suffix... $ECHO_C" >&6
 
 	case $DFT_LWR_MODEL in
@@ -20948,10 +21154,10 @@
 	shared)  DFT_ARG_SUFFIX=''   ;;
 	esac
 	test -n "$LIB_SUFFIX" && DFT_ARG_SUFFIX="${LIB_SUFFIX}${DFT_ARG_SUFFIX}"
-echo "$as_me:20951: result: $DFT_ARG_SUFFIX" >&5
+echo "$as_me:21157: result: $DFT_ARG_SUFFIX" >&5
 echo "${ECHO_T}$DFT_ARG_SUFFIX" >&6
 
-echo "$as_me:20954: checking default library-dependency suffix" >&5
+echo "$as_me:21160: checking default library-dependency suffix" >&5
 echo $ECHO_N "checking default library-dependency suffix... $ECHO_C" >&6
 
 	case X$DFT_LWR_MODEL in #(vi
@@ -21006,10 +21212,10 @@
 	esac
 	test -n "$LIB_SUFFIX" && DFT_LIB_SUFFIX="${LIB_SUFFIX}${DFT_LIB_SUFFIX}"
 	test -n "$LIB_SUFFIX" && DFT_DEP_SUFFIX="${LIB_SUFFIX}${DFT_DEP_SUFFIX}"
-echo "$as_me:21009: result: $DFT_DEP_SUFFIX" >&5
+echo "$as_me:21215: result: $DFT_DEP_SUFFIX" >&5
 echo "${ECHO_T}$DFT_DEP_SUFFIX" >&6
 
-echo "$as_me:21012: checking default object directory" >&5
+echo "$as_me:21218: checking default object directory" >&5
 echo $ECHO_N "checking default object directory... $ECHO_C" >&6
 
 	case $DFT_LWR_MODEL in
@@ -21025,11 +21231,11 @@
 			DFT_OBJ_SUBDIR='obj_s' ;;
 		esac
 	esac
-echo "$as_me:21028: result: $DFT_OBJ_SUBDIR" >&5
+echo "$as_me:21234: result: $DFT_OBJ_SUBDIR" >&5
 echo "${ECHO_T}$DFT_OBJ_SUBDIR" >&6
 
 if test "x$cf_with_cxx" = xyes ; then
-echo "$as_me:21032: checking c++ library-dependency suffix" >&5
+echo "$as_me:21238: checking c++ library-dependency suffix" >&5
 echo $ECHO_N "checking c++ library-dependency suffix... $ECHO_C" >&6
 if test "$with_libtool" != "no"; then
 	# libtool thinks it can make c++ shared libraries (perhaps only g++)
@@ -21094,7 +21300,7 @@
 	test -n "$LIB_SUFFIX" && CXX_DEP_SUFFIX="${LIB_SUFFIX}${CXX_DEP_SUFFIX}"
 
 fi
-echo "$as_me:21097: result: $CXX_LIB_SUFFIX" >&5
+echo "$as_me:21303: result: $CXX_LIB_SUFFIX" >&5
 echo "${ECHO_T}$CXX_LIB_SUFFIX" >&6
 
 fi
@@ -21259,19 +21465,19 @@
 
 if test -n "$LDFLAGS_STATIC" && test -n "$LDFLAGS_SHARED"
 then
-	echo "$as_me:21262: checking if linker supports switching between static/dynamic" >&5
+	echo "$as_me:21468: checking if linker supports switching between static/dynamic" >&5
 echo $ECHO_N "checking if linker supports switching between static/dynamic... $ECHO_C" >&6
 
 	rm -f libconftest.a
 	cat >conftest.$ac_ext <<EOF
-#line 21267 "configure"
+#line 21473 "configure"
 #include <stdio.h>
 int cf_ldflags_static(FILE *fp) { return fflush(fp); }
 EOF
-	if { (eval echo "$as_me:21271: \"$ac_compile\"") >&5
+	if { (eval echo "$as_me:21477: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:21274: \$? = $ac_status" >&5
+  echo "$as_me:21480: \$? = $ac_status" >&5
   (exit $ac_status); } ; then
 		( $AR $ARFLAGS libconftest.a conftest.o ) 2>&5 1>/dev/null
 		( eval $RANLIB libconftest.a ) 2>&5 >/dev/null
@@ -21282,10 +21488,10 @@
 
 	LIBS="$LDFLAGS_STATIC -L`pwd` -lconftest $LDFLAGS_DYNAMIC $LIBS"
 	cat >conftest.$ac_ext <<_ACEOF
-#line 21285 "configure"
+#line 21491 "configure"
 #include "confdefs.h"
 
-#line 21288 "configure"
+#line 21494 "configure"
 #include <stdio.h>
 int cf_ldflags_static(FILE *fp);
 
@@ -21300,16 +21506,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:21303: \"$ac_link\"") >&5
+if { (eval echo "$as_me:21509: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:21306: \$? = $ac_status" >&5
+  echo "$as_me:21512: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:21309: \"$ac_try\"") >&5
+  { (eval echo "$as_me:21515: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:21312: \$? = $ac_status" >&5
+  echo "$as_me:21518: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
 	# some linkers simply ignore the -dynamic
@@ -21332,7 +21538,7 @@
 	rm -f libconftest.*
 	LIBS="$cf_save_LIBS"
 
-	echo "$as_me:21335: result: $cf_ldflags_static" >&5
+	echo "$as_me:21541: result: $cf_ldflags_static" >&5
 echo "${ECHO_T}$cf_ldflags_static" >&6
 
 	if test $cf_ldflags_static != yes
@@ -21348,7 +21554,7 @@
 	;;
 esac
 
-echo "$as_me:21351: checking where we will install curses.h" >&5
+echo "$as_me:21557: checking where we will install curses.h" >&5
 echo $ECHO_N "checking where we will install curses.h... $ECHO_C" >&6
 
 includesubdir=
@@ -21358,7 +21564,7 @@
 then
 	includesubdir="/ncurses${LIB_SUFFIX}"
 fi
-echo "$as_me:21361: result: ${includedir}${includesubdir}" >&5
+echo "$as_me:21567: result: ${includedir}${includesubdir}" >&5
 echo "${ECHO_T}${includedir}${includesubdir}" >&6
 
 ### Resolve a conflict between normal and wide-curses by forcing applications
@@ -21366,7 +21572,7 @@
 if test "$with_overwrite" != no ; then
 if test "$NCURSES_LIBUTF8" = 1 ; then
 	NCURSES_LIBUTF8='defined(HAVE_LIBUTF8_H)'
-	{ echo "$as_me:21369: WARNING: Wide-character applications must define HAVE_LIBUTF8_H to include curses.h" >&5
+	{ echo "$as_me:21575: WARNING: Wide-character applications must define HAVE_LIBUTF8_H to include curses.h" >&5
 echo "$as_me: WARNING: Wide-character applications must define HAVE_LIBUTF8_H to include curses.h" >&2;}
 fi
 fi
@@ -21384,7 +21590,7 @@
 ### Construct the list of subdirectories for which we'll customize makefiles
 ### with the appropriate compile-rules.
 
-echo "$as_me:21387: checking for src modules" >&5
+echo "$as_me:21593: checking for src modules" >&5
 echo $ECHO_N "checking for src modules... $ECHO_C" >&6
 
 # dependencies and linker-arguments for test-programs
@@ -21449,7 +21655,7 @@
 		fi
 	fi
 done
-echo "$as_me:21452: result: $cf_cv_src_modules" >&5
+echo "$as_me:21658: result: $cf_cv_src_modules" >&5
 echo "${ECHO_T}$cf_cv_src_modules" >&6
 
 TEST_ARGS="-L${LIB_DIR} $TEST_ARGS"
@@ -21669,7 +21875,7 @@
 
 # Extract the first word of "tic", so it can be a program name with args.
 set dummy tic; ac_word=$2
-echo "$as_me:21672: checking for $ac_word" >&5
+echo "$as_me:21878: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_path_TIC_PATH+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -21686,7 +21892,7 @@
   test -z "$ac_dir" && ac_dir=.
   if $as_executable_p "$ac_dir/$ac_word"; then
    ac_cv_path_TIC_PATH="$ac_dir/$ac_word"
-   echo "$as_me:21689: found $ac_dir/$ac_word" >&5
+   echo "$as_me:21895: found $ac_dir/$ac_word" >&5
    break
 fi
 done
@@ -21698,10 +21904,10 @@
 TIC_PATH=$ac_cv_path_TIC_PATH
 
 if test -n "$TIC_PATH"; then
-  echo "$as_me:21701: result: $TIC_PATH" >&5
+  echo "$as_me:21907: result: $TIC_PATH" >&5
 echo "${ECHO_T}$TIC_PATH" >&6
 else
-  echo "$as_me:21704: result: no" >&5
+  echo "$as_me:21910: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -21709,7 +21915,7 @@
 then
 	if test "$TIC_PATH" = unknown
 	then
-		{ echo "$as_me:21712: WARNING: no tic program found for fallbacks" >&5
+		{ echo "$as_me:21918: WARNING: no tic program found for fallbacks" >&5
 echo "$as_me: WARNING: no tic program found for fallbacks" >&2;}
 	fi
 fi
@@ -21735,7 +21941,7 @@
 	*-D_XOPEN_SOURCE_EXTENDED*)
 		test -n "$verbose" && echo "	moving _XOPEN_SOURCE_EXTENDED to work around g++ problem" 1>&6
 
-echo "${as_me:-configure}:21738: testing moving _XOPEN_SOURCE_EXTENDED to work around g++ problem ..." 1>&5
+echo "${as_me:-configure}:21944: testing moving _XOPEN_SOURCE_EXTENDED to work around g++ problem ..." 1>&5
 
 		CFLAGS="$CFLAGS -D_XOPEN_SOURCE_EXTENDED"
 		CPPFLAGS=`echo "x$CPPFLAGS" | sed -e  's/^.//' -e 's/-D_XOPEN_SOURCE_EXTENDED//'`
@@ -21783,6 +21989,13 @@
 
 SUB_SCRIPTS=
 
+if test -n "$PACKAGE"
+then
+	PACKAGE="${PACKAGE}${DFT_ARG_SUFFIX}"
+	export PACKAGE
+	echo "package: $PACKAGE"
+fi
+
 ac_config_files="$ac_config_files include/MKterm.h.awk include/curses.head:include/curses.h.in include/ncurses_dll.h include/termcap.h include/unctrl.h $SUB_SCRIPTS $SUB_MAKEFILES Makefile"
 ac_config_commands="$ac_config_commands default"
 cat >confcache <<\_ACEOF
@@ -21864,7 +22077,7 @@
 : ${CONFIG_STATUS=./config.status}
 ac_clean_files_save=$ac_clean_files
 ac_clean_files="$ac_clean_files $CONFIG_STATUS"
-{ echo "$as_me:21867: creating $CONFIG_STATUS" >&5
+{ echo "$as_me:22080: creating $CONFIG_STATUS" >&5
 echo "$as_me: creating $CONFIG_STATUS" >&6;}
 cat >$CONFIG_STATUS <<_ACEOF
 #! $SHELL
@@ -22040,7 +22253,7 @@
     echo "$ac_cs_version"; exit 0 ;;
   --he | --h)
     # Conflict between --help and --header
-    { { echo "$as_me:22043: error: ambiguous option: $1
+    { { echo "$as_me:22256: error: ambiguous option: $1
 Try \`$0 --help' for more information." >&5
 echo "$as_me: error: ambiguous option: $1
 Try \`$0 --help' for more information." >&2;}
@@ -22059,7 +22272,7 @@
     ac_need_defaults=false;;
 
   # This is an error.
-  -*) { { echo "$as_me:22062: error: unrecognized option: $1
+  -*) { { echo "$as_me:22275: error: unrecognized option: $1
 Try \`$0 --help' for more information." >&5
 echo "$as_me: error: unrecognized option: $1
 Try \`$0 --help' for more information." >&2;}
@@ -22170,7 +22383,7 @@
   "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
   "default" ) CONFIG_COMMANDS="$CONFIG_COMMANDS default" ;;
   "include/ncurses_cfg.h" ) CONFIG_HEADERS="$CONFIG_HEADERS include/ncurses_cfg.h:include/ncurses_cfg.hin" ;;
-  *) { { echo "$as_me:22173: error: invalid argument: $ac_config_target" >&5
+  *) { { echo "$as_me:22386: error: invalid argument: $ac_config_target" >&5
 echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
    { (exit 1); exit 1; }; };;
   esac
@@ -22263,6 +22476,11 @@
 s,@cf_cv_builtin_bool@,$cf_cv_builtin_bool,;t t
 s,@cf_cv_header_stdbool_h@,$cf_cv_header_stdbool_h,;t t
 s,@cf_cv_type_of_bool@,$cf_cv_type_of_bool,;t t
+s,@VERSION@,$VERSION,;t t
+s,@VERSION_MAJOR@,$VERSION_MAJOR,;t t
+s,@VERSION_MINOR@,$VERSION_MINOR,;t t
+s,@VERSION_PATCH@,$VERSION_PATCH,;t t
+s,@PACKAGE@,$PACKAGE,;t t
 s,@build@,$build,;t t
 s,@build_cpu@,$build_cpu,;t t
 s,@build_vendor@,$build_vendor,;t t
@@ -22323,6 +22541,7 @@
 s,@BUILD_EXEEXT@,$BUILD_EXEEXT,;t t
 s,@BUILD_OBJEXT@,$BUILD_OBJEXT,;t t
 s,@cf_list_models@,$cf_list_models,;t t
+s,@ABI_VERSION@,$ABI_VERSION,;t t
 s,@LIBTOOL_VERSION@,$LIBTOOL_VERSION,;t t
 s,@LIBTOOL@,$LIBTOOL,;t t
 s,@ac_ct_LIBTOOL@,$ac_ct_LIBTOOL,;t t
@@ -22361,6 +22580,8 @@
 s,@LOCAL_LDFLAGS2@,$LOCAL_LDFLAGS2,;t t
 s,@INSTALL_LIB@,$INSTALL_LIB,;t t
 s,@RPATH_LIST@,$RPATH_LIST,;t t
+s,@EXPORT_SYMS@,$EXPORT_SYMS,;t t
+s,@VERSIONED_SYMS@,$VERSIONED_SYMS,;t t
 s,@cf_ldd_prog@,$cf_ldd_prog,;t t
 s,@TERMINFO_SRC@,$TERMINFO_SRC,;t t
 s,@NCURSES_USE_DATABASE@,$NCURSES_USE_DATABASE,;t t
@@ -22607,7 +22828,7 @@
   esac
 
   if test x"$ac_file" != x-; then
-    { echo "$as_me:22610: creating $ac_file" >&5
+    { echo "$as_me:22831: creating $ac_file" >&5
 echo "$as_me: creating $ac_file" >&6;}
     rm -f "$ac_file"
   fi
@@ -22625,7 +22846,7 @@
       -) echo $tmp/stdin ;;
       [\\/$]*)
          # Absolute (can't be DOS-style, as IFS=:)
-         test -f "$f" || { { echo "$as_me:22628: error: cannot find input file: $f" >&5
+         test -f "$f" || { { echo "$as_me:22849: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          echo $f;;
@@ -22638,7 +22859,7 @@
            echo $srcdir/$f
          else
            # /dev/null tree
-           { { echo "$as_me:22641: error: cannot find input file: $f" >&5
+           { { echo "$as_me:22862: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          fi;;
@@ -22654,7 +22875,7 @@
       if test -n "$ac_seen"; then
         ac_used=`grep '@datarootdir@' $ac_item`
         if test -z "$ac_used"; then
-          { echo "$as_me:22657: WARNING: datarootdir was used implicitly but not set:
+          { echo "$as_me:22878: WARNING: datarootdir was used implicitly but not set:
 $ac_seen" >&5
 echo "$as_me: WARNING: datarootdir was used implicitly but not set:
 $ac_seen" >&2;}
@@ -22663,7 +22884,7 @@
       fi
       ac_seen=`grep '${datarootdir}' $ac_item`
       if test -n "$ac_seen"; then
-        { echo "$as_me:22666: WARNING: datarootdir was used explicitly but not set:
+        { echo "$as_me:22887: WARNING: datarootdir was used explicitly but not set:
 $ac_seen" >&5
 echo "$as_me: WARNING: datarootdir was used explicitly but not set:
 $ac_seen" >&2;}
@@ -22700,7 +22921,7 @@
             ac_init=`egrep '[ 	]*'$ac_name'[ 	]*=' $ac_file`
             if test -z "$ac_init"; then
               ac_seen=`echo "$ac_seen" |sed -e 's,^,'$ac_file':,'`
-              { echo "$as_me:22703: WARNING: Variable $ac_name is used but was not set:
+              { echo "$as_me:22924: WARNING: Variable $ac_name is used but was not set:
 $ac_seen" >&5
 echo "$as_me: WARNING: Variable $ac_name is used but was not set:
 $ac_seen" >&2;}
@@ -22711,7 +22932,7 @@
     egrep -n '@[A-Z_][A-Z_0-9]+@' $ac_file >>$tmp/out
     if test -s $tmp/out; then
       ac_seen=`sed -e 's,^,'$ac_file':,' < $tmp/out`
-      { echo "$as_me:22714: WARNING: Some variables may not be substituted:
+      { echo "$as_me:22935: WARNING: Some variables may not be substituted:
 $ac_seen" >&5
 echo "$as_me: WARNING: Some variables may not be substituted:
 $ac_seen" >&2;}
@@ -22760,7 +22981,7 @@
   * )   ac_file_in=$ac_file.in ;;
   esac
 
-  test x"$ac_file" != x- && { echo "$as_me:22763: creating $ac_file" >&5
+  test x"$ac_file" != x- && { echo "$as_me:22984: creating $ac_file" >&5
 echo "$as_me: creating $ac_file" >&6;}
 
   # First look for the input files in the build tree, otherwise in the
@@ -22771,7 +22992,7 @@
       -) echo $tmp/stdin ;;
       [\\/$]*)
          # Absolute (can't be DOS-style, as IFS=:)
-         test -f "$f" || { { echo "$as_me:22774: error: cannot find input file: $f" >&5
+         test -f "$f" || { { echo "$as_me:22995: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          echo $f;;
@@ -22784,7 +23005,7 @@
            echo $srcdir/$f
          else
            # /dev/null tree
-           { { echo "$as_me:22787: error: cannot find input file: $f" >&5
+           { { echo "$as_me:23008: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          fi;;
@@ -22842,7 +23063,7 @@
   rm -f $tmp/in
   if test x"$ac_file" != x-; then
     if cmp -s $ac_file $tmp/config.h 2>/dev/null; then
-      { echo "$as_me:22845: $ac_file is unchanged" >&5
+      { echo "$as_me:23066: $ac_file is unchanged" >&5
 echo "$as_me: $ac_file is unchanged" >&6;}
     else
       ac_dir=`$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
@@ -23145,7 +23366,7 @@
 				cygdll|msysdll|mingw) #(vi
 					test "x$with_shared_cxx" = xno && test -n "$verbose" && echo "	overriding CXX_MODEL to SHARED" 1>&6
 
-echo "${as_me:-configure}:23148: testing overriding CXX_MODEL to SHARED ..." 1>&5
+echo "${as_me:-configure}:23369: testing overriding CXX_MODEL to SHARED ..." 1>&5
 
 					with_shared_cxx=yes
 					;;
Index: configure.in
Prereq:  1.587 
--- ncurses-5.9-20141101+/configure.in	2014-10-25 00:21:04.000000000 +0000
+++ ncurses-5.9-20141115/configure.in	2014-11-15 01:35:36.000000000 +0000
@@ -28,19 +28,20 @@
 dnl
 dnl Author: Thomas E. Dickey 1995-on
 dnl
-dnl $Id: configure.in,v 1.587 2014/10/25 00:21:04 tom Exp $
+dnl $Id: configure.in,v 1.590 2014/11/15 01:35:36 tom Exp $
 dnl Process this file with autoconf to produce a configure script.
 dnl
 dnl See http://invisible-island.net/autoconf/ for additional information.
 dnl
 dnl ---------------------------------------------------------------------------
 AC_PREREQ(2.52.20030208)
-AC_REVISION($Revision: 1.587 $)
+AC_REVISION($Revision: 1.590 $)
 AC_INIT(ncurses/base/lib_initscr.c)
 AC_CONFIG_HEADER(include/ncurses_cfg.h:include/ncurses_cfg.hin)
 
 CF_TOP_BUILDDIR
 CF_SUBST_NCURSES_VERSION
+CF_VERSION_INFO(NCURSES,ncurses)
 
 CF_WITH_REL_VERSION(NCURSES)
 CF_WITH_ABI_VERSION
@@ -444,13 +445,20 @@
 # we will build libraries one-level down.
 rel_builddir=..
 CF_SHARED_OPTS
-if test "$CC_SHARED_OPTS" = "unknown"; then
-	for model in $cf_list_models; do
-		if test "$model" = "shared"; then
+for model in $cf_list_models; do
+	case $model in #(vi
+	libtool)
+		CF_WITH_LIBTOOL_OPTS
+		CF_WITH_EXPORT_SYMS
+		;;
+	shared) #(vi
+		if test "$CC_SHARED_OPTS" = "unknown"; then
 			AC_ERROR(Shared libraries are not supported in this version)
 		fi
-	done
-fi
+		CF_WITH_VERSIONED_SYMS
+		;;
+	esac
+done
 
 # pretend that ncurses==ncursesw==ncursest
 AC_MSG_CHECKING(if you want to disable library suffixes)
@@ -2060,6 +2068,14 @@
 
 SUB_SCRIPTS=
 
+dnl Override the package used for exported symbols
+if test -n "$PACKAGE"
+then
+	PACKAGE="${PACKAGE}${DFT_ARG_SUFFIX}"
+	export PACKAGE
+	echo "package: $PACKAGE"
+fi
+
 AC_OUTPUT( \
 	include/MKterm.h.awk \
 	include/curses.head:include/curses.h.in \
Index: dist.mk
Prereq:  1.1013 
--- ncurses-5.9-20141101+/dist.mk	2014-10-27 10:16:13.000000000 +0000
+++ ncurses-5.9-20141115/dist.mk	2014-11-15 14:02:33.000000000 +0000
@@ -25,7 +25,7 @@
 # use or other dealings in this Software without prior written               #
 # authorization.                                                             #
 ##############################################################################
-# $Id: dist.mk,v 1.1013 2014/10/27 10:16:13 tom Exp $
+# $Id: dist.mk,v 1.1015 2014/11/15 14:02:33 tom Exp $
 # Makefile for creating ncurses distributions.
 #
 # This only needs to be used directly as a makefile by developers, but
@@ -37,7 +37,7 @@
 # These define the major/minor/patch versions of ncurses.
 NCURSES_MAJOR = 5
 NCURSES_MINOR = 9
-NCURSES_PATCH = 20141101
+NCURSES_PATCH = 20141115
 
 # We don't append the patch to the version, since this only applies to releases
 VERSION = $(NCURSES_MAJOR).$(NCURSES_MINOR)
Index: form/Makefile.in
Prereq:  1.56 
--- ncurses-5.9-20141101+/form/Makefile.in	2013-08-04 20:23:20.000000000 +0000
+++ ncurses-5.9-20141115/form/Makefile.in	2014-11-15 13:54:00.000000000 +0000
@@ -1,6 +1,6 @@
-# $Id: Makefile.in,v 1.56 2013/08/04 20:23:20 tom Exp $
+# $Id: Makefile.in,v 1.59 2014/11/15 13:54:00 tom Exp $
 ##############################################################################
-# Copyright (c) 1998-2012,2013 Free Software Foundation, Inc.                #
+# Copyright (c) 1998-2013,2014 Free Software Foundation, Inc.                #
 #                                                                            #
 # Permission is hereby granted, free of charge, to any person obtaining a    #
 # copy of this software and associated documentation files (the "Software"), #
@@ -51,6 +51,7 @@
 
 MODEL		= @DFT_LWR_MODEL@
 DESTDIR		= @DESTDIR@
+top_srcdir	= @top_srcdir@
 srcdir		= @srcdir@
 prefix		= @prefix@
 exec_prefix	= @exec_prefix@
@@ -61,7 +62,10 @@
 
 INCLUDEDIR	= $(DESTDIR)$(includedir)$(includesubdir)
 
+PACKAGE		= @PACKAGE@
+
 LIBTOOL		= @LIBTOOL@
+LIBTOOL_OPTS	= @LIBTOOL_OPTS@ @EXPORT_SYMS@
 LIBTOOL_CLEAN	= @LIB_CLEAN@
 LIBTOOL_COMPILE	= @LIB_COMPILE@
 LIBTOOL_LINK	= @LIB_LINK@
@@ -87,7 +91,7 @@
 CPP		= @CPP@
 CFLAGS		= @CFLAGS@
 
-CPPFLAGS	= -I@top_srcdir@/ncurses -DHAVE_CONFIG_H @CPPFLAGS@
+CPPFLAGS	= -I${top_srcdir}/ncurses -DHAVE_CONFIG_H @CPPFLAGS@
 
 CCFLAGS		= $(CPPFLAGS) $(CFLAGS)
 
@@ -106,6 +110,7 @@
 SHLIB_LIST	= $(SHLIB_DIRS) -lncurses@LIB_SUFFIX@ @SHLIB_LIST@
 
 RPATH_LIST	= @RPATH_LIST@
+VERSIONED_SYMS	= @VERSIONED_SYMS@
 MK_SHARED_LIB	= @MK_SHARED_LIB@
 
 NCURSES_MAJOR	= @NCURSES_MAJOR@
Index: man/curs_color.3x
Prereq:  1.35 
--- ncurses-5.9-20141101+/man/curs_color.3x	2010-12-20 00:50:58.000000000 +0000
+++ ncurses-5.9-20141115/man/curs_color.3x	2014-11-16 00:44:29.000000000 +0000
@@ -26,11 +26,16 @@
 .\" authorization.                                                           *
 .\"***************************************************************************
 .\"
-.\" $Id: curs_color.3x,v 1.35 2010/12/20 00:50:58 tom Exp $
+.\" $Id: curs_color.3x,v 1.36 2014/11/16 00:44:29 tom Exp $
 .TH curs_color 3X ""
+.ie \n(.g .ds `` \(lq
+.el       .ds `` ``
+.ie \n(.g .ds '' \(rq
+.el       .ds '' ''
 .de bP
 .IP \(bu 4
 ..
+.ds n 5
 .na
 .hy 0
 .SH NAME
@@ -63,99 +68,135 @@
 .br
 .SH DESCRIPTION
 .SS Overview
-\fBcurses\fR support color attributes on terminals with that capability.  To
-use these routines \fBstart_color\fR must be called, usually right after
-\fBinitscr\fR.  Colors are always used in pairs (referred to as color-pairs).
+\fBcurses\fR support color attributes on terminals with that capability.
+To use these routines \fBstart_color\fR must be called, usually right after
+\fBinitscr\fR.
+Colors are always used in pairs (referred to as color-pairs).
 A color-pair consists of a foreground color (for characters) and a background
-color (for the blank field on which the characters are displayed).  A
-programmer initializes a color-pair with the routine \fBinit_pair\fR.  After it
-has been initialized, \fBCOLOR_PAIR\fR(\fIn\fR), a macro defined in
+color (for the blank field on which the characters are displayed).
+A programmer initializes a color-pair with the routine \fBinit_pair\fR.
+After it has been initialized, \fBCOLOR_PAIR\fR(\fIn\fR), a macro defined in
 \fB<curses.h>\fR, can be used as a new video attribute.
 .PP
 If a terminal is capable of redefining colors, the programmer can use the
-routine \fBinit_color\fR to change the definition of a color.  The routines
-\fBhas_colors\fR and \fBcan_change_color\fR return \fBTRUE\fR or \fBFALSE\fR,
+routine \fBinit_color\fR to change the definition of a color.
+The routines \fBhas_colors\fR and \fBcan_change_color\fR
+return \fBTRUE\fR or \fBFALSE\fR,
 depending on whether the terminal has color capabilities and whether the
-programmer can change the colors.  The routine \fBcolor_content\fR allows a
+programmer can change the colors.
+The routine \fBcolor_content\fR allows a
 programmer to extract the amounts of red, green, and blue components in an
-initialized color.  The routine \fBpair_content\fR allows a programmer to find
+initialized color.
+The routine \fBpair_content\fR allows a programmer to find
 out how a given color-pair is currently defined.
 .SS Routine Descriptions
-The \fBstart_color\fR routine requires no arguments.  It must be
-called if the programmer wants to use colors, and before any other
-color manipulation routine is called.  It is good practice to call
-this routine right after \fBinitscr\fR.  \fBstart_color\fR initializes
-eight basic colors (black, red, green, yellow, blue, magenta, cyan,
+The \fBstart_color\fR routine requires no arguments.
+It must be called if the programmer wants to use colors, and before any other
+color manipulation routine is called.
+It is good practice to call this routine right after \fBinitscr\fR.
+\fBstart_color\fR initializes eight basic colors (black, red, green, yellow, blue, magenta, cyan,
 and white), and two global variables, \fBCOLORS\fR and
 \fBCOLOR_PAIRS\fR (respectively defining the maximum number of colors
-and color-pairs the terminal can support).  It also restores the
-colors on the terminal to the values they had when the terminal was
+and color-pairs the terminal can support).
+It also restores the colors on the terminal to the values they had when the terminal was
 just turned on.
 .PP
-The \fBinit_pair\fR routine changes the definition of a color-pair.  It takes
-three arguments: the number of the color-pair to be changed, the foreground
+These limits apply to color values and color pairs.
+Values outside these limits are not legal, and may result in a runtime error:
+.bP
+\fBCOLORS\fP corresponds to the terminal database's \fBmax_colors\fP capability,
+which is typically a signed 16-bit integer (see \fBterminfo\fR(\*n)).
+.bP
+color values are expected to be in the range \fB0\fP to \fBCOLORS\-1\fP,
+inclusive (including \fB0\fP and \fBCOLORS\-1\fP).
+.bP
+a special color value \fB\-1\fP is used in certain extended functions
+to denote the \fIdefault color\fP (see \fBuse_default_colors\fP).
+.bP
+\fBCOLOR_PAIRS\fP corresponds to the terminal database's \fBmax_pairs\fP capability,
+which is typically a signed 16-bit integer (see \fBterminfo\fR(\*n)).
+.bP
+legal color pair values are in the range \fB1\fP to \fBCOLOR_PAIRS\-1\fP,
+inclusive.
+.bP
+color pair \fB0\fP is special; it denotes \*(``no color\*(''.
+.IP
+Color pair \fB0\fP is assumed to be white on black,
+but is actually whatever the terminal implements before color is initialized.
+It cannot be modified by the application.
+.PP
+The \fBinit_pair\fR routine changes the definition of a color-pair.
+It takes three arguments: the number of the color-pair to be changed, the foreground
 color number, and the background color number.
 For portable applications:
 .bP
-The value of the first argument
-must be between \fB1\fR and \fBCOLOR_PAIRS\-1\fR,
-except that if default colors are used (see \fBuse_default_colors\fP)
+The first argument must be a legal color pair value.
+If default colors are used (see \fBuse_default_colors\fP)
 the upper limit is adjusted to allow for extra pairs which use
 a default color in foreground and/or background.
 .bP
-The value of the second and
-third arguments must be between 0 and \fBCOLORS\fR.
-Color pair 0 is assumed to be white on black,
-but is actually whatever the terminal implements before color is initialized.
-It cannot be modified by the application.
+The second and third arguments must be legal color values.
 .PP
-If the color-pair was previously
-initialized, the screen is refreshed and all occurrences of that color-pair
+If the color-pair was previously initialized,
+the screen is refreshed and all occurrences of that color-pair
 are changed to the new definition.
 .PP
-As an extension, ncurses allows you to set color pair 0 via
+As an extension, ncurses allows you to set color pair \fB0\fP via
 the \fBassume_default_colors\fR routine, or to specify the use of
 default colors (color number \fB\-1\fR) if you first invoke the
 \fBuse_default_colors\fR routine.
 .PP
-The \fBinit_color\fR routine changes the definition of a color.  It takes four
-arguments: the number of the color to be changed followed by three RGB values
-(for the amounts of red, green, and blue components).  The value of the first
-argument must be between \fB0\fR and \fBCOLORS\fR.  (See the section
-\fBColors\fR for the default color index.)  Each of the last three arguments
-must be a value between 0 and 1000.  When \fBinit_color\fR is used, all
+The \fBinit_color\fR routine changes the definition of a color.
+It takes four arguments: the number of the color to be changed followed by three RGB values
+(for the amounts of red, green, and blue components).
+The first argument must be a legal color value;
+default colors are not allowed here.
+(See the section \fBColors\fR for the default color index.)
+Each of the last three arguments
+must be a value in the range \fB0\fP through \fB1000\fP.
+When \fBinit_color\fR is used, all
 occurrences of that color on the screen immediately change to the new
 definition.
 .PP
-The \fBhas_colors\fR routine requires no arguments.  It returns \fBTRUE\fR if
-the terminal can manipulate colors; otherwise, it returns \fBFALSE\fR.  This
-routine facilitates writing terminal-independent programs.  For example, a
-programmer can use it to decide whether to use color or some other video
-attribute.
-.PP
-The \fBcan_change_color\fR routine requires no arguments.  It returns
-\fBTRUE\fR if the terminal supports colors and can change their definitions;
-other, it returns \fBFALSE\fR.  This routine facilitates writing
-terminal-independent programs.
+The \fBhas_colors\fR routine requires no arguments.
+It returns \fBTRUE\fR if
+the terminal can manipulate colors; otherwise, it returns \fBFALSE\fR.
+This routine facilitates writing terminal-independent programs.
+For example, a programmer can use it to decide
+whether to use color or some other video attribute.
+.PP
+The \fBcan_change_color\fR routine requires no arguments.
+It returns \fBTRUE\fR if the terminal supports colors
+and can change their definitions;
+other, it returns \fBFALSE\fR.
+This routine facilitates writing terminal-independent programs.
 .PP
 The \fBcolor_content\fR routine gives programmers a way to find the intensity
-of the red, green, and blue (RGB) components in a color.  It requires four
-arguments: the color number, and three addresses of \fBshort\fRs for storing
+of the red, green, and blue (RGB) components in a color.
+It requires four arguments: the color number, and three addresses
+of \fBshort\fRs for storing
 the information about the amounts of red, green, and blue components in the
-given color.  The value of the first argument must be between 0 and
-\fBCOLORS\fR.  The values that are stored at the addresses pointed to by the
-last three arguments are between 0 (no component) and 1000 (maximum amount of
-component).
+given color.
+The first argument must be a legal color value, i.e.,
+\fB0\fP through \fBCOLORS\-1\fP, inclusive.
+The values that are stored at the addresses pointed to by the
+last three arguments are in the range
+\fB0\fP (no component) through \fB1000\fP (maximum amount of component), inclusive.
 .PP
 The \fBpair_content\fR routine allows programmers to find out what colors a
-given color-pair consists of.  It requires three arguments: the color-pair
+given color-pair consists of.
+It requires three arguments: the color-pair
 number, and two addresses of \fBshort\fRs for storing the foreground and the
-background color numbers.  The value of the first argument must be between 1
-and \fBCOLOR_PAIRS\-1\fR.  The values that are stored at the addresses pointed
-to by the second and third arguments are between 0 and \fBCOLORS\fR.
+background color numbers.
+The first argument must be a legal color value,
+i.e., in the range \fB1\fP through \fBCOLOR_PAIRS\-1\fR, inclusive.
+The values that are stored at the addresses pointed
+to by the second and third arguments are in the
+range \fB0\fP through \fBCOLORS\fR, inclusive.
 .SS Colors
-In \fB<curses.h>\fR the following macros are defined.  These are the default
-colors.  \fBcurses\fR also assumes that \fBCOLOR_BLACK\fR is the default
+In \fB<curses.h>\fR the following macros are defined.
+These are the default colors.
+\fBcurses\fR also assumes that \fBCOLOR_BLACK\fR is the default
 background color for all terminals.
 .PP
 .nf
@@ -178,10 +219,10 @@
 .PP
 X/Open defines no error conditions.
 This implementation will return \fBERR\fR on attempts to
-use color values outside the range 0 to COLORS\-1
+use color values outside the range \fB0\fP to COLORS\-1
 (except for the default colors extension),
-or use color pairs outside the range 0 to COLOR_PAIRS\-1.
-Color values used in \fBinit_color\fP must be in the range 0 to 1000.
+or use color pairs outside the range \fB0\fP to \fBCOLOR_PAIRS\-1\fP.
+Color values used in \fBinit_color\fP must be in the range \fB0\fP to \fB1000\fP.
 An error is returned from all functions
 if the terminal has not been initialized.
 An error is returned from secondary functions such as \fBinit_pair\fP
@@ -200,21 +241,24 @@
 In the \fIncurses\fR implementation, there is a separate color activation flag,
 color palette, color pairs table, and associated COLORS and COLOR_PAIRS counts
 for each screen; the \fBstart_color\fR function only affects the current
-screen.  The SVr4/XSI interface is not really designed with this in mind, and
+screen.
+The SVr4/XSI interface is not really designed with this in mind, and
 historical implementations may use a single shared color palette.
 .PP
 Note that setting an implicit background color via a color pair affects only
-character cells that a character write operation explicitly touches.  To change
+character cells that a character write operation explicitly touches.
+To change
 the background color used when parts of a window are blanked by erasing or
 scrolling operations, see \fBcurs_bkgd\fR(3X).
 .PP
 Several caveats apply on 386 and 486 machines with VGA-compatible graphics:
 .bP
-COLOR_YELLOW is actually brown.  To get yellow, use COLOR_YELLOW combined with
-the \fBA_BOLD\fR attribute.
+COLOR_YELLOW is actually brown.
+To get yellow, use COLOR_YELLOW combined with the \fBA_BOLD\fR attribute.
 .bP
-The A_BLINK attribute should in theory cause the background to go bright.  This
-often fails to work, and even some cards for which it mostly works (such as the
+The A_BLINK attribute should in theory cause the background to go bright.
+This often fails to work, and even some cards for which it mostly works
+(such as the
 Paradise and compatibles) do the wrong thing when you try to set a bright
 "yellow" background (you get a blinking yellow foreground instead).
 .bP
Index: menu/Makefile.in
Prereq:  1.57 
--- ncurses-5.9-20141101+/menu/Makefile.in	2013-08-04 20:23:27.000000000 +0000
+++ ncurses-5.9-20141115/menu/Makefile.in	2014-11-15 13:54:00.000000000 +0000
@@ -1,6 +1,6 @@
-# $Id: Makefile.in,v 1.57 2013/08/04 20:23:27 tom Exp $
+# $Id: Makefile.in,v 1.60 2014/11/15 13:54:00 tom Exp $
 ##############################################################################
-# Copyright (c) 1998-2012,2013 Free Software Foundation, Inc.                #
+# Copyright (c) 1998-2013,2014 Free Software Foundation, Inc.                #
 #                                                                            #
 # Permission is hereby granted, free of charge, to any person obtaining a    #
 # copy of this software and associated documentation files (the "Software"), #
@@ -51,6 +51,7 @@
 
 MODEL		= @DFT_LWR_MODEL@
 DESTDIR		= @DESTDIR@
+top_srcdir	= @top_srcdir@
 srcdir		= @srcdir@
 prefix		= @prefix@
 exec_prefix	= @exec_prefix@
@@ -61,7 +62,10 @@
 
 INCLUDEDIR	= $(DESTDIR)$(includedir)$(includesubdir)
 
+PACKAGE		= @PACKAGE@
+
 LIBTOOL		= @LIBTOOL@
+LIBTOOL_OPTS	= @LIBTOOL_OPTS@ @EXPORT_SYMS@
 LIBTOOL_CLEAN	= @LIB_CLEAN@
 LIBTOOL_COMPILE	= @LIB_COMPILE@
 LIBTOOL_LINK	= @LIB_LINK@
@@ -87,7 +91,7 @@
 CPP		= @CPP@
 CFLAGS		= @CFLAGS@
 
-CPPFLAGS	= -I@top_srcdir@/ncurses -DHAVE_CONFIG_H @CPPFLAGS@
+CPPFLAGS	= -I${top_srcdir}/ncurses -DHAVE_CONFIG_H @CPPFLAGS@
 
 CCFLAGS		= $(CPPFLAGS) $(CFLAGS)
 
@@ -106,6 +110,7 @@
 SHLIB_LIST	= $(SHLIB_DIRS) -lncurses@LIB_SUFFIX@ @SHLIB_LIST@
 
 RPATH_LIST	= @RPATH_LIST@
+VERSIONED_SYMS	= @VERSIONED_SYMS@
 MK_SHARED_LIB	= @MK_SHARED_LIB@
 
 NCURSES_MAJOR	= @NCURSES_MAJOR@
Index: ncurses/Makefile.in
Prereq:  1.141 
--- ncurses-5.9-20141101+/ncurses/Makefile.in	2014-07-26 23:16:55.000000000 +0000
+++ ncurses-5.9-20141115/ncurses/Makefile.in	2014-11-15 13:54:00.000000000 +0000
@@ -1,4 +1,4 @@
-# $Id: Makefile.in,v 1.141 2014/07/26 23:16:55 tom Exp $
+# $Id: Makefile.in,v 1.144 2014/11/15 13:54:00 tom Exp $
 ##############################################################################
 # Copyright (c) 1998-2013,2014 Free Software Foundation, Inc.                #
 #                                                                            #
@@ -70,7 +70,10 @@
 
 INCLUDEDIR	= $(DESTDIR)$(includedir)$(includesubdir)
 
+PACKAGE		= @PACKAGE@
+
 LIBTOOL		= @LIBTOOL@
+LIBTOOL_OPTS	= @LIBTOOL_OPTS@ @EXPORT_SYMS@
 LIBTOOL_CLEAN	= @LIB_CLEAN@
 LIBTOOL_COMPILE	= @LIB_COMPILE@
 LIBTOOL_LINK	= @LIB_LINK@
@@ -131,6 +134,7 @@
 TICS_LIST	= $(SHLIB_DIRS) @TICS_LIST@
 
 RPATH_LIST	= @RPATH_LIST@
+VERSIONED_SYMS	= @VERSIONED_SYMS@
 MK_SHARED_LIB	= @MK_SHARED_LIB@
 
 NCURSES_MAJOR	= @NCURSES_MAJOR@
Index: package/debian-mingw/changelog
--- ncurses-5.9-20141101+/package/debian-mingw/changelog	2014-10-27 10:16:13.000000000 +0000
+++ ncurses-5.9-20141115/package/debian-mingw/changelog	2014-11-15 14:02:33.000000000 +0000
@@ -1,8 +1,8 @@
-ncurses6 (5.9-20141101) unstable; urgency=low
+ncurses6 (5.9+20141115) unstable; urgency=low
 
   * latest weekly patch
 
- -- Thomas E. Dickey <dickey@invisible-island.net>  Mon, 27 Oct 2014 06:16:13 -0400
+ -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 15 Nov 2014 09:02:26 -0500
 
 ncurses6 (5.9-20131005) unstable; urgency=low
 
Index: package/debian-mingw/source/format
--- ncurses-5.9-20141101+/package/debian-mingw/source/format	2013-08-24 21:13:46.000000000 +0000
+++ ncurses-5.9-20141115/package/debian-mingw/source/format	2014-11-16 02:19:54.000000000 +0000
@@ -1 +1 @@
-3.0 (quilt)
+3.0 (native)
Index: package/debian-mingw64/changelog
--- ncurses-5.9-20141101+/package/debian-mingw64/changelog	2014-10-27 10:16:13.000000000 +0000
+++ ncurses-5.9-20141115/package/debian-mingw64/changelog	2014-11-15 14:02:33.000000000 +0000
@@ -1,8 +1,8 @@
-ncurses6 (5.9-20141101) unstable; urgency=low
+ncurses6 (5.9+20141115) unstable; urgency=low
 
   * latest weekly patch
 
- -- Thomas E. Dickey <dickey@invisible-island.net>  Mon, 27 Oct 2014 06:16:13 -0400
+ -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 15 Nov 2014 09:02:26 -0500
 
 ncurses6 (5.9-20131005) unstable; urgency=low
 
Index: package/debian-mingw64/source/format
--- ncurses-5.9-20141101+/package/debian-mingw64/source/format	2013-08-24 21:13:46.000000000 +0000
+++ ncurses-5.9-20141115/package/debian-mingw64/source/format	2014-11-16 02:20:03.000000000 +0000
@@ -1 +1 @@
-3.0 (quilt)
+3.0 (native)
Index: package/debian/changelog
--- ncurses-5.9-20141101+/package/debian/changelog	2014-10-27 10:16:13.000000000 +0000
+++ ncurses-5.9-20141115/package/debian/changelog	2014-11-15 14:02:33.000000000 +0000
@@ -1,8 +1,8 @@
-ncurses6 (5.9-20141101) unstable; urgency=low
+ncurses6 (5.9+20141115) unstable; urgency=low
 
   * latest weekly patch
 
- -- Thomas E. Dickey <dickey@invisible-island.net>  Mon, 27 Oct 2014 06:16:13 -0400
+ -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 15 Nov 2014 09:02:26 -0500
 
 ncurses6 (5.9-20120608) unstable; urgency=low
 
Index: package/debian/rules
--- ncurses-5.9-20141101+/package/debian/rules	2014-03-22 23:04:40.000000000 +0000
+++ ncurses-5.9-20141115/package/debian/rules	2014-11-15 13:05:58.000000000 +0000
@@ -64,6 +64,7 @@
 		--with-ticlib \
 		--with-trace \
 		--with-cxx-shared \
+		--with-versioned-syms \
 		--with-xterm-kbs=DEL \
 		--without-ada \
 		--without-debug \
Index: package/debian/source/format
--- ncurses-5.9-20141101+/package/debian/source/format	2013-08-24 21:13:46.000000000 +0000
+++ ncurses-5.9-20141115/package/debian/source/format	2014-11-16 02:19:47.000000000 +0000
@@ -1 +1 @@
-3.0 (quilt)
+3.0 (native)
Index: package/mingw-ncurses.nsi
Prereq:  1.68 
--- ncurses-5.9-20141101+/package/mingw-ncurses.nsi	2014-10-27 10:16:13.000000000 +0000
+++ ncurses-5.9-20141115/package/mingw-ncurses.nsi	2014-11-15 14:02:33.000000000 +0000
@@ -1,4 +1,4 @@
-; $Id: mingw-ncurses.nsi,v 1.68 2014/10/27 10:16:13 tom Exp $
+; $Id: mingw-ncurses.nsi,v 1.70 2014/11/15 14:02:33 tom Exp $
 
 ; TODO add examples
 ; TODO bump ABI to 6
@@ -10,7 +10,7 @@
 !define VERSION_MAJOR "5"
 !define VERSION_MINOR "9"
 !define VERSION_YYYY  "2014"
-!define VERSION_MMDD  "1101"
+!define VERSION_MMDD  "1115"
 !define VERSION_PATCH ${VERSION_YYYY}${VERSION_MMDD}
 
 !define MY_ABI   "5"
Index: package/mingw-ncurses.spec
--- ncurses-5.9-20141101+/package/mingw-ncurses.spec	2014-10-27 10:16:13.000000000 +0000
+++ ncurses-5.9-20141115/package/mingw-ncurses.spec	2014-11-15 14:02:33.000000000 +0000
@@ -3,7 +3,7 @@
 Summary: shared libraries for terminal handling
 Name: mingw32-ncurses6
 Version: 5.9
-Release: 20141101
+Release: 20141115
 License: X11
 Group: Development/Libraries
 Source: ncurses-%{version}-%{release}.tgz
Index: package/ncurses.map
--- /dev/null	2014-11-15 22:24:06.925233108 +0000
+++ ncurses-5.9-20141115/package/ncurses.map	2014-11-16 01:42:06.000000000 +0000
@@ -0,0 +1,1001 @@
+/*
+ * $Id: ncurses.map,v 1.14 2014/11/16 01:42:06 tom Exp $
+ * script for shared library versioning
+ */
+
+NCURSES_5.0.19991023 {
+	global:
+		BC;
+		COLORS;
+		COLOR_PAIR;
+		COLOR_PAIRS;
+		COLS;
+		ESCDELAY;
+		LINES;
+		PAIR_NUMBER;
+		PC;
+		SP;
+		TABSIZE;
+		TYPE_ALNUM;
+		TYPE_ALPHA;
+		TYPE_ENUM;
+		TYPE_INTEGER;
+		TYPE_IPV4;
+		TYPE_NUMERIC;
+		TYPE_REGEXP;
+		UP;
+		_nc_Calculate_Item_Length_and_Width;
+		_nc_Connect_Items;
+		_nc_Copy_Argument;
+		_nc_Copy_Type;
+		_nc_Default_Field;
+		_nc_Default_FieldType;
+		_nc_Default_Form;
+		_nc_Default_Item;
+		_nc_Default_Menu;
+		_nc_Disconnect_Items;
+		_nc_Draw_Menu;
+		_nc_First_Active_Field;
+		_nc_Free_Argument;
+		_nc_Free_Type;
+		_nc_Internal_Validation;
+		_nc_Link_Items;
+		_nc_Make_Argument;
+		_nc_Match_Next_Character_In_Item_Name;
+		_nc_New_TopRow_and_CurrentItem;
+		_nc_Position_Form_Cursor;
+		_nc_Post_Item;
+		_nc_Refresh_Current_Field;
+		_nc_Set_Current_Field;
+		_nc_Set_Form_Page;
+		_nc_Show_Menu;
+		_nc_Synchronize_Attributes;
+		_nc_Synchronize_Options;
+		_nc_access;
+		_nc_add_to_try;
+		_nc_baudrate;
+		_nc_capcmp;
+		_nc_captoinfo;
+		_nc_check_termtype;
+		_nc_comment_end;
+		_nc_comment_start;
+		_nc_copy_entry;
+		_nc_copy_termtype;
+		_nc_curr_col;
+		_nc_curr_file_pos;
+		_nc_curr_line;
+		_nc_curr_token;
+		_nc_do_color;
+		_nc_doalloc;
+		_nc_entry_match;
+		_nc_err_abort;
+		_nc_expand_try;
+		_nc_expanded;
+		_nc_fallback;
+		_nc_find_entry;
+		_nc_find_type_entry;
+		_nc_first_name;
+		_nc_free_and_exit;
+		_nc_free_entries;
+		_nc_free_termtype;
+		_nc_free_tparm;
+		_nc_freeall;
+		_nc_freewin;
+		_nc_get_hash_table;
+		_nc_get_table;
+		_nc_get_token;
+		_nc_get_tty_mode;
+		_nc_get_type;
+		_nc_getenv_num;
+		_nc_has_mouse;
+		_nc_hash_map;
+		_nc_head;
+		_nc_home_terminfo;
+		_nc_infotocap;
+		_nc_init_acs;
+		_nc_init_entry;
+		_nc_init_keytry;
+		_nc_keep_tic_dir;
+		_nc_keypad;
+		_nc_make_oldhash;
+		_nc_makenew;
+		_nc_memmove;
+		_nc_menu_cursor_pos;
+		_nc_merge_entry;
+		_nc_msec_cost;
+		_nc_mvcur_init;
+		_nc_mvcur_resume;
+		_nc_mvcur_wrap;
+		_nc_name_match;
+		_nc_nulls_sent;
+		_nc_oldnums;
+		_nc_ospeed;
+		_nc_outch;
+		_nc_panelhook;
+		_nc_panic_mode;
+		_nc_parse_entry;
+		_nc_printf_string;
+		_nc_push_token;
+		_nc_read_entry;
+		_nc_read_entry_source;
+		_nc_read_file_entry;
+		_nc_read_termcap;
+		_nc_remove_key;
+		_nc_remove_string;
+		_nc_render;
+		_nc_reset_input;
+		_nc_resolve_uses;
+		_nc_ripoffline;
+		_nc_save_str;
+		_nc_screen_chain;
+		_nc_screen_init;
+		_nc_screen_resume;
+		_nc_screen_wrap;
+		_nc_scroll_oldhash;
+		_nc_scroll_optimize;
+		_nc_scroll_window;
+		_nc_scrolln;
+		_nc_set_buffer;
+		_nc_set_source;
+		_nc_set_tty_mode;
+		_nc_set_type;
+		_nc_set_writedir;
+		_nc_setupscreen;
+		_nc_signal_handler;
+		_nc_slk_initialize;
+		_nc_start_line;
+		_nc_suppress_warnings;
+		_nc_synchook;
+		_nc_syntax;
+		_nc_syserr_abort;
+		_nc_tail;
+		_nc_tic_dir;
+		_nc_tic_expand;
+		_nc_tic_written;
+		_nc_timed_wait;
+		_nc_trace_buf;
+		_nc_trace_tries;
+		_nc_trace_xnames;
+		_nc_tracebits;
+		_nc_tracing;
+		_nc_trans_string;
+		_nc_update_screensize;
+		_nc_visbuf2;
+		_nc_visbuf;
+		_nc_vsscanf;
+		_nc_waddch_nosync;
+		_nc_warning;
+		_nc_wrap_entry;
+		_nc_write_entry;
+		_tracechar;
+		acs_map;
+		addch;
+		addchnstr;
+		addchstr;
+		addnstr;
+		addstr;
+		attr_get;
+		attr_off;
+		attr_on;
+		attr_set;
+		attroff;
+		attron;
+		attrset;
+		baudrate;
+		beep;
+		bkgd;
+		bkgdset;
+		boolcodes;
+		boolfnames;
+		boolnames;
+		border;
+		bottom_panel;
+		box;
+		can_change_color;
+		cbreak;
+		chgat;
+		clear;
+		clearok;
+		clrtobot;
+		clrtoeol;
+		color_content;
+		color_set;
+		copywin;
+		cur_term;
+		current_field;
+		current_item;
+		curs_set;
+		curscr;
+		curses_version;
+		data_ahead;
+		data_behind;
+		def_prog_mode;
+		def_shell_mode;
+		define_key;
+		del_curterm;
+		del_panel;
+		delay_output;
+		delch;
+		deleteln;
+		delscreen;
+		delwin;
+		derwin;
+		doupdate;
+		dup_field;
+		dupwin;
+		dynamic_field_info;
+		echo;
+		echochar;
+		endwin;
+		erasechar;
+		field_arg;
+		field_back;
+		field_buffer;
+		field_count;
+		field_fore;
+		field_index;
+		field_info;
+		field_init;
+		field_just;
+		field_opts;
+		field_opts_off;
+		field_opts_on;
+		field_pad;
+		field_status;
+		field_term;
+		field_type;
+		field_userptr;
+		filter;
+		flash;
+		flushinp;
+		form_driver;
+		form_fields;
+		form_init;
+		form_opts;
+		form_opts_off;
+		form_opts_on;
+		form_page;
+		form_request_by_name;
+		form_request_name;
+		form_sub;
+		form_term;
+		form_userptr;
+		form_win;
+		free_field;
+		free_fieldtype;
+		free_form;
+		free_item;
+		free_menu;
+		getbkgd;
+		getch;
+		getmouse;
+		getnstr;
+		getstr;
+		getwin;
+		halfdelay;
+		has_colors;
+		has_ic;
+		has_il;
+		has_key;
+		hide_panel;
+		hline;
+		idcok;
+		idlok;
+		immedok;
+		inch;
+		inchnstr;
+		inchstr;
+		init_color;
+		init_pair;
+		initscr;
+		innstr;
+		insch;
+		insdelln;
+		insertln;
+		insnstr;
+		insstr;
+		instr;
+		intrflush;
+		is_linetouched;
+		is_wintouched;
+		isendwin;
+		item_count;
+		item_description;
+		item_index;
+		item_init;
+		item_name;
+		item_opts;
+		item_opts_off;
+		item_opts_on;
+		item_term;
+		item_userptr;
+		item_value;
+		item_visible;
+		keybound;
+		keyname;
+		keyok;
+		keypad;
+		killchar;
+		leaveok;
+		link_field;
+		link_fieldtype;
+		longname;
+		mcprint;
+		menu_back;
+		menu_driver;
+		menu_fore;
+		menu_format;
+		menu_grey;
+		menu_init;
+		menu_items;
+		menu_mark;
+		menu_opts;
+		menu_opts_off;
+		menu_opts_on;
+		menu_pad;
+		menu_pattern;
+		menu_request_by_name;
+		menu_request_name;
+		menu_spacing;
+		menu_sub;
+		menu_term;
+		menu_userptr;
+		menu_win;
+		meta;
+		mouse_trafo;
+		mouseinterval;
+		mousemask;
+		move;
+		move_field;
+		move_panel;
+		mvaddch;
+		mvaddchnstr;
+		mvaddchstr;
+		mvaddnstr;
+		mvaddstr;
+		mvchgat;
+		mvcur;
+		mvdelch;
+		mvderwin;
+		mvgetch;
+		mvgetnstr;
+		mvgetstr;
+		mvhline;
+		mvinch;
+		mvinchnstr;
+		mvinchstr;
+		mvinnstr;
+		mvinsch;
+		mvinsnstr;
+		mvinsstr;
+		mvinstr;
+		mvprintw;
+		mvscanw;
+		mvvline;
+		mvwaddch;
+		mvwaddchnstr;
+		mvwaddchstr;
+		mvwaddnstr;
+		mvwaddstr;
+		mvwchgat;
+		mvwdelch;
+		mvwgetch;
+		mvwgetnstr;
+		mvwgetstr;
+		mvwhline;
+		mvwin;
+		mvwinch;
+		mvwinchnstr;
+		mvwinchstr;
+		mvwinnstr;
+		mvwinsch;
+		mvwinsnstr;
+		mvwinsstr;
+		mvwinstr;
+		mvwprintw;
+		mvwscanw;
+		mvwvline;
+		napms;
+		new_field;
+		new_fieldtype;
+		new_form;
+		new_item;
+		new_menu;
+		new_page;
+		new_panel;
+		newpad;
+		newscr;
+		newterm;
+		newwin;
+		nl;
+		nocbreak;
+		nodelay;
+		noecho;
+		nonl;
+		noqiflush;
+		noraw;
+		notimeout;
+		numcodes;
+		numfnames;
+		numnames;
+		ospeed;
+		overlay;
+		overwrite;
+		pair_content;
+		panel_above;
+		panel_below;
+		panel_hidden;
+		panel_userptr;
+		panel_window;
+		pechochar;
+		pnoutrefresh;
+		pos_form_cursor;
+		pos_menu_cursor;
+		post_form;
+		post_menu;
+		prefresh;
+		printw;
+		putp;
+		putwin;
+		qiflush;
+		raw;
+		redrawwin;
+		refresh;
+		replace_panel;
+		reset_prog_mode;
+		reset_shell_mode;
+		resetty;
+		resizeterm;
+		restartterm;
+		ripoffline;
+		savetty;
+		scale_form;
+		scale_menu;
+		scanw;
+		scr_dump;
+		scr_init;
+		scr_restore;
+		scr_set;
+		scrl;
+		scroll;
+		scrollok;
+		set_current_field;
+		set_current_item;
+		set_curterm;
+		set_field_back;
+		set_field_buffer;
+		set_field_fore;
+		set_field_init;
+		set_field_just;
+		set_field_opts;
+		set_field_pad;
+		set_field_status;
+		set_field_term;
+		set_field_type;
+		set_field_userptr;
+		set_fieldtype_arg;
+		set_fieldtype_choice;
+		set_form_fields;
+		set_form_init;
+		set_form_opts;
+		set_form_page;
+		set_form_sub;
+		set_form_term;
+		set_form_userptr;
+		set_form_win;
+		set_item_init;
+		set_item_opts;
+		set_item_term;
+		set_item_userptr;
+		set_item_value;
+		set_max_field;
+		set_menu_back;
+		set_menu_fore;
+		set_menu_format;
+		set_menu_grey;
+		set_menu_init;
+		set_menu_items;
+		set_menu_mark;
+		set_menu_opts;
+		set_menu_pad;
+		set_menu_pattern;
+		set_menu_spacing;
+		set_menu_sub;
+		set_menu_term;
+		set_menu_userptr;
+		set_menu_win;
+		set_new_page;
+		set_panel_userptr;
+		set_term;
+		set_top_row;
+		setscrreg;
+		setupterm;
+		show_panel;
+		slk_attr;
+		slk_attr_set;
+		slk_attroff;
+		slk_attron;
+		slk_attrset;
+		slk_clear;
+		slk_color;
+		slk_init;
+		slk_label;
+		slk_noutrefresh;
+		slk_refresh;
+		slk_restore;
+		slk_set;
+		slk_touch;
+		standend;
+		standout;
+		start_color;
+		stdscr;
+		strcodes;
+		strfnames;
+		strnames;
+		subpad;
+		subwin;
+		syncok;
+		termattrs;
+		termname;
+		tgetent;
+		tgetflag;
+		tgetnum;
+		tgetstr;
+		tgoto;
+		tigetflag;
+		tigetnum;
+		tigetstr;
+		timeout;
+		top_panel;
+		top_row;
+		tparm;
+		tputs;
+		trace;
+		ttytype;
+		typeahead;
+		unctrl;
+		ungetch;
+		ungetmouse;
+		unpost_form;
+		unpost_menu;
+		untouchwin;
+		update_panels;
+		use_default_colors;
+		use_env;
+		vidattr;
+		vidputs;
+		vline;
+		vw_printw;
+		vw_scanw;
+		vwprintw;
+		vwscanw;
+		waddch;
+		waddchnstr;
+		waddchstr;
+		waddnstr;
+		waddstr;
+		wattr_get;
+		wattr_off;
+		wattr_on;
+		wattr_set;
+		wattroff;
+		wattron;
+		wattrset;
+		wbkgd;
+		wbkgdset;
+		wborder;
+		wchgat;
+		wclear;
+		wclrtobot;
+		wclrtoeol;
+		wcolor_set;
+		wcursyncup;
+		wdelch;
+		wdeleteln;
+		wechochar;
+		wenclose;
+		werase;
+		wgetch;
+		wgetnstr;
+		wgetstr;
+		whline;
+		winch;
+		winchnstr;
+		winchstr;
+		winnstr;
+		winsch;
+		winsdelln;
+		winsertln;
+		winsnstr;
+		winsstr;
+		winstr;
+		wmouse_trafo;
+		wmove;
+		wnoutrefresh;
+		wprintw;
+		wredrawln;
+		wrefresh;
+		wresize;
+		wscanw;
+		wscrl;
+		wsetscrreg;
+		wstandend;
+		wstandout;
+		wsyncdown;
+		wsyncup;
+		wtimeout;
+		wtouchln;
+		wvline;
+	local: _*;
+};
+
+NCURSES_5.1.20000708 {
+	global:
+		_nc_Touchline;
+		_nc_Touchpan;
+		_nc_Wnoutrefresh;
+		_nc_align_termtype;
+		_nc_dPanel;
+		_nc_dStack;
+		_nc_disable_period;
+		_nc_fifo_dump;
+		_nc_flush;
+		_nc_linedump;
+		_nc_my_visbuf;
+		_nc_optimize_enable;
+		_nc_outchars;
+		_nc_retrace_attr_t;
+		_nc_retrace_int;
+		_nc_retrace_ptr;
+		_nc_retrace_win;
+		_nc_tinfo_fkeys;
+		_nc_tputs_trace;
+		_nc_user_definable;
+		_traceattr2;
+		_traceattr;
+		_tracechtype2;
+		_tracechtype;
+		_tracedump;
+		_tracef;
+		_tracemouse;
+		assume_default_colors;
+		erase;
+		touchline;
+		touchwin;
+		use_extended_names;
+	local:
+		_nc_lib_traceatr;
+		_nc_lib_tracedmp;
+		_nc_lib_tracemouse;
+		_nc_tinfo_fkeysf;
+		slk_attr_off;
+		slk_attr_on;
+		vid_attr;
+} NCURSES_5.0.19991023;
+
+NCURSES_5.2.20001021 {
+	global:
+		_nc_basename;
+		_nc_retrace_chtype;
+		_nc_safe_strcat;
+		_nc_safe_strcpy;
+		_nc_str_copy;
+		_nc_str_init;
+		_nc_str_null;
+} NCURSES_5.1.20000708;
+
+NCURSES_5.3.20021012 {
+	global:
+		_nc_altcharset_name;
+		_nc_reset_colors;
+		_nc_retrace_bool;
+		_nc_retrace_sp;
+		_nc_retrace_unsigned;
+		_nc_rootname;
+		_nc_tparm_err;
+		_nc_trace_ttymode;
+		_nc_varargs;
+		_nc_visbufn;
+		_nc_wgetch;
+		is_term_resized;
+		resize_term;
+	local:
+		_nc_background;
+} NCURSES_5.2.20001021;
+
+NCURSES_5.4.20040208 {
+	global:
+		_nc_get_locale;
+		_nc_insert_ch;
+		_nc_locale_breaks_acs;
+		_nc_pathlast;
+		_nc_tparm_analyze;
+		_nc_trace_bufcat;
+		_nc_unicode_locale;
+		key_defined;
+	local:
+		_nc_outstr;
+		_nc_sigaction;
+} NCURSES_5.3.20021012;
+
+NCURSES_5.5.20051010 {
+	global:
+		_nc_Calculate_Text_Width;
+		_nc_alloc_entry_leaks;
+		_nc_captoinfo_leaks;
+		_nc_check_termtype2;
+		_nc_comp_scan_leaks;
+		_nc_delink_entry;
+		_nc_free_entry;
+		_nc_get_source;
+		_nc_resolve_uses2;
+		_nc_retrace_cptr;
+		_nc_retrace_cvoid_ptr;
+		_nc_retrace_field;
+		_nc_retrace_field_ptr;
+		_nc_retrace_field_type;
+		_nc_retrace_form;
+		_nc_retrace_form_hook;
+		_nc_retrace_item;
+		_nc_retrace_item_opts;
+		_nc_retrace_item_ptr;
+		_nc_retrace_menu;
+		_nc_retrace_menu_hook;
+		_nc_retrace_menu_opts;
+		_nc_retrace_panel;
+		_nc_retrace_void_ptr;
+		_nc_setupterm;
+		_nc_trim_sgr0;
+} NCURSES_5.4.20040208;
+
+NCURSES_5.6.20061217 {
+	global:
+		_nc_first_db;
+		_nc_handle_sigwinch;
+		_nc_hashed_db;
+		_nc_is_abs_path;
+		_nc_is_dir_path;
+		_nc_is_file_path;
+		_nc_keyname_leaks;
+		_nc_last_db;
+		_nc_next_db;
+		_nc_read_termtype;
+		_nc_tgetent_leaks;
+		_nc_viscbuf2;
+		_nc_viscbuf;
+		getbegx;
+		getbegy;
+		getcurx;
+		getcury;
+		getmaxx;
+		getmaxy;
+		getparx;
+		getpary;
+		nofilter;
+		use_legacy_coding;
+} NCURSES_5.5.20051010;
+
+NCURSES_5.7.20081102 {
+	global:
+		_nc_comp_captab_leaks;
+		_nc_free_tic;
+		_nc_free_tinfo;
+		_nc_get_alias_table;
+		_nc_get_screensize;
+		_nc_globals;
+		_nc_keyname;
+		_nc_leaks_tic;
+		_nc_leaks_tinfo;
+		_nc_prescreen;
+		_nc_screen_of;
+		_nc_set_no_padding;
+		_nc_tracechar;
+		_nc_tracemouse;
+		_nc_unctrl;
+		_nc_ungetch;
+		getattrs;
+		is_cleared;
+		is_idcok;
+		is_idlok;
+		is_immedok;
+		is_keypad;
+		is_leaveok;
+		is_nodelay;
+		is_notimeout;
+		is_scrollok;
+		is_syncok;
+		set_escdelay;
+		set_tabsize;
+		use_screen;
+		use_window;
+		wgetparent;
+		wgetscrreg;
+	local:
+		_nc_cap_hash_table;
+		_nc_capalias_table;
+		_nc_info_hash_table;
+		_nc_infoalias_table;
+		_nc_key_names;
+		_nc_slk_format;
+} NCURSES_5.6.20061217;
+
+NCURSES_5.8.20110226 {
+	global:
+		_nc_format_slks;
+		_nc_fty_generic;
+		_nc_get_fieldbuffer;
+		_nc_get_hash_info;
+		_nc_putp;
+		_nc_putp_flush;
+		_nc_retrace_char;
+		_nc_retrace_int_attr_t;
+		_nc_retrace_mmask_t;
+		_nc_setup_tinfo;
+		_nc_tinfo_cmdch;
+		get_escdelay;
+		has_mouse;
+		is_pad;
+		is_subwin;
+		tiparm;
+		/* sp-funcs */
+		_nc_curscr_of;
+		_nc_do_color_sp;
+		_nc_flush_sp;
+		_nc_free_and_exit_sp;
+		_nc_freeall_sp;
+		_nc_get_tty_mode_sp;
+		_nc_hash_map_sp;
+		_nc_init_acs_sp;
+		_nc_linedump_sp;
+		_nc_make_oldhash_sp;
+		_nc_makenew_sp;
+		_nc_msec_cost_sp;
+		_nc_mvcur_init_sp;
+		_nc_mvcur_resume_sp;
+		_nc_mvcur_sp;
+		_nc_mvcur_wrap_sp;
+		_nc_newscr_of;
+		_nc_outc_wrapper;
+		_nc_outch_sp;
+		_nc_panelhook_sp;
+		_nc_printf_string_sp;
+		_nc_putchar_sp;
+		_nc_putp_flush_sp;
+		_nc_putp_sp;
+		_nc_reset_colors_sp;
+		_nc_ripoffline_sp;
+		_nc_screen_init_sp;
+		_nc_screen_resume_sp;
+		_nc_screen_wrap_sp;
+		_nc_scroll_oldhash_sp;
+		_nc_scroll_optimize_sp;
+		_nc_scrolln_sp;
+		_nc_set_buffer_sp;
+		_nc_set_tty_mode_sp;
+		_nc_setupscreen_sp;
+		_nc_stdscr_of;
+		assume_default_colors_sp;
+		baudrate_sp;
+		beep_sp;
+		can_change_color_sp;
+		cbreak_sp;
+		ceiling_panel;
+		color_content_sp;
+		curs_set_sp;
+		def_prog_mode_sp;
+		def_shell_mode_sp;
+		define_key_sp;
+		del_curterm_sp;
+		delay_output_sp;
+		doupdate_sp;
+		echo_sp;
+		endwin_sp;
+		erasechar_sp;
+		filter_sp;
+		flash_sp;
+		flushinp_sp;
+		get_escdelay_sp;
+		getmouse_sp;
+		getwin_sp;
+		ground_panel;
+		halfdelay_sp;
+		has_colors_sp;
+		has_ic_sp;
+		has_il_sp;
+		has_key_sp;
+		has_mouse_sp;
+		init_color_sp;
+		init_pair_sp;
+		intrflush_sp;
+		is_term_resized_sp;
+		isendwin_sp;
+		key_defined_sp;
+		keybound_sp;
+		keyname_sp;
+		keyok_sp;
+		killchar_sp;
+		mcprint_sp;
+		mouseinterval_sp;
+		mousemask_sp;
+		mvcur_sp;
+		napms_sp;
+		new_form_sp;
+		new_menu_sp;
+		new_prescr;
+		newpad_sp;
+		newterm_sp;
+		newwin_sp;
+		nl_sp;
+		nocbreak_sp;
+		noecho_sp;
+		nofilter_sp;
+		nonl_sp;
+		noqiflush_sp;
+		noraw_sp;
+		pair_content_sp;
+		putp_sp;
+		qiflush_sp;
+		raw_sp;
+		reset_prog_mode_sp;
+		reset_shell_mode_sp;
+		resetty_sp;
+		resize_term_sp;
+		resizeterm_sp;
+		restartterm_sp;
+		ripoffline_sp;
+		savetty_sp;
+		scr_init_sp;
+		scr_restore_sp;
+		scr_set_sp;
+		set_curterm_sp;
+		set_escdelay_sp;
+		set_tabsize_sp;
+		slk_attr_set_sp;
+		slk_attr_sp;
+		slk_attroff_sp;
+		slk_attron_sp;
+		slk_attrset_sp;
+		slk_clear_sp;
+		slk_color_sp;
+		slk_init_sp;
+		slk_label_sp;
+		slk_noutrefresh_sp;
+		slk_refresh_sp;
+		slk_restore_sp;
+		slk_set_sp;
+		slk_touch_sp;
+		start_color_sp;
+		termattrs_sp;
+		termname_sp;
+		tgetent_sp;
+		tgetflag_sp;
+		tgetnum_sp;
+		tgetstr_sp;
+		tigetflag_sp;
+		tigetnum_sp;
+		tigetstr_sp;
+		tputs_sp;
+		typeahead_sp;
+		unctrl_sp;
+		ungetch_sp;
+		ungetmouse_sp;
+		update_panels_sp;
+		use_default_colors_sp;
+		use_env_sp;
+		use_legacy_coding_sp;
+		use_tioctl_sp;
+		vidattr_sp;
+		vidputs_sp;
+} NCURSES_5.7.20081102;
+
+NCURSES_5.9.20110404 {
+	/* no changes */
+} NCURSES_5.8.20110226;
+
+NCURSES_5.9.20141115 {
+	global:
+		_nc_init_termtype;
+		_nc_strict_bsd;
+		use_tioctl;
+		wgetdelay;
+} NCURSES_5.9.20110404;
Index: package/ncurses.spec
--- ncurses-5.9-20141101+/package/ncurses.spec	2014-10-27 10:16:13.000000000 +0000
+++ ncurses-5.9-20141115/package/ncurses.spec	2014-11-15 14:02:33.000000000 +0000
@@ -1,7 +1,7 @@
 Summary: shared libraries for terminal handling
 Name: ncurses6
 Version: 5.9
-Release: 20141101
+Release: 20141115
 License: X11
 Group: Development/Libraries
 Source: ncurses-%{version}-%{release}.tgz
@@ -58,6 +58,7 @@
 	--with-ticlib \
 	--with-trace \
 	--with-cxx-shared \
+	--with-versioned-syms \
 	--with-xterm-kbs=DEL \
 	--without-ada \
 	--without-debug \
Index: package/ncurses.sym
--- /dev/null	2014-11-15 22:24:06.925233108 +0000
+++ ncurses-5.9-20141115/package/ncurses.sym	2014-11-16 01:38:47.000000000 +0000
@@ -0,0 +1,937 @@
+# $Id: ncurses.sym,v 1.4 2014/11/16 01:38:47 tom Exp $
+BC
+COLORS
+COLOR_PAIR
+COLOR_PAIRS
+COLS
+ESCDELAY
+LINES
+PAIR_NUMBER
+PC
+SP
+TABSIZE
+TYPE_ALNUM
+TYPE_ALPHA
+TYPE_ENUM
+TYPE_INTEGER
+TYPE_IPV4
+TYPE_NUMERIC
+TYPE_REGEXP
+UP
+_nc_Calculate_Item_Length_and_Width
+_nc_Calculate_Text_Width
+_nc_Connect_Items
+_nc_Copy_Argument
+_nc_Copy_Type
+_nc_Default_Field
+_nc_Default_FieldType
+_nc_Default_Form
+_nc_Default_Item
+_nc_Default_Menu
+_nc_Disconnect_Items
+_nc_Draw_Menu
+_nc_First_Active_Field
+_nc_Free_Argument
+_nc_Free_Type
+_nc_Internal_Validation
+_nc_Link_Items
+_nc_Make_Argument
+_nc_Match_Next_Character_In_Item_Name
+_nc_New_TopRow_and_CurrentItem
+_nc_Position_Form_Cursor
+_nc_Post_Item
+_nc_Refresh_Current_Field
+_nc_Set_Current_Field
+_nc_Set_Form_Page
+_nc_Show_Menu
+_nc_Synchronize_Attributes
+_nc_Synchronize_Options
+_nc_Touchline
+_nc_Touchpan
+_nc_Wnoutrefresh
+_nc_access
+_nc_add_to_try
+_nc_align_termtype
+_nc_alloc_entry_leaks
+_nc_altcharset_name
+_nc_basename
+_nc_baudrate
+_nc_capcmp
+_nc_captoinfo
+_nc_captoinfo_leaks
+_nc_check_termtype
+_nc_check_termtype2
+_nc_comment_end
+_nc_comment_start
+_nc_comp_captab_leaks
+_nc_comp_error_leaks
+_nc_comp_scan_leaks
+_nc_copy_entry
+_nc_copy_termtype
+_nc_curr_col
+_nc_curr_file_pos
+_nc_curr_line
+_nc_curr_token
+_nc_curscr_of
+_nc_dPanel
+_nc_dStack
+_nc_db_iterator_leaks
+_nc_delink_entry
+_nc_disable_period
+_nc_do_color
+_nc_do_color_sp
+_nc_doalloc
+_nc_entry_match
+_nc_err_abort
+_nc_expand_try
+_nc_expanded
+_nc_fallback
+_nc_fifo_dump
+_nc_find_entry
+_nc_find_type_entry
+_nc_first_db
+_nc_first_name
+_nc_flush
+_nc_flush_sp
+_nc_format_slks
+_nc_free_and_exit
+_nc_free_and_exit_sp
+_nc_free_entries
+_nc_free_entry
+_nc_free_termtype
+_nc_free_tic
+_nc_free_tinfo
+_nc_free_tparm
+_nc_freeall
+_nc_freeall_sp
+_nc_freewin
+_nc_fty_generic
+_nc_get_alias_table
+_nc_get_fieldbuffer
+_nc_get_hash_info
+_nc_get_hash_table
+_nc_get_locale
+_nc_get_screensize
+_nc_get_source
+_nc_get_table
+_nc_get_token
+_nc_get_tty_mode
+_nc_get_tty_mode_sp
+_nc_get_type
+_nc_getenv_num
+_nc_globals
+_nc_handle_sigwinch
+_nc_has_mouse
+_nc_hash_map
+_nc_hash_map_sp
+_nc_hashed_db
+_nc_head
+_nc_home_terminfo
+_nc_infotocap
+_nc_init_acs
+_nc_init_acs_sp
+_nc_init_entry
+_nc_init_keytry
+_nc_init_termtype
+_nc_insert_ch
+_nc_is_abs_path
+_nc_is_dir_path
+_nc_is_file_path
+_nc_keep_tic_dir
+_nc_keyname
+_nc_keyname_leaks
+_nc_keypad
+_nc_last_db
+_nc_leaks_tic
+_nc_leaks_tinfo
+_nc_linedump
+_nc_linedump_sp
+_nc_locale_breaks_acs
+_nc_make_oldhash
+_nc_make_oldhash_sp
+_nc_makenew
+_nc_makenew_sp
+_nc_menu_cursor_pos
+_nc_merge_entry
+_nc_msec_cost
+_nc_msec_cost_sp
+_nc_mvcur
+_nc_mvcur_init
+_nc_mvcur_init_sp
+_nc_mvcur_resume
+_nc_mvcur_resume_sp
+_nc_mvcur_sp
+_nc_mvcur_wrap
+_nc_mvcur_wrap_sp
+_nc_my_visbuf
+_nc_name_match
+_nc_newscr_of
+_nc_next_db
+_nc_nulls_sent
+_nc_oldnums
+_nc_optimize_enable
+_nc_ospeed
+_nc_outc_wrapper
+_nc_outch
+_nc_outch_sp
+_nc_outchars
+_nc_panelhook
+_nc_panelhook_sp
+_nc_panic_mode
+_nc_parse_entry
+_nc_pathlast
+_nc_prescreen
+_nc_printf_string
+_nc_printf_string_sp
+_nc_push_token
+_nc_putchar
+_nc_putchar_sp
+_nc_putp
+_nc_putp_flush
+_nc_putp_flush_sp
+_nc_putp_sp
+_nc_read_entry
+_nc_read_entry_source
+_nc_read_file_entry
+_nc_read_termcap
+_nc_read_termtype
+_nc_remove_key
+_nc_remove_string
+_nc_render
+_nc_reset_colors
+_nc_reset_colors_sp
+_nc_reset_input
+_nc_resolve_uses
+_nc_resolve_uses2
+_nc_retrace_attr_t
+_nc_retrace_bool
+_nc_retrace_char
+_nc_retrace_chtype
+_nc_retrace_cptr
+_nc_retrace_cvoid_ptr
+_nc_retrace_field
+_nc_retrace_field_ptr
+_nc_retrace_field_type
+_nc_retrace_form
+_nc_retrace_form_hook
+_nc_retrace_int
+_nc_retrace_int_attr_t
+_nc_retrace_item
+_nc_retrace_item_opts
+_nc_retrace_item_ptr
+_nc_retrace_menu
+_nc_retrace_menu_hook
+_nc_retrace_menu_opts
+_nc_retrace_mmask_t
+_nc_retrace_panel
+_nc_retrace_ptr
+_nc_retrace_sp
+_nc_retrace_unsigned
+_nc_retrace_void_ptr
+_nc_retrace_win
+_nc_ripoffline
+_nc_ripoffline_sp
+_nc_rootname
+_nc_safe_strcat
+_nc_safe_strcpy
+_nc_save_str
+_nc_screen_chain
+_nc_screen_init
+_nc_screen_init_sp
+_nc_screen_of
+_nc_screen_resume
+_nc_screen_resume_sp
+_nc_screen_wrap
+_nc_screen_wrap_sp
+_nc_scroll_oldhash
+_nc_scroll_oldhash_sp
+_nc_scroll_optimize
+_nc_scroll_optimize_sp
+_nc_scroll_window
+_nc_scrolln
+_nc_scrolln_sp
+_nc_set_buffer
+_nc_set_buffer_sp
+_nc_set_no_padding
+_nc_set_source
+_nc_set_tty_mode
+_nc_set_tty_mode_sp
+_nc_set_type
+_nc_set_writedir
+_nc_setenv_num
+_nc_setup_tinfo
+_nc_setupscreen
+_nc_setupscreen_sp
+_nc_setupterm
+_nc_signal_handler
+_nc_slk_initialize
+_nc_start_line
+_nc_stdscr_of
+_nc_str_copy
+_nc_str_init
+_nc_str_null
+_nc_strict_bsd
+_nc_suppress_warnings
+_nc_synchook
+_nc_syntax
+_nc_syserr_abort
+_nc_tail
+_nc_tgetent_leaks
+_nc_tic_dir
+_nc_tic_expand
+_nc_tic_written
+_nc_timed_wait
+_nc_tinfo_cmdch
+_nc_tinfo_fkeys
+_nc_tparm_analyze
+_nc_tparm_err
+_nc_tputs_trace
+_nc_trace_buf
+_nc_trace_bufcat
+_nc_trace_mmask_t
+_nc_trace_tries
+_nc_trace_ttymode
+_nc_trace_xnames
+_nc_tracebits
+_nc_tracechar
+_nc_tracemouse
+_nc_tracing
+_nc_trans_string
+_nc_trim_sgr0
+_nc_unctrl
+_nc_ungetch
+_nc_unicode_locale
+_nc_update_screensize
+_nc_user_definable
+_nc_varargs
+_nc_visbuf
+_nc_visbuf2
+_nc_visbufn
+_nc_viscbuf
+_nc_viscbuf2
+_nc_vsscanf
+_nc_waddch_nosync
+_nc_warning
+_nc_wgetch
+_nc_wrap_entry
+_nc_write_entry
+_traceattr
+_traceattr2
+_tracechar
+_tracechtype
+_tracechtype2
+_tracedump
+_tracef
+_tracemouse
+acs_map
+addch
+addchnstr
+addchstr
+addnstr
+addstr
+assume_default_colors
+assume_default_colors_sp
+attr_get
+attr_off
+attr_on
+attr_set
+attroff
+attron
+attrset
+baudrate
+baudrate_sp
+beep
+beep_sp
+bkgd
+bkgdset
+boolcodes
+boolfnames
+boolnames
+border
+bottom_panel
+box
+can_change_color
+can_change_color_sp
+cbreak
+cbreak_sp
+ceiling_panel
+chgat
+clear
+clearok
+clrtobot
+clrtoeol
+color_content
+color_content_sp
+color_set
+copywin
+cur_term
+current_field
+current_item
+curs_set
+curs_set_sp
+curscr
+curses_version
+data_ahead
+data_behind
+def_prog_mode
+def_prog_mode_sp
+def_shell_mode
+def_shell_mode_sp
+define_key
+define_key_sp
+del_curterm
+del_curterm_sp
+del_panel
+delay_output
+delay_output_sp
+delch
+deleteln
+delscreen
+delwin
+derwin
+doupdate
+doupdate_sp
+dup_field
+dupwin
+dynamic_field_info
+echo
+echo_sp
+echochar
+endwin
+endwin_sp
+erase
+erasechar
+erasechar_sp
+field_arg
+field_back
+field_buffer
+field_count
+field_fore
+field_index
+field_info
+field_init
+field_just
+field_opts
+field_opts_off
+field_opts_on
+field_pad
+field_status
+field_term
+field_type
+field_userptr
+filter
+filter_sp
+flash
+flash_sp
+flushinp
+flushinp_sp
+form_driver
+form_fields
+form_init
+form_opts
+form_opts_off
+form_opts_on
+form_page
+form_request_by_name
+form_request_name
+form_sub
+form_term
+form_userptr
+form_win
+free_field
+free_fieldtype
+free_form
+free_item
+free_menu
+get_escdelay
+get_escdelay_sp
+getattrs
+getbegx
+getbegy
+getbkgd
+getch
+getcurx
+getcury
+getmaxx
+getmaxy
+getmouse
+getmouse_sp
+getnstr
+getparx
+getpary
+getstr
+getwin
+getwin_sp
+ground_panel
+halfdelay
+halfdelay_sp
+has_colors
+has_colors_sp
+has_ic
+has_ic_sp
+has_il
+has_il_sp
+has_key
+has_key_sp
+has_mouse
+has_mouse_sp
+hide_panel
+hline
+idcok
+idlok
+immedok
+inch
+inchnstr
+inchstr
+init_color
+init_color_sp
+init_pair
+init_pair_sp
+initscr
+innstr
+insch
+insdelln
+insertln
+insnstr
+insstr
+instr
+intrflush
+intrflush_sp
+is_cleared
+is_idcok
+is_idlok
+is_immedok
+is_keypad
+is_leaveok
+is_linetouched
+is_nodelay
+is_notimeout
+is_pad
+is_scrollok
+is_subwin
+is_syncok
+is_term_resized
+is_term_resized_sp
+is_wintouched
+isendwin
+isendwin_sp
+item_count
+item_description
+item_index
+item_init
+item_name
+item_opts
+item_opts_off
+item_opts_on
+item_term
+item_userptr
+item_value
+item_visible
+key_defined
+key_defined_sp
+keybound
+keybound_sp
+keyname
+keyname_sp
+keyok
+keyok_sp
+keypad
+killchar
+killchar_sp
+leaveok
+link_field
+link_fieldtype
+longname
+mcprint
+mcprint_sp
+menu_back
+menu_driver
+menu_fore
+menu_format
+menu_grey
+menu_init
+menu_items
+menu_mark
+menu_opts
+menu_opts_off
+menu_opts_on
+menu_pad
+menu_pattern
+menu_request_by_name
+menu_request_name
+menu_spacing
+menu_sub
+menu_term
+menu_userptr
+menu_win
+meta
+mouse_trafo
+mouseinterval
+mouseinterval_sp
+mousemask
+mousemask_sp
+move
+move_field
+move_panel
+mvaddch
+mvaddchnstr
+mvaddchstr
+mvaddnstr
+mvaddstr
+mvchgat
+mvcur
+mvcur_sp
+mvdelch
+mvderwin
+mvgetch
+mvgetnstr
+mvgetstr
+mvhline
+mvinch
+mvinchnstr
+mvinchstr
+mvinnstr
+mvinsch
+mvinsnstr
+mvinsstr
+mvinstr
+mvprintw
+mvscanw
+mvvline
+mvwaddch
+mvwaddchnstr
+mvwaddchstr
+mvwaddnstr
+mvwaddstr
+mvwchgat
+mvwdelch
+mvwgetch
+mvwgetnstr
+mvwgetstr
+mvwhline
+mvwin
+mvwinch
+mvwinchnstr
+mvwinchstr
+mvwinnstr
+mvwinsch
+mvwinsnstr
+mvwinsstr
+mvwinstr
+mvwprintw
+mvwscanw
+mvwvline
+napms
+napms_sp
+new_field
+new_fieldtype
+new_form
+new_form_sp
+new_item
+new_menu
+new_menu_sp
+new_page
+new_panel
+new_prescr
+newpad
+newpad_sp
+newscr
+newterm
+newterm_sp
+newwin
+newwin_sp
+nl
+nl_sp
+nocbreak
+nocbreak_sp
+nodelay
+noecho
+noecho_sp
+nofilter
+nofilter_sp
+nonl
+nonl_sp
+noqiflush
+noqiflush_sp
+noraw
+noraw_sp
+notimeout
+numcodes
+numfnames
+numnames
+ospeed
+overlay
+overwrite
+pair_content
+pair_content_sp
+panel_above
+panel_below
+panel_hidden
+panel_userptr
+panel_window
+pechochar
+pnoutrefresh
+pos_form_cursor
+pos_menu_cursor
+post_form
+post_menu
+prefresh
+printw
+putp
+putp_sp
+putwin
+qiflush
+qiflush_sp
+raw
+raw_sp
+redrawwin
+refresh
+replace_panel
+reset_prog_mode
+reset_prog_mode_sp
+reset_shell_mode
+reset_shell_mode_sp
+resetty
+resetty_sp
+resize_term
+resize_term_sp
+resizeterm
+resizeterm_sp
+restartterm
+restartterm_sp
+ripoffline
+ripoffline_sp
+savetty
+savetty_sp
+scale_form
+scale_menu
+scanw
+scr_dump
+scr_init
+scr_init_sp
+scr_restore
+scr_restore_sp
+scr_set
+scr_set_sp
+scrl
+scroll
+scrollok
+set_current_field
+set_current_item
+set_curterm
+set_curterm_sp
+set_escdelay
+set_escdelay_sp
+set_field_back
+set_field_buffer
+set_field_fore
+set_field_init
+set_field_just
+set_field_opts
+set_field_pad
+set_field_status
+set_field_term
+set_field_type
+set_field_userptr
+set_fieldtype_arg
+set_fieldtype_choice
+set_form_fields
+set_form_init
+set_form_opts
+set_form_page
+set_form_sub
+set_form_term
+set_form_userptr
+set_form_win
+set_item_init
+set_item_opts
+set_item_term
+set_item_userptr
+set_item_value
+set_max_field
+set_menu_back
+set_menu_fore
+set_menu_format
+set_menu_grey
+set_menu_init
+set_menu_items
+set_menu_mark
+set_menu_opts
+set_menu_pad
+set_menu_pattern
+set_menu_spacing
+set_menu_sub
+set_menu_term
+set_menu_userptr
+set_menu_win
+set_new_page
+set_panel_userptr
+set_tabsize
+set_tabsize_sp
+set_term
+set_top_row
+setscrreg
+setupterm
+show_panel
+slk_attr
+slk_attr_set
+slk_attr_set_sp
+slk_attr_sp
+slk_attroff
+slk_attroff_sp
+slk_attron
+slk_attron_sp
+slk_attrset
+slk_attrset_sp
+slk_clear
+slk_clear_sp
+slk_color
+slk_color_sp
+slk_init
+slk_init_sp
+slk_label
+slk_label_sp
+slk_noutrefresh
+slk_noutrefresh_sp
+slk_refresh
+slk_refresh_sp
+slk_restore
+slk_restore_sp
+slk_set
+slk_set_sp
+slk_touch
+slk_touch_sp
+standend
+standout
+start_color
+start_color_sp
+stdscr
+strcodes
+strfnames
+strnames
+subpad
+subwin
+syncok
+termattrs
+termattrs_sp
+termname
+termname_sp
+tgetent
+tgetent_sp
+tgetflag
+tgetflag_sp
+tgetnum
+tgetnum_sp
+tgetstr
+tgetstr_sp
+tgoto
+tigetflag
+tigetflag_sp
+tigetnum
+tigetnum_sp
+tigetstr
+tigetstr_sp
+timeout
+tiparm
+top_panel
+top_row
+touchline
+touchwin
+tparm
+tputs
+tputs_sp
+trace
+ttytype
+typeahead
+typeahead_sp
+unctrl
+unctrl_sp
+ungetch
+ungetch_sp
+ungetmouse
+ungetmouse_sp
+unpost_form
+unpost_menu
+untouchwin
+update_panels
+update_panels_sp
+use_default_colors
+use_default_colors_sp
+use_env
+use_env_sp
+use_extended_names
+use_legacy_coding
+use_legacy_coding_sp
+use_screen
+use_tioctl
+use_tioctl_sp
+use_window
+vidattr
+vidattr_sp
+vidputs
+vidputs_sp
+vline
+vw_printw
+vw_scanw
+vwprintw
+vwscanw
+waddch
+waddchnstr
+waddchstr
+waddnstr
+waddstr
+wattr_get
+wattr_off
+wattr_on
+wattr_set
+wattroff
+wattron
+wattrset
+wbkgd
+wbkgdset
+wborder
+wchgat
+wclear
+wclrtobot
+wclrtoeol
+wcolor_set
+wcursyncup
+wdelch
+wdeleteln
+wechochar
+wenclose
+werase
+wgetch
+wgetdelay
+wgetnstr
+wgetparent
+wgetscrreg
+wgetstr
+whline
+winch
+winchnstr
+winchstr
+winnstr
+winsch
+winsdelln
+winsertln
+winsnstr
+winsstr
+winstr
+wmouse_trafo
+wmove
+wnoutrefresh
+wprintw
+wredrawln
+wrefresh
+wresize
+wscanw
+wscrl
+wsetscrreg
+wstandend
+wstandout
+wsyncdown
+wsyncup
+wtimeout
+wtouchln
+wvline
Index: package/ncursest.map
--- /dev/null	2014-11-15 22:24:06.925233108 +0000
+++ ncurses-5.9-20141115/package/ncursest.map	2014-11-16 01:42:54.000000000 +0000
@@ -0,0 +1,972 @@
+/*
+ * $Id: ncursest.map,v 1.6 2014/11/16 01:42:54 tom Exp $
+ * script for shared library versioning
+ */
+
+NCURSEST_5.7.20081102 {
+	global:
+		BC;
+		COLOR_PAIR;
+		PAIR_NUMBER;
+		PC;
+		SP;
+		TYPE_ALNUM;
+		TYPE_ALPHA;
+		TYPE_ENUM;
+		TYPE_INTEGER;
+		TYPE_IPV4;
+		TYPE_NUMERIC;
+		TYPE_REGEXP;
+		UP;
+		_nc_COLORS;
+		_nc_COLOR_PAIRS;
+		_nc_COLS;
+		_nc_Calculate_Item_Length_and_Width;
+		_nc_Calculate_Text_Width;
+		_nc_Connect_Items;
+		_nc_Copy_Argument;
+		_nc_Copy_Type;
+		_nc_Default_Field;
+		_nc_Default_FieldType;
+		_nc_Default_Form;
+		_nc_Default_Item;
+		_nc_Default_Menu;
+		_nc_Disconnect_Items;
+		_nc_Draw_Menu;
+		_nc_ESCDELAY;
+		_nc_First_Active_Field;
+		_nc_Free_Argument;
+		_nc_Free_Type;
+		_nc_Internal_Validation;
+		_nc_LINES;
+		_nc_Link_Items;
+		_nc_Make_Argument;
+		_nc_Match_Next_Character_In_Item_Name;
+		_nc_New_TopRow_and_CurrentItem;
+		_nc_Position_Form_Cursor;
+		_nc_Post_Item;
+		_nc_Refresh_Current_Field;
+		_nc_Set_Current_Field;
+		_nc_Set_Form_Page;
+		_nc_Show_Menu;
+		_nc_Synchronize_Attributes;
+		_nc_Synchronize_Options;
+		_nc_TABSIZE;
+		_nc_Touchline;
+		_nc_Touchpan;
+		_nc_Wnoutrefresh;
+		_nc__nc_outchars;
+		_nc__nc_tputs_trace;
+		_nc_access;
+		_nc_acs_map;
+		_nc_add_to_try;
+		_nc_align_termtype;
+		_nc_alloc_entry_leaks;
+		_nc_altcharset_name;
+		_nc_basename;
+		_nc_baudrate;
+		_nc_boolcodes;
+		_nc_boolfnames;
+		_nc_boolnames;
+		_nc_capcmp;
+		_nc_captoinfo;
+		_nc_captoinfo_leaks;
+		_nc_check_termtype2;
+		_nc_check_termtype;
+		_nc_codes_leaks;
+		_nc_comment_end;
+		_nc_comment_start;
+		_nc_comp_captab_leaks;
+		_nc_comp_scan_leaks;
+		_nc_copy_entry;
+		_nc_copy_termtype;
+		_nc_count_outchars;
+		_nc_cur_term;
+		_nc_curr_col;
+		_nc_curr_file_pos;
+		_nc_curr_line;
+		_nc_curr_token;
+		_nc_curscr;
+		_nc_dPanel;
+		_nc_dStack;
+		_nc_delink_entry;
+		_nc_disable_period;
+		_nc_do_color;
+		_nc_doalloc;
+		_nc_entry_match;
+		_nc_err_abort;
+		_nc_expand_try;
+		_nc_expanded;
+		_nc_fallback;
+		_nc_fifo_dump;
+		_nc_find_entry;
+		_nc_find_type_entry;
+		_nc_first_db;
+		_nc_first_name;
+		_nc_flush;
+		_nc_free_and_exit;
+		_nc_free_entries;
+		_nc_free_entry;
+		_nc_free_termtype;
+		_nc_free_tic;
+		_nc_free_tinfo;
+		_nc_free_tparm;
+		_nc_freeall;
+		_nc_freewin;
+		_nc_get_alias_table;
+		_nc_get_hash_table;
+		_nc_get_locale;
+		_nc_get_screensize;
+		_nc_get_source;
+		_nc_get_table;
+		_nc_get_token;
+		_nc_get_tty_mode;
+		_nc_get_type;
+		_nc_getenv_num;
+		_nc_globals;
+		_nc_handle_sigwinch;
+		_nc_has_mouse;
+		_nc_hash_map;
+		_nc_hashed_db;
+		_nc_head;
+		_nc_home_terminfo;
+		_nc_infotocap;
+		_nc_init_acs;
+		_nc_init_entry;
+		_nc_init_keytry;
+		_nc_init_pthreads;
+		_nc_insert_ch;
+		_nc_is_abs_path;
+		_nc_is_dir_path;
+		_nc_is_file_path;
+		_nc_keep_tic_dir;
+		_nc_keyname;
+		_nc_keyname_leaks;
+		_nc_keypad;
+		_nc_last_db;
+		_nc_leaks_tic;
+		_nc_leaks_tinfo;
+		_nc_linedump;
+		_nc_locale_breaks_acs;
+		_nc_locked_tracef;
+		_nc_make_oldhash;
+		_nc_makenew;
+		_nc_memmove;
+		_nc_menu_cursor_pos;
+		_nc_merge_entry;
+		_nc_msec_cost;
+		_nc_mutex_init;
+		_nc_mutex_lock;
+		_nc_mutex_trylock;
+		_nc_mutex_unlock;
+		_nc_mvcur_init;
+		_nc_mvcur_resume;
+		_nc_mvcur_wrap;
+		_nc_my_visbuf;
+		_nc_name_match;
+		_nc_names_leaks;
+		_nc_newscr;
+		_nc_next_db;
+		_nc_nulls_sent;
+		_nc_numcodes;
+		_nc_numfnames;
+		_nc_numnames;
+		_nc_oldnums;
+		_nc_optimize_enable;
+		_nc_ospeed;
+		_nc_outch;
+		_nc_panelhook;
+		_nc_panic_mode;
+		_nc_parse_entry;
+		_nc_pathlast;
+		_nc_prescreen;
+		_nc_printf_string;
+		_nc_ptr_Cols;
+		_nc_ptr_Lines;
+		_nc_push_token;
+		_nc_read_entry;
+		_nc_read_entry_source;
+		_nc_read_file_entry;
+		_nc_read_termcap;
+		_nc_read_termtype;
+		_nc_remove_key;
+		_nc_remove_string;
+		_nc_render;
+		_nc_reset_colors;
+		_nc_reset_input;
+		_nc_resolve_uses2;
+		_nc_resolve_uses;
+		_nc_retrace_attr_t;
+		_nc_retrace_bool;
+		_nc_retrace_chtype;
+		_nc_retrace_cptr;
+		_nc_retrace_cvoid_ptr;
+		_nc_retrace_field;
+		_nc_retrace_field_ptr;
+		_nc_retrace_field_type;
+		_nc_retrace_form;
+		_nc_retrace_form_hook;
+		_nc_retrace_int;
+		_nc_retrace_item;
+		_nc_retrace_item_opts;
+		_nc_retrace_item_ptr;
+		_nc_retrace_menu;
+		_nc_retrace_menu_hook;
+		_nc_retrace_menu_opts;
+		_nc_retrace_panel;
+		_nc_retrace_ptr;
+		_nc_retrace_sp;
+		_nc_retrace_unsigned;
+		_nc_retrace_void_ptr;
+		_nc_retrace_win;
+		_nc_ripoffline;
+		_nc_rootname;
+		_nc_safe_strcat;
+		_nc_safe_strcpy;
+		_nc_save_str;
+		_nc_screen_chain;
+		_nc_screen_init;
+		_nc_screen_of;
+		_nc_screen_resume;
+		_nc_screen_wrap;
+		_nc_scroll_oldhash;
+		_nc_scroll_optimize;
+		_nc_scroll_window;
+		_nc_scrolln;
+		_nc_set_buffer;
+		_nc_set_no_padding;
+		_nc_set_source;
+		_nc_set_tputs_trace;
+		_nc_set_tty_mode;
+		_nc_set_type;
+		_nc_set_writedir;
+		_nc_setupscreen;
+		_nc_setupterm;
+		_nc_signal_handler;
+		_nc_slk_initialize;
+		_nc_start_line;
+		_nc_stdscr;
+		_nc_str_copy;
+		_nc_str_init;
+		_nc_str_null;
+		_nc_strcodes;
+		_nc_strfnames;
+		_nc_strnames;
+		_nc_suppress_warnings;
+		_nc_synchook;
+		_nc_syntax;
+		_nc_syserr_abort;
+		_nc_tail;
+		_nc_tgetent_leaks;
+		_nc_tic_dir;
+		_nc_tic_expand;
+		_nc_tic_written;
+		_nc_timed_wait;
+		_nc_tinfo_fkeys;
+		_nc_tparm_analyze;
+		_nc_tparm_err;
+		_nc_trace_buf;
+		_nc_trace_bufcat;
+		_nc_trace_tries;
+		_nc_trace_ttymode;
+		_nc_trace_xnames;
+		_nc_tracebits;
+		_nc_tracechar;
+		_nc_tracemouse;
+		_nc_tracing;
+		_nc_trans_string;
+		_nc_trim_sgr0;
+		_nc_ttytype;
+		_nc_unctrl;
+		_nc_ungetch;
+		_nc_unicode_locale;
+		_nc_update_screensize;
+		_nc_use_tracef;
+		_nc_user_definable;
+		_nc_varargs;
+		_nc_visbuf2;
+		_nc_visbuf;
+		_nc_visbufn;
+		_nc_viscbuf2;
+		_nc_viscbuf;
+		_nc_vsscanf;
+		_nc_waddch_nosync;
+		_nc_warning;
+		_nc_wgetch;
+		_nc_wrap_entry;
+		_nc_write_entry;
+		_traceattr2;
+		_traceattr;
+		_tracechar;
+		_tracechtype2;
+		_tracechtype;
+		_tracedump;
+		_tracef;
+		_tracemouse;
+		addch;
+		addchnstr;
+		addchstr;
+		addnstr;
+		addstr;
+		assume_default_colors;
+		attr_get;
+		attr_off;
+		attr_on;
+		attr_set;
+		attroff;
+		attron;
+		attrset;
+		baudrate;
+		beep;
+		bkgd;
+		bkgdset;
+		border;
+		bottom_panel;
+		box;
+		can_change_color;
+		cbreak;
+		chgat;
+		clear;
+		clearok;
+		clrtobot;
+		clrtoeol;
+		color_content;
+		color_set;
+		copywin;
+		current_field;
+		current_item;
+		curs_set;
+		curses_version;
+		data_ahead;
+		data_behind;
+		def_prog_mode;
+		def_shell_mode;
+		define_key;
+		del_curterm;
+		del_panel;
+		delay_output;
+		delch;
+		deleteln;
+		delscreen;
+		delwin;
+		derwin;
+		doupdate;
+		dup_field;
+		dupwin;
+		dynamic_field_info;
+		echo;
+		echochar;
+		endwin;
+		erase;
+		erasechar;
+		field_arg;
+		field_back;
+		field_buffer;
+		field_count;
+		field_fore;
+		field_index;
+		field_info;
+		field_init;
+		field_just;
+		field_opts;
+		field_opts_off;
+		field_opts_on;
+		field_pad;
+		field_status;
+		field_term;
+		field_type;
+		field_userptr;
+		filter;
+		flash;
+		flushinp;
+		form_driver;
+		form_fields;
+		form_init;
+		form_opts;
+		form_opts_off;
+		form_opts_on;
+		form_page;
+		form_request_by_name;
+		form_request_name;
+		form_sub;
+		form_term;
+		form_userptr;
+		form_win;
+		free_field;
+		free_fieldtype;
+		free_form;
+		free_item;
+		free_menu;
+		getattrs;
+		getbegx;
+		getbegy;
+		getbkgd;
+		getch;
+		getcurx;
+		getcury;
+		getmaxx;
+		getmaxy;
+		getmouse;
+		getnstr;
+		getparx;
+		getpary;
+		getstr;
+		getwin;
+		halfdelay;
+		has_colors;
+		has_ic;
+		has_il;
+		has_key;
+		hide_panel;
+		hline;
+		idcok;
+		idlok;
+		immedok;
+		inch;
+		inchnstr;
+		inchstr;
+		init_color;
+		init_pair;
+		initscr;
+		innstr;
+		insch;
+		insdelln;
+		insertln;
+		insnstr;
+		insstr;
+		instr;
+		intrflush;
+		is_cleared;
+		is_idcok;
+		is_idlok;
+		is_immedok;
+		is_keypad;
+		is_leaveok;
+		is_linetouched;
+		is_nodelay;
+		is_notimeout;
+		is_scrollok;
+		is_syncok;
+		is_term_resized;
+		is_wintouched;
+		isendwin;
+		item_count;
+		item_description;
+		item_index;
+		item_init;
+		item_name;
+		item_opts;
+		item_opts_off;
+		item_opts_on;
+		item_term;
+		item_userptr;
+		item_value;
+		item_visible;
+		key_defined;
+		keybound;
+		keyname;
+		keyok;
+		keypad;
+		killchar;
+		leaveok;
+		link_field;
+		link_fieldtype;
+		longname;
+		mcprint;
+		menu_back;
+		menu_driver;
+		menu_fore;
+		menu_format;
+		menu_grey;
+		menu_init;
+		menu_items;
+		menu_mark;
+		menu_opts;
+		menu_opts_off;
+		menu_opts_on;
+		menu_pad;
+		menu_pattern;
+		menu_request_by_name;
+		menu_request_name;
+		menu_spacing;
+		menu_sub;
+		menu_term;
+		menu_userptr;
+		menu_win;
+		meta;
+		mouse_trafo;
+		mouseinterval;
+		mousemask;
+		move;
+		move_field;
+		move_panel;
+		mvaddch;
+		mvaddchnstr;
+		mvaddchstr;
+		mvaddnstr;
+		mvaddstr;
+		mvchgat;
+		mvcur;
+		mvdelch;
+		mvderwin;
+		mvgetch;
+		mvgetnstr;
+		mvgetstr;
+		mvhline;
+		mvinch;
+		mvinchnstr;
+		mvinchstr;
+		mvinnstr;
+		mvinsch;
+		mvinsnstr;
+		mvinsstr;
+		mvinstr;
+		mvprintw;
+		mvscanw;
+		mvvline;
+		mvwaddch;
+		mvwaddchnstr;
+		mvwaddchstr;
+		mvwaddnstr;
+		mvwaddstr;
+		mvwchgat;
+		mvwdelch;
+		mvwgetch;
+		mvwgetnstr;
+		mvwgetstr;
+		mvwhline;
+		mvwin;
+		mvwinch;
+		mvwinchnstr;
+		mvwinchstr;
+		mvwinnstr;
+		mvwinsch;
+		mvwinsnstr;
+		mvwinsstr;
+		mvwinstr;
+		mvwprintw;
+		mvwscanw;
+		mvwvline;
+		napms;
+		new_field;
+		new_fieldtype;
+		new_form;
+		new_item;
+		new_menu;
+		new_page;
+		new_panel;
+		newpad;
+		newterm;
+		newwin;
+		nl;
+		nocbreak;
+		nodelay;
+		noecho;
+		nofilter;
+		nonl;
+		noqiflush;
+		noraw;
+		notimeout;
+		ospeed;
+		overlay;
+		overwrite;
+		pair_content;
+		panel_above;
+		panel_below;
+		panel_hidden;
+		panel_userptr;
+		panel_window;
+		pechochar;
+		pnoutrefresh;
+		pos_form_cursor;
+		pos_menu_cursor;
+		post_form;
+		post_menu;
+		prefresh;
+		printw;
+		putp;
+		putwin;
+		qiflush;
+		raw;
+		redrawwin;
+		refresh;
+		replace_panel;
+		reset_prog_mode;
+		reset_shell_mode;
+		resetty;
+		resize_term;
+		resizeterm;
+		restartterm;
+		ripoffline;
+		savetty;
+		scale_form;
+		scale_menu;
+		scanw;
+		scr_dump;
+		scr_init;
+		scr_restore;
+		scr_set;
+		scrl;
+		scroll;
+		scrollok;
+		set_current_field;
+		set_current_item;
+		set_curterm;
+		set_escdelay;
+		set_field_back;
+		set_field_buffer;
+		set_field_fore;
+		set_field_init;
+		set_field_just;
+		set_field_opts;
+		set_field_pad;
+		set_field_status;
+		set_field_term;
+		set_field_type;
+		set_field_userptr;
+		set_fieldtype_arg;
+		set_fieldtype_choice;
+		set_form_fields;
+		set_form_init;
+		set_form_opts;
+		set_form_page;
+		set_form_sub;
+		set_form_term;
+		set_form_userptr;
+		set_form_win;
+		set_item_init;
+		set_item_opts;
+		set_item_term;
+		set_item_userptr;
+		set_item_value;
+		set_max_field;
+		set_menu_back;
+		set_menu_fore;
+		set_menu_format;
+		set_menu_grey;
+		set_menu_init;
+		set_menu_items;
+		set_menu_mark;
+		set_menu_opts;
+		set_menu_pad;
+		set_menu_pattern;
+		set_menu_spacing;
+		set_menu_sub;
+		set_menu_term;
+		set_menu_userptr;
+		set_menu_win;
+		set_new_page;
+		set_panel_userptr;
+		set_tabsize;
+		set_term;
+		set_top_row;
+		setscrreg;
+		setupterm;
+		show_panel;
+		slk_attr;
+		slk_attr_set;
+		slk_attroff;
+		slk_attron;
+		slk_attrset;
+		slk_clear;
+		slk_color;
+		slk_init;
+		slk_label;
+		slk_noutrefresh;
+		slk_refresh;
+		slk_restore;
+		slk_set;
+		slk_touch;
+		standend;
+		standout;
+		start_color;
+		subpad;
+		subwin;
+		syncok;
+		termattrs;
+		termname;
+		tgetent;
+		tgetflag;
+		tgetnum;
+		tgetstr;
+		tgoto;
+		tigetflag;
+		tigetnum;
+		tigetstr;
+		timeout;
+		top_panel;
+		top_row;
+		touchline;
+		touchwin;
+		tparm;
+		tputs;
+		trace;
+		typeahead;
+		unctrl;
+		ungetch;
+		ungetmouse;
+		unpost_form;
+		unpost_menu;
+		untouchwin;
+		update_panels;
+		use_default_colors;
+		use_env;
+		use_extended_names;
+		use_legacy_coding;
+		use_screen;
+		use_window;
+		vidattr;
+		vidputs;
+		vline;
+		vw_printw;
+		vw_scanw;
+		vwprintw;
+		vwscanw;
+		waddch;
+		waddchnstr;
+		waddchstr;
+		waddnstr;
+		waddstr;
+		wattr_get;
+		wattr_off;
+		wattr_on;
+		wattr_set;
+		wattroff;
+		wattron;
+		wattrset;
+		wbkgd;
+		wbkgdset;
+		wborder;
+		wchgat;
+		wclear;
+		wclrtobot;
+		wclrtoeol;
+		wcolor_set;
+		wcursyncup;
+		wdelch;
+		wdeleteln;
+		wechochar;
+		wenclose;
+		werase;
+		wgetch;
+		wgetnstr;
+		wgetparent;
+		wgetscrreg;
+		wgetstr;
+		whline;
+		winch;
+		winchnstr;
+		winchstr;
+		winnstr;
+		winsch;
+		winsdelln;
+		winsertln;
+		winsnstr;
+		winsstr;
+		winstr;
+		wmouse_trafo;
+		wmove;
+		wnoutrefresh;
+		wprintw;
+		wredrawln;
+		wrefresh;
+		wresize;
+		wscanw;
+		wscrl;
+		wsetscrreg;
+		wstandend;
+		wstandout;
+		wsyncdown;
+		wsyncup;
+		wtimeout;
+		wtouchln;
+		wvline;
+	local: _*;
+};
+
+NCURSEST_5.8.20110226 {
+	global:
+		_nc_format_slks;
+		_nc_fty_generic;
+		_nc_get_cur_term;
+		_nc_get_fieldbuffer;
+		_nc_get_hash_info;
+		_nc_ptr_Escdelay;
+		_nc_ptr_Tabsize;
+		_nc_putp;
+		_nc_putp_flush;
+		_nc_retrace_char;
+		_nc_retrace_int_attr_t;
+		_nc_retrace_mmask_t;
+		_nc_setup_tinfo;
+		_nc_tinfo_cmdch;
+		get_escdelay;
+		has_mouse;
+		is_pad;
+		is_subwin;
+		tiparm;
+		/* sp-funcs */
+		_nc_curscr_of;
+		_nc_do_color_sp;
+		_nc_flush_sp;
+		_nc_free_and_exit_sp;
+		_nc_freeall_sp;
+		_nc_get_cur_term_sp;
+		_nc_get_tty_mode_sp;
+		_nc_hash_map_sp;
+		_nc_init_acs_sp;
+		_nc_linedump_sp;
+		_nc_make_oldhash_sp;
+		_nc_makenew_sp;
+		_nc_msec_cost_sp;
+		_nc_mvcur_init_sp;
+		_nc_mvcur_resume_sp;
+		_nc_mvcur_sp;
+		_nc_mvcur_wrap_sp;
+		_nc_newscr_of;
+		_nc_outc_wrapper;
+		_nc_outch_sp;
+		_nc_panelhook_sp;
+		_nc_printf_string_sp;
+		_nc_putchar_sp;
+		_nc_putp_flush_sp;
+		_nc_putp_sp;
+		_nc_reset_colors_sp;
+		_nc_ripoffline_sp;
+		_nc_screen_init_sp;
+		_nc_screen_resume_sp;
+		_nc_screen_wrap_sp;
+		_nc_scroll_oldhash_sp;
+		_nc_scroll_optimize_sp;
+		_nc_scrolln_sp;
+		_nc_set_buffer_sp;
+		_nc_set_tty_mode_sp;
+		_nc_setupscreen_sp;
+		_nc_stdscr_of;
+		assume_default_colors_sp;
+		baudrate_sp;
+		beep_sp;
+		can_change_color_sp;
+		cbreak_sp;
+		ceiling_panel;
+		color_content_sp;
+		curs_set_sp;
+		def_prog_mode_sp;
+		def_shell_mode_sp;
+		define_key_sp;
+		del_curterm_sp;
+		delay_output_sp;
+		doupdate_sp;
+		echo_sp;
+		endwin_sp;
+		erasechar_sp;
+		filter_sp;
+		flash_sp;
+		flushinp_sp;
+		get_escdelay_sp;
+		getmouse_sp;
+		getwin_sp;
+		ground_panel;
+		halfdelay_sp;
+		has_colors_sp;
+		has_ic_sp;
+		has_il_sp;
+		has_key_sp;
+		has_mouse_sp;
+		init_color_sp;
+		init_pair_sp;
+		intrflush_sp;
+		is_term_resized_sp;
+		isendwin_sp;
+		key_defined_sp;
+		keybound_sp;
+		keyname_sp;
+		keyok_sp;
+		killchar_sp;
+		longname_sp;
+		mcprint_sp;
+		mouseinterval_sp;
+		mousemask_sp;
+		mvcur_sp;
+		napms_sp;
+		new_form_sp;
+		new_menu_sp;
+		new_prescr;
+		newpad_sp;
+		newterm_sp;
+		newwin_sp;
+		nl_sp;
+		nocbreak_sp;
+		noecho_sp;
+		nofilter_sp;
+		nonl_sp;
+		noqiflush_sp;
+		noraw_sp;
+		pair_content_sp;
+		putp_sp;
+		qiflush_sp;
+		raw_sp;
+		reset_prog_mode_sp;
+		reset_shell_mode_sp;
+		resetty_sp;
+		resize_term_sp;
+		resizeterm_sp;
+		restartterm_sp;
+		ripoffline_sp;
+		savetty_sp;
+		scr_init_sp;
+		scr_restore_sp;
+		scr_set_sp;
+		set_curterm_sp;
+		set_escdelay_sp;
+		set_tabsize_sp;
+		slk_attr_set_sp;
+		slk_attr_sp;
+		slk_attroff_sp;
+		slk_attron_sp;
+		slk_attrset_sp;
+		slk_clear_sp;
+		slk_color_sp;
+		slk_init_sp;
+		slk_label_sp;
+		slk_noutrefresh_sp;
+		slk_refresh_sp;
+		slk_restore_sp;
+		slk_set_sp;
+		slk_touch_sp;
+		start_color_sp;
+		termattrs_sp;
+		termname_sp;
+		tgetent_sp;
+		tgetflag_sp;
+		tgetnum_sp;
+		tgetstr_sp;
+		tigetflag_sp;
+		tigetnum_sp;
+		tigetstr_sp;
+		tputs_sp;
+		typeahead_sp;
+		unctrl_sp;
+		ungetch_sp;
+		ungetmouse_sp;
+		update_panels_sp;
+		use_default_colors_sp;
+		use_env_sp;
+		use_legacy_coding_sp;
+		use_tioctl_sp;
+		vidattr_sp;
+		vidputs_sp;
+} NCURSEST_5.7.20081102;
+
+NCURSEST_5.9.20110404 {
+	/* no changes */
+} NCURSEST_5.8.20110226;
+
+NCURSEST_5.9.20141115 {
+	global:
+		_nc_init_termtype;
+		_nc_strict_bsd;
+		form_driver_w;
+		use_tioctl;
+		wgetdelay;
+} NCURSEST_5.9.20110404;
Index: package/ncursest.sym
--- /dev/null	2014-11-15 22:24:06.925233108 +0000
+++ ncurses-5.9-20141115/package/ncursest.sym	2014-11-16 01:38:44.000000000 +0000
@@ -0,0 +1,955 @@
+# $Id: ncursest.sym,v 1.4 2014/11/16 01:38:44 tom Exp $
+BC
+COLOR_PAIR
+PAIR_NUMBER
+PC
+SP
+TYPE_ALNUM
+TYPE_ALPHA
+TYPE_ENUM
+TYPE_INTEGER
+TYPE_IPV4
+TYPE_NUMERIC
+TYPE_REGEXP
+UP
+_nc_COLORS
+_nc_COLOR_PAIRS
+_nc_COLS
+_nc_Calculate_Item_Length_and_Width
+_nc_Calculate_Text_Width
+_nc_Connect_Items
+_nc_Copy_Argument
+_nc_Copy_Type
+_nc_Default_Field
+_nc_Default_FieldType
+_nc_Default_Form
+_nc_Default_Item
+_nc_Default_Menu
+_nc_Disconnect_Items
+_nc_Draw_Menu
+_nc_ESCDELAY
+_nc_First_Active_Field
+_nc_Free_Argument
+_nc_Free_Type
+_nc_Internal_Validation
+_nc_LINES
+_nc_Link_Items
+_nc_Make_Argument
+_nc_Match_Next_Character_In_Item_Name
+_nc_New_TopRow_and_CurrentItem
+_nc_Position_Form_Cursor
+_nc_Post_Item
+_nc_Refresh_Current_Field
+_nc_Set_Current_Field
+_nc_Set_Form_Page
+_nc_Show_Menu
+_nc_Synchronize_Attributes
+_nc_Synchronize_Options
+_nc_TABSIZE
+_nc_Touchline
+_nc_Touchpan
+_nc_Wnoutrefresh
+_nc__nc_outchars
+_nc__nc_tputs_trace
+_nc_access
+_nc_acs_map
+_nc_add_to_try
+_nc_align_termtype
+_nc_alloc_entry_leaks
+_nc_altcharset_name
+_nc_basename
+_nc_baudrate
+_nc_boolcodes
+_nc_boolfnames
+_nc_boolnames
+_nc_capcmp
+_nc_captoinfo
+_nc_captoinfo_leaks
+_nc_check_termtype
+_nc_check_termtype2
+_nc_codes_leaks
+_nc_comment_end
+_nc_comment_start
+_nc_comp_captab_leaks
+_nc_comp_error_leaks
+_nc_comp_scan_leaks
+_nc_copy_entry
+_nc_copy_termtype
+_nc_count_outchars
+_nc_cur_term
+_nc_curr_col
+_nc_curr_file_pos
+_nc_curr_line
+_nc_curr_token
+_nc_curscr
+_nc_curscr_of
+_nc_dPanel
+_nc_dStack
+_nc_db_iterator_leaks
+_nc_delink_entry
+_nc_disable_period
+_nc_do_color
+_nc_do_color_sp
+_nc_doalloc
+_nc_entry_match
+_nc_err_abort
+_nc_expand_try
+_nc_expanded
+_nc_fallback
+_nc_fifo_dump
+_nc_find_entry
+_nc_find_type_entry
+_nc_first_db
+_nc_first_name
+_nc_flush
+_nc_flush_sp
+_nc_format_slks
+_nc_free_and_exit
+_nc_free_and_exit_sp
+_nc_free_entries
+_nc_free_entry
+_nc_free_termtype
+_nc_free_tic
+_nc_free_tinfo
+_nc_free_tparm
+_nc_freeall
+_nc_freeall_sp
+_nc_freewin
+_nc_fty_generic
+_nc_get_alias_table
+_nc_get_cur_term
+_nc_get_cur_term_sp
+_nc_get_fieldbuffer
+_nc_get_hash_info
+_nc_get_hash_table
+_nc_get_locale
+_nc_get_screensize
+_nc_get_source
+_nc_get_table
+_nc_get_token
+_nc_get_tty_mode
+_nc_get_tty_mode_sp
+_nc_get_type
+_nc_getenv_num
+_nc_globals
+_nc_handle_sigwinch
+_nc_has_mouse
+_nc_hash_map
+_nc_hash_map_sp
+_nc_hashed_db
+_nc_head
+_nc_home_terminfo
+_nc_infotocap
+_nc_init_acs
+_nc_init_acs_sp
+_nc_init_entry
+_nc_init_keytry
+_nc_init_pthreads
+_nc_init_termtype
+_nc_insert_ch
+_nc_is_abs_path
+_nc_is_dir_path
+_nc_is_file_path
+_nc_keep_tic_dir
+_nc_keyname
+_nc_keyname_leaks
+_nc_keypad
+_nc_last_db
+_nc_leaks_tic
+_nc_leaks_tinfo
+_nc_linedump
+_nc_linedump_sp
+_nc_locale_breaks_acs
+_nc_locked_tracef
+_nc_make_oldhash
+_nc_make_oldhash_sp
+_nc_makenew
+_nc_makenew_sp
+_nc_menu_cursor_pos
+_nc_merge_entry
+_nc_msec_cost
+_nc_msec_cost_sp
+_nc_mutex_init
+_nc_mutex_lock
+_nc_mutex_trylock
+_nc_mutex_unlock
+_nc_mvcur
+_nc_mvcur_init
+_nc_mvcur_init_sp
+_nc_mvcur_resume
+_nc_mvcur_resume_sp
+_nc_mvcur_sp
+_nc_mvcur_wrap
+_nc_mvcur_wrap_sp
+_nc_my_visbuf
+_nc_name_match
+_nc_names_leaks
+_nc_newscr
+_nc_newscr_of
+_nc_next_db
+_nc_nulls_sent
+_nc_numcodes
+_nc_numfnames
+_nc_numnames
+_nc_oldnums
+_nc_optimize_enable
+_nc_ospeed
+_nc_outc_wrapper
+_nc_outch
+_nc_outch_sp
+_nc_panelhook
+_nc_panelhook_sp
+_nc_panic_mode
+_nc_parse_entry
+_nc_pathlast
+_nc_prescreen
+_nc_printf_string
+_nc_printf_string_sp
+_nc_ptr_Cols
+_nc_ptr_Escdelay
+_nc_ptr_Lines
+_nc_ptr_Tabsize
+_nc_push_token
+_nc_putchar
+_nc_putchar_sp
+_nc_putp
+_nc_putp_flush
+_nc_putp_flush_sp
+_nc_putp_sp
+_nc_read_entry
+_nc_read_entry_source
+_nc_read_file_entry
+_nc_read_termcap
+_nc_read_termtype
+_nc_remove_key
+_nc_remove_string
+_nc_render
+_nc_reset_colors
+_nc_reset_colors_sp
+_nc_reset_input
+_nc_resolve_uses
+_nc_resolve_uses2
+_nc_retrace_attr_t
+_nc_retrace_bool
+_nc_retrace_char
+_nc_retrace_chtype
+_nc_retrace_cptr
+_nc_retrace_cvoid_ptr
+_nc_retrace_field
+_nc_retrace_field_ptr
+_nc_retrace_field_type
+_nc_retrace_form
+_nc_retrace_form_hook
+_nc_retrace_int
+_nc_retrace_int_attr_t
+_nc_retrace_item
+_nc_retrace_item_opts
+_nc_retrace_item_ptr
+_nc_retrace_menu
+_nc_retrace_menu_hook
+_nc_retrace_menu_opts
+_nc_retrace_mmask_t
+_nc_retrace_panel
+_nc_retrace_ptr
+_nc_retrace_sp
+_nc_retrace_unsigned
+_nc_retrace_void_ptr
+_nc_retrace_win
+_nc_ripoffline
+_nc_ripoffline_sp
+_nc_rootname
+_nc_safe_strcat
+_nc_safe_strcpy
+_nc_save_str
+_nc_screen_chain
+_nc_screen_init
+_nc_screen_init_sp
+_nc_screen_of
+_nc_screen_resume
+_nc_screen_resume_sp
+_nc_screen_wrap
+_nc_screen_wrap_sp
+_nc_scroll_oldhash
+_nc_scroll_oldhash_sp
+_nc_scroll_optimize
+_nc_scroll_optimize_sp
+_nc_scroll_window
+_nc_scrolln
+_nc_scrolln_sp
+_nc_set_buffer
+_nc_set_buffer_sp
+_nc_set_no_padding
+_nc_set_source
+_nc_set_tputs_trace
+_nc_set_tty_mode
+_nc_set_tty_mode_sp
+_nc_set_type
+_nc_set_writedir
+_nc_setenv_num
+_nc_setup_tinfo
+_nc_setupscreen
+_nc_setupscreen_sp
+_nc_setupterm
+_nc_signal_handler
+_nc_slk_initialize
+_nc_start_line
+_nc_stdscr
+_nc_stdscr_of
+_nc_str_copy
+_nc_str_init
+_nc_str_null
+_nc_strcodes
+_nc_strfnames
+_nc_strict_bsd
+_nc_strnames
+_nc_suppress_warnings
+_nc_synchook
+_nc_syntax
+_nc_syserr_abort
+_nc_tail
+_nc_tgetent_leaks
+_nc_tic_dir
+_nc_tic_expand
+_nc_tic_written
+_nc_timed_wait
+_nc_tinfo_cmdch
+_nc_tinfo_fkeys
+_nc_tparm_analyze
+_nc_tparm_err
+_nc_trace_buf
+_nc_trace_bufcat
+_nc_trace_mmask_t
+_nc_trace_tries
+_nc_trace_ttymode
+_nc_trace_xnames
+_nc_tracebits
+_nc_tracechar
+_nc_tracemouse
+_nc_tracing
+_nc_trans_string
+_nc_trim_sgr0
+_nc_ttytype
+_nc_unctrl
+_nc_ungetch
+_nc_unicode_locale
+_nc_update_screensize
+_nc_use_tracef
+_nc_user_definable
+_nc_varargs
+_nc_visbuf
+_nc_visbuf2
+_nc_visbufn
+_nc_viscbuf
+_nc_viscbuf2
+_nc_vsscanf
+_nc_waddch_nosync
+_nc_warning
+_nc_wgetch
+_nc_wrap_entry
+_nc_write_entry
+_traceattr
+_traceattr2
+_tracechar
+_tracechtype
+_tracechtype2
+_tracedump
+_tracef
+_tracemouse
+addch
+addchnstr
+addchstr
+addnstr
+addstr
+assume_default_colors
+assume_default_colors_sp
+attr_get
+attr_off
+attr_on
+attr_set
+attroff
+attron
+attrset
+baudrate
+baudrate_sp
+beep
+beep_sp
+bkgd
+bkgdset
+border
+bottom_panel
+box
+can_change_color
+can_change_color_sp
+cbreak
+cbreak_sp
+ceiling_panel
+chgat
+clear
+clearok
+clrtobot
+clrtoeol
+color_content
+color_content_sp
+color_set
+copywin
+current_field
+current_item
+curs_set
+curs_set_sp
+curses_version
+data_ahead
+data_behind
+def_prog_mode
+def_prog_mode_sp
+def_shell_mode
+def_shell_mode_sp
+define_key
+define_key_sp
+del_curterm
+del_curterm_sp
+del_panel
+delay_output
+delay_output_sp
+delch
+deleteln
+delscreen
+delwin
+derwin
+doupdate
+doupdate_sp
+dup_field
+dupwin
+dynamic_field_info
+echo
+echo_sp
+echochar
+endwin
+endwin_sp
+erase
+erasechar
+erasechar_sp
+field_arg
+field_back
+field_buffer
+field_count
+field_fore
+field_index
+field_info
+field_init
+field_just
+field_opts
+field_opts_off
+field_opts_on
+field_pad
+field_status
+field_term
+field_type
+field_userptr
+filter
+filter_sp
+flash
+flash_sp
+flushinp
+flushinp_sp
+form_driver
+form_fields
+form_init
+form_opts
+form_opts_off
+form_opts_on
+form_page
+form_request_by_name
+form_request_name
+form_sub
+form_term
+form_userptr
+form_win
+free_field
+free_fieldtype
+free_form
+free_item
+free_menu
+get_escdelay
+get_escdelay_sp
+getattrs
+getbegx
+getbegy
+getbkgd
+getch
+getcurx
+getcury
+getmaxx
+getmaxy
+getmouse
+getmouse_sp
+getnstr
+getparx
+getpary
+getstr
+getwin
+getwin_sp
+ground_panel
+halfdelay
+halfdelay_sp
+has_colors
+has_colors_sp
+has_ic
+has_ic_sp
+has_il
+has_il_sp
+has_key
+has_key_sp
+has_mouse
+has_mouse_sp
+hide_panel
+hline
+idcok
+idlok
+immedok
+inch
+inchnstr
+inchstr
+init_color
+init_color_sp
+init_pair
+init_pair_sp
+initscr
+innstr
+insch
+insdelln
+insertln
+insnstr
+insstr
+instr
+intrflush
+intrflush_sp
+is_cleared
+is_idcok
+is_idlok
+is_immedok
+is_keypad
+is_leaveok
+is_linetouched
+is_nodelay
+is_notimeout
+is_pad
+is_scrollok
+is_subwin
+is_syncok
+is_term_resized
+is_term_resized_sp
+is_wintouched
+isendwin
+isendwin_sp
+item_count
+item_description
+item_index
+item_init
+item_name
+item_opts
+item_opts_off
+item_opts_on
+item_term
+item_userptr
+item_value
+item_visible
+key_defined
+key_defined_sp
+keybound
+keybound_sp
+keyname
+keyname_sp
+keyok
+keyok_sp
+keypad
+killchar
+killchar_sp
+leaveok
+link_field
+link_fieldtype
+longname
+longname_sp
+mcprint
+mcprint_sp
+menu_back
+menu_driver
+menu_fore
+menu_format
+menu_grey
+menu_init
+menu_items
+menu_mark
+menu_opts
+menu_opts_off
+menu_opts_on
+menu_pad
+menu_pattern
+menu_request_by_name
+menu_request_name
+menu_spacing
+menu_sub
+menu_term
+menu_userptr
+menu_win
+meta
+mouse_trafo
+mouseinterval
+mouseinterval_sp
+mousemask
+mousemask_sp
+move
+move_field
+move_panel
+mvaddch
+mvaddchnstr
+mvaddchstr
+mvaddnstr
+mvaddstr
+mvchgat
+mvcur
+mvcur_sp
+mvdelch
+mvderwin
+mvgetch
+mvgetnstr
+mvgetstr
+mvhline
+mvinch
+mvinchnstr
+mvinchstr
+mvinnstr
+mvinsch
+mvinsnstr
+mvinsstr
+mvinstr
+mvprintw
+mvscanw
+mvvline
+mvwaddch
+mvwaddchnstr
+mvwaddchstr
+mvwaddnstr
+mvwaddstr
+mvwchgat
+mvwdelch
+mvwgetch
+mvwgetnstr
+mvwgetstr
+mvwhline
+mvwin
+mvwinch
+mvwinchnstr
+mvwinchstr
+mvwinnstr
+mvwinsch
+mvwinsnstr
+mvwinsstr
+mvwinstr
+mvwprintw
+mvwscanw
+mvwvline
+napms
+napms_sp
+new_field
+new_fieldtype
+new_form
+new_form_sp
+new_item
+new_menu
+new_menu_sp
+new_page
+new_panel
+new_prescr
+newpad
+newpad_sp
+newterm
+newterm_sp
+newwin
+newwin_sp
+nl
+nl_sp
+nocbreak
+nocbreak_sp
+nodelay
+noecho
+noecho_sp
+nofilter
+nofilter_sp
+nonl
+nonl_sp
+noqiflush
+noqiflush_sp
+noraw
+noraw_sp
+notimeout
+ospeed
+overlay
+overwrite
+pair_content
+pair_content_sp
+panel_above
+panel_below
+panel_hidden
+panel_userptr
+panel_window
+pechochar
+pnoutrefresh
+pos_form_cursor
+pos_menu_cursor
+post_form
+post_menu
+prefresh
+printw
+putp
+putp_sp
+putwin
+qiflush
+qiflush_sp
+raw
+raw_sp
+redrawwin
+refresh
+replace_panel
+reset_prog_mode
+reset_prog_mode_sp
+reset_shell_mode
+reset_shell_mode_sp
+resetty
+resetty_sp
+resize_term
+resize_term_sp
+resizeterm
+resizeterm_sp
+restartterm
+restartterm_sp
+ripoffline
+ripoffline_sp
+savetty
+savetty_sp
+scale_form
+scale_menu
+scanw
+scr_dump
+scr_init
+scr_init_sp
+scr_restore
+scr_restore_sp
+scr_set
+scr_set_sp
+scrl
+scroll
+scrollok
+set_current_field
+set_current_item
+set_curterm
+set_curterm_sp
+set_escdelay
+set_escdelay_sp
+set_field_back
+set_field_buffer
+set_field_fore
+set_field_init
+set_field_just
+set_field_opts
+set_field_pad
+set_field_status
+set_field_term
+set_field_type
+set_field_userptr
+set_fieldtype_arg
+set_fieldtype_choice
+set_form_fields
+set_form_init
+set_form_opts
+set_form_page
+set_form_sub
+set_form_term
+set_form_userptr
+set_form_win
+set_item_init
+set_item_opts
+set_item_term
+set_item_userptr
+set_item_value
+set_max_field
+set_menu_back
+set_menu_fore
+set_menu_format
+set_menu_grey
+set_menu_init
+set_menu_items
+set_menu_mark
+set_menu_opts
+set_menu_pad
+set_menu_pattern
+set_menu_spacing
+set_menu_sub
+set_menu_term
+set_menu_userptr
+set_menu_win
+set_new_page
+set_panel_userptr
+set_tabsize
+set_tabsize_sp
+set_term
+set_top_row
+setscrreg
+setupterm
+show_panel
+slk_attr
+slk_attr_set
+slk_attr_set_sp
+slk_attr_sp
+slk_attroff
+slk_attroff_sp
+slk_attron
+slk_attron_sp
+slk_attrset
+slk_attrset_sp
+slk_clear
+slk_clear_sp
+slk_color
+slk_color_sp
+slk_init
+slk_init_sp
+slk_label
+slk_label_sp
+slk_noutrefresh
+slk_noutrefresh_sp
+slk_refresh
+slk_refresh_sp
+slk_restore
+slk_restore_sp
+slk_set
+slk_set_sp
+slk_touch
+slk_touch_sp
+standend
+standout
+start_color
+start_color_sp
+subpad
+subwin
+syncok
+termattrs
+termattrs_sp
+termname
+termname_sp
+tgetent
+tgetent_sp
+tgetflag
+tgetflag_sp
+tgetnum
+tgetnum_sp
+tgetstr
+tgetstr_sp
+tgoto
+tigetflag
+tigetflag_sp
+tigetnum
+tigetnum_sp
+tigetstr
+tigetstr_sp
+timeout
+tiparm
+top_panel
+top_row
+touchline
+touchwin
+tparm
+tputs
+tputs_sp
+trace
+typeahead
+typeahead_sp
+unctrl
+unctrl_sp
+ungetch
+ungetch_sp
+ungetmouse
+ungetmouse_sp
+unpost_form
+unpost_menu
+untouchwin
+update_panels
+update_panels_sp
+use_default_colors
+use_default_colors_sp
+use_env
+use_env_sp
+use_extended_names
+use_legacy_coding
+use_legacy_coding_sp
+use_screen
+use_tioctl
+use_tioctl_sp
+use_window
+vidattr
+vidattr_sp
+vidputs
+vidputs_sp
+vline
+vw_printw
+vw_scanw
+vwprintw
+vwscanw
+waddch
+waddchnstr
+waddchstr
+waddnstr
+waddstr
+wattr_get
+wattr_off
+wattr_on
+wattr_set
+wattroff
+wattron
+wattrset
+wbkgd
+wbkgdset
+wborder
+wchgat
+wclear
+wclrtobot
+wclrtoeol
+wcolor_set
+wcursyncup
+wdelch
+wdeleteln
+wechochar
+wenclose
+werase
+wgetch
+wgetdelay
+wgetnstr
+wgetparent
+wgetscrreg
+wgetstr
+whline
+winch
+winchnstr
+winchstr
+winnstr
+winsch
+winsdelln
+winsertln
+winsnstr
+winsstr
+winstr
+wmouse_trafo
+wmove
+wnoutrefresh
+wprintw
+wredrawln
+wrefresh
+wresize
+wscanw
+wscrl
+wsetscrreg
+wstandend
+wstandout
+wsyncdown
+wsyncup
+wtimeout
+wtouchln
+wvline
Index: package/ncursestw.map
--- /dev/null	2014-11-15 22:24:06.925233108 +0000
+++ ncurses-5.9-20141115/package/ncursestw.map	2014-11-16 01:41:24.000000000 +0000
@@ -0,0 +1,1091 @@
+/*
+ * $Id: ncursestw.map,v 1.6 2014/11/16 01:41:24 tom Exp $
+ * script for shared library versioning
+ */
+
+NCURSESTW_5.7.20081102 {
+	global:
+		BC;
+		COLOR_PAIR;
+		PAIR_NUMBER;
+		PC;
+		SP;
+		TYPE_ALNUM;
+		TYPE_ALPHA;
+		TYPE_ENUM;
+		TYPE_INTEGER;
+		TYPE_IPV4;
+		TYPE_NUMERIC;
+		TYPE_REGEXP;
+		UP;
+		_nc_COLORS;
+		_nc_COLOR_PAIRS;
+		_nc_COLS;
+		_nc_Calculate_Item_Length_and_Width;
+		_nc_Calculate_Text_Width;
+		_nc_Connect_Items;
+		_nc_Copy_Argument;
+		_nc_Copy_Type;
+		_nc_Default_Field;
+		_nc_Default_FieldType;
+		_nc_Default_Form;
+		_nc_Default_Item;
+		_nc_Default_Menu;
+		_nc_Disconnect_Items;
+		_nc_Draw_Menu;
+		_nc_ESCDELAY;
+		_nc_First_Active_Field;
+		_nc_Free_Argument;
+		_nc_Free_Type;
+		_nc_Internal_Validation;
+		_nc_LINES;
+		_nc_Link_Items;
+		_nc_Make_Argument;
+		_nc_Match_Next_Character_In_Item_Name;
+		_nc_New_TopRow_and_CurrentItem;
+		_nc_Position_Form_Cursor;
+		_nc_Post_Item;
+		_nc_Refresh_Current_Field;
+		_nc_Set_Current_Field;
+		_nc_Set_Form_Page;
+		_nc_Show_Menu;
+		_nc_Synchronize_Attributes;
+		_nc_Synchronize_Options;
+		_nc_TABSIZE;
+		_nc_Touchline;
+		_nc_Touchpan;
+		_nc_Widen_String;
+		_nc_Wnoutrefresh;
+		_nc__nc_outchars;
+		_nc__nc_tputs_trace;
+		_nc_access;
+		_nc_acs_map;
+		_nc_add_to_try;
+		_nc_align_termtype;
+		_nc_alloc_entry_leaks;
+		_nc_altcharset_name;
+		_nc_basename;
+		_nc_baudrate;
+		_nc_boolcodes;
+		_nc_boolfnames;
+		_nc_boolnames;
+		_nc_build_wch;
+		_nc_capcmp;
+		_nc_captoinfo;
+		_nc_captoinfo_leaks;
+		_nc_check_termtype2;
+		_nc_check_termtype;
+		_nc_codes_leaks;
+		_nc_comment_end;
+		_nc_comment_start;
+		_nc_comp_captab_leaks;
+		_nc_comp_scan_leaks;
+		_nc_copy_entry;
+		_nc_copy_termtype;
+		_nc_count_outchars;
+		_nc_cur_term;
+		_nc_curr_col;
+		_nc_curr_file_pos;
+		_nc_curr_line;
+		_nc_curr_token;
+		_nc_curscr;
+		_nc_dPanel;
+		_nc_dStack;
+		_nc_delink_entry;
+		_nc_disable_period;
+		_nc_do_color;
+		_nc_doalloc;
+		_nc_entry_match;
+		_nc_err_abort;
+		_nc_expand_try;
+		_nc_expanded;
+		_nc_fallback;
+		_nc_fifo_dump;
+		_nc_find_entry;
+		_nc_find_type_entry;
+		_nc_first_db;
+		_nc_first_name;
+		_nc_flush;
+		_nc_free_and_exit;
+		_nc_free_entries;
+		_nc_free_entry;
+		_nc_free_termtype;
+		_nc_free_tic;
+		_nc_free_tinfo;
+		_nc_free_tparm;
+		_nc_freeall;
+		_nc_freewin;
+		_nc_get_alias_table;
+		_nc_get_hash_table;
+		_nc_get_locale;
+		_nc_get_screensize;
+		_nc_get_source;
+		_nc_get_table;
+		_nc_get_token;
+		_nc_get_tty_mode;
+		_nc_get_type;
+		_nc_getenv_num;
+		_nc_globals;
+		_nc_handle_sigwinch;
+		_nc_has_mouse;
+		_nc_hash_map;
+		_nc_hashed_db;
+		_nc_head;
+		_nc_home_terminfo;
+		_nc_infotocap;
+		_nc_init_acs;
+		_nc_init_entry;
+		_nc_init_keytry;
+		_nc_init_pthreads;
+		_nc_init_wacs;
+		_nc_insert_ch;
+		_nc_is_abs_path;
+		_nc_is_charable;
+		_nc_is_dir_path;
+		_nc_is_file_path;
+		_nc_keep_tic_dir;
+		_nc_keyname;
+		_nc_keyname_leaks;
+		_nc_keypad;
+		_nc_last_db;
+		_nc_leaks_tic;
+		_nc_leaks_tinfo;
+		_nc_linedump;
+		_nc_locale_breaks_acs;
+		_nc_locked_tracef;
+		_nc_make_oldhash;
+		_nc_makenew;
+		_nc_memmove;
+		_nc_menu_cursor_pos;
+		_nc_merge_entry;
+		_nc_msec_cost;
+		_nc_mutex_init;
+		_nc_mutex_lock;
+		_nc_mutex_trylock;
+		_nc_mutex_unlock;
+		_nc_mvcur_init;
+		_nc_mvcur_resume;
+		_nc_mvcur_wrap;
+		_nc_my_visbuf;
+		_nc_name_match;
+		_nc_names_leaks;
+		_nc_newscr;
+		_nc_next_db;
+		_nc_nulls_sent;
+		_nc_numcodes;
+		_nc_numfnames;
+		_nc_numnames;
+		_nc_oldnums;
+		_nc_optimize_enable;
+		_nc_ospeed;
+		_nc_outch;
+		_nc_panelhook;
+		_nc_panic_mode;
+		_nc_parse_entry;
+		_nc_pathlast;
+		_nc_prescreen;
+		_nc_printf_string;
+		_nc_ptr_Cols;
+		_nc_ptr_Lines;
+		_nc_push_token;
+		_nc_read_entry;
+		_nc_read_entry_source;
+		_nc_read_file_entry;
+		_nc_read_termcap;
+		_nc_read_termtype;
+		_nc_remove_key;
+		_nc_remove_string;
+		_nc_render;
+		_nc_reset_colors;
+		_nc_reset_input;
+		_nc_resolve_uses2;
+		_nc_resolve_uses;
+		_nc_retrace_attr_t;
+		_nc_retrace_bool;
+		_nc_retrace_chtype;
+		_nc_retrace_cptr;
+		_nc_retrace_cvoid_ptr;
+		_nc_retrace_field;
+		_nc_retrace_field_ptr;
+		_nc_retrace_field_type;
+		_nc_retrace_form;
+		_nc_retrace_form_hook;
+		_nc_retrace_int;
+		_nc_retrace_item;
+		_nc_retrace_item_opts;
+		_nc_retrace_item_ptr;
+		_nc_retrace_menu;
+		_nc_retrace_menu_hook;
+		_nc_retrace_menu_opts;
+		_nc_retrace_panel;
+		_nc_retrace_ptr;
+		_nc_retrace_sp;
+		_nc_retrace_unsigned;
+		_nc_retrace_void_ptr;
+		_nc_retrace_win;
+		_nc_ripoffline;
+		_nc_rootname;
+		_nc_safe_strcat;
+		_nc_safe_strcpy;
+		_nc_save_str;
+		_nc_screen_chain;
+		_nc_screen_init;
+		_nc_screen_of;
+		_nc_screen_resume;
+		_nc_screen_wrap;
+		_nc_scroll_oldhash;
+		_nc_scroll_optimize;
+		_nc_scroll_window;
+		_nc_scrolln;
+		_nc_set_buffer;
+		_nc_set_no_padding;
+		_nc_set_source;
+		_nc_set_tputs_trace;
+		_nc_set_tty_mode;
+		_nc_set_type;
+		_nc_set_writedir;
+		_nc_setupscreen;
+		_nc_setupterm;
+		_nc_signal_handler;
+		_nc_slk_initialize;
+		_nc_start_line;
+		_nc_stdscr;
+		_nc_str_copy;
+		_nc_str_init;
+		_nc_str_null;
+		_nc_strcodes;
+		_nc_strfnames;
+		_nc_strnames;
+		_nc_suppress_warnings;
+		_nc_synchook;
+		_nc_syntax;
+		_nc_syserr_abort;
+		_nc_tail;
+		_nc_tgetent_leaks;
+		_nc_tic_dir;
+		_nc_tic_expand;
+		_nc_tic_written;
+		_nc_timed_wait;
+		_nc_tinfo_fkeys;
+		_nc_to_char;
+		_nc_to_widechar;
+		_nc_tparm_analyze;
+		_nc_tparm_err;
+		_nc_trace_buf;
+		_nc_trace_bufcat;
+		_nc_trace_tries;
+		_nc_trace_ttymode;
+		_nc_trace_xnames;
+		_nc_tracebits;
+		_nc_tracechar;
+		_nc_tracemouse;
+		_nc_tracing;
+		_nc_trans_string;
+		_nc_trim_sgr0;
+		_nc_ttytype;
+		_nc_unctrl;
+		_nc_ungetch;
+		_nc_unicode_locale;
+		_nc_update_screensize;
+		_nc_use_tracef;
+		_nc_user_definable;
+		_nc_varargs;
+		_nc_visbuf2;
+		_nc_visbuf;
+		_nc_visbufn;
+		_nc_viscbuf2;
+		_nc_viscbuf;
+		_nc_viswbuf2;
+		_nc_viswbuf;
+		_nc_viswbufn;
+		_nc_viswibuf;
+		_nc_vsscanf;
+		_nc_wacs;
+		_nc_waddch_nosync;
+		_nc_warning;
+		_nc_wchstrlen;
+		_nc_wcrtomb;
+		_nc_wgetch;
+		_nc_wrap_entry;
+		_nc_write_entry;
+		_traceattr2;
+		_traceattr;
+		_tracecchar_t2;
+		_tracecchar_t;
+		_tracechar;
+		_tracechtype2;
+		_tracechtype;
+		_tracedump;
+		_tracef;
+		_tracemouse;
+		add_wch;
+		add_wchnstr;
+		add_wchstr;
+		addch;
+		addchnstr;
+		addchstr;
+		addnstr;
+		addnwstr;
+		addstr;
+		addwstr;
+		assume_default_colors;
+		attr_get;
+		attr_off;
+		attr_on;
+		attr_set;
+		attroff;
+		attron;
+		attrset;
+		baudrate;
+		beep;
+		bkgd;
+		bkgdset;
+		bkgrnd;
+		bkgrndset;
+		border;
+		border_set;
+		bottom_panel;
+		box;
+		box_set;
+		can_change_color;
+		cbreak;
+		chgat;
+		clear;
+		clearok;
+		clrtobot;
+		clrtoeol;
+		color_content;
+		color_set;
+		copywin;
+		current_field;
+		current_item;
+		curs_set;
+		curses_version;
+		data_ahead;
+		data_behind;
+		def_prog_mode;
+		def_shell_mode;
+		define_key;
+		del_curterm;
+		del_panel;
+		delay_output;
+		delch;
+		deleteln;
+		delscreen;
+		delwin;
+		derwin;
+		doupdate;
+		dup_field;
+		dupwin;
+		dynamic_field_info;
+		echo;
+		echo_wchar;
+		echochar;
+		endwin;
+		erase;
+		erasechar;
+		erasewchar;
+		field_arg;
+		field_back;
+		field_buffer;
+		field_count;
+		field_fore;
+		field_index;
+		field_info;
+		field_init;
+		field_just;
+		field_opts;
+		field_opts_off;
+		field_opts_on;
+		field_pad;
+		field_status;
+		field_term;
+		field_type;
+		field_userptr;
+		filter;
+		flash;
+		flushinp;
+		form_driver;
+		form_fields;
+		form_init;
+		form_opts;
+		form_opts_off;
+		form_opts_on;
+		form_page;
+		form_request_by_name;
+		form_request_name;
+		form_sub;
+		form_term;
+		form_userptr;
+		form_win;
+		free_field;
+		free_fieldtype;
+		free_form;
+		free_item;
+		free_menu;
+		get_wch;
+		get_wstr;
+		getattrs;
+		getbegx;
+		getbegy;
+		getbkgd;
+		getbkgrnd;
+		getcchar;
+		getch;
+		getcurx;
+		getcury;
+		getmaxx;
+		getmaxy;
+		getmouse;
+		getn_wstr;
+		getnstr;
+		getparx;
+		getpary;
+		getstr;
+		getwin;
+		halfdelay;
+		has_colors;
+		has_ic;
+		has_il;
+		has_key;
+		hide_panel;
+		hline;
+		hline_set;
+		idcok;
+		idlok;
+		immedok;
+		in_wch;
+		in_wchnstr;
+		in_wchstr;
+		inch;
+		inchnstr;
+		inchstr;
+		init_color;
+		init_pair;
+		initscr;
+		innstr;
+		innwstr;
+		ins_nwstr;
+		ins_wch;
+		ins_wstr;
+		insch;
+		insdelln;
+		insertln;
+		insnstr;
+		insstr;
+		instr;
+		intrflush;
+		inwstr;
+		is_cleared;
+		is_idcok;
+		is_idlok;
+		is_immedok;
+		is_keypad;
+		is_leaveok;
+		is_linetouched;
+		is_nodelay;
+		is_notimeout;
+		is_scrollok;
+		is_syncok;
+		is_term_resized;
+		is_wintouched;
+		isendwin;
+		item_count;
+		item_description;
+		item_index;
+		item_init;
+		item_name;
+		item_opts;
+		item_opts_off;
+		item_opts_on;
+		item_term;
+		item_userptr;
+		item_value;
+		item_visible;
+		key_defined;
+		key_name;
+		keybound;
+		keyname;
+		keyok;
+		keypad;
+		killchar;
+		killwchar;
+		leaveok;
+		link_field;
+		link_fieldtype;
+		longname;
+		mcprint;
+		menu_back;
+		menu_driver;
+		menu_fore;
+		menu_format;
+		menu_grey;
+		menu_init;
+		menu_items;
+		menu_mark;
+		menu_opts;
+		menu_opts_off;
+		menu_opts_on;
+		menu_pad;
+		menu_pattern;
+		menu_request_by_name;
+		menu_request_name;
+		menu_spacing;
+		menu_sub;
+		menu_term;
+		menu_userptr;
+		menu_win;
+		meta;
+		mouse_trafo;
+		mouseinterval;
+		mousemask;
+		move;
+		move_field;
+		move_panel;
+		mvadd_wch;
+		mvadd_wchnstr;
+		mvadd_wchstr;
+		mvaddch;
+		mvaddchnstr;
+		mvaddchstr;
+		mvaddnstr;
+		mvaddnwstr;
+		mvaddstr;
+		mvaddwstr;
+		mvchgat;
+		mvcur;
+		mvdelch;
+		mvderwin;
+		mvget_wch;
+		mvget_wstr;
+		mvgetch;
+		mvgetn_wstr;
+		mvgetnstr;
+		mvgetstr;
+		mvhline;
+		mvhline_set;
+		mvin_wch;
+		mvin_wchnstr;
+		mvin_wchstr;
+		mvinch;
+		mvinchnstr;
+		mvinchstr;
+		mvinnstr;
+		mvinnwstr;
+		mvins_nwstr;
+		mvins_wch;
+		mvins_wstr;
+		mvinsch;
+		mvinsnstr;
+		mvinsstr;
+		mvinstr;
+		mvinwstr;
+		mvprintw;
+		mvscanw;
+		mvvline;
+		mvvline_set;
+		mvwadd_wch;
+		mvwadd_wchnstr;
+		mvwadd_wchstr;
+		mvwaddch;
+		mvwaddchnstr;
+		mvwaddchstr;
+		mvwaddnstr;
+		mvwaddnwstr;
+		mvwaddstr;
+		mvwaddwstr;
+		mvwchgat;
+		mvwdelch;
+		mvwget_wch;
+		mvwget_wstr;
+		mvwgetch;
+		mvwgetn_wstr;
+		mvwgetnstr;
+		mvwgetstr;
+		mvwhline;
+		mvwhline_set;
+		mvwin;
+		mvwin_wch;
+		mvwin_wchnstr;
+		mvwin_wchstr;
+		mvwinch;
+		mvwinchnstr;
+		mvwinchstr;
+		mvwinnstr;
+		mvwinnwstr;
+		mvwins_nwstr;
+		mvwins_wch;
+		mvwins_wstr;
+		mvwinsch;
+		mvwinsnstr;
+		mvwinsstr;
+		mvwinstr;
+		mvwinwstr;
+		mvwprintw;
+		mvwscanw;
+		mvwvline;
+		mvwvline_set;
+		napms;
+		new_field;
+		new_fieldtype;
+		new_form;
+		new_item;
+		new_menu;
+		new_page;
+		new_panel;
+		newpad;
+		newterm;
+		newwin;
+		nl;
+		nocbreak;
+		nodelay;
+		noecho;
+		nofilter;
+		nonl;
+		noqiflush;
+		noraw;
+		notimeout;
+		ospeed;
+		overlay;
+		overwrite;
+		pair_content;
+		panel_above;
+		panel_below;
+		panel_hidden;
+		panel_userptr;
+		panel_window;
+		pecho_wchar;
+		pechochar;
+		pnoutrefresh;
+		pos_form_cursor;
+		pos_menu_cursor;
+		post_form;
+		post_menu;
+		prefresh;
+		printw;
+		putp;
+		putwin;
+		qiflush;
+		raw;
+		redrawwin;
+		refresh;
+		replace_panel;
+		reset_prog_mode;
+		reset_shell_mode;
+		resetty;
+		resize_term;
+		resizeterm;
+		restartterm;
+		ripoffline;
+		savetty;
+		scale_form;
+		scale_menu;
+		scanw;
+		scr_dump;
+		scr_init;
+		scr_restore;
+		scr_set;
+		scrl;
+		scroll;
+		scrollok;
+		set_current_field;
+		set_current_item;
+		set_curterm;
+		set_escdelay;
+		set_field_back;
+		set_field_buffer;
+		set_field_fore;
+		set_field_init;
+		set_field_just;
+		set_field_opts;
+		set_field_pad;
+		set_field_status;
+		set_field_term;
+		set_field_type;
+		set_field_userptr;
+		set_fieldtype_arg;
+		set_fieldtype_choice;
+		set_form_fields;
+		set_form_init;
+		set_form_opts;
+		set_form_page;
+		set_form_sub;
+		set_form_term;
+		set_form_userptr;
+		set_form_win;
+		set_item_init;
+		set_item_opts;
+		set_item_term;
+		set_item_userptr;
+		set_item_value;
+		set_max_field;
+		set_menu_back;
+		set_menu_fore;
+		set_menu_format;
+		set_menu_grey;
+		set_menu_init;
+		set_menu_items;
+		set_menu_mark;
+		set_menu_opts;
+		set_menu_pad;
+		set_menu_pattern;
+		set_menu_spacing;
+		set_menu_sub;
+		set_menu_term;
+		set_menu_userptr;
+		set_menu_win;
+		set_new_page;
+		set_panel_userptr;
+		set_tabsize;
+		set_term;
+		set_top_row;
+		setcchar;
+		setscrreg;
+		setupterm;
+		show_panel;
+		slk_attr;
+		slk_attr_off;
+		slk_attr_on;
+		slk_attr_set;
+		slk_attroff;
+		slk_attron;
+		slk_attrset;
+		slk_clear;
+		slk_color;
+		slk_init;
+		slk_label;
+		slk_noutrefresh;
+		slk_refresh;
+		slk_restore;
+		slk_set;
+		slk_touch;
+		slk_wset;
+		standend;
+		standout;
+		start_color;
+		subpad;
+		subwin;
+		syncok;
+		term_attrs;
+		termattrs;
+		termname;
+		tgetent;
+		tgetflag;
+		tgetnum;
+		tgetstr;
+		tgoto;
+		tigetflag;
+		tigetnum;
+		tigetstr;
+		timeout;
+		top_panel;
+		top_row;
+		touchline;
+		touchwin;
+		tparm;
+		tputs;
+		trace;
+		typeahead;
+		unctrl;
+		unget_wch;
+		ungetch;
+		ungetmouse;
+		unpost_form;
+		unpost_menu;
+		untouchwin;
+		update_panels;
+		use_default_colors;
+		use_env;
+		use_extended_names;
+		use_legacy_coding;
+		use_screen;
+		use_window;
+		vid_attr;
+		vid_puts;
+		vidattr;
+		vidputs;
+		vline;
+		vline_set;
+		vw_printw;
+		vw_scanw;
+		vwprintw;
+		vwscanw;
+		wadd_wch;
+		wadd_wchnstr;
+		wadd_wchstr;
+		waddch;
+		waddchnstr;
+		waddchstr;
+		waddnstr;
+		waddnwstr;
+		waddstr;
+		waddwstr;
+		wattr_get;
+		wattr_off;
+		wattr_on;
+		wattr_set;
+		wattroff;
+		wattron;
+		wattrset;
+		wbkgd;
+		wbkgdset;
+		wbkgrnd;
+		wbkgrndset;
+		wborder;
+		wborder_set;
+		wchgat;
+		wclear;
+		wclrtobot;
+		wclrtoeol;
+		wcolor_set;
+		wcursyncup;
+		wdelch;
+		wdeleteln;
+		wecho_wchar;
+		wechochar;
+		wenclose;
+		werase;
+		wget_wch;
+		wget_wstr;
+		wgetbkgrnd;
+		wgetch;
+		wgetn_wstr;
+		wgetnstr;
+		wgetparent;
+		wgetscrreg;
+		wgetstr;
+		whline;
+		whline_set;
+		win_wch;
+		win_wchnstr;
+		win_wchstr;
+		winch;
+		winchnstr;
+		winchstr;
+		winnstr;
+		winnwstr;
+		wins_nwstr;
+		wins_wch;
+		wins_wstr;
+		winsch;
+		winsdelln;
+		winsertln;
+		winsnstr;
+		winsstr;
+		winstr;
+		winwstr;
+		wmouse_trafo;
+		wmove;
+		wnoutrefresh;
+		wprintw;
+		wredrawln;
+		wrefresh;
+		wresize;
+		wscanw;
+		wscrl;
+		wsetscrreg;
+		wstandend;
+		wstandout;
+		wsyncdown;
+		wsyncup;
+		wtimeout;
+		wtouchln;
+		wunctrl;
+		wvline;
+		wvline_set;
+	local:
+		_*;
+};
+
+NCURSESTW_5.8.20110226 {
+	global:
+		_nc_format_slks;
+		_nc_fty_generic;
+		_nc_get_cur_term;
+		_nc_get_fieldbuffer;
+		_nc_get_hash_info;
+		_nc_insert_wch;
+		_nc_ptr_Escdelay;
+		_nc_ptr_Tabsize;
+		_nc_putp;
+		_nc_putp_flush;
+		_nc_retrace_char;
+		_nc_retrace_int_attr_t;
+		_nc_retrace_mmask_t;
+		_nc_setup_tinfo;
+		_nc_tinfo_cmdch;
+		get_escdelay;
+		has_mouse;
+		is_pad;
+		is_subwin;
+		tiparm;
+		/* sp-funcs */
+		_nc_curscr_of;
+		_nc_do_color_sp;
+		_nc_flush_sp;
+		_nc_free_and_exit_sp;
+		_nc_freeall_sp;
+		_nc_get_cur_term_sp;
+		_nc_get_tty_mode_sp;
+		_nc_hash_map_sp;
+		_nc_init_acs_sp;
+		_nc_linedump_sp;
+		_nc_make_oldhash_sp;
+		_nc_makenew_sp;
+		_nc_msec_cost_sp;
+		_nc_mvcur_init_sp;
+		_nc_mvcur_resume_sp;
+		_nc_mvcur_sp;
+		_nc_mvcur_wrap_sp;
+		_nc_newscr_of;
+		_nc_outc_wrapper;
+		_nc_outch_sp;
+		_nc_panelhook_sp;
+		_nc_printf_string_sp;
+		_nc_putchar_sp;
+		_nc_putp_flush_sp;
+		_nc_putp_sp;
+		_nc_reset_colors_sp;
+		_nc_ripoffline_sp;
+		_nc_screen_init_sp;
+		_nc_screen_resume_sp;
+		_nc_screen_wrap_sp;
+		_nc_scroll_oldhash_sp;
+		_nc_scroll_optimize_sp;
+		_nc_scrolln_sp;
+		_nc_set_buffer_sp;
+		_nc_set_tty_mode_sp;
+		_nc_setupscreen_sp;
+		_nc_stdscr_of;
+		assume_default_colors_sp;
+		baudrate_sp;
+		beep_sp;
+		can_change_color_sp;
+		cbreak_sp;
+		ceiling_panel;
+		color_content_sp;
+		curs_set_sp;
+		def_prog_mode_sp;
+		def_shell_mode_sp;
+		define_key_sp;
+		del_curterm_sp;
+		delay_output_sp;
+		doupdate_sp;
+		echo_sp;
+		endwin_sp;
+		erasechar_sp;
+		filter_sp;
+		flash_sp;
+		flushinp_sp;
+		get_escdelay_sp;
+		getmouse_sp;
+		getwin_sp;
+		ground_panel;
+		halfdelay_sp;
+		has_colors_sp;
+		has_ic_sp;
+		has_il_sp;
+		has_key_sp;
+		has_mouse_sp;
+		init_color_sp;
+		init_pair_sp;
+		intrflush_sp;
+		is_term_resized_sp;
+		isendwin_sp;
+		key_defined_sp;
+		keybound_sp;
+		keyname_sp;
+		keyok_sp;
+		killchar_sp;
+		longname_sp;
+		mcprint_sp;
+		mouseinterval_sp;
+		mousemask_sp;
+		mvcur_sp;
+		napms_sp;
+		new_form_sp;
+		new_menu_sp;
+		new_prescr;
+		newpad_sp;
+		newterm_sp;
+		newwin_sp;
+		nl_sp;
+		nocbreak_sp;
+		noecho_sp;
+		nofilter_sp;
+		nonl_sp;
+		noqiflush_sp;
+		noraw_sp;
+		pair_content_sp;
+		putp_sp;
+		qiflush_sp;
+		raw_sp;
+		reset_prog_mode_sp;
+		reset_shell_mode_sp;
+		resetty_sp;
+		resize_term_sp;
+		resizeterm_sp;
+		restartterm_sp;
+		ripoffline_sp;
+		savetty_sp;
+		scr_init_sp;
+		scr_restore_sp;
+		scr_set_sp;
+		set_curterm_sp;
+		set_escdelay_sp;
+		set_tabsize_sp;
+		slk_attr_set_sp;
+		slk_attr_sp;
+		slk_attroff_sp;
+		slk_attron_sp;
+		slk_attrset_sp;
+		slk_clear_sp;
+		slk_color_sp;
+		slk_init_sp;
+		slk_label_sp;
+		slk_noutrefresh_sp;
+		slk_refresh_sp;
+		slk_restore_sp;
+		slk_set_sp;
+		slk_touch_sp;
+		start_color_sp;
+		term_attrs_sp;
+		termattrs_sp;
+		termname_sp;
+		tgetent_sp;
+		tgetflag_sp;
+		tgetnum_sp;
+		tgetstr_sp;
+		tigetflag_sp;
+		tigetnum_sp;
+		tigetstr_sp;
+		tputs_sp;
+		typeahead_sp;
+		unctrl_sp;
+		unget_wch_sp;
+		ungetch_sp;
+		ungetmouse_sp;
+		update_panels_sp;
+		use_default_colors_sp;
+		use_env_sp;
+		use_legacy_coding_sp;
+		use_tioctl_sp;
+		vid_attr_sp;
+		vid_puts_sp;
+		vidattr_sp;
+		vidputs_sp;
+		wunctrl_sp;
+} NCURSESTW_5.7.20081102;
+
+NCURSESTW_5.9.20110404 {
+	/* no changes */
+} NCURSESTW_5.8.20110226;
+
+NCURSESTW_5.9.20141115 {
+	global:
+		_nc_init_termtype;
+		_nc_strict_bsd;
+		form_driver_w;
+		use_tioctl;
+		wgetdelay;
+} NCURSESTW_5.9.20110404;
Index: package/ncursestw.sym
--- /dev/null	2014-11-15 22:24:06.925233108 +0000
+++ ncurses-5.9-20141115/package/ncursestw.sym	2014-11-16 01:38:42.000000000 +0000
@@ -0,0 +1,1074 @@
+# $Id: ncursestw.sym,v 1.4 2014/11/16 01:38:42 tom Exp $
+BC
+COLOR_PAIR
+PAIR_NUMBER
+PC
+SP
+TYPE_ALNUM
+TYPE_ALPHA
+TYPE_ENUM
+TYPE_INTEGER
+TYPE_IPV4
+TYPE_NUMERIC
+TYPE_REGEXP
+UP
+_nc_COLORS
+_nc_COLOR_PAIRS
+_nc_COLS
+_nc_Calculate_Item_Length_and_Width
+_nc_Calculate_Text_Width
+_nc_Connect_Items
+_nc_Copy_Argument
+_nc_Copy_Type
+_nc_Default_Field
+_nc_Default_FieldType
+_nc_Default_Form
+_nc_Default_Item
+_nc_Default_Menu
+_nc_Disconnect_Items
+_nc_Draw_Menu
+_nc_ESCDELAY
+_nc_First_Active_Field
+_nc_Free_Argument
+_nc_Free_Type
+_nc_Internal_Validation
+_nc_LINES
+_nc_Link_Items
+_nc_Make_Argument
+_nc_Match_Next_Character_In_Item_Name
+_nc_New_TopRow_and_CurrentItem
+_nc_Position_Form_Cursor
+_nc_Post_Item
+_nc_Refresh_Current_Field
+_nc_Set_Current_Field
+_nc_Set_Form_Page
+_nc_Show_Menu
+_nc_Synchronize_Attributes
+_nc_Synchronize_Options
+_nc_TABSIZE
+_nc_Touchline
+_nc_Touchpan
+_nc_Widen_String
+_nc_Wnoutrefresh
+_nc__nc_outchars
+_nc__nc_tputs_trace
+_nc_access
+_nc_acs_map
+_nc_add_to_try
+_nc_align_termtype
+_nc_alloc_entry_leaks
+_nc_altcharset_name
+_nc_basename
+_nc_baudrate
+_nc_boolcodes
+_nc_boolfnames
+_nc_boolnames
+_nc_build_wch
+_nc_capcmp
+_nc_captoinfo
+_nc_captoinfo_leaks
+_nc_check_termtype
+_nc_check_termtype2
+_nc_codes_leaks
+_nc_comment_end
+_nc_comment_start
+_nc_comp_captab_leaks
+_nc_comp_error_leaks
+_nc_comp_scan_leaks
+_nc_copy_entry
+_nc_copy_termtype
+_nc_count_outchars
+_nc_cur_term
+_nc_curr_col
+_nc_curr_file_pos
+_nc_curr_line
+_nc_curr_token
+_nc_curscr
+_nc_curscr_of
+_nc_dPanel
+_nc_dStack
+_nc_db_iterator_leaks
+_nc_delink_entry
+_nc_disable_period
+_nc_do_color
+_nc_do_color_sp
+_nc_doalloc
+_nc_entry_match
+_nc_err_abort
+_nc_expand_try
+_nc_expanded
+_nc_fallback
+_nc_fifo_dump
+_nc_find_entry
+_nc_find_type_entry
+_nc_first_db
+_nc_first_name
+_nc_flush
+_nc_flush_sp
+_nc_format_slks
+_nc_free_and_exit
+_nc_free_and_exit_sp
+_nc_free_entries
+_nc_free_entry
+_nc_free_termtype
+_nc_free_tic
+_nc_free_tinfo
+_nc_free_tparm
+_nc_freeall
+_nc_freeall_sp
+_nc_freewin
+_nc_fty_generic
+_nc_get_alias_table
+_nc_get_cur_term
+_nc_get_cur_term_sp
+_nc_get_fieldbuffer
+_nc_get_hash_info
+_nc_get_hash_table
+_nc_get_locale
+_nc_get_screensize
+_nc_get_source
+_nc_get_table
+_nc_get_token
+_nc_get_tty_mode
+_nc_get_tty_mode_sp
+_nc_get_type
+_nc_getenv_num
+_nc_globals
+_nc_handle_sigwinch
+_nc_has_mouse
+_nc_hash_map
+_nc_hash_map_sp
+_nc_hashed_db
+_nc_head
+_nc_home_terminfo
+_nc_infotocap
+_nc_init_acs
+_nc_init_acs_sp
+_nc_init_entry
+_nc_init_keytry
+_nc_init_pthreads
+_nc_init_termtype
+_nc_init_wacs
+_nc_insert_ch
+_nc_insert_wch
+_nc_is_abs_path
+_nc_is_charable
+_nc_is_dir_path
+_nc_is_file_path
+_nc_keep_tic_dir
+_nc_keyname
+_nc_keyname_leaks
+_nc_keypad
+_nc_last_db
+_nc_leaks_tic
+_nc_leaks_tinfo
+_nc_linedump
+_nc_linedump_sp
+_nc_locale_breaks_acs
+_nc_locked_tracef
+_nc_make_oldhash
+_nc_make_oldhash_sp
+_nc_makenew
+_nc_makenew_sp
+_nc_menu_cursor_pos
+_nc_merge_entry
+_nc_msec_cost
+_nc_msec_cost_sp
+_nc_mutex_init
+_nc_mutex_lock
+_nc_mutex_trylock
+_nc_mutex_unlock
+_nc_mvcur
+_nc_mvcur_init
+_nc_mvcur_init_sp
+_nc_mvcur_resume
+_nc_mvcur_resume_sp
+_nc_mvcur_sp
+_nc_mvcur_wrap
+_nc_mvcur_wrap_sp
+_nc_my_visbuf
+_nc_name_match
+_nc_names_leaks
+_nc_newscr
+_nc_newscr_of
+_nc_next_db
+_nc_nulls_sent
+_nc_numcodes
+_nc_numfnames
+_nc_numnames
+_nc_oldnums
+_nc_optimize_enable
+_nc_ospeed
+_nc_outc_wrapper
+_nc_outch
+_nc_outch_sp
+_nc_panelhook
+_nc_panelhook_sp
+_nc_panic_mode
+_nc_parse_entry
+_nc_pathlast
+_nc_prescreen
+_nc_printf_string
+_nc_printf_string_sp
+_nc_ptr_Cols
+_nc_ptr_Escdelay
+_nc_ptr_Lines
+_nc_ptr_Tabsize
+_nc_push_token
+_nc_putchar
+_nc_putchar_sp
+_nc_putp
+_nc_putp_flush
+_nc_putp_flush_sp
+_nc_putp_sp
+_nc_read_entry
+_nc_read_entry_source
+_nc_read_file_entry
+_nc_read_termcap
+_nc_read_termtype
+_nc_remove_key
+_nc_remove_string
+_nc_render
+_nc_reset_colors
+_nc_reset_colors_sp
+_nc_reset_input
+_nc_resolve_uses
+_nc_resolve_uses2
+_nc_retrace_attr_t
+_nc_retrace_bool
+_nc_retrace_char
+_nc_retrace_chtype
+_nc_retrace_cptr
+_nc_retrace_cvoid_ptr
+_nc_retrace_field
+_nc_retrace_field_ptr
+_nc_retrace_field_type
+_nc_retrace_form
+_nc_retrace_form_hook
+_nc_retrace_int
+_nc_retrace_int_attr_t
+_nc_retrace_item
+_nc_retrace_item_opts
+_nc_retrace_item_ptr
+_nc_retrace_menu
+_nc_retrace_menu_hook
+_nc_retrace_menu_opts
+_nc_retrace_mmask_t
+_nc_retrace_panel
+_nc_retrace_ptr
+_nc_retrace_sp
+_nc_retrace_unsigned
+_nc_retrace_void_ptr
+_nc_retrace_win
+_nc_ripoffline
+_nc_ripoffline_sp
+_nc_rootname
+_nc_safe_strcat
+_nc_safe_strcpy
+_nc_save_str
+_nc_screen_chain
+_nc_screen_init
+_nc_screen_init_sp
+_nc_screen_of
+_nc_screen_resume
+_nc_screen_resume_sp
+_nc_screen_wrap
+_nc_screen_wrap_sp
+_nc_scroll_oldhash
+_nc_scroll_oldhash_sp
+_nc_scroll_optimize
+_nc_scroll_optimize_sp
+_nc_scroll_window
+_nc_scrolln
+_nc_scrolln_sp
+_nc_set_buffer
+_nc_set_buffer_sp
+_nc_set_no_padding
+_nc_set_source
+_nc_set_tputs_trace
+_nc_set_tty_mode
+_nc_set_tty_mode_sp
+_nc_set_type
+_nc_set_writedir
+_nc_setenv_num
+_nc_setup_tinfo
+_nc_setupscreen
+_nc_setupscreen_sp
+_nc_setupterm
+_nc_signal_handler
+_nc_slk_initialize
+_nc_start_line
+_nc_stdscr
+_nc_stdscr_of
+_nc_str_copy
+_nc_str_init
+_nc_str_null
+_nc_strcodes
+_nc_strfnames
+_nc_strict_bsd
+_nc_strnames
+_nc_suppress_warnings
+_nc_synchook
+_nc_syntax
+_nc_syserr_abort
+_nc_tail
+_nc_tgetent_leaks
+_nc_tic_dir
+_nc_tic_expand
+_nc_tic_written
+_nc_timed_wait
+_nc_tinfo_cmdch
+_nc_tinfo_fkeys
+_nc_to_char
+_nc_to_widechar
+_nc_tparm_analyze
+_nc_tparm_err
+_nc_trace_buf
+_nc_trace_bufcat
+_nc_trace_mmask_t
+_nc_trace_tries
+_nc_trace_ttymode
+_nc_trace_xnames
+_nc_tracebits
+_nc_tracechar
+_nc_tracemouse
+_nc_tracing
+_nc_trans_string
+_nc_trim_sgr0
+_nc_ttytype
+_nc_unctrl
+_nc_ungetch
+_nc_unicode_locale
+_nc_update_screensize
+_nc_use_tracef
+_nc_user_definable
+_nc_varargs
+_nc_visbuf
+_nc_visbuf2
+_nc_visbufn
+_nc_viscbuf
+_nc_viscbuf2
+_nc_viswbuf
+_nc_viswbuf2
+_nc_viswbufn
+_nc_viswibuf
+_nc_vsscanf
+_nc_wacs
+_nc_waddch_nosync
+_nc_warning
+_nc_wchstrlen
+_nc_wcrtomb
+_nc_wgetch
+_nc_wrap_entry
+_nc_write_entry
+_traceattr
+_traceattr2
+_tracecchar_t
+_tracecchar_t2
+_tracechar
+_tracechtype
+_tracechtype2
+_tracedump
+_tracef
+_tracemouse
+add_wch
+add_wchnstr
+add_wchstr
+addch
+addchnstr
+addchstr
+addnstr
+addnwstr
+addstr
+addwstr
+assume_default_colors
+assume_default_colors_sp
+attr_get
+attr_off
+attr_on
+attr_set
+attroff
+attron
+attrset
+baudrate
+baudrate_sp
+beep
+beep_sp
+bkgd
+bkgdset
+bkgrnd
+bkgrndset
+border
+border_set
+bottom_panel
+box
+box_set
+can_change_color
+can_change_color_sp
+cbreak
+cbreak_sp
+ceiling_panel
+chgat
+clear
+clearok
+clrtobot
+clrtoeol
+color_content
+color_content_sp
+color_set
+copywin
+current_field
+current_item
+curs_set
+curs_set_sp
+curses_version
+data_ahead
+data_behind
+def_prog_mode
+def_prog_mode_sp
+def_shell_mode
+def_shell_mode_sp
+define_key
+define_key_sp
+del_curterm
+del_curterm_sp
+del_panel
+delay_output
+delay_output_sp
+delch
+deleteln
+delscreen
+delwin
+derwin
+doupdate
+doupdate_sp
+dup_field
+dupwin
+dynamic_field_info
+echo
+echo_sp
+echo_wchar
+echochar
+endwin
+endwin_sp
+erase
+erasechar
+erasechar_sp
+erasewchar
+field_arg
+field_back
+field_buffer
+field_count
+field_fore
+field_index
+field_info
+field_init
+field_just
+field_opts
+field_opts_off
+field_opts_on
+field_pad
+field_status
+field_term
+field_type
+field_userptr
+filter
+filter_sp
+flash
+flash_sp
+flushinp
+flushinp_sp
+form_driver
+form_driver_w
+form_fields
+form_init
+form_opts
+form_opts_off
+form_opts_on
+form_page
+form_request_by_name
+form_request_name
+form_sub
+form_term
+form_userptr
+form_win
+free_field
+free_fieldtype
+free_form
+free_item
+free_menu
+get_escdelay
+get_escdelay_sp
+get_wch
+get_wstr
+getattrs
+getbegx
+getbegy
+getbkgd
+getbkgrnd
+getcchar
+getch
+getcurx
+getcury
+getmaxx
+getmaxy
+getmouse
+getmouse_sp
+getn_wstr
+getnstr
+getparx
+getpary
+getstr
+getwin
+getwin_sp
+ground_panel
+halfdelay
+halfdelay_sp
+has_colors
+has_colors_sp
+has_ic
+has_ic_sp
+has_il
+has_il_sp
+has_key
+has_key_sp
+has_mouse
+has_mouse_sp
+hide_panel
+hline
+hline_set
+idcok
+idlok
+immedok
+in_wch
+in_wchnstr
+in_wchstr
+inch
+inchnstr
+inchstr
+init_color
+init_color_sp
+init_pair
+init_pair_sp
+initscr
+innstr
+innwstr
+ins_nwstr
+ins_wch
+ins_wstr
+insch
+insdelln
+insertln
+insnstr
+insstr
+instr
+intrflush
+intrflush_sp
+inwstr
+is_cleared
+is_idcok
+is_idlok
+is_immedok
+is_keypad
+is_leaveok
+is_linetouched
+is_nodelay
+is_notimeout
+is_pad
+is_scrollok
+is_subwin
+is_syncok
+is_term_resized
+is_term_resized_sp
+is_wintouched
+isendwin
+isendwin_sp
+item_count
+item_description
+item_index
+item_init
+item_name
+item_opts
+item_opts_off
+item_opts_on
+item_term
+item_userptr
+item_value
+item_visible
+key_defined
+key_defined_sp
+key_name
+keybound
+keybound_sp
+keyname
+keyname_sp
+keyok
+keyok_sp
+keypad
+killchar
+killchar_sp
+killwchar
+leaveok
+link_field
+link_fieldtype
+longname
+longname_sp
+mcprint
+mcprint_sp
+menu_back
+menu_driver
+menu_fore
+menu_format
+menu_grey
+menu_init
+menu_items
+menu_mark
+menu_opts
+menu_opts_off
+menu_opts_on
+menu_pad
+menu_pattern
+menu_request_by_name
+menu_request_name
+menu_spacing
+menu_sub
+menu_term
+menu_userptr
+menu_win
+meta
+mouse_trafo
+mouseinterval
+mouseinterval_sp
+mousemask
+mousemask_sp
+move
+move_field
+move_panel
+mvadd_wch
+mvadd_wchnstr
+mvadd_wchstr
+mvaddch
+mvaddchnstr
+mvaddchstr
+mvaddnstr
+mvaddnwstr
+mvaddstr
+mvaddwstr
+mvchgat
+mvcur
+mvcur_sp
+mvdelch
+mvderwin
+mvget_wch
+mvget_wstr
+mvgetch
+mvgetn_wstr
+mvgetnstr
+mvgetstr
+mvhline
+mvhline_set
+mvin_wch
+mvin_wchnstr
+mvin_wchstr
+mvinch
+mvinchnstr
+mvinchstr
+mvinnstr
+mvinnwstr
+mvins_nwstr
+mvins_wch
+mvins_wstr
+mvinsch
+mvinsnstr
+mvinsstr
+mvinstr
+mvinwstr
+mvprintw
+mvscanw
+mvvline
+mvvline_set
+mvwadd_wch
+mvwadd_wchnstr
+mvwadd_wchstr
+mvwaddch
+mvwaddchnstr
+mvwaddchstr
+mvwaddnstr
+mvwaddnwstr
+mvwaddstr
+mvwaddwstr
+mvwchgat
+mvwdelch
+mvwget_wch
+mvwget_wstr
+mvwgetch
+mvwgetn_wstr
+mvwgetnstr
+mvwgetstr
+mvwhline
+mvwhline_set
+mvwin
+mvwin_wch
+mvwin_wchnstr
+mvwin_wchstr
+mvwinch
+mvwinchnstr
+mvwinchstr
+mvwinnstr
+mvwinnwstr
+mvwins_nwstr
+mvwins_wch
+mvwins_wstr
+mvwinsch
+mvwinsnstr
+mvwinsstr
+mvwinstr
+mvwinwstr
+mvwprintw
+mvwscanw
+mvwvline
+mvwvline_set
+napms
+napms_sp
+new_field
+new_fieldtype
+new_form
+new_form_sp
+new_item
+new_menu
+new_menu_sp
+new_page
+new_panel
+new_prescr
+newpad
+newpad_sp
+newterm
+newterm_sp
+newwin
+newwin_sp
+nl
+nl_sp
+nocbreak
+nocbreak_sp
+nodelay
+noecho
+noecho_sp
+nofilter
+nofilter_sp
+nonl
+nonl_sp
+noqiflush
+noqiflush_sp
+noraw
+noraw_sp
+notimeout
+ospeed
+overlay
+overwrite
+pair_content
+pair_content_sp
+panel_above
+panel_below
+panel_hidden
+panel_userptr
+panel_window
+pecho_wchar
+pechochar
+pnoutrefresh
+pos_form_cursor
+pos_menu_cursor
+post_form
+post_menu
+prefresh
+printw
+putp
+putp_sp
+putwin
+qiflush
+qiflush_sp
+raw
+raw_sp
+redrawwin
+refresh
+replace_panel
+reset_prog_mode
+reset_prog_mode_sp
+reset_shell_mode
+reset_shell_mode_sp
+resetty
+resetty_sp
+resize_term
+resize_term_sp
+resizeterm
+resizeterm_sp
+restartterm
+restartterm_sp
+ripoffline
+ripoffline_sp
+savetty
+savetty_sp
+scale_form
+scale_menu
+scanw
+scr_dump
+scr_init
+scr_init_sp
+scr_restore
+scr_restore_sp
+scr_set
+scr_set_sp
+scrl
+scroll
+scrollok
+set_current_field
+set_current_item
+set_curterm
+set_curterm_sp
+set_escdelay
+set_escdelay_sp
+set_field_back
+set_field_buffer
+set_field_fore
+set_field_init
+set_field_just
+set_field_opts
+set_field_pad
+set_field_status
+set_field_term
+set_field_type
+set_field_userptr
+set_fieldtype_arg
+set_fieldtype_choice
+set_form_fields
+set_form_init
+set_form_opts
+set_form_page
+set_form_sub
+set_form_term
+set_form_userptr
+set_form_win
+set_item_init
+set_item_opts
+set_item_term
+set_item_userptr
+set_item_value
+set_max_field
+set_menu_back
+set_menu_fore
+set_menu_format
+set_menu_grey
+set_menu_init
+set_menu_items
+set_menu_mark
+set_menu_opts
+set_menu_pad
+set_menu_pattern
+set_menu_spacing
+set_menu_sub
+set_menu_term
+set_menu_userptr
+set_menu_win
+set_new_page
+set_panel_userptr
+set_tabsize
+set_tabsize_sp
+set_term
+set_top_row
+setcchar
+setscrreg
+setupterm
+show_panel
+slk_attr
+slk_attr_off
+slk_attr_on
+slk_attr_set
+slk_attr_set_sp
+slk_attr_sp
+slk_attroff
+slk_attroff_sp
+slk_attron
+slk_attron_sp
+slk_attrset
+slk_attrset_sp
+slk_clear
+slk_clear_sp
+slk_color
+slk_color_sp
+slk_init
+slk_init_sp
+slk_label
+slk_label_sp
+slk_noutrefresh
+slk_noutrefresh_sp
+slk_refresh
+slk_refresh_sp
+slk_restore
+slk_restore_sp
+slk_set
+slk_set_sp
+slk_touch
+slk_touch_sp
+slk_wset
+standend
+standout
+start_color
+start_color_sp
+subpad
+subwin
+syncok
+term_attrs
+term_attrs_sp
+termattrs
+termattrs_sp
+termname
+termname_sp
+tgetent
+tgetent_sp
+tgetflag
+tgetflag_sp
+tgetnum
+tgetnum_sp
+tgetstr
+tgetstr_sp
+tgoto
+tigetflag
+tigetflag_sp
+tigetnum
+tigetnum_sp
+tigetstr
+tigetstr_sp
+timeout
+tiparm
+top_panel
+top_row
+touchline
+touchwin
+tparm
+tputs
+tputs_sp
+trace
+typeahead
+typeahead_sp
+unctrl
+unctrl_sp
+unget_wch
+unget_wch_sp
+ungetch
+ungetch_sp
+ungetmouse
+ungetmouse_sp
+unpost_form
+unpost_menu
+untouchwin
+update_panels
+update_panels_sp
+use_default_colors
+use_default_colors_sp
+use_env
+use_env_sp
+use_extended_names
+use_legacy_coding
+use_legacy_coding_sp
+use_screen
+use_tioctl
+use_tioctl_sp
+use_window
+vid_attr
+vid_attr_sp
+vid_puts
+vid_puts_sp
+vidattr
+vidattr_sp
+vidputs
+vidputs_sp
+vline
+vline_set
+vw_printw
+vw_scanw
+vwprintw
+vwscanw
+wadd_wch
+wadd_wchnstr
+wadd_wchstr
+waddch
+waddchnstr
+waddchstr
+waddnstr
+waddnwstr
+waddstr
+waddwstr
+wattr_get
+wattr_off
+wattr_on
+wattr_set
+wattroff
+wattron
+wattrset
+wbkgd
+wbkgdset
+wbkgrnd
+wbkgrndset
+wborder
+wborder_set
+wchgat
+wclear
+wclrtobot
+wclrtoeol
+wcolor_set
+wcursyncup
+wdelch
+wdeleteln
+wecho_wchar
+wechochar
+wenclose
+werase
+wget_wch
+wget_wstr
+wgetbkgrnd
+wgetch
+wgetdelay
+wgetn_wstr
+wgetnstr
+wgetparent
+wgetscrreg
+wgetstr
+whline
+whline_set
+win_wch
+win_wchnstr
+win_wchstr
+winch
+winchnstr
+winchstr
+winnstr
+winnwstr
+wins_nwstr
+wins_wch
+wins_wstr
+winsch
+winsdelln
+winsertln
+winsnstr
+winsstr
+winstr
+winwstr
+wmouse_trafo
+wmove
+wnoutrefresh
+wprintw
+wredrawln
+wrefresh
+wresize
+wscanw
+wscrl
+wsetscrreg
+wstandend
+wstandout
+wsyncdown
+wsyncup
+wtimeout
+wtouchln
+wunctrl
+wunctrl_sp
+wvline
+wvline_set
Index: package/ncursesw.map
--- /dev/null	2014-11-15 22:24:06.925233108 +0000
+++ ncurses-5.9-20141115/package/ncursesw.map	2014-11-16 01:43:33.000000000 +0000
@@ -0,0 +1,1108 @@
+/*
+ * $Id: ncursesw.map,v 1.12 2014/11/16 01:43:33 tom Exp $
+ * script for shared library versioning
+ */
+
+NCURSESW_5.1.20000708 {
+	global:
+		BC;
+		COLORS;
+		COLOR_PAIR;
+		COLOR_PAIRS;
+		COLS;
+		ESCDELAY;
+		LINES;
+		PAIR_NUMBER;
+		PC;
+		SP;
+		TABSIZE;
+		TYPE_ALNUM;
+		TYPE_ALPHA;
+		TYPE_ENUM;
+		TYPE_INTEGER;
+		TYPE_IPV4;
+		TYPE_NUMERIC;
+		TYPE_REGEXP;
+		UP;
+		_nc_Calculate_Item_Length_and_Width;
+		_nc_Connect_Items;
+		_nc_Copy_Argument;
+		_nc_Copy_Type;
+		_nc_Default_Field;
+		_nc_Default_FieldType;
+		_nc_Default_Form;
+		_nc_Default_Item;
+		_nc_Default_Menu;
+		_nc_Disconnect_Items;
+		_nc_Draw_Menu;
+		_nc_First_Active_Field;
+		_nc_Free_Argument;
+		_nc_Free_Type;
+		_nc_Internal_Validation;
+		_nc_Link_Items;
+		_nc_Make_Argument;
+		_nc_Match_Next_Character_In_Item_Name;
+		_nc_New_TopRow_and_CurrentItem;
+		_nc_Position_Form_Cursor;
+		_nc_Post_Item;
+		_nc_Refresh_Current_Field;
+		_nc_Set_Current_Field;
+		_nc_Set_Form_Page;
+		_nc_Show_Menu;
+		_nc_Synchronize_Attributes;
+		_nc_Synchronize_Options;
+		_nc_access;
+		_nc_add_to_try;
+		_nc_align_termtype;
+		_nc_basename;
+		_nc_baudrate;
+		_nc_capcmp;
+		_nc_captoinfo;
+		_nc_check_termtype;
+		_nc_comment_end;
+		_nc_comment_start;
+		_nc_copy_entry;
+		_nc_copy_termtype;
+		_nc_curr_col;
+		_nc_curr_file_pos;
+		_nc_curr_line;
+		_nc_curr_token;
+		_nc_disable_period;
+		_nc_do_color;
+		_nc_doalloc;
+		_nc_entry_match;
+		_nc_err_abort;
+		_nc_expand_try;
+		_nc_expanded;
+		_nc_fallback;
+		_nc_fifo_dump;
+		_nc_find_entry;
+		_nc_find_type_entry;
+		_nc_first_name;
+		_nc_flush;
+		_nc_free_and_exit;
+		_nc_free_entries;
+		_nc_free_termtype;
+		_nc_free_tparm;
+		_nc_freeall;
+		_nc_freewin;
+		_nc_get_hash_table;
+		_nc_get_table;
+		_nc_get_token;
+		_nc_get_tty_mode;
+		_nc_get_type;
+		_nc_getenv_num;
+		_nc_has_mouse;
+		_nc_hash_map;
+		_nc_head;
+		_nc_home_terminfo;
+		_nc_infotocap;
+		_nc_init_acs;
+		_nc_init_entry;
+		_nc_init_keytry;
+		_nc_keep_tic_dir;
+		_nc_keypad;
+		_nc_lib_traceatr;
+		_nc_lib_tracedmp;
+		_nc_lib_tracemouse;
+		_nc_linedump;
+		_nc_make_oldhash;
+		_nc_makenew;
+		_nc_memmove;
+		_nc_menu_cursor_pos;
+		_nc_merge_entry;
+		_nc_msec_cost;
+		_nc_mvcur_init;
+		_nc_mvcur_resume;
+		_nc_mvcur_wrap;
+		_nc_name_match;
+		_nc_nulls_sent;
+		_nc_oldnums;
+		_nc_optimize_enable;
+		_nc_ospeed;
+		_nc_outch;
+		_nc_outchars;
+		_nc_panelhook;
+		_nc_panic_mode;
+		_nc_parse_entry;
+		_nc_printf_string;
+		_nc_push_token;
+		_nc_read_entry;
+		_nc_read_entry_source;
+		_nc_read_file_entry;
+		_nc_read_termcap;
+		_nc_remove_key;
+		_nc_remove_string;
+		_nc_render;
+		_nc_reset_input;
+		_nc_resolve_uses;
+		_nc_retrace_attr_t;
+		_nc_retrace_chtype;
+		_nc_retrace_int;
+		_nc_retrace_ptr;
+		_nc_retrace_win;
+		_nc_ripoffline;
+		_nc_safe_strcat;
+		_nc_safe_strcpy;
+		_nc_save_str;
+		_nc_screen_chain;
+		_nc_screen_init;
+		_nc_screen_resume;
+		_nc_screen_wrap;
+		_nc_scroll_oldhash;
+		_nc_scroll_optimize;
+		_nc_scroll_window;
+		_nc_scrolln;
+		_nc_set_buffer;
+		_nc_set_source;
+		_nc_set_tty_mode;
+		_nc_set_type;
+		_nc_set_writedir;
+		_nc_setupscreen;
+		_nc_signal_handler;
+		_nc_slk_initialize;
+		_nc_start_line;
+		_nc_str_copy;
+		_nc_str_init;
+		_nc_str_null;
+		_nc_suppress_warnings;
+		_nc_synchook;
+		_nc_syntax;
+		_nc_syserr_abort;
+		_nc_tail;
+		_nc_tic_dir;
+		_nc_tic_expand;
+		_nc_tic_written;
+		_nc_timed_wait;
+		_nc_tinfo_fkeys;
+		_nc_tinfo_fkeysf;
+		_nc_tputs_trace;
+		_nc_trace_buf;
+		_nc_trace_tries;
+		_nc_trace_xnames;
+		_nc_tracebits;
+		_nc_tracing;
+		_nc_trans_string;
+		_nc_update_screensize;
+		_nc_user_definable;
+		_nc_visbuf2;
+		_nc_visbuf;
+		_nc_vsscanf;
+		_nc_waddch_nosync;
+		_nc_warning;
+		_nc_wrap_entry;
+		_nc_write_entry;
+		_traceattr2;
+		_traceattr;
+		_tracechar;
+		_tracechtype2;
+		_tracechtype;
+		_tracedump;
+		_tracef;
+		_tracemouse;
+		acs_map;
+		addch;
+		addchnstr;
+		addchstr;
+		addnstr;
+		addstr;
+		assume_default_colors;
+		attr_get;
+		attr_off;
+		attr_on;
+		attr_set;
+		attroff;
+		attron;
+		attrset;
+		baudrate;
+		beep;
+		bkgd;
+		bkgdset;
+		boolcodes;
+		boolfnames;
+		boolnames;
+		border;
+		bottom_panel;
+		box;
+		can_change_color;
+		cbreak;
+		chgat;
+		clear;
+		clearok;
+		clrtobot;
+		clrtoeol;
+		color_content;
+		color_set;
+		copywin;
+		cur_term;
+		current_field;
+		current_item;
+		curs_set;
+		curscr;
+		curses_version;
+		data_ahead;
+		data_behind;
+		def_prog_mode;
+		def_shell_mode;
+		define_key;
+		del_curterm;
+		del_panel;
+		delay_output;
+		delch;
+		deleteln;
+		delscreen;
+		delwin;
+		derwin;
+		doupdate;
+		dup_field;
+		dupwin;
+		dynamic_field_info;
+		echo;
+		echochar;
+		endwin;
+		erase;
+		erasechar;
+		field_arg;
+		field_back;
+		field_buffer;
+		field_count;
+		field_fore;
+		field_index;
+		field_info;
+		field_init;
+		field_just;
+		field_opts;
+		field_opts_off;
+		field_opts_on;
+		field_pad;
+		field_status;
+		field_term;
+		field_type;
+		field_userptr;
+		filter;
+		flash;
+		flushinp;
+		form_driver;
+		form_fields;
+		form_init;
+		form_opts;
+		form_opts_off;
+		form_opts_on;
+		form_page;
+		form_request_by_name;
+		form_request_name;
+		form_sub;
+		form_term;
+		form_userptr;
+		form_win;
+		free_field;
+		free_fieldtype;
+		free_form;
+		free_item;
+		free_menu;
+		getbkgd;
+		getch;
+		getmouse;
+		getnstr;
+		getstr;
+		getwin;
+		halfdelay;
+		has_colors;
+		has_ic;
+		has_il;
+		has_key;
+		hide_panel;
+		hline;
+		idcok;
+		idlok;
+		immedok;
+		inch;
+		inchnstr;
+		inchstr;
+		init_color;
+		init_pair;
+		initscr;
+		innstr;
+		insch;
+		insdelln;
+		insertln;
+		insnstr;
+		insstr;
+		instr;
+		intrflush;
+		is_linetouched;
+		is_wintouched;
+		isendwin;
+		item_count;
+		item_description;
+		item_index;
+		item_init;
+		item_name;
+		item_opts;
+		item_opts_off;
+		item_opts_on;
+		item_term;
+		item_userptr;
+		item_value;
+		item_visible;
+		keybound;
+		keyname;
+		keyok;
+		keypad;
+		killchar;
+		leaveok;
+		link_field;
+		link_fieldtype;
+		longname;
+		mcprint;
+		menu_back;
+		menu_driver;
+		menu_fore;
+		menu_format;
+		menu_grey;
+		menu_init;
+		menu_items;
+		menu_mark;
+		menu_opts;
+		menu_opts_off;
+		menu_opts_on;
+		menu_pad;
+		menu_pattern;
+		menu_request_by_name;
+		menu_request_name;
+		menu_spacing;
+		menu_sub;
+		menu_term;
+		menu_userptr;
+		menu_win;
+		meta;
+		mouse_trafo;
+		mouseinterval;
+		mousemask;
+		move;
+		move_field;
+		move_panel;
+		mvaddch;
+		mvaddchnstr;
+		mvaddchstr;
+		mvaddnstr;
+		mvaddstr;
+		mvchgat;
+		mvcur;
+		mvdelch;
+		mvderwin;
+		mvgetch;
+		mvgetnstr;
+		mvgetstr;
+		mvhline;
+		mvinch;
+		mvinchnstr;
+		mvinchstr;
+		mvinnstr;
+		mvinsch;
+		mvinsnstr;
+		mvinsstr;
+		mvinstr;
+		mvprintw;
+		mvscanw;
+		mvvline;
+		mvwaddch;
+		mvwaddchnstr;
+		mvwaddchstr;
+		mvwaddnstr;
+		mvwaddstr;
+		mvwchgat;
+		mvwdelch;
+		mvwgetch;
+		mvwgetnstr;
+		mvwgetstr;
+		mvwhline;
+		mvwin;
+		mvwinch;
+		mvwinchnstr;
+		mvwinchstr;
+		mvwinnstr;
+		mvwinsch;
+		mvwinsnstr;
+		mvwinsstr;
+		mvwinstr;
+		mvwprintw;
+		mvwscanw;
+		mvwvline;
+		napms;
+		new_field;
+		new_fieldtype;
+		new_form;
+		new_item;
+		new_menu;
+		new_page;
+		new_panel;
+		newpad;
+		newscr;
+		newterm;
+		newwin;
+		nl;
+		nocbreak;
+		nodelay;
+		noecho;
+		nonl;
+		noqiflush;
+		noraw;
+		notimeout;
+		numcodes;
+		numfnames;
+		numnames;
+		ospeed;
+		overlay;
+		overwrite;
+		pair_content;
+		panel_above;
+		panel_below;
+		panel_hidden;
+		panel_userptr;
+		panel_window;
+		pechochar;
+		pnoutrefresh;
+		pos_form_cursor;
+		pos_menu_cursor;
+		post_form;
+		post_menu;
+		prefresh;
+		printw;
+		putp;
+		putwin;
+		qiflush;
+		raw;
+		redrawwin;
+		refresh;
+		replace_panel;
+		reset_prog_mode;
+		reset_shell_mode;
+		resetty;
+		resizeterm;
+		restartterm;
+		ripoffline;
+		savetty;
+		scale_form;
+		scale_menu;
+		scanw;
+		scr_dump;
+		scr_init;
+		scr_restore;
+		scr_set;
+		scrl;
+		scroll;
+		scrollok;
+		set_current_field;
+		set_current_item;
+		set_curterm;
+		set_field_back;
+		set_field_buffer;
+		set_field_fore;
+		set_field_init;
+		set_field_just;
+		set_field_opts;
+		set_field_pad;
+		set_field_status;
+		set_field_term;
+		set_field_type;
+		set_field_userptr;
+		set_fieldtype_arg;
+		set_fieldtype_choice;
+		set_form_fields;
+		set_form_init;
+		set_form_opts;
+		set_form_page;
+		set_form_sub;
+		set_form_term;
+		set_form_userptr;
+		set_form_win;
+		set_item_init;
+		set_item_opts;
+		set_item_term;
+		set_item_userptr;
+		set_item_value;
+		set_max_field;
+		set_menu_back;
+		set_menu_fore;
+		set_menu_format;
+		set_menu_grey;
+		set_menu_init;
+		set_menu_items;
+		set_menu_mark;
+		set_menu_opts;
+		set_menu_pad;
+		set_menu_pattern;
+		set_menu_spacing;
+		set_menu_sub;
+		set_menu_term;
+		set_menu_userptr;
+		set_menu_win;
+		set_new_page;
+		set_panel_userptr;
+		set_term;
+		set_top_row;
+		setscrreg;
+		setupterm;
+		show_panel;
+		slk_attr;
+		slk_attr_off;
+		slk_attr_on;
+		slk_attr_set;
+		slk_attroff;
+		slk_attron;
+		slk_attrset;
+		slk_clear;
+		slk_color;
+		slk_init;
+		slk_label;
+		slk_noutrefresh;
+		slk_refresh;
+		slk_restore;
+		slk_set;
+		slk_touch;
+		standend;
+		standout;
+		start_color;
+		stdscr;
+		strcodes;
+		strfnames;
+		strnames;
+		subpad;
+		subwin;
+		syncok;
+		termattrs;
+		termname;
+		tgetent;
+		tgetflag;
+		tgetnum;
+		tgetstr;
+		tgoto;
+		tigetflag;
+		tigetnum;
+		tigetstr;
+		timeout;
+		top_panel;
+		top_row;
+		touchline;
+		touchwin;
+		tparm;
+		tputs;
+		trace;
+		ttytype;
+		typeahead;
+		unctrl;
+		ungetch;
+		ungetmouse;
+		unpost_form;
+		unpost_menu;
+		untouchwin;
+		update_panels;
+		use_default_colors;
+		use_env;
+		use_extended_names;
+		vid_attr;
+		vidattr;
+		vidputs;
+		vline;
+		vw_printw;
+		vw_scanw;
+		vwprintw;
+		vwscanw;
+		waddch;
+		waddchnstr;
+		waddchstr;
+		waddnstr;
+		waddstr;
+		wattr_get;
+		wattr_off;
+		wattr_on;
+		wattr_set;
+		wattroff;
+		wattron;
+		wattrset;
+		wbkgd;
+		wbkgdset;
+		wborder;
+		wchgat;
+		wclear;
+		wclrtobot;
+		wclrtoeol;
+		wcolor_set;
+		wcursyncup;
+		wdelch;
+		wdeleteln;
+		wechochar;
+		wenclose;
+		werase;
+		wgetch;
+		wgetnstr;
+		wgetstr;
+		whline;
+		winch;
+		winchnstr;
+		winchstr;
+		winnstr;
+		winsch;
+		winsdelln;
+		winsertln;
+		winsnstr;
+		winsstr;
+		winstr;
+		wmouse_trafo;
+		wmove;
+		wnoutrefresh;
+		wprintw;
+		wredrawln;
+		wrefresh;
+		wresize;
+		wscanw;
+		wscrl;
+		wsetscrreg;
+		wstandend;
+		wstandout;
+		wsyncdown;
+		wsyncup;
+		wtimeout;
+		wtouchln;
+		wvline;
+	local:
+		_*;
+};
+
+NCURSESW_5.2.20001021 {
+	/* no changes */
+} NCURSESW_5.1.20000708;
+
+NCURSESW_5.3.20021012 {
+	global:
+		_nc_altcharset_name;
+		_nc_init_wacs;
+		_nc_reset_colors;
+		_nc_retrace_bool;
+		_nc_retrace_sp;
+		_nc_retrace_unsigned;
+		_nc_rootname;
+		_nc_tparm_err;
+		_nc_trace_ttymode;
+		_nc_varargs;
+		_nc_visbufn;
+		_nc_viscbuf;
+		_nc_viscbuf2;
+		_nc_viswbuf;
+		_nc_viswbuf2;
+		_nc_viswbufn;
+		_nc_wacs;
+		_nc_wchstrlen;
+		_nc_wgetch;
+		_tracecchar_t;
+		_tracecchar_t2;
+		add_wch;
+		add_wchnstr;
+		add_wchstr;
+		addnwstr;
+		addwstr;
+		bkgrnd;
+		bkgrndset;
+		border_set;
+		box_set;
+		echo_wchar;
+		erasewchar;
+		get_wch;
+		get_wstr;
+		getbkgrnd;
+		getcchar;
+		getn_wstr;
+		hline_set;
+		in_wch;
+		in_wchnstr;
+		in_wchstr;
+		innwstr;
+		ins_nwstr;
+		ins_wch;
+		ins_wstr;
+		inwstr;
+		is_term_resized;
+		key_name;
+		killwchar;
+		mvadd_wch;
+		mvadd_wchnstr;
+		mvadd_wchstr;
+		mvaddnwstr;
+		mvaddwstr;
+		mvget_wch;
+		mvget_wstr;
+		mvgetn_wstr;
+		mvhline_set;
+		mvin_wch;
+		mvin_wchnstr;
+		mvin_wchstr;
+		mvinnwstr;
+		mvins_nwstr;
+		mvins_wch;
+		mvins_wstr;
+		mvinwstr;
+		mvvline_set;
+		mvwadd_wch;
+		mvwadd_wchnstr;
+		mvwadd_wchstr;
+		mvwaddnwstr;
+		mvwaddwstr;
+		mvwget_wch;
+		mvwget_wstr;
+		mvwgetn_wstr;
+		mvwhline_set;
+		mvwin_wch;
+		mvwin_wchnstr;
+		mvwin_wchstr;
+		mvwinnwstr;
+		mvwins_nwstr;
+		mvwins_wch;
+		mvwins_wstr;
+		mvwinwstr;
+		mvwvline_set;
+		resize_term;
+		setcchar;
+		term_attrs;
+		unget_wch;
+		vid_puts;
+		vline_set;
+		wadd_wch;
+		wadd_wchnstr;
+		wadd_wchstr;
+		waddnwstr;
+		waddwstr;
+		wbkgrnd;
+		wbkgrndset;
+		wborder_set;
+		wecho_wchar;
+		wget_wch;
+		wget_wstr;
+		wgetn_wstr;
+		whline_set;
+		win_wch;
+		win_wchnstr;
+		win_wchstr;
+		winnwstr;
+		wins_nwstr;
+		wins_wch;
+		wins_wstr;
+		winwstr;
+		wunctrl;
+		wvline_set;
+	local:
+		_nc_background;
+		_nc_utf8_outch;
+} NCURSESW_5.2.20001021;
+
+NCURSESW_5.4.20040208 {
+	global:
+		_nc_get_locale;
+		_nc_insert_ch;
+		_nc_is_charable;
+		_nc_locale_breaks_acs;
+		_nc_pathlast;
+		_nc_to_char;
+		_nc_to_widechar;
+		_nc_tparm_analyze;
+		_nc_trace_bufcat;
+		_nc_unicode_locale;
+		key_defined;
+		pecho_wchar;
+		slk_wset;
+	local:
+		_nc_outstr;
+		_nc_sigaction;
+} NCURSESW_5.3.20021012;
+
+NCURSESW_5.5.20051010 {
+	global:
+		_nc_Calculate_Text_Width;
+		_nc_Widen_String;
+		_nc_alloc_entry_leaks;
+		_nc_build_wch;
+		_nc_captoinfo_leaks;
+		_nc_check_termtype2;
+		_nc_comp_scan_leaks;
+		_nc_delink_entry;
+		_nc_free_entry;
+		_nc_get_source;
+		_nc_resolve_uses2;
+		_nc_retrace_cptr;
+		_nc_retrace_cvoid_ptr;
+		_nc_retrace_field;
+		_nc_retrace_field_ptr;
+		_nc_retrace_field_type;
+		_nc_retrace_form;
+		_nc_retrace_form_hook;
+		_nc_retrace_item;
+		_nc_retrace_item_opts;
+		_nc_retrace_item_ptr;
+		_nc_retrace_menu;
+		_nc_retrace_menu_hook;
+		_nc_retrace_menu_opts;
+		_nc_retrace_panel;
+		_nc_retrace_void_ptr;
+		_nc_setupterm;
+		_nc_trim_sgr0;
+		_nc_viswibuf;
+		_nc_wcrtomb;
+} NCURSESW_5.4.20040208;
+
+NCURSESW_5.6.20061217 {
+	global:
+		_nc_first_db;
+		_nc_handle_sigwinch;
+		_nc_hashed_db;
+		_nc_is_abs_path;
+		_nc_is_dir_path;
+		_nc_is_file_path;
+		_nc_keyname_leaks;
+		_nc_last_db;
+		_nc_next_db;
+		_nc_read_termtype;
+		_nc_tgetent_leaks;
+		getbegx;
+		getbegy;
+		getcurx;
+		getcury;
+		getmaxx;
+		getmaxy;
+		getparx;
+		getpary;
+		nofilter;
+		use_legacy_coding;
+		wgetbkgrnd;
+} NCURSESW_5.5.20051010;
+
+NCURSESW_5.7.20081102 {
+	global:
+		_nc_comp_captab_leaks;
+		_nc_free_tic;
+		_nc_free_tinfo;
+		_nc_get_alias_table;
+		_nc_get_screensize;
+		_nc_globals;
+		_nc_keyname;
+		_nc_leaks_tic;
+		_nc_leaks_tinfo;
+		_nc_prescreen;
+		_nc_screen_of;
+		_nc_set_no_padding;
+		_nc_tracechar;
+		_nc_tracemouse;
+		_nc_unctrl;
+		_nc_ungetch;
+		getattrs;
+		is_cleared;
+		is_idcok;
+		is_idlok;
+		is_immedok;
+		is_keypad;
+		is_leaveok;
+		is_nodelay;
+		is_notimeout;
+		is_scrollok;
+		is_syncok;
+		set_escdelay;
+		set_tabsize;
+		use_screen;
+		use_window;
+		wgetparent;
+		wgetscrreg;
+	local:
+		_nc_cap_hash_table;
+		_nc_capalias_table;
+		_nc_info_hash_table;
+		_nc_infoalias_table;
+		_nc_key_names;
+		_nc_slk_format;
+} NCURSESW_5.6.20061217;
+
+NCURSESW_5.8.20110226 {
+	global:
+		_nc_format_slks;
+		_nc_fty_generic;
+		_nc_get_fieldbuffer;
+		_nc_get_hash_info;
+		_nc_insert_wch;
+		_nc_putp;
+		_nc_putp_flush;
+		_nc_retrace_char;
+		_nc_retrace_int_attr_t;
+		_nc_retrace_mmask_t;
+		_nc_setup_tinfo;
+		_nc_tinfo_cmdch;
+		get_escdelay;
+		has_mouse;
+		is_pad;
+		is_subwin;
+		tiparm;
+		/* sp-funcs */
+		_nc_curscr_of;
+		_nc_do_color_sp;
+		_nc_flush_sp;
+		_nc_free_and_exit_sp;
+		_nc_freeall_sp;
+		_nc_get_tty_mode_sp;
+		_nc_hash_map_sp;
+		_nc_init_acs_sp;
+		_nc_linedump_sp;
+		_nc_make_oldhash_sp;
+		_nc_makenew_sp;
+		_nc_msec_cost_sp;
+		_nc_mvcur_init_sp;
+		_nc_mvcur_resume_sp;
+		_nc_mvcur_sp;
+		_nc_mvcur_wrap_sp;
+		_nc_newscr_of;
+		_nc_outc_wrapper;
+		_nc_outch_sp;
+		_nc_panelhook_sp;
+		_nc_printf_string_sp;
+		_nc_putchar_sp;
+		_nc_putp_flush_sp;
+		_nc_putp_sp;
+		_nc_reset_colors_sp;
+		_nc_ripoffline_sp;
+		_nc_screen_init_sp;
+		_nc_screen_resume_sp;
+		_nc_screen_wrap_sp;
+		_nc_scroll_oldhash_sp;
+		_nc_scroll_optimize_sp;
+		_nc_scrolln_sp;
+		_nc_set_buffer_sp;
+		_nc_set_tty_mode_sp;
+		_nc_setupscreen_sp;
+		_nc_stdscr_of;
+		assume_default_colors_sp;
+		baudrate_sp;
+		beep_sp;
+		can_change_color_sp;
+		cbreak_sp;
+		ceiling_panel;
+		color_content_sp;
+		curs_set_sp;
+		def_prog_mode_sp;
+		def_shell_mode_sp;
+		define_key_sp;
+		del_curterm_sp;
+		delay_output_sp;
+		doupdate_sp;
+		echo_sp;
+		endwin_sp;
+		erasechar_sp;
+		filter_sp;
+		flash_sp;
+		flushinp_sp;
+		get_escdelay_sp;
+		getmouse_sp;
+		getwin_sp;
+		ground_panel;
+		halfdelay_sp;
+		has_colors_sp;
+		has_ic_sp;
+		has_il_sp;
+		has_key_sp;
+		has_mouse_sp;
+		init_color_sp;
+		init_pair_sp;
+		intrflush_sp;
+		is_term_resized_sp;
+		isendwin_sp;
+		key_defined_sp;
+		keybound_sp;
+		keyname_sp;
+		keyok_sp;
+		killchar_sp;
+		mcprint_sp;
+		mouseinterval_sp;
+		mousemask_sp;
+		mvcur_sp;
+		napms_sp;
+		new_form_sp;
+		new_menu_sp;
+		new_prescr;
+		newpad_sp;
+		newterm_sp;
+		newwin_sp;
+		nl_sp;
+		nocbreak_sp;
+		noecho_sp;
+		nofilter_sp;
+		nonl_sp;
+		noqiflush_sp;
+		noraw_sp;
+		pair_content_sp;
+		putp_sp;
+		qiflush_sp;
+		raw_sp;
+		reset_prog_mode_sp;
+		reset_shell_mode_sp;
+		resetty_sp;
+		resize_term_sp;
+		resizeterm_sp;
+		restartterm_sp;
+		ripoffline_sp;
+		savetty_sp;
+		scr_init_sp;
+		scr_restore_sp;
+		scr_set_sp;
+		set_curterm_sp;
+		set_escdelay_sp;
+		set_tabsize_sp;
+		slk_attr_set_sp;
+		slk_attr_sp;
+		slk_attroff_sp;
+		slk_attron_sp;
+		slk_attrset_sp;
+		slk_clear_sp;
+		slk_color_sp;
+		slk_init_sp;
+		slk_label_sp;
+		slk_noutrefresh_sp;
+		slk_refresh_sp;
+		slk_restore_sp;
+		slk_set_sp;
+		slk_touch_sp;
+		start_color_sp;
+		term_attrs_sp;
+		termattrs_sp;
+		termname_sp;
+		tgetent_sp;
+		tgetflag_sp;
+		tgetnum_sp;
+		tgetstr_sp;
+		tigetflag_sp;
+		tigetnum_sp;
+		tigetstr_sp;
+		tputs_sp;
+		typeahead_sp;
+		unctrl_sp;
+		unget_wch_sp;
+		ungetch_sp;
+		ungetmouse_sp;
+		update_panels_sp;
+		use_default_colors_sp;
+		use_env_sp;
+		use_legacy_coding_sp;
+		use_tioctl_sp;
+		vid_attr_sp;
+		vid_puts_sp;
+		vidattr_sp;
+		vidputs_sp;
+		wunctrl_sp;
+} NCURSESW_5.7.20081102;
+
+NCURSESW_5.9.20110404 {
+	/* no changes */
+} NCURSESW_5.8.20110226;
+
+NCURSESW_5.9.20141115 {
+	global:
+		_nc_init_termtype;
+		_nc_strict_bsd;
+		form_driver_w;
+		use_tioctl;
+		wgetdelay;
+} NCURSESW_5.9.20110404;
Index: package/ncursesw.sym
--- /dev/null	2014-11-15 22:24:06.925233108 +0000
+++ ncurses-5.9-20141115/package/ncursesw.sym	2014-11-16 01:38:46.000000000 +0000
@@ -0,0 +1,1056 @@
+# $Id: ncursesw.sym,v 1.3 2014/11/16 01:38:46 tom Exp $
+BC
+COLORS
+COLOR_PAIR
+COLOR_PAIRS
+COLS
+ESCDELAY
+LINES
+PAIR_NUMBER
+PC
+SP
+TABSIZE
+TYPE_ALNUM
+TYPE_ALPHA
+TYPE_ENUM
+TYPE_INTEGER
+TYPE_IPV4
+TYPE_NUMERIC
+TYPE_REGEXP
+UP
+_nc_Calculate_Item_Length_and_Width
+_nc_Calculate_Text_Width
+_nc_Connect_Items
+_nc_Copy_Argument
+_nc_Copy_Type
+_nc_Default_Field
+_nc_Default_FieldType
+_nc_Default_Form
+_nc_Default_Item
+_nc_Default_Menu
+_nc_Disconnect_Items
+_nc_Draw_Menu
+_nc_First_Active_Field
+_nc_Free_Argument
+_nc_Free_Type
+_nc_Internal_Validation
+_nc_Link_Items
+_nc_Make_Argument
+_nc_Match_Next_Character_In_Item_Name
+_nc_New_TopRow_and_CurrentItem
+_nc_Position_Form_Cursor
+_nc_Post_Item
+_nc_Refresh_Current_Field
+_nc_Set_Current_Field
+_nc_Set_Form_Page
+_nc_Show_Menu
+_nc_Synchronize_Attributes
+_nc_Synchronize_Options
+_nc_Touchline
+_nc_Touchpan
+_nc_Widen_String
+_nc_Wnoutrefresh
+_nc_access
+_nc_add_to_try
+_nc_align_termtype
+_nc_alloc_entry_leaks
+_nc_altcharset_name
+_nc_basename
+_nc_baudrate
+_nc_build_wch
+_nc_capcmp
+_nc_captoinfo
+_nc_captoinfo_leaks
+_nc_check_termtype
+_nc_check_termtype2
+_nc_comment_end
+_nc_comment_start
+_nc_comp_captab_leaks
+_nc_comp_error_leaks
+_nc_comp_scan_leaks
+_nc_copy_entry
+_nc_copy_termtype
+_nc_curr_col
+_nc_curr_file_pos
+_nc_curr_line
+_nc_curr_token
+_nc_curscr_of
+_nc_dPanel
+_nc_dStack
+_nc_db_iterator_leaks
+_nc_delink_entry
+_nc_disable_period
+_nc_do_color
+_nc_do_color_sp
+_nc_doalloc
+_nc_entry_match
+_nc_err_abort
+_nc_expand_try
+_nc_expanded
+_nc_fallback
+_nc_fifo_dump
+_nc_find_entry
+_nc_find_type_entry
+_nc_first_db
+_nc_first_name
+_nc_flush
+_nc_flush_sp
+_nc_format_slks
+_nc_free_and_exit
+_nc_free_and_exit_sp
+_nc_free_entries
+_nc_free_entry
+_nc_free_termtype
+_nc_free_tic
+_nc_free_tinfo
+_nc_free_tparm
+_nc_freeall
+_nc_freeall_sp
+_nc_freewin
+_nc_fty_generic
+_nc_get_alias_table
+_nc_get_fieldbuffer
+_nc_get_hash_info
+_nc_get_hash_table
+_nc_get_locale
+_nc_get_screensize
+_nc_get_source
+_nc_get_table
+_nc_get_token
+_nc_get_tty_mode
+_nc_get_tty_mode_sp
+_nc_get_type
+_nc_getenv_num
+_nc_globals
+_nc_handle_sigwinch
+_nc_has_mouse
+_nc_hash_map
+_nc_hash_map_sp
+_nc_hashed_db
+_nc_head
+_nc_home_terminfo
+_nc_infotocap
+_nc_init_acs
+_nc_init_acs_sp
+_nc_init_entry
+_nc_init_keytry
+_nc_init_termtype
+_nc_init_wacs
+_nc_insert_ch
+_nc_insert_wch
+_nc_is_abs_path
+_nc_is_charable
+_nc_is_dir_path
+_nc_is_file_path
+_nc_keep_tic_dir
+_nc_keyname
+_nc_keyname_leaks
+_nc_keypad
+_nc_last_db
+_nc_leaks_tic
+_nc_leaks_tinfo
+_nc_linedump
+_nc_linedump_sp
+_nc_locale_breaks_acs
+_nc_make_oldhash
+_nc_make_oldhash_sp
+_nc_makenew
+_nc_makenew_sp
+_nc_menu_cursor_pos
+_nc_merge_entry
+_nc_msec_cost
+_nc_msec_cost_sp
+_nc_mvcur
+_nc_mvcur_init
+_nc_mvcur_init_sp
+_nc_mvcur_resume
+_nc_mvcur_resume_sp
+_nc_mvcur_sp
+_nc_mvcur_wrap
+_nc_mvcur_wrap_sp
+_nc_my_visbuf
+_nc_name_match
+_nc_newscr_of
+_nc_next_db
+_nc_nulls_sent
+_nc_oldnums
+_nc_optimize_enable
+_nc_ospeed
+_nc_outc_wrapper
+_nc_outch
+_nc_outch_sp
+_nc_outchars
+_nc_panelhook
+_nc_panelhook_sp
+_nc_panic_mode
+_nc_parse_entry
+_nc_pathlast
+_nc_prescreen
+_nc_printf_string
+_nc_printf_string_sp
+_nc_push_token
+_nc_putchar
+_nc_putchar_sp
+_nc_putp
+_nc_putp_flush
+_nc_putp_flush_sp
+_nc_putp_sp
+_nc_read_entry
+_nc_read_entry_source
+_nc_read_file_entry
+_nc_read_termcap
+_nc_read_termtype
+_nc_remove_key
+_nc_remove_string
+_nc_render
+_nc_reset_colors
+_nc_reset_colors_sp
+_nc_reset_input
+_nc_resolve_uses
+_nc_resolve_uses2
+_nc_retrace_attr_t
+_nc_retrace_bool
+_nc_retrace_char
+_nc_retrace_chtype
+_nc_retrace_cptr
+_nc_retrace_cvoid_ptr
+_nc_retrace_field
+_nc_retrace_field_ptr
+_nc_retrace_field_type
+_nc_retrace_form
+_nc_retrace_form_hook
+_nc_retrace_int
+_nc_retrace_int_attr_t
+_nc_retrace_item
+_nc_retrace_item_opts
+_nc_retrace_item_ptr
+_nc_retrace_menu
+_nc_retrace_menu_hook
+_nc_retrace_menu_opts
+_nc_retrace_mmask_t
+_nc_retrace_panel
+_nc_retrace_ptr
+_nc_retrace_sp
+_nc_retrace_unsigned
+_nc_retrace_void_ptr
+_nc_retrace_win
+_nc_ripoffline
+_nc_ripoffline_sp
+_nc_rootname
+_nc_safe_strcat
+_nc_safe_strcpy
+_nc_save_str
+_nc_screen_chain
+_nc_screen_init
+_nc_screen_init_sp
+_nc_screen_of
+_nc_screen_resume
+_nc_screen_resume_sp
+_nc_screen_wrap
+_nc_screen_wrap_sp
+_nc_scroll_oldhash
+_nc_scroll_oldhash_sp
+_nc_scroll_optimize
+_nc_scroll_optimize_sp
+_nc_scroll_window
+_nc_scrolln
+_nc_scrolln_sp
+_nc_set_buffer
+_nc_set_buffer_sp
+_nc_set_no_padding
+_nc_set_source
+_nc_set_tty_mode
+_nc_set_tty_mode_sp
+_nc_set_type
+_nc_set_writedir
+_nc_setenv_num
+_nc_setup_tinfo
+_nc_setupscreen
+_nc_setupscreen_sp
+_nc_setupterm
+_nc_signal_handler
+_nc_slk_initialize
+_nc_start_line
+_nc_stdscr_of
+_nc_str_copy
+_nc_str_init
+_nc_str_null
+_nc_strict_bsd
+_nc_suppress_warnings
+_nc_synchook
+_nc_syntax
+_nc_syserr_abort
+_nc_tail
+_nc_tgetent_leaks
+_nc_tic_dir
+_nc_tic_expand
+_nc_tic_written
+_nc_timed_wait
+_nc_tinfo_cmdch
+_nc_tinfo_fkeys
+_nc_to_char
+_nc_to_widechar
+_nc_tparm_analyze
+_nc_tparm_err
+_nc_tputs_trace
+_nc_trace_buf
+_nc_trace_bufcat
+_nc_trace_mmask_t
+_nc_trace_tries
+_nc_trace_ttymode
+_nc_trace_xnames
+_nc_tracebits
+_nc_tracechar
+_nc_tracemouse
+_nc_tracing
+_nc_trans_string
+_nc_trim_sgr0
+_nc_unctrl
+_nc_ungetch
+_nc_unicode_locale
+_nc_update_screensize
+_nc_user_definable
+_nc_varargs
+_nc_visbuf
+_nc_visbuf2
+_nc_visbufn
+_nc_viscbuf
+_nc_viscbuf2
+_nc_viswbuf
+_nc_viswbuf2
+_nc_viswbufn
+_nc_viswibuf
+_nc_vsscanf
+_nc_wacs
+_nc_waddch_nosync
+_nc_warning
+_nc_wchstrlen
+_nc_wcrtomb
+_nc_wgetch
+_nc_wrap_entry
+_nc_write_entry
+_traceattr
+_traceattr2
+_tracecchar_t
+_tracecchar_t2
+_tracechar
+_tracechtype
+_tracechtype2
+_tracedump
+_tracef
+_tracemouse
+acs_map
+add_wch
+add_wchnstr
+add_wchstr
+addch
+addchnstr
+addchstr
+addnstr
+addnwstr
+addstr
+addwstr
+assume_default_colors
+assume_default_colors_sp
+attr_get
+attr_off
+attr_on
+attr_set
+attroff
+attron
+attrset
+baudrate
+baudrate_sp
+beep
+beep_sp
+bkgd
+bkgdset
+bkgrnd
+bkgrndset
+boolcodes
+boolfnames
+boolnames
+border
+border_set
+bottom_panel
+box
+box_set
+can_change_color
+can_change_color_sp
+cbreak
+cbreak_sp
+ceiling_panel
+chgat
+clear
+clearok
+clrtobot
+clrtoeol
+color_content
+color_content_sp
+color_set
+copywin
+cur_term
+current_field
+current_item
+curs_set
+curs_set_sp
+curscr
+curses_version
+data_ahead
+data_behind
+def_prog_mode
+def_prog_mode_sp
+def_shell_mode
+def_shell_mode_sp
+define_key
+define_key_sp
+del_curterm
+del_curterm_sp
+del_panel
+delay_output
+delay_output_sp
+delch
+deleteln
+delscreen
+delwin
+derwin
+doupdate
+doupdate_sp
+dup_field
+dupwin
+dynamic_field_info
+echo
+echo_sp
+echo_wchar
+echochar
+endwin
+endwin_sp
+erase
+erasechar
+erasechar_sp
+erasewchar
+field_arg
+field_back
+field_buffer
+field_count
+field_fore
+field_index
+field_info
+field_init
+field_just
+field_opts
+field_opts_off
+field_opts_on
+field_pad
+field_status
+field_term
+field_type
+field_userptr
+filter
+filter_sp
+flash
+flash_sp
+flushinp
+flushinp_sp
+form_driver
+form_driver_w
+form_fields
+form_init
+form_opts
+form_opts_off
+form_opts_on
+form_page
+form_request_by_name
+form_request_name
+form_sub
+form_term
+form_userptr
+form_win
+free_field
+free_fieldtype
+free_form
+free_item
+free_menu
+get_escdelay
+get_escdelay_sp
+get_wch
+get_wstr
+getattrs
+getbegx
+getbegy
+getbkgd
+getbkgrnd
+getcchar
+getch
+getcurx
+getcury
+getmaxx
+getmaxy
+getmouse
+getmouse_sp
+getn_wstr
+getnstr
+getparx
+getpary
+getstr
+getwin
+getwin_sp
+ground_panel
+halfdelay
+halfdelay_sp
+has_colors
+has_colors_sp
+has_ic
+has_ic_sp
+has_il
+has_il_sp
+has_key
+has_key_sp
+has_mouse
+has_mouse_sp
+hide_panel
+hline
+hline_set
+idcok
+idlok
+immedok
+in_wch
+in_wchnstr
+in_wchstr
+inch
+inchnstr
+inchstr
+init_color
+init_color_sp
+init_pair
+init_pair_sp
+initscr
+innstr
+innwstr
+ins_nwstr
+ins_wch
+ins_wstr
+insch
+insdelln
+insertln
+insnstr
+insstr
+instr
+intrflush
+intrflush_sp
+inwstr
+is_cleared
+is_idcok
+is_idlok
+is_immedok
+is_keypad
+is_leaveok
+is_linetouched
+is_nodelay
+is_notimeout
+is_pad
+is_scrollok
+is_subwin
+is_syncok
+is_term_resized
+is_term_resized_sp
+is_wintouched
+isendwin
+isendwin_sp
+item_count
+item_description
+item_index
+item_init
+item_name
+item_opts
+item_opts_off
+item_opts_on
+item_term
+item_userptr
+item_value
+item_visible
+key_defined
+key_defined_sp
+key_name
+keybound
+keybound_sp
+keyname
+keyname_sp
+keyok
+keyok_sp
+keypad
+killchar
+killchar_sp
+killwchar
+leaveok
+link_field
+link_fieldtype
+longname
+mcprint
+mcprint_sp
+menu_back
+menu_driver
+menu_fore
+menu_format
+menu_grey
+menu_init
+menu_items
+menu_mark
+menu_opts
+menu_opts_off
+menu_opts_on
+menu_pad
+menu_pattern
+menu_request_by_name
+menu_request_name
+menu_spacing
+menu_sub
+menu_term
+menu_userptr
+menu_win
+meta
+mouse_trafo
+mouseinterval
+mouseinterval_sp
+mousemask
+mousemask_sp
+move
+move_field
+move_panel
+mvadd_wch
+mvadd_wchnstr
+mvadd_wchstr
+mvaddch
+mvaddchnstr
+mvaddchstr
+mvaddnstr
+mvaddnwstr
+mvaddstr
+mvaddwstr
+mvchgat
+mvcur
+mvcur_sp
+mvdelch
+mvderwin
+mvget_wch
+mvget_wstr
+mvgetch
+mvgetn_wstr
+mvgetnstr
+mvgetstr
+mvhline
+mvhline_set
+mvin_wch
+mvin_wchnstr
+mvin_wchstr
+mvinch
+mvinchnstr
+mvinchstr
+mvinnstr
+mvinnwstr
+mvins_nwstr
+mvins_wch
+mvins_wstr
+mvinsch
+mvinsnstr
+mvinsstr
+mvinstr
+mvinwstr
+mvprintw
+mvscanw
+mvvline
+mvvline_set
+mvwadd_wch
+mvwadd_wchnstr
+mvwadd_wchstr
+mvwaddch
+mvwaddchnstr
+mvwaddchstr
+mvwaddnstr
+mvwaddnwstr
+mvwaddstr
+mvwaddwstr
+mvwchgat
+mvwdelch
+mvwget_wch
+mvwget_wstr
+mvwgetch
+mvwgetn_wstr
+mvwgetnstr
+mvwgetstr
+mvwhline
+mvwhline_set
+mvwin
+mvwin_wch
+mvwin_wchnstr
+mvwin_wchstr
+mvwinch
+mvwinchnstr
+mvwinchstr
+mvwinnstr
+mvwinnwstr
+mvwins_nwstr
+mvwins_wch
+mvwins_wstr
+mvwinsch
+mvwinsnstr
+mvwinsstr
+mvwinstr
+mvwinwstr
+mvwprintw
+mvwscanw
+mvwvline
+mvwvline_set
+napms
+napms_sp
+new_field
+new_fieldtype
+new_form
+new_form_sp
+new_item
+new_menu
+new_menu_sp
+new_page
+new_panel
+new_prescr
+newpad
+newpad_sp
+newscr
+newterm
+newterm_sp
+newwin
+newwin_sp
+nl
+nl_sp
+nocbreak
+nocbreak_sp
+nodelay
+noecho
+noecho_sp
+nofilter
+nofilter_sp
+nonl
+nonl_sp
+noqiflush
+noqiflush_sp
+noraw
+noraw_sp
+notimeout
+numcodes
+numfnames
+numnames
+ospeed
+overlay
+overwrite
+pair_content
+pair_content_sp
+panel_above
+panel_below
+panel_hidden
+panel_userptr
+panel_window
+pecho_wchar
+pechochar
+pnoutrefresh
+pos_form_cursor
+pos_menu_cursor
+post_form
+post_menu
+prefresh
+printw
+putp
+putp_sp
+putwin
+qiflush
+qiflush_sp
+raw
+raw_sp
+redrawwin
+refresh
+replace_panel
+reset_prog_mode
+reset_prog_mode_sp
+reset_shell_mode
+reset_shell_mode_sp
+resetty
+resetty_sp
+resize_term
+resize_term_sp
+resizeterm
+resizeterm_sp
+restartterm
+restartterm_sp
+ripoffline
+ripoffline_sp
+savetty
+savetty_sp
+scale_form
+scale_menu
+scanw
+scr_dump
+scr_init
+scr_init_sp
+scr_restore
+scr_restore_sp
+scr_set
+scr_set_sp
+scrl
+scroll
+scrollok
+set_current_field
+set_current_item
+set_curterm
+set_curterm_sp
+set_escdelay
+set_escdelay_sp
+set_field_back
+set_field_buffer
+set_field_fore
+set_field_init
+set_field_just
+set_field_opts
+set_field_pad
+set_field_status
+set_field_term
+set_field_type
+set_field_userptr
+set_fieldtype_arg
+set_fieldtype_choice
+set_form_fields
+set_form_init
+set_form_opts
+set_form_page
+set_form_sub
+set_form_term
+set_form_userptr
+set_form_win
+set_item_init
+set_item_opts
+set_item_term
+set_item_userptr
+set_item_value
+set_max_field
+set_menu_back
+set_menu_fore
+set_menu_format
+set_menu_grey
+set_menu_init
+set_menu_items
+set_menu_mark
+set_menu_opts
+set_menu_pad
+set_menu_pattern
+set_menu_spacing
+set_menu_sub
+set_menu_term
+set_menu_userptr
+set_menu_win
+set_new_page
+set_panel_userptr
+set_tabsize
+set_tabsize_sp
+set_term
+set_top_row
+setcchar
+setscrreg
+setupterm
+show_panel
+slk_attr
+slk_attr_off
+slk_attr_on
+slk_attr_set
+slk_attr_set_sp
+slk_attr_sp
+slk_attroff
+slk_attroff_sp
+slk_attron
+slk_attron_sp
+slk_attrset
+slk_attrset_sp
+slk_clear
+slk_clear_sp
+slk_color
+slk_color_sp
+slk_init
+slk_init_sp
+slk_label
+slk_label_sp
+slk_noutrefresh
+slk_noutrefresh_sp
+slk_refresh
+slk_refresh_sp
+slk_restore
+slk_restore_sp
+slk_set
+slk_set_sp
+slk_touch
+slk_touch_sp
+slk_wset
+standend
+standout
+start_color
+start_color_sp
+stdscr
+strcodes
+strfnames
+strnames
+subpad
+subwin
+syncok
+term_attrs
+term_attrs_sp
+termattrs
+termattrs_sp
+termname
+termname_sp
+tgetent
+tgetent_sp
+tgetflag
+tgetflag_sp
+tgetnum
+tgetnum_sp
+tgetstr
+tgetstr_sp
+tgoto
+tigetflag
+tigetflag_sp
+tigetnum
+tigetnum_sp
+tigetstr
+tigetstr_sp
+timeout
+tiparm
+top_panel
+top_row
+touchline
+touchwin
+tparm
+tputs
+tputs_sp
+trace
+ttytype
+typeahead
+typeahead_sp
+unctrl
+unctrl_sp
+unget_wch
+unget_wch_sp
+ungetch
+ungetch_sp
+ungetmouse
+ungetmouse_sp
+unpost_form
+unpost_menu
+untouchwin
+update_panels
+update_panels_sp
+use_default_colors
+use_default_colors_sp
+use_env
+use_env_sp
+use_extended_names
+use_legacy_coding
+use_legacy_coding_sp
+use_screen
+use_tioctl
+use_tioctl_sp
+use_window
+vid_attr
+vid_attr_sp
+vid_puts
+vid_puts_sp
+vidattr
+vidattr_sp
+vidputs
+vidputs_sp
+vline
+vline_set
+vw_printw
+vw_scanw
+vwprintw
+vwscanw
+wadd_wch
+wadd_wchnstr
+wadd_wchstr
+waddch
+waddchnstr
+waddchstr
+waddnstr
+waddnwstr
+waddstr
+waddwstr
+wattr_get
+wattr_off
+wattr_on
+wattr_set
+wattroff
+wattron
+wattrset
+wbkgd
+wbkgdset
+wbkgrnd
+wbkgrndset
+wborder
+wborder_set
+wchgat
+wclear
+wclrtobot
+wclrtoeol
+wcolor_set
+wcursyncup
+wdelch
+wdeleteln
+wecho_wchar
+wechochar
+wenclose
+werase
+wget_wch
+wget_wstr
+wgetbkgrnd
+wgetch
+wgetdelay
+wgetn_wstr
+wgetnstr
+wgetparent
+wgetscrreg
+wgetstr
+whline
+whline_set
+win_wch
+win_wchnstr
+win_wchstr
+winch
+winchnstr
+winchstr
+winnstr
+winnwstr
+wins_nwstr
+wins_wch
+wins_wstr
+winsch
+winsdelln
+winsertln
+winsnstr
+winsstr
+winstr
+winwstr
+wmouse_trafo
+wmove
+wnoutrefresh
+wprintw
+wredrawln
+wrefresh
+wresize
+wscanw
+wscrl
+wsetscrreg
+wstandend
+wstandout
+wsyncdown
+wsyncup
+wtimeout
+wtouchln
+wunctrl
+wunctrl_sp
+wvline
+wvline_set
Index: panel/Makefile.in
Prereq:  1.62 
--- ncurses-5.9-20141101+/panel/Makefile.in	2013-08-04 20:23:32.000000000 +0000
+++ ncurses-5.9-20141115/panel/Makefile.in	2014-11-15 13:54:00.000000000 +0000
@@ -1,6 +1,6 @@
-# $Id: Makefile.in,v 1.62 2013/08/04 20:23:32 tom Exp $
+# $Id: Makefile.in,v 1.65 2014/11/15 13:54:00 tom Exp $
 ##############################################################################
-# Copyright (c) 1998-2012,2013 Free Software Foundation, Inc.                #
+# Copyright (c) 1998-2013,2014 Free Software Foundation, Inc.                #
 #                                                                            #
 # Permission is hereby granted, free of charge, to any person obtaining a    #
 # copy of this software and associated documentation files (the "Software"), #
@@ -51,6 +51,7 @@
 
 MODEL		= @DFT_LWR_MODEL@
 DESTDIR		= @DESTDIR@
+top_srcdir	= @top_srcdir@
 srcdir		= @srcdir@
 prefix		= @prefix@
 exec_prefix	= @exec_prefix@
@@ -63,7 +64,10 @@
 
 INCLUDEDIR	= $(DESTDIR)$(includedir)$(includesubdir)
 
+PACKAGE		= @PACKAGE@
+
 LIBTOOL		= @LIBTOOL@
+LIBTOOL_OPTS	= @LIBTOOL_OPTS@ @EXPORT_SYMS@
 LIBTOOL_CLEAN	= @LIB_CLEAN@
 LIBTOOL_COMPILE	= @LIB_COMPILE@
 LIBTOOL_LINK	= @LIB_LINK@
@@ -89,7 +93,7 @@
 CPP		= @CPP@
 CFLAGS		= @CFLAGS@
 
-CPPFLAGS	= -I@top_srcdir@/ncurses -DHAVE_CONFIG_H @CPPFLAGS@
+CPPFLAGS	= -I${top_srcdir}/ncurses -DHAVE_CONFIG_H @CPPFLAGS@
 
 CCFLAGS		= $(CPPFLAGS) $(CFLAGS)
 
@@ -108,6 +112,7 @@
 SHLIB_LIST	= $(SHLIB_DIRS) -lncurses@LIB_SUFFIX@ @SHLIB_LIST@
 
 RPATH_LIST	= @RPATH_LIST@
+VERSIONED_SYMS	= @VERSIONED_SYMS@
 MK_SHARED_LIB	= @MK_SHARED_LIB@
 
 NCURSES_MAJOR	= @NCURSES_MAJOR@
Index: progs/Makefile.in
Prereq:  1.92 
--- ncurses-5.9-20141101+/progs/Makefile.in	2014-07-26 22:34:33.000000000 +0000
+++ ncurses-5.9-20141115/progs/Makefile.in	2014-11-15 00:34:28.000000000 +0000
@@ -1,4 +1,4 @@
-# $Id: Makefile.in,v 1.92 2014/07/26 22:34:33 tom Exp $
+# $Id: Makefile.in,v 1.93 2014/11/15 00:34:28 tom Exp $
 ##############################################################################
 # Copyright (c) 1998-2013,2014 Free Software Foundation, Inc.                #
 #                                                                            #
@@ -67,7 +67,10 @@
 
 INCLUDEDIR	= $(DESTDIR)$(includedir)$(includesubdir)
 
+PACKAGE		= @PACKAGE@
+
 LIBTOOL		= @LIBTOOL@
+LIBTOOL_OPTS	= @LIBTOOL_OPTS@
 LIBTOOL_CLEAN	= @LIB_CLEAN@
 LIBTOOL_COMPILE	= @LIB_COMPILE@
 LIBTOOL_LINK	= @LIB_LINK@
Index: test/Makefile.in
Prereq:  1.113 
--- ncurses-5.9-20141101+/test/Makefile.in	2014-08-02 15:45:05.000000000 +0000
+++ ncurses-5.9-20141115/test/Makefile.in	2014-11-15 00:46:05.000000000 +0000
@@ -1,4 +1,4 @@
-# $Id: Makefile.in,v 1.113 2014/08/02 15:45:05 tom Exp $
+# $Id: Makefile.in,v 1.114 2014/11/15 00:46:05 tom Exp $
 ##############################################################################
 # Copyright (c) 1998-2013,2014 Free Software Foundation, Inc.                #
 #                                                                            #
@@ -44,6 +44,7 @@
 o		= .@OBJEXT@
 
 MODEL		= ../@DFT_OBJ_SUBDIR@
+top_srcdir	= @top_srcdir@
 srcdir		= @srcdir@
 prefix		= @prefix@
 exec_prefix	= @exec_prefix@
@@ -58,7 +59,10 @@
 LIBDIR		= $(DESTDIR)$(libdir)
 INCLUDEDIR	= $(DESTDIR)$(includedir)$(includesubdir)
 
+PACKAGE		= @PACKAGE@
+
 LIBTOOL		= @LIBTOOL@
+LIBTOOL_OPTS	= @LIBTOOL_OPTS@
 LIBTOOL_CLEAN	= @LIB_CLEAN@
 LIBTOOL_COMPILE	= @LIB_COMPILE@
 LIBTOOL_LINK	= @LIB_LINK@
